/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|*  * LoongArch Disassembler                                                  *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#include "llvm/MC/MCInst.h"
#include "llvm/Support/DataTypes.h"
#include "llvm/Support/Debug.h"
#include "llvm/Support/LEB128.h"
#include "llvm/Support/raw_ostream.h"
#include <assert.h>

namespace llvm {

// Helper functions for extracting fields from encoded instructions.
// InsnType must either be integral or an APInt-like object that must:
// * be default-constructible and copy-constructible
// * be constructible from a uint64_t
// * be constructible from an APInt (this can be private)
// * Support insertBits(bits, startBit, numBits)
// * Support extractBitsAsZExtValue(numBits, startBit)
// * be convertible to bool
// * Support the ~, &, ==, and != operators with other objects of the same type
// * Support put (<<) to raw_ostream&
template <typename InsnType>
#if defined(_MSC_VER) && !defined(__clang__)
__declspec(noinline)
#endif
static std::enable_if_t<std::is_integral<InsnType>::value, InsnType>
fieldFromInstruction(const InsnType &insn, unsigned startBit,
                     unsigned numBits) {
  assert(startBit + numBits <= 64 && "Cannot support >64-bit extractions!");
  assert(startBit + numBits <= (sizeof(InsnType) * 8) &&
         "Instruction field out of bounds!");
  InsnType fieldMask;
  if (numBits == sizeof(InsnType) * 8)
    fieldMask = (InsnType)(-1LL);
  else
    fieldMask = (((InsnType)1 << numBits) - 1) << startBit;
  return (insn & fieldMask) >> startBit;
}

template <typename InsnType>
static std::enable_if_t<!std::is_integral<InsnType>::value, uint64_t>
fieldFromInstruction(const InsnType &insn, unsigned startBit,
                     unsigned numBits) {
  return insn.extractBitsAsZExtValue(numBits, startBit);
}

// Helper function for inserting bits extracted from an encoded instruction into
// a field.
template <typename InsnType>
static std::enable_if_t<std::is_integral<InsnType>::value>
insertBits(InsnType &field, InsnType bits, unsigned startBit, unsigned numBits) {
  assert(startBit + numBits <= sizeof field * 8);
  field |= (InsnType)bits << startBit;
}

template <typename InsnType>
static std::enable_if_t<!std::is_integral<InsnType>::value>
insertBits(InsnType &field, uint64_t bits, unsigned startBit, unsigned numBits) {
  field.insertBits(bits, startBit, numBits);
}

static const uint8_t DecoderTableLoongArch32[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 0, 199, 5, 0, // Skip to: 1487
/* 8 */       MCD::OPC_ExtractField, 22, 4,  // Inst{25-22} ...
/* 11 */      MCD::OPC_FilterValue, 0, 41, 2, 0, // Skip to: 569
/* 16 */      MCD::OPC_ExtractField, 18, 4,  // Inst{21-18} ...
/* 19 */      MCD::OPC_FilterValue, 0, 187, 0, 0, // Skip to: 211
/* 24 */      MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 27 */      MCD::OPC_FilterValue, 0, 147, 0, 0, // Skip to: 179
/* 32 */      MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 35 */      MCD::OPC_FilterValue, 8, 4, 0, 0, // Skip to: 44
/* 40 */      MCD::OPC_Decode, 193, 4, 0, // Opcode: CLO_D
/* 44 */      MCD::OPC_FilterValue, 9, 4, 0, 0, // Skip to: 53
/* 49 */      MCD::OPC_Decode, 195, 4, 0, // Opcode: CLZ_D
/* 53 */      MCD::OPC_FilterValue, 10, 4, 0, 0, // Skip to: 62
/* 58 */      MCD::OPC_Decode, 212, 4, 0, // Opcode: CTO_D
/* 62 */      MCD::OPC_FilterValue, 11, 4, 0, 0, // Skip to: 71
/* 67 */      MCD::OPC_Decode, 214, 4, 0, // Opcode: CTZ_D
/* 71 */      MCD::OPC_FilterValue, 13, 4, 0, 0, // Skip to: 80
/* 76 */      MCD::OPC_Decode, 246, 6, 0, // Opcode: REVB_4H
/* 80 */      MCD::OPC_FilterValue, 14, 4, 0, 0, // Skip to: 89
/* 85 */      MCD::OPC_Decode, 244, 6, 0, // Opcode: REVB_2W
/* 89 */      MCD::OPC_FilterValue, 15, 4, 0, 0, // Skip to: 98
/* 94 */      MCD::OPC_Decode, 247, 6, 0, // Opcode: REVB_D
/* 98 */      MCD::OPC_FilterValue, 16, 4, 0, 0, // Skip to: 107
/* 103 */     MCD::OPC_Decode, 248, 6, 0, // Opcode: REVH_2W
/* 107 */     MCD::OPC_FilterValue, 17, 4, 0, 0, // Skip to: 116
/* 112 */     MCD::OPC_Decode, 250, 6, 0, // Opcode: REVH_D
/* 116 */     MCD::OPC_FilterValue, 19, 4, 0, 0, // Skip to: 125
/* 121 */     MCD::OPC_Decode, 172, 4, 0, // Opcode: BITREV_8B
/* 125 */     MCD::OPC_FilterValue, 21, 4, 0, 0, // Skip to: 134
/* 130 */     MCD::OPC_Decode, 173, 4, 0, // Opcode: BITREV_D
/* 134 */     MCD::OPC_FilterValue, 22, 4, 0, 0, // Skip to: 143
/* 139 */     MCD::OPC_Decode, 225, 4, 0, // Opcode: EXT_W_H
/* 143 */     MCD::OPC_FilterValue, 23, 4, 0, 0, // Skip to: 152
/* 148 */     MCD::OPC_Decode, 223, 4, 0, // Opcode: EXT_W_B
/* 152 */     MCD::OPC_FilterValue, 24, 4, 0, 0, // Skip to: 161
/* 157 */     MCD::OPC_Decode, 240, 6, 0, // Opcode: RDTIMEL_W
/* 161 */     MCD::OPC_FilterValue, 25, 4, 0, 0, // Skip to: 170
/* 166 */     MCD::OPC_Decode, 238, 6, 0, // Opcode: RDTIMEH_W
/* 170 */     MCD::OPC_FilterValue, 26, 198, 80, 0, // Skip to: 20853
/* 175 */     MCD::OPC_Decode, 242, 6, 0, // Opcode: RDTIME_D
/* 179 */     MCD::OPC_FilterValue, 2, 11, 0, 0, // Skip to: 195
/* 184 */     MCD::OPC_CheckField, 0, 5, 0, 182, 80, 0, // Skip to: 20853
/* 191 */     MCD::OPC_Decode, 158, 4, 1, // Opcode: ASRTLE_D
/* 195 */     MCD::OPC_FilterValue, 3, 173, 80, 0, // Skip to: 20853
/* 200 */     MCD::OPC_CheckField, 0, 5, 0, 166, 80, 0, // Skip to: 20853
/* 207 */     MCD::OPC_Decode, 157, 4, 1, // Opcode: ASRTGT_D
/* 211 */     MCD::OPC_FilterValue, 1, 11, 0, 0, // Skip to: 227
/* 216 */     MCD::OPC_CheckField, 17, 1, 1, 150, 80, 0, // Skip to: 20853
/* 223 */     MCD::OPC_Decode, 242, 3, 2, // Opcode: ALSL_WU
/* 227 */     MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 236
/* 232 */     MCD::OPC_Decode, 189, 4, 3, // Opcode: BYTEPICK_D
/* 236 */     MCD::OPC_FilterValue, 4, 57, 0, 0, // Skip to: 298
/* 241 */     MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 244 */     MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 253
/* 249 */     MCD::OPC_Decode, 237, 3, 4, // Opcode: ADD_D
/* 253 */     MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 262
/* 258 */     MCD::OPC_Decode, 178, 7, 4, // Opcode: SUB_D
/* 262 */     MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 271
/* 267 */     MCD::OPC_Decode, 136, 7, 5, // Opcode: SLT
/* 271 */     MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 280
/* 276 */     MCD::OPC_Decode, 140, 7, 5, // Opcode: SLTU
/* 280 */     MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 289
/* 285 */     MCD::OPC_Decode, 182, 6, 4, // Opcode: MASKEQZ
/* 289 */     MCD::OPC_FilterValue, 7, 79, 80, 0, // Skip to: 20853
/* 294 */     MCD::OPC_Decode, 184, 6, 4, // Opcode: MASKNEZ
/* 298 */     MCD::OPC_FilterValue, 5, 57, 0, 0, // Skip to: 360
/* 303 */     MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 306 */     MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 315
/* 311 */     MCD::OPC_Decode, 215, 6, 4, // Opcode: NOR
/* 315 */     MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 324
/* 320 */     MCD::OPC_Decode, 151, 4, 4, // Opcode: AND
/* 324 */     MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 333
/* 329 */     MCD::OPC_Decode, 217, 6, 4, // Opcode: OR
/* 333 */     MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 342
/* 338 */     MCD::OPC_Decode, 193, 13, 4, // Opcode: XOR
/* 342 */     MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 351
/* 347 */     MCD::OPC_Decode, 223, 6, 4, // Opcode: ORN
/* 351 */     MCD::OPC_FilterValue, 5, 17, 80, 0, // Skip to: 20853
/* 356 */     MCD::OPC_Decode, 155, 4, 4, // Opcode: ANDN
/* 360 */     MCD::OPC_FilterValue, 6, 39, 0, 0, // Skip to: 404
/* 365 */     MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 368 */     MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 377
/* 373 */     MCD::OPC_Decode, 134, 7, 6, // Opcode: SLL_D
/* 377 */     MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 386
/* 382 */     MCD::OPC_Decode, 151, 7, 6, // Opcode: SRL_D
/* 386 */     MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 395
/* 391 */     MCD::OPC_Decode, 147, 7, 6, // Opcode: SRA_D
/* 395 */     MCD::OPC_FilterValue, 7, 229, 79, 0, // Skip to: 20853
/* 400 */     MCD::OPC_Decode, 253, 6, 6, // Opcode: ROTR_D
/* 404 */     MCD::OPC_FilterValue, 7, 48, 0, 0, // Skip to: 457
/* 409 */     MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 412 */     MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 421
/* 417 */     MCD::OPC_Decode, 213, 6, 4, // Opcode: MUL_D
/* 421 */     MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 430
/* 426 */     MCD::OPC_Decode, 207, 6, 4, // Opcode: MULH_D
/* 430 */     MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 439
/* 435 */     MCD::OPC_Decode, 208, 6, 4, // Opcode: MULH_DU
/* 439 */     MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 448
/* 444 */     MCD::OPC_Decode, 211, 6, 4, // Opcode: MULW_D_W
/* 448 */     MCD::OPC_FilterValue, 7, 176, 79, 0, // Skip to: 20853
/* 453 */     MCD::OPC_Decode, 212, 6, 4, // Opcode: MULW_D_WU
/* 457 */     MCD::OPC_FilterValue, 8, 39, 0, 0, // Skip to: 501
/* 462 */     MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 465 */     MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 474
/* 470 */     MCD::OPC_Decode, 218, 4, 4, // Opcode: DIV_D
/* 474 */     MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 483
/* 479 */     MCD::OPC_Decode, 186, 6, 4, // Opcode: MOD_D
/* 483 */     MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 492
/* 488 */     MCD::OPC_Decode, 219, 4, 4, // Opcode: DIV_DU
/* 492 */     MCD::OPC_FilterValue, 7, 132, 79, 0, // Skip to: 20853
/* 497 */     MCD::OPC_Decode, 187, 6, 4, // Opcode: MOD_DU
/* 501 */     MCD::OPC_FilterValue, 9, 21, 0, 0, // Skip to: 527
/* 506 */     MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 509 */     MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 518
/* 514 */     MCD::OPC_Decode, 203, 4, 7, // Opcode: CRC_W_D_W
/* 518 */     MCD::OPC_FilterValue, 7, 106, 79, 0, // Skip to: 20853
/* 523 */     MCD::OPC_Decode, 199, 4, 7, // Opcode: CRCC_W_D_W
/* 527 */     MCD::OPC_FilterValue, 10, 21, 0, 0, // Skip to: 553
/* 532 */     MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 535 */     MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 544
/* 540 */     MCD::OPC_Decode, 217, 4, 8, // Opcode: DBCL
/* 544 */     MCD::OPC_FilterValue, 7, 80, 79, 0, // Skip to: 20853
/* 549 */     MCD::OPC_Decode, 234, 5, 8, // Opcode: HYPCALL
/* 553 */     MCD::OPC_FilterValue, 11, 71, 79, 0, // Skip to: 20853
/* 558 */     MCD::OPC_CheckField, 17, 1, 0, 64, 79, 0, // Skip to: 20853
/* 565 */     MCD::OPC_Decode, 240, 3, 9, // Opcode: ALSL_D
/* 569 */     MCD::OPC_FilterValue, 1, 39, 0, 0, // Skip to: 613
/* 574 */     MCD::OPC_ExtractField, 16, 6,  // Inst{21-16} ...
/* 577 */     MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 586
/* 582 */     MCD::OPC_Decode, 129, 7, 10, // Opcode: SLLI_D
/* 586 */     MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 595
/* 591 */     MCD::OPC_Decode, 149, 7, 10, // Opcode: SRLI_D
/* 595 */     MCD::OPC_FilterValue, 9, 4, 0, 0, // Skip to: 604
/* 600 */     MCD::OPC_Decode, 145, 7, 10, // Opcode: SRAI_D
/* 604 */     MCD::OPC_FilterValue, 13, 20, 79, 0, // Skip to: 20853
/* 609 */     MCD::OPC_Decode, 251, 6, 10, // Opcode: ROTRI_D
/* 613 */     MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 622
/* 618 */     MCD::OPC_Decode, 185, 4, 11, // Opcode: BSTRINS_D
/* 622 */     MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 631
/* 627 */     MCD::OPC_Decode, 187, 4, 12, // Opcode: BSTRPICK_D
/* 631 */     MCD::OPC_FilterValue, 4, 11, 3, 0, // Skip to: 1415
/* 636 */     MCD::OPC_ExtractField, 15, 7,  // Inst{21-15} ...
/* 639 */     MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 648
/* 644 */     MCD::OPC_Decode, 230, 4, 13, // Opcode: FADD_S
/* 648 */     MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 657
/* 653 */     MCD::OPC_Decode, 229, 4, 14, // Opcode: FADD_D
/* 657 */     MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 666
/* 662 */     MCD::OPC_Decode, 214, 5, 13, // Opcode: FSUB_S
/* 666 */     MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 675
/* 671 */     MCD::OPC_Decode, 213, 5, 14, // Opcode: FSUB_D
/* 675 */     MCD::OPC_FilterValue, 9, 4, 0, 0, // Skip to: 684
/* 680 */     MCD::OPC_Decode, 186, 5, 13, // Opcode: FMUL_S
/* 684 */     MCD::OPC_FilterValue, 10, 4, 0, 0, // Skip to: 693
/* 689 */     MCD::OPC_Decode, 185, 5, 14, // Opcode: FMUL_D
/* 693 */     MCD::OPC_FilterValue, 13, 4, 0, 0, // Skip to: 702
/* 698 */     MCD::OPC_Decode, 156, 5, 13, // Opcode: FDIV_S
/* 702 */     MCD::OPC_FilterValue, 14, 4, 0, 0, // Skip to: 711
/* 707 */     MCD::OPC_Decode, 155, 5, 14, // Opcode: FDIV_D
/* 711 */     MCD::OPC_FilterValue, 17, 4, 0, 0, // Skip to: 720
/* 716 */     MCD::OPC_Decode, 176, 5, 13, // Opcode: FMAX_S
/* 720 */     MCD::OPC_FilterValue, 18, 4, 0, 0, // Skip to: 729
/* 725 */     MCD::OPC_Decode, 175, 5, 14, // Opcode: FMAX_D
/* 729 */     MCD::OPC_FilterValue, 21, 4, 0, 0, // Skip to: 738
/* 734 */     MCD::OPC_Decode, 180, 5, 13, // Opcode: FMIN_S
/* 738 */     MCD::OPC_FilterValue, 22, 4, 0, 0, // Skip to: 747
/* 743 */     MCD::OPC_Decode, 179, 5, 14, // Opcode: FMIN_D
/* 747 */     MCD::OPC_FilterValue, 25, 4, 0, 0, // Skip to: 756
/* 752 */     MCD::OPC_Decode, 174, 5, 13, // Opcode: FMAXA_S
/* 756 */     MCD::OPC_FilterValue, 26, 4, 0, 0, // Skip to: 765
/* 761 */     MCD::OPC_Decode, 173, 5, 14, // Opcode: FMAXA_D
/* 765 */     MCD::OPC_FilterValue, 29, 4, 0, 0, // Skip to: 774
/* 770 */     MCD::OPC_Decode, 178, 5, 13, // Opcode: FMINA_S
/* 774 */     MCD::OPC_FilterValue, 30, 4, 0, 0, // Skip to: 783
/* 779 */     MCD::OPC_Decode, 177, 5, 14, // Opcode: FMINA_D
/* 783 */     MCD::OPC_FilterValue, 33, 4, 0, 0, // Skip to: 792
/* 788 */     MCD::OPC_Decode, 200, 5, 13, // Opcode: FSCALEB_S
/* 792 */     MCD::OPC_FilterValue, 34, 4, 0, 0, // Skip to: 801
/* 797 */     MCD::OPC_Decode, 199, 5, 14, // Opcode: FSCALEB_D
/* 801 */     MCD::OPC_FilterValue, 37, 4, 0, 0, // Skip to: 810
/* 806 */     MCD::OPC_Decode, 152, 5, 13, // Opcode: FCOPYSIGN_S
/* 810 */     MCD::OPC_FilterValue, 38, 4, 0, 0, // Skip to: 819
/* 815 */     MCD::OPC_Decode, 151, 5, 14, // Opcode: FCOPYSIGN_D
/* 819 */     MCD::OPC_FilterValue, 40, 129, 0, 0, // Skip to: 953
/* 824 */     MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 827 */     MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 836
/* 832 */     MCD::OPC_Decode, 228, 4, 15, // Opcode: FABS_S
/* 836 */     MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 845
/* 841 */     MCD::OPC_Decode, 227, 4, 16, // Opcode: FABS_D
/* 845 */     MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 854
/* 850 */     MCD::OPC_Decode, 188, 5, 15, // Opcode: FNEG_S
/* 854 */     MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 863
/* 859 */     MCD::OPC_Decode, 187, 5, 16, // Opcode: FNEG_D
/* 863 */     MCD::OPC_FilterValue, 9, 4, 0, 0, // Skip to: 872
/* 868 */     MCD::OPC_Decode, 170, 5, 15, // Opcode: FLOGB_S
/* 872 */     MCD::OPC_FilterValue, 10, 4, 0, 0, // Skip to: 881
/* 877 */     MCD::OPC_Decode, 169, 5, 16, // Opcode: FLOGB_D
/* 881 */     MCD::OPC_FilterValue, 13, 4, 0, 0, // Skip to: 890
/* 886 */     MCD::OPC_Decode, 232, 4, 15, // Opcode: FCLASS_S
/* 890 */     MCD::OPC_FilterValue, 14, 4, 0, 0, // Skip to: 899
/* 895 */     MCD::OPC_Decode, 231, 4, 16, // Opcode: FCLASS_D
/* 899 */     MCD::OPC_FilterValue, 17, 4, 0, 0, // Skip to: 908
/* 904 */     MCD::OPC_Decode, 204, 5, 15, // Opcode: FSQRT_S
/* 908 */     MCD::OPC_FilterValue, 18, 4, 0, 0, // Skip to: 917
/* 913 */     MCD::OPC_Decode, 203, 5, 16, // Opcode: FSQRT_D
/* 917 */     MCD::OPC_FilterValue, 21, 4, 0, 0, // Skip to: 926
/* 922 */     MCD::OPC_Decode, 194, 5, 15, // Opcode: FRECIP_S
/* 926 */     MCD::OPC_FilterValue, 22, 4, 0, 0, // Skip to: 935
/* 931 */     MCD::OPC_Decode, 193, 5, 16, // Opcode: FRECIP_D
/* 935 */     MCD::OPC_FilterValue, 25, 4, 0, 0, // Skip to: 944
/* 940 */     MCD::OPC_Decode, 198, 5, 15, // Opcode: FRSQRT_S
/* 944 */     MCD::OPC_FilterValue, 26, 192, 77, 0, // Skip to: 20853
/* 949 */     MCD::OPC_Decode, 197, 5, 16, // Opcode: FRSQRT_D
/* 953 */     MCD::OPC_FilterValue, 41, 157, 0, 0, // Skip to: 1115
/* 958 */     MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 961 */     MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 970
/* 966 */     MCD::OPC_Decode, 182, 5, 15, // Opcode: FMOV_S
/* 970 */     MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 979
/* 975 */     MCD::OPC_Decode, 181, 5, 16, // Opcode: FMOV_D
/* 979 */     MCD::OPC_FilterValue, 9, 4, 0, 0, // Skip to: 988
/* 984 */     MCD::OPC_Decode, 206, 6, 17, // Opcode: MOVGR2FR_W
/* 988 */     MCD::OPC_FilterValue, 10, 4, 0, 0, // Skip to: 997
/* 993 */     MCD::OPC_Decode, 205, 6, 18, // Opcode: MOVGR2FR_D
/* 997 */     MCD::OPC_FilterValue, 11, 4, 0, 0, // Skip to: 1006
/* 1002 */    MCD::OPC_Decode, 204, 6, 19, // Opcode: MOVGR2FRH_W
/* 1006 */    MCD::OPC_FilterValue, 13, 4, 0, 0, // Skip to: 1015
/* 1011 */    MCD::OPC_Decode, 199, 6, 20, // Opcode: MOVFR2GR_S
/* 1015 */    MCD::OPC_FilterValue, 14, 4, 0, 0, // Skip to: 1024
/* 1020 */    MCD::OPC_Decode, 197, 6, 21, // Opcode: MOVFR2GR_D
/* 1024 */    MCD::OPC_FilterValue, 15, 4, 0, 0, // Skip to: 1033
/* 1029 */    MCD::OPC_Decode, 200, 6, 20, // Opcode: MOVFRH2GR_S
/* 1033 */    MCD::OPC_FilterValue, 16, 4, 0, 0, // Skip to: 1042
/* 1038 */    MCD::OPC_Decode, 203, 6, 22, // Opcode: MOVGR2FCSR
/* 1042 */    MCD::OPC_FilterValue, 18, 4, 0, 0, // Skip to: 1051
/* 1047 */    MCD::OPC_Decode, 194, 6, 23, // Opcode: MOVFCSR2GR
/* 1051 */    MCD::OPC_FilterValue, 20, 11, 0, 0, // Skip to: 1067
/* 1056 */    MCD::OPC_CheckField, 3, 2, 0, 78, 77, 0, // Skip to: 20853
/* 1063 */    MCD::OPC_Decode, 195, 6, 24, // Opcode: MOVFR2CF
/* 1067 */    MCD::OPC_FilterValue, 21, 11, 0, 0, // Skip to: 1083
/* 1072 */    MCD::OPC_CheckField, 8, 2, 0, 62, 77, 0, // Skip to: 20853
/* 1079 */    MCD::OPC_Decode, 190, 6, 25, // Opcode: MOVCF2FR
/* 1083 */    MCD::OPC_FilterValue, 22, 11, 0, 0, // Skip to: 1099
/* 1088 */    MCD::OPC_CheckField, 3, 2, 0, 46, 77, 0, // Skip to: 20853
/* 1095 */    MCD::OPC_Decode, 201, 6, 26, // Opcode: MOVGR2CF
/* 1099 */    MCD::OPC_FilterValue, 23, 37, 77, 0, // Skip to: 20853
/* 1104 */    MCD::OPC_CheckField, 8, 2, 0, 30, 77, 0, // Skip to: 20853
/* 1111 */    MCD::OPC_Decode, 192, 6, 27, // Opcode: MOVCF2GR
/* 1115 */    MCD::OPC_FilterValue, 50, 21, 0, 0, // Skip to: 1141
/* 1120 */    MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 1123 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 1132
/* 1128 */    MCD::OPC_Decode, 154, 5, 28, // Opcode: FCVT_S_D
/* 1132 */    MCD::OPC_FilterValue, 9, 4, 77, 0, // Skip to: 20853
/* 1137 */    MCD::OPC_Decode, 153, 5, 29, // Opcode: FCVT_D_S
/* 1141 */    MCD::OPC_FilterValue, 52, 75, 0, 0, // Skip to: 1221
/* 1146 */    MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 1149 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 1158
/* 1154 */    MCD::OPC_Decode, 218, 5, 15, // Opcode: FTINTRM_W_S
/* 1158 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 1167
/* 1163 */    MCD::OPC_Decode, 217, 5, 16, // Opcode: FTINTRM_W_D
/* 1167 */    MCD::OPC_FilterValue, 9, 4, 0, 0, // Skip to: 1176
/* 1172 */    MCD::OPC_Decode, 216, 5, 15, // Opcode: FTINTRM_L_S
/* 1176 */    MCD::OPC_FilterValue, 10, 4, 0, 0, // Skip to: 1185
/* 1181 */    MCD::OPC_Decode, 215, 5, 16, // Opcode: FTINTRM_L_D
/* 1185 */    MCD::OPC_FilterValue, 17, 4, 0, 0, // Skip to: 1194
/* 1190 */    MCD::OPC_Decode, 226, 5, 15, // Opcode: FTINTRP_W_S
/* 1194 */    MCD::OPC_FilterValue, 18, 4, 0, 0, // Skip to: 1203
/* 1199 */    MCD::OPC_Decode, 225, 5, 16, // Opcode: FTINTRP_W_D
/* 1203 */    MCD::OPC_FilterValue, 25, 4, 0, 0, // Skip to: 1212
/* 1208 */    MCD::OPC_Decode, 224, 5, 15, // Opcode: FTINTRP_L_S
/* 1212 */    MCD::OPC_FilterValue, 26, 180, 76, 0, // Skip to: 20853
/* 1217 */    MCD::OPC_Decode, 223, 5, 16, // Opcode: FTINTRP_L_D
/* 1221 */    MCD::OPC_FilterValue, 53, 75, 0, 0, // Skip to: 1301
/* 1226 */    MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 1229 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 1238
/* 1234 */    MCD::OPC_Decode, 229, 5, 15, // Opcode: FTINTRZ_W_S
/* 1238 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 1247
/* 1243 */    MCD::OPC_Decode, 187, 7, 28, // Opcode: TRUNC_W_D
/* 1247 */    MCD::OPC_FilterValue, 9, 4, 0, 0, // Skip to: 1256
/* 1252 */    MCD::OPC_Decode, 228, 5, 29, // Opcode: FTINTRZ_L_S
/* 1256 */    MCD::OPC_FilterValue, 10, 4, 0, 0, // Skip to: 1265
/* 1261 */    MCD::OPC_Decode, 227, 5, 16, // Opcode: FTINTRZ_L_D
/* 1265 */    MCD::OPC_FilterValue, 17, 4, 0, 0, // Skip to: 1274
/* 1270 */    MCD::OPC_Decode, 222, 5, 15, // Opcode: FTINTRNE_W_S
/* 1274 */    MCD::OPC_FilterValue, 18, 4, 0, 0, // Skip to: 1283
/* 1279 */    MCD::OPC_Decode, 221, 5, 16, // Opcode: FTINTRNE_W_D
/* 1283 */    MCD::OPC_FilterValue, 25, 4, 0, 0, // Skip to: 1292
/* 1288 */    MCD::OPC_Decode, 220, 5, 15, // Opcode: FTINTRNE_L_S
/* 1292 */    MCD::OPC_FilterValue, 26, 100, 76, 0, // Skip to: 20853
/* 1297 */    MCD::OPC_Decode, 219, 5, 16, // Opcode: FTINTRNE_L_D
/* 1301 */    MCD::OPC_FilterValue, 54, 39, 0, 0, // Skip to: 1345
/* 1306 */    MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 1309 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 1318
/* 1314 */    MCD::OPC_Decode, 233, 5, 15, // Opcode: FTINT_W_S
/* 1318 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 1327
/* 1323 */    MCD::OPC_Decode, 232, 5, 28, // Opcode: FTINT_W_D
/* 1327 */    MCD::OPC_FilterValue, 9, 4, 0, 0, // Skip to: 1336
/* 1332 */    MCD::OPC_Decode, 231, 5, 29, // Opcode: FTINT_L_S
/* 1336 */    MCD::OPC_FilterValue, 10, 56, 76, 0, // Skip to: 20853
/* 1341 */    MCD::OPC_Decode, 230, 5, 16, // Opcode: FTINT_L_D
/* 1345 */    MCD::OPC_FilterValue, 58, 39, 0, 0, // Skip to: 1389
/* 1350 */    MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 1353 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 1362
/* 1358 */    MCD::OPC_Decode, 160, 5, 15, // Opcode: FFINT_S_W
/* 1362 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 1371
/* 1367 */    MCD::OPC_Decode, 159, 5, 28, // Opcode: FFINT_S_L
/* 1371 */    MCD::OPC_FilterValue, 8, 4, 0, 0, // Skip to: 1380
/* 1376 */    MCD::OPC_Decode, 158, 5, 29, // Opcode: FFINT_D_W
/* 1380 */    MCD::OPC_FilterValue, 10, 12, 76, 0, // Skip to: 20853
/* 1385 */    MCD::OPC_Decode, 157, 5, 16, // Opcode: FFINT_D_L
/* 1389 */    MCD::OPC_FilterValue, 60, 3, 76, 0, // Skip to: 20853
/* 1394 */    MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 1397 */    MCD::OPC_FilterValue, 17, 4, 0, 0, // Skip to: 1406
/* 1402 */    MCD::OPC_Decode, 196, 5, 15, // Opcode: FRINT_S
/* 1406 */    MCD::OPC_FilterValue, 18, 242, 75, 0, // Skip to: 20853
/* 1411 */    MCD::OPC_Decode, 195, 5, 16, // Opcode: FRINT_D
/* 1415 */    MCD::OPC_FilterValue, 8, 4, 0, 0, // Skip to: 1424
/* 1420 */    MCD::OPC_Decode, 138, 7, 30, // Opcode: SLTI
/* 1424 */    MCD::OPC_FilterValue, 9, 4, 0, 0, // Skip to: 1433
/* 1429 */    MCD::OPC_Decode, 142, 7, 30, // Opcode: SLTUI
/* 1433 */    MCD::OPC_FilterValue, 10, 4, 0, 0, // Skip to: 1442
/* 1438 */    MCD::OPC_Decode, 235, 3, 31, // Opcode: ADDI_W64
/* 1442 */    MCD::OPC_FilterValue, 11, 4, 0, 0, // Skip to: 1451
/* 1447 */    MCD::OPC_Decode, 231, 3, 31, // Opcode: ADDI_D
/* 1451 */    MCD::OPC_FilterValue, 12, 4, 0, 0, // Skip to: 1460
/* 1456 */    MCD::OPC_Decode, 179, 6, 31, // Opcode: LU52I_D
/* 1460 */    MCD::OPC_FilterValue, 13, 4, 0, 0, // Skip to: 1469
/* 1465 */    MCD::OPC_Decode, 153, 4, 32, // Opcode: ANDI
/* 1469 */    MCD::OPC_FilterValue, 14, 4, 0, 0, // Skip to: 1478
/* 1474 */    MCD::OPC_Decode, 219, 6, 32, // Opcode: ORI
/* 1478 */    MCD::OPC_FilterValue, 15, 170, 75, 0, // Skip to: 20853
/* 1483 */    MCD::OPC_Decode, 195, 13, 32, // Opcode: XORI
/* 1487 */    MCD::OPC_FilterValue, 1, 18, 1, 0, // Skip to: 1766
/* 1492 */    MCD::OPC_ExtractField, 24, 2,  // Inst{25-24} ...
/* 1495 */    MCD::OPC_FilterValue, 0, 25, 0, 0, // Skip to: 1525
/* 1500 */    MCD::OPC_ExtractField, 5, 5,  // Inst{9-5} ...
/* 1503 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 1512
/* 1508 */    MCD::OPC_Decode, 206, 4, 33, // Opcode: CSRRD
/* 1512 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 1521
/* 1517 */    MCD::OPC_Decode, 208, 4, 34, // Opcode: CSRWR
/* 1521 */    MCD::OPC_Decode, 210, 4, 35, // Opcode: CSRXCHG
/* 1525 */    MCD::OPC_FilterValue, 2, 123, 75, 0, // Skip to: 20853
/* 1530 */    MCD::OPC_ExtractField, 22, 2,  // Inst{23-22} ...
/* 1533 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 1542
/* 1538 */    MCD::OPC_Decode, 191, 4, 36, // Opcode: CACOP
/* 1542 */    MCD::OPC_FilterValue, 1, 106, 75, 0, // Skip to: 20853
/* 1547 */    MCD::OPC_ExtractField, 18, 4,  // Inst{21-18} ...
/* 1550 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 1559
/* 1555 */    MCD::OPC_Decode, 254, 5, 37, // Opcode: LDDIR
/* 1559 */    MCD::OPC_FilterValue, 1, 11, 0, 0, // Skip to: 1575
/* 1564 */    MCD::OPC_CheckField, 0, 5, 0, 82, 75, 0, // Skip to: 20853
/* 1571 */    MCD::OPC_Decode, 136, 6, 38, // Opcode: LDPTE
/* 1575 */    MCD::OPC_FilterValue, 2, 73, 75, 0, // Skip to: 20853
/* 1580 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 1583 */    MCD::OPC_FilterValue, 0, 160, 0, 0, // Skip to: 1748
/* 1588 */    MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 1591 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 1600
/* 1596 */    MCD::OPC_Decode, 238, 5, 0, // Opcode: IOCSRRD_B
/* 1600 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 1609
/* 1605 */    MCD::OPC_Decode, 241, 5, 0, // Opcode: IOCSRRD_H
/* 1609 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 1618
/* 1614 */    MCD::OPC_Decode, 243, 5, 0, // Opcode: IOCSRRD_W
/* 1618 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 1627
/* 1623 */    MCD::OPC_Decode, 240, 5, 39, // Opcode: IOCSRRD_D
/* 1627 */    MCD::OPC_FilterValue, 7, 4, 0, 0, // Skip to: 1636
/* 1632 */    MCD::OPC_Decode, 246, 5, 39, // Opcode: IOCSRWR_D
/* 1636 */    MCD::OPC_FilterValue, 8, 11, 0, 0, // Skip to: 1652
/* 1641 */    MCD::OPC_CheckField, 0, 10, 0, 5, 75, 0, // Skip to: 20853
/* 1648 */    MCD::OPC_Decode, 181, 7, 40, // Opcode: TLBCLR
/* 1652 */    MCD::OPC_FilterValue, 9, 11, 0, 0, // Skip to: 1668
/* 1657 */    MCD::OPC_CheckField, 0, 10, 0, 245, 74, 0, // Skip to: 20853
/* 1664 */    MCD::OPC_Decode, 183, 7, 40, // Opcode: TLBFLUSH
/* 1668 */    MCD::OPC_FilterValue, 10, 11, 0, 0, // Skip to: 1684
/* 1673 */    MCD::OPC_CheckField, 0, 10, 0, 229, 74, 0, // Skip to: 20853
/* 1680 */    MCD::OPC_Decode, 185, 7, 40, // Opcode: TLBSRCH
/* 1684 */    MCD::OPC_FilterValue, 11, 11, 0, 0, // Skip to: 1700
/* 1689 */    MCD::OPC_CheckField, 0, 10, 0, 213, 74, 0, // Skip to: 20853
/* 1696 */    MCD::OPC_Decode, 184, 7, 40, // Opcode: TLBRD
/* 1700 */    MCD::OPC_FilterValue, 12, 11, 0, 0, // Skip to: 1716
/* 1705 */    MCD::OPC_CheckField, 0, 10, 0, 197, 74, 0, // Skip to: 20853
/* 1712 */    MCD::OPC_Decode, 186, 7, 40, // Opcode: TLBWR
/* 1716 */    MCD::OPC_FilterValue, 13, 11, 0, 0, // Skip to: 1732
/* 1721 */    MCD::OPC_CheckField, 0, 10, 0, 181, 74, 0, // Skip to: 20853
/* 1728 */    MCD::OPC_Decode, 182, 7, 40, // Opcode: TLBFILL
/* 1732 */    MCD::OPC_FilterValue, 14, 172, 74, 0, // Skip to: 20853
/* 1737 */    MCD::OPC_CheckField, 0, 10, 0, 165, 74, 0, // Skip to: 20853
/* 1744 */    MCD::OPC_Decode, 222, 4, 40, // Opcode: ERTN
/* 1748 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 1757
/* 1753 */    MCD::OPC_Decode, 236, 5, 8, // Opcode: IDLE
/* 1757 */    MCD::OPC_FilterValue, 3, 147, 74, 0, // Skip to: 20853
/* 1762 */    MCD::OPC_Decode, 237, 5, 41, // Opcode: INVTLB
/* 1766 */    MCD::OPC_FilterValue, 2, 219, 0, 0, // Skip to: 1990
/* 1771 */    MCD::OPC_ExtractField, 20, 6,  // Inst{25-20} ...
/* 1774 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 1783
/* 1779 */    MCD::OPC_Decode, 172, 5, 42, // Opcode: FMADD_S
/* 1783 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 1792
/* 1788 */    MCD::OPC_Decode, 171, 5, 43, // Opcode: FMADD_D
/* 1792 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 1801
/* 1797 */    MCD::OPC_Decode, 184, 5, 42, // Opcode: FMSUB_S
/* 1801 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 1810
/* 1806 */    MCD::OPC_Decode, 183, 5, 43, // Opcode: FMSUB_D
/* 1810 */    MCD::OPC_FilterValue, 9, 4, 0, 0, // Skip to: 1819
/* 1815 */    MCD::OPC_Decode, 190, 5, 42, // Opcode: FNMADD_S
/* 1819 */    MCD::OPC_FilterValue, 10, 4, 0, 0, // Skip to: 1828
/* 1824 */    MCD::OPC_Decode, 189, 5, 43, // Opcode: FNMADD_D
/* 1828 */    MCD::OPC_FilterValue, 13, 4, 0, 0, // Skip to: 1837
/* 1833 */    MCD::OPC_Decode, 192, 5, 42, // Opcode: FNMSUB_S
/* 1837 */    MCD::OPC_FilterValue, 14, 4, 0, 0, // Skip to: 1846
/* 1842 */    MCD::OPC_Decode, 191, 5, 43, // Opcode: FNMSUB_D
/* 1846 */    MCD::OPC_FilterValue, 17, 4, 0, 0, // Skip to: 1855
/* 1851 */    MCD::OPC_Decode, 134, 9, 44, // Opcode: VFMADD_S
/* 1855 */    MCD::OPC_FilterValue, 18, 4, 0, 0, // Skip to: 1864
/* 1860 */    MCD::OPC_Decode, 133, 9, 45, // Opcode: VFMADD_D
/* 1864 */    MCD::OPC_FilterValue, 21, 4, 0, 0, // Skip to: 1873
/* 1869 */    MCD::OPC_Decode, 144, 9, 44, // Opcode: VFMSUB_S
/* 1873 */    MCD::OPC_FilterValue, 22, 4, 0, 0, // Skip to: 1882
/* 1878 */    MCD::OPC_Decode, 143, 9, 45, // Opcode: VFMSUB_D
/* 1882 */    MCD::OPC_FilterValue, 25, 4, 0, 0, // Skip to: 1891
/* 1887 */    MCD::OPC_Decode, 148, 9, 44, // Opcode: VFNMADD_S
/* 1891 */    MCD::OPC_FilterValue, 26, 4, 0, 0, // Skip to: 1900
/* 1896 */    MCD::OPC_Decode, 147, 9, 45, // Opcode: VFNMADD_D
/* 1900 */    MCD::OPC_FilterValue, 29, 4, 0, 0, // Skip to: 1909
/* 1905 */    MCD::OPC_Decode, 150, 9, 44, // Opcode: VFNMSUB_S
/* 1909 */    MCD::OPC_FilterValue, 30, 4, 0, 0, // Skip to: 1918
/* 1914 */    MCD::OPC_Decode, 149, 9, 45, // Opcode: VFNMSUB_D
/* 1918 */    MCD::OPC_FilterValue, 33, 4, 0, 0, // Skip to: 1927
/* 1923 */    MCD::OPC_Decode, 135, 15, 46, // Opcode: XVFMADD_S
/* 1927 */    MCD::OPC_FilterValue, 34, 4, 0, 0, // Skip to: 1936
/* 1932 */    MCD::OPC_Decode, 134, 15, 47, // Opcode: XVFMADD_D
/* 1936 */    MCD::OPC_FilterValue, 37, 4, 0, 0, // Skip to: 1945
/* 1941 */    MCD::OPC_Decode, 145, 15, 46, // Opcode: XVFMSUB_S
/* 1945 */    MCD::OPC_FilterValue, 38, 4, 0, 0, // Skip to: 1954
/* 1950 */    MCD::OPC_Decode, 144, 15, 47, // Opcode: XVFMSUB_D
/* 1954 */    MCD::OPC_FilterValue, 41, 4, 0, 0, // Skip to: 1963
/* 1959 */    MCD::OPC_Decode, 149, 15, 46, // Opcode: XVFNMADD_S
/* 1963 */    MCD::OPC_FilterValue, 42, 4, 0, 0, // Skip to: 1972
/* 1968 */    MCD::OPC_Decode, 148, 15, 47, // Opcode: XVFNMADD_D
/* 1972 */    MCD::OPC_FilterValue, 45, 4, 0, 0, // Skip to: 1981
/* 1977 */    MCD::OPC_Decode, 151, 15, 46, // Opcode: XVFNMSUB_S
/* 1981 */    MCD::OPC_FilterValue, 46, 179, 73, 0, // Skip to: 20853
/* 1986 */    MCD::OPC_Decode, 150, 15, 47, // Opcode: XVFNMSUB_D
/* 1990 */    MCD::OPC_FilterValue, 3, 63, 6, 0, // Skip to: 3594
/* 1995 */    MCD::OPC_ExtractField, 20, 6,  // Inst{25-20} ...
/* 1998 */    MCD::OPC_FilterValue, 1, 99, 1, 0, // Skip to: 2358
/* 2003 */    MCD::OPC_ExtractField, 15, 5,  // Inst{19-15} ...
/* 2006 */    MCD::OPC_FilterValue, 0, 11, 0, 0, // Skip to: 2022
/* 2011 */    MCD::OPC_CheckField, 3, 2, 0, 147, 73, 0, // Skip to: 20853
/* 2018 */    MCD::OPC_Decode, 234, 4, 48, // Opcode: FCMP_CAF_S
/* 2022 */    MCD::OPC_FilterValue, 1, 11, 0, 0, // Skip to: 2038
/* 2027 */    MCD::OPC_CheckField, 3, 2, 0, 131, 73, 0, // Skip to: 20853
/* 2034 */    MCD::OPC_Decode, 130, 5, 48, // Opcode: FCMP_SAF_S
/* 2038 */    MCD::OPC_FilterValue, 2, 11, 0, 0, // Skip to: 2054
/* 2043 */    MCD::OPC_CheckField, 3, 2, 0, 115, 73, 0, // Skip to: 20853
/* 2050 */    MCD::OPC_Decode, 240, 4, 48, // Opcode: FCMP_CLT_S
/* 2054 */    MCD::OPC_FilterValue, 3, 11, 0, 0, // Skip to: 2070
/* 2059 */    MCD::OPC_CheckField, 3, 2, 0, 99, 73, 0, // Skip to: 20853
/* 2066 */    MCD::OPC_Decode, 136, 5, 48, // Opcode: FCMP_SLT_S
/* 2070 */    MCD::OPC_FilterValue, 4, 11, 0, 0, // Skip to: 2086
/* 2075 */    MCD::OPC_CheckField, 3, 2, 0, 83, 73, 0, // Skip to: 20853
/* 2082 */    MCD::OPC_Decode, 236, 4, 48, // Opcode: FCMP_CEQ_S
/* 2086 */    MCD::OPC_FilterValue, 5, 11, 0, 0, // Skip to: 2102
/* 2091 */    MCD::OPC_CheckField, 3, 2, 0, 67, 73, 0, // Skip to: 20853
/* 2098 */    MCD::OPC_Decode, 132, 5, 48, // Opcode: FCMP_SEQ_S
/* 2102 */    MCD::OPC_FilterValue, 6, 11, 0, 0, // Skip to: 2118
/* 2107 */    MCD::OPC_CheckField, 3, 2, 0, 51, 73, 0, // Skip to: 20853
/* 2114 */    MCD::OPC_Decode, 238, 4, 48, // Opcode: FCMP_CLE_S
/* 2118 */    MCD::OPC_FilterValue, 7, 11, 0, 0, // Skip to: 2134
/* 2123 */    MCD::OPC_CheckField, 3, 2, 0, 35, 73, 0, // Skip to: 20853
/* 2130 */    MCD::OPC_Decode, 134, 5, 48, // Opcode: FCMP_SLE_S
/* 2134 */    MCD::OPC_FilterValue, 8, 11, 0, 0, // Skip to: 2150
/* 2139 */    MCD::OPC_CheckField, 3, 2, 0, 19, 73, 0, // Skip to: 20853
/* 2146 */    MCD::OPC_Decode, 254, 4, 48, // Opcode: FCMP_CUN_S
/* 2150 */    MCD::OPC_FilterValue, 9, 11, 0, 0, // Skip to: 2166
/* 2155 */    MCD::OPC_CheckField, 3, 2, 0, 3, 73, 0, // Skip to: 20853
/* 2162 */    MCD::OPC_Decode, 150, 5, 48, // Opcode: FCMP_SUN_S
/* 2166 */    MCD::OPC_FilterValue, 10, 11, 0, 0, // Skip to: 2182
/* 2171 */    MCD::OPC_CheckField, 3, 2, 0, 243, 72, 0, // Skip to: 20853
/* 2178 */    MCD::OPC_Decode, 250, 4, 48, // Opcode: FCMP_CULT_S
/* 2182 */    MCD::OPC_FilterValue, 11, 11, 0, 0, // Skip to: 2198
/* 2187 */    MCD::OPC_CheckField, 3, 2, 0, 227, 72, 0, // Skip to: 20853
/* 2194 */    MCD::OPC_Decode, 146, 5, 48, // Opcode: FCMP_SULT_S
/* 2198 */    MCD::OPC_FilterValue, 12, 11, 0, 0, // Skip to: 2214
/* 2203 */    MCD::OPC_CheckField, 3, 2, 0, 211, 72, 0, // Skip to: 20853
/* 2210 */    MCD::OPC_Decode, 246, 4, 48, // Opcode: FCMP_CUEQ_S
/* 2214 */    MCD::OPC_FilterValue, 13, 11, 0, 0, // Skip to: 2230
/* 2219 */    MCD::OPC_CheckField, 3, 2, 0, 195, 72, 0, // Skip to: 20853
/* 2226 */    MCD::OPC_Decode, 142, 5, 48, // Opcode: FCMP_SUEQ_S
/* 2230 */    MCD::OPC_FilterValue, 14, 11, 0, 0, // Skip to: 2246
/* 2235 */    MCD::OPC_CheckField, 3, 2, 0, 179, 72, 0, // Skip to: 20853
/* 2242 */    MCD::OPC_Decode, 248, 4, 48, // Opcode: FCMP_CULE_S
/* 2246 */    MCD::OPC_FilterValue, 15, 11, 0, 0, // Skip to: 2262
/* 2251 */    MCD::OPC_CheckField, 3, 2, 0, 163, 72, 0, // Skip to: 20853
/* 2258 */    MCD::OPC_Decode, 144, 5, 48, // Opcode: FCMP_SULE_S
/* 2262 */    MCD::OPC_FilterValue, 16, 11, 0, 0, // Skip to: 2278
/* 2267 */    MCD::OPC_CheckField, 3, 2, 0, 147, 72, 0, // Skip to: 20853
/* 2274 */    MCD::OPC_Decode, 242, 4, 48, // Opcode: FCMP_CNE_S
/* 2278 */    MCD::OPC_FilterValue, 17, 11, 0, 0, // Skip to: 2294
/* 2283 */    MCD::OPC_CheckField, 3, 2, 0, 131, 72, 0, // Skip to: 20853
/* 2290 */    MCD::OPC_Decode, 138, 5, 48, // Opcode: FCMP_SNE_S
/* 2294 */    MCD::OPC_FilterValue, 20, 11, 0, 0, // Skip to: 2310
/* 2299 */    MCD::OPC_CheckField, 3, 2, 0, 115, 72, 0, // Skip to: 20853
/* 2306 */    MCD::OPC_Decode, 244, 4, 48, // Opcode: FCMP_COR_S
/* 2310 */    MCD::OPC_FilterValue, 21, 11, 0, 0, // Skip to: 2326
/* 2315 */    MCD::OPC_CheckField, 3, 2, 0, 99, 72, 0, // Skip to: 20853
/* 2322 */    MCD::OPC_Decode, 140, 5, 48, // Opcode: FCMP_SOR_S
/* 2326 */    MCD::OPC_FilterValue, 24, 11, 0, 0, // Skip to: 2342
/* 2331 */    MCD::OPC_CheckField, 3, 2, 0, 83, 72, 0, // Skip to: 20853
/* 2338 */    MCD::OPC_Decode, 252, 4, 48, // Opcode: FCMP_CUNE_S
/* 2342 */    MCD::OPC_FilterValue, 25, 74, 72, 0, // Skip to: 20853
/* 2347 */    MCD::OPC_CheckField, 3, 2, 0, 67, 72, 0, // Skip to: 20853
/* 2354 */    MCD::OPC_Decode, 148, 5, 48, // Opcode: FCMP_SUNE_S
/* 2358 */    MCD::OPC_FilterValue, 2, 99, 1, 0, // Skip to: 2718
/* 2363 */    MCD::OPC_ExtractField, 15, 5,  // Inst{19-15} ...
/* 2366 */    MCD::OPC_FilterValue, 0, 11, 0, 0, // Skip to: 2382
/* 2371 */    MCD::OPC_CheckField, 3, 2, 0, 43, 72, 0, // Skip to: 20853
/* 2378 */    MCD::OPC_Decode, 233, 4, 49, // Opcode: FCMP_CAF_D
/* 2382 */    MCD::OPC_FilterValue, 1, 11, 0, 0, // Skip to: 2398
/* 2387 */    MCD::OPC_CheckField, 3, 2, 0, 27, 72, 0, // Skip to: 20853
/* 2394 */    MCD::OPC_Decode, 129, 5, 49, // Opcode: FCMP_SAF_D
/* 2398 */    MCD::OPC_FilterValue, 2, 11, 0, 0, // Skip to: 2414
/* 2403 */    MCD::OPC_CheckField, 3, 2, 0, 11, 72, 0, // Skip to: 20853
/* 2410 */    MCD::OPC_Decode, 239, 4, 49, // Opcode: FCMP_CLT_D
/* 2414 */    MCD::OPC_FilterValue, 3, 11, 0, 0, // Skip to: 2430
/* 2419 */    MCD::OPC_CheckField, 3, 2, 0, 251, 71, 0, // Skip to: 20853
/* 2426 */    MCD::OPC_Decode, 135, 5, 49, // Opcode: FCMP_SLT_D
/* 2430 */    MCD::OPC_FilterValue, 4, 11, 0, 0, // Skip to: 2446
/* 2435 */    MCD::OPC_CheckField, 3, 2, 0, 235, 71, 0, // Skip to: 20853
/* 2442 */    MCD::OPC_Decode, 235, 4, 49, // Opcode: FCMP_CEQ_D
/* 2446 */    MCD::OPC_FilterValue, 5, 11, 0, 0, // Skip to: 2462
/* 2451 */    MCD::OPC_CheckField, 3, 2, 0, 219, 71, 0, // Skip to: 20853
/* 2458 */    MCD::OPC_Decode, 131, 5, 49, // Opcode: FCMP_SEQ_D
/* 2462 */    MCD::OPC_FilterValue, 6, 11, 0, 0, // Skip to: 2478
/* 2467 */    MCD::OPC_CheckField, 3, 2, 0, 203, 71, 0, // Skip to: 20853
/* 2474 */    MCD::OPC_Decode, 237, 4, 49, // Opcode: FCMP_CLE_D
/* 2478 */    MCD::OPC_FilterValue, 7, 11, 0, 0, // Skip to: 2494
/* 2483 */    MCD::OPC_CheckField, 3, 2, 0, 187, 71, 0, // Skip to: 20853
/* 2490 */    MCD::OPC_Decode, 133, 5, 49, // Opcode: FCMP_SLE_D
/* 2494 */    MCD::OPC_FilterValue, 8, 11, 0, 0, // Skip to: 2510
/* 2499 */    MCD::OPC_CheckField, 3, 2, 0, 171, 71, 0, // Skip to: 20853
/* 2506 */    MCD::OPC_Decode, 253, 4, 49, // Opcode: FCMP_CUN_D
/* 2510 */    MCD::OPC_FilterValue, 9, 11, 0, 0, // Skip to: 2526
/* 2515 */    MCD::OPC_CheckField, 3, 2, 0, 155, 71, 0, // Skip to: 20853
/* 2522 */    MCD::OPC_Decode, 149, 5, 49, // Opcode: FCMP_SUN_D
/* 2526 */    MCD::OPC_FilterValue, 10, 11, 0, 0, // Skip to: 2542
/* 2531 */    MCD::OPC_CheckField, 3, 2, 0, 139, 71, 0, // Skip to: 20853
/* 2538 */    MCD::OPC_Decode, 249, 4, 49, // Opcode: FCMP_CULT_D
/* 2542 */    MCD::OPC_FilterValue, 11, 11, 0, 0, // Skip to: 2558
/* 2547 */    MCD::OPC_CheckField, 3, 2, 0, 123, 71, 0, // Skip to: 20853
/* 2554 */    MCD::OPC_Decode, 145, 5, 49, // Opcode: FCMP_SULT_D
/* 2558 */    MCD::OPC_FilterValue, 12, 11, 0, 0, // Skip to: 2574
/* 2563 */    MCD::OPC_CheckField, 3, 2, 0, 107, 71, 0, // Skip to: 20853
/* 2570 */    MCD::OPC_Decode, 245, 4, 49, // Opcode: FCMP_CUEQ_D
/* 2574 */    MCD::OPC_FilterValue, 13, 11, 0, 0, // Skip to: 2590
/* 2579 */    MCD::OPC_CheckField, 3, 2, 0, 91, 71, 0, // Skip to: 20853
/* 2586 */    MCD::OPC_Decode, 141, 5, 49, // Opcode: FCMP_SUEQ_D
/* 2590 */    MCD::OPC_FilterValue, 14, 11, 0, 0, // Skip to: 2606
/* 2595 */    MCD::OPC_CheckField, 3, 2, 0, 75, 71, 0, // Skip to: 20853
/* 2602 */    MCD::OPC_Decode, 247, 4, 49, // Opcode: FCMP_CULE_D
/* 2606 */    MCD::OPC_FilterValue, 15, 11, 0, 0, // Skip to: 2622
/* 2611 */    MCD::OPC_CheckField, 3, 2, 0, 59, 71, 0, // Skip to: 20853
/* 2618 */    MCD::OPC_Decode, 143, 5, 49, // Opcode: FCMP_SULE_D
/* 2622 */    MCD::OPC_FilterValue, 16, 11, 0, 0, // Skip to: 2638
/* 2627 */    MCD::OPC_CheckField, 3, 2, 0, 43, 71, 0, // Skip to: 20853
/* 2634 */    MCD::OPC_Decode, 241, 4, 49, // Opcode: FCMP_CNE_D
/* 2638 */    MCD::OPC_FilterValue, 17, 11, 0, 0, // Skip to: 2654
/* 2643 */    MCD::OPC_CheckField, 3, 2, 0, 27, 71, 0, // Skip to: 20853
/* 2650 */    MCD::OPC_Decode, 137, 5, 49, // Opcode: FCMP_SNE_D
/* 2654 */    MCD::OPC_FilterValue, 20, 11, 0, 0, // Skip to: 2670
/* 2659 */    MCD::OPC_CheckField, 3, 2, 0, 11, 71, 0, // Skip to: 20853
/* 2666 */    MCD::OPC_Decode, 243, 4, 49, // Opcode: FCMP_COR_D
/* 2670 */    MCD::OPC_FilterValue, 21, 11, 0, 0, // Skip to: 2686
/* 2675 */    MCD::OPC_CheckField, 3, 2, 0, 251, 70, 0, // Skip to: 20853
/* 2682 */    MCD::OPC_Decode, 139, 5, 49, // Opcode: FCMP_SOR_D
/* 2686 */    MCD::OPC_FilterValue, 24, 11, 0, 0, // Skip to: 2702
/* 2691 */    MCD::OPC_CheckField, 3, 2, 0, 235, 70, 0, // Skip to: 20853
/* 2698 */    MCD::OPC_Decode, 251, 4, 49, // Opcode: FCMP_CUNE_D
/* 2702 */    MCD::OPC_FilterValue, 25, 226, 70, 0, // Skip to: 20853
/* 2707 */    MCD::OPC_CheckField, 3, 2, 0, 219, 70, 0, // Skip to: 20853
/* 2714 */    MCD::OPC_Decode, 147, 5, 49, // Opcode: FCMP_SUNE_D
/* 2718 */    MCD::OPC_FilterValue, 5, 201, 0, 0, // Skip to: 2924
/* 2723 */    MCD::OPC_ExtractField, 15, 5,  // Inst{19-15} ...
/* 2726 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 2735
/* 2731 */    MCD::OPC_Decode, 201, 8, 50, // Opcode: VFCMP_CAF_S
/* 2735 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 2744
/* 2740 */    MCD::OPC_Decode, 223, 8, 50, // Opcode: VFCMP_SAF_S
/* 2744 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 2753
/* 2749 */    MCD::OPC_Decode, 207, 8, 50, // Opcode: VFCMP_CLT_S
/* 2753 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 2762
/* 2758 */    MCD::OPC_Decode, 229, 8, 50, // Opcode: VFCMP_SLT_S
/* 2762 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 2771
/* 2767 */    MCD::OPC_Decode, 203, 8, 50, // Opcode: VFCMP_CEQ_S
/* 2771 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 2780
/* 2776 */    MCD::OPC_Decode, 225, 8, 50, // Opcode: VFCMP_SEQ_S
/* 2780 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 2789
/* 2785 */    MCD::OPC_Decode, 205, 8, 50, // Opcode: VFCMP_CLE_S
/* 2789 */    MCD::OPC_FilterValue, 7, 4, 0, 0, // Skip to: 2798
/* 2794 */    MCD::OPC_Decode, 227, 8, 50, // Opcode: VFCMP_SLE_S
/* 2798 */    MCD::OPC_FilterValue, 8, 4, 0, 0, // Skip to: 2807
/* 2803 */    MCD::OPC_Decode, 221, 8, 50, // Opcode: VFCMP_CUN_S
/* 2807 */    MCD::OPC_FilterValue, 9, 4, 0, 0, // Skip to: 2816
/* 2812 */    MCD::OPC_Decode, 243, 8, 50, // Opcode: VFCMP_SUN_S
/* 2816 */    MCD::OPC_FilterValue, 10, 4, 0, 0, // Skip to: 2825
/* 2821 */    MCD::OPC_Decode, 217, 8, 50, // Opcode: VFCMP_CULT_S
/* 2825 */    MCD::OPC_FilterValue, 11, 4, 0, 0, // Skip to: 2834
/* 2830 */    MCD::OPC_Decode, 239, 8, 50, // Opcode: VFCMP_SULT_S
/* 2834 */    MCD::OPC_FilterValue, 12, 4, 0, 0, // Skip to: 2843
/* 2839 */    MCD::OPC_Decode, 213, 8, 50, // Opcode: VFCMP_CUEQ_S
/* 2843 */    MCD::OPC_FilterValue, 13, 4, 0, 0, // Skip to: 2852
/* 2848 */    MCD::OPC_Decode, 235, 8, 50, // Opcode: VFCMP_SUEQ_S
/* 2852 */    MCD::OPC_FilterValue, 14, 4, 0, 0, // Skip to: 2861
/* 2857 */    MCD::OPC_Decode, 215, 8, 50, // Opcode: VFCMP_CULE_S
/* 2861 */    MCD::OPC_FilterValue, 15, 4, 0, 0, // Skip to: 2870
/* 2866 */    MCD::OPC_Decode, 237, 8, 50, // Opcode: VFCMP_SULE_S
/* 2870 */    MCD::OPC_FilterValue, 16, 4, 0, 0, // Skip to: 2879
/* 2875 */    MCD::OPC_Decode, 209, 8, 50, // Opcode: VFCMP_CNE_S
/* 2879 */    MCD::OPC_FilterValue, 17, 4, 0, 0, // Skip to: 2888
/* 2884 */    MCD::OPC_Decode, 231, 8, 50, // Opcode: VFCMP_SNE_S
/* 2888 */    MCD::OPC_FilterValue, 20, 4, 0, 0, // Skip to: 2897
/* 2893 */    MCD::OPC_Decode, 211, 8, 50, // Opcode: VFCMP_COR_S
/* 2897 */    MCD::OPC_FilterValue, 21, 4, 0, 0, // Skip to: 2906
/* 2902 */    MCD::OPC_Decode, 233, 8, 50, // Opcode: VFCMP_SOR_S
/* 2906 */    MCD::OPC_FilterValue, 24, 4, 0, 0, // Skip to: 2915
/* 2911 */    MCD::OPC_Decode, 219, 8, 50, // Opcode: VFCMP_CUNE_S
/* 2915 */    MCD::OPC_FilterValue, 25, 13, 70, 0, // Skip to: 20853
/* 2920 */    MCD::OPC_Decode, 241, 8, 50, // Opcode: VFCMP_SUNE_S
/* 2924 */    MCD::OPC_FilterValue, 6, 201, 0, 0, // Skip to: 3130
/* 2929 */    MCD::OPC_ExtractField, 15, 5,  // Inst{19-15} ...
/* 2932 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 2941
/* 2937 */    MCD::OPC_Decode, 200, 8, 51, // Opcode: VFCMP_CAF_D
/* 2941 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 2950
/* 2946 */    MCD::OPC_Decode, 222, 8, 51, // Opcode: VFCMP_SAF_D
/* 2950 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 2959
/* 2955 */    MCD::OPC_Decode, 206, 8, 51, // Opcode: VFCMP_CLT_D
/* 2959 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 2968
/* 2964 */    MCD::OPC_Decode, 228, 8, 51, // Opcode: VFCMP_SLT_D
/* 2968 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 2977
/* 2973 */    MCD::OPC_Decode, 202, 8, 51, // Opcode: VFCMP_CEQ_D
/* 2977 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 2986
/* 2982 */    MCD::OPC_Decode, 224, 8, 51, // Opcode: VFCMP_SEQ_D
/* 2986 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 2995
/* 2991 */    MCD::OPC_Decode, 204, 8, 51, // Opcode: VFCMP_CLE_D
/* 2995 */    MCD::OPC_FilterValue, 7, 4, 0, 0, // Skip to: 3004
/* 3000 */    MCD::OPC_Decode, 226, 8, 51, // Opcode: VFCMP_SLE_D
/* 3004 */    MCD::OPC_FilterValue, 8, 4, 0, 0, // Skip to: 3013
/* 3009 */    MCD::OPC_Decode, 220, 8, 51, // Opcode: VFCMP_CUN_D
/* 3013 */    MCD::OPC_FilterValue, 9, 4, 0, 0, // Skip to: 3022
/* 3018 */    MCD::OPC_Decode, 242, 8, 51, // Opcode: VFCMP_SUN_D
/* 3022 */    MCD::OPC_FilterValue, 10, 4, 0, 0, // Skip to: 3031
/* 3027 */    MCD::OPC_Decode, 216, 8, 51, // Opcode: VFCMP_CULT_D
/* 3031 */    MCD::OPC_FilterValue, 11, 4, 0, 0, // Skip to: 3040
/* 3036 */    MCD::OPC_Decode, 238, 8, 51, // Opcode: VFCMP_SULT_D
/* 3040 */    MCD::OPC_FilterValue, 12, 4, 0, 0, // Skip to: 3049
/* 3045 */    MCD::OPC_Decode, 212, 8, 51, // Opcode: VFCMP_CUEQ_D
/* 3049 */    MCD::OPC_FilterValue, 13, 4, 0, 0, // Skip to: 3058
/* 3054 */    MCD::OPC_Decode, 234, 8, 51, // Opcode: VFCMP_SUEQ_D
/* 3058 */    MCD::OPC_FilterValue, 14, 4, 0, 0, // Skip to: 3067
/* 3063 */    MCD::OPC_Decode, 214, 8, 51, // Opcode: VFCMP_CULE_D
/* 3067 */    MCD::OPC_FilterValue, 15, 4, 0, 0, // Skip to: 3076
/* 3072 */    MCD::OPC_Decode, 236, 8, 51, // Opcode: VFCMP_SULE_D
/* 3076 */    MCD::OPC_FilterValue, 16, 4, 0, 0, // Skip to: 3085
/* 3081 */    MCD::OPC_Decode, 208, 8, 51, // Opcode: VFCMP_CNE_D
/* 3085 */    MCD::OPC_FilterValue, 17, 4, 0, 0, // Skip to: 3094
/* 3090 */    MCD::OPC_Decode, 230, 8, 51, // Opcode: VFCMP_SNE_D
/* 3094 */    MCD::OPC_FilterValue, 20, 4, 0, 0, // Skip to: 3103
/* 3099 */    MCD::OPC_Decode, 210, 8, 51, // Opcode: VFCMP_COR_D
/* 3103 */    MCD::OPC_FilterValue, 21, 4, 0, 0, // Skip to: 3112
/* 3108 */    MCD::OPC_Decode, 232, 8, 51, // Opcode: VFCMP_SOR_D
/* 3112 */    MCD::OPC_FilterValue, 24, 4, 0, 0, // Skip to: 3121
/* 3117 */    MCD::OPC_Decode, 218, 8, 51, // Opcode: VFCMP_CUNE_D
/* 3121 */    MCD::OPC_FilterValue, 25, 63, 69, 0, // Skip to: 20853
/* 3126 */    MCD::OPC_Decode, 240, 8, 51, // Opcode: VFCMP_SUNE_D
/* 3130 */    MCD::OPC_FilterValue, 9, 201, 0, 0, // Skip to: 3336
/* 3135 */    MCD::OPC_ExtractField, 15, 5,  // Inst{19-15} ...
/* 3138 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 3147
/* 3143 */    MCD::OPC_Decode, 202, 14, 52, // Opcode: XVFCMP_CAF_S
/* 3147 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 3156
/* 3152 */    MCD::OPC_Decode, 224, 14, 52, // Opcode: XVFCMP_SAF_S
/* 3156 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 3165
/* 3161 */    MCD::OPC_Decode, 208, 14, 52, // Opcode: XVFCMP_CLT_S
/* 3165 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 3174
/* 3170 */    MCD::OPC_Decode, 230, 14, 52, // Opcode: XVFCMP_SLT_S
/* 3174 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 3183
/* 3179 */    MCD::OPC_Decode, 204, 14, 52, // Opcode: XVFCMP_CEQ_S
/* 3183 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 3192
/* 3188 */    MCD::OPC_Decode, 226, 14, 52, // Opcode: XVFCMP_SEQ_S
/* 3192 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 3201
/* 3197 */    MCD::OPC_Decode, 206, 14, 52, // Opcode: XVFCMP_CLE_S
/* 3201 */    MCD::OPC_FilterValue, 7, 4, 0, 0, // Skip to: 3210
/* 3206 */    MCD::OPC_Decode, 228, 14, 52, // Opcode: XVFCMP_SLE_S
/* 3210 */    MCD::OPC_FilterValue, 8, 4, 0, 0, // Skip to: 3219
/* 3215 */    MCD::OPC_Decode, 222, 14, 52, // Opcode: XVFCMP_CUN_S
/* 3219 */    MCD::OPC_FilterValue, 9, 4, 0, 0, // Skip to: 3228
/* 3224 */    MCD::OPC_Decode, 244, 14, 52, // Opcode: XVFCMP_SUN_S
/* 3228 */    MCD::OPC_FilterValue, 10, 4, 0, 0, // Skip to: 3237
/* 3233 */    MCD::OPC_Decode, 218, 14, 52, // Opcode: XVFCMP_CULT_S
/* 3237 */    MCD::OPC_FilterValue, 11, 4, 0, 0, // Skip to: 3246
/* 3242 */    MCD::OPC_Decode, 240, 14, 52, // Opcode: XVFCMP_SULT_S
/* 3246 */    MCD::OPC_FilterValue, 12, 4, 0, 0, // Skip to: 3255
/* 3251 */    MCD::OPC_Decode, 214, 14, 52, // Opcode: XVFCMP_CUEQ_S
/* 3255 */    MCD::OPC_FilterValue, 13, 4, 0, 0, // Skip to: 3264
/* 3260 */    MCD::OPC_Decode, 236, 14, 52, // Opcode: XVFCMP_SUEQ_S
/* 3264 */    MCD::OPC_FilterValue, 14, 4, 0, 0, // Skip to: 3273
/* 3269 */    MCD::OPC_Decode, 216, 14, 52, // Opcode: XVFCMP_CULE_S
/* 3273 */    MCD::OPC_FilterValue, 15, 4, 0, 0, // Skip to: 3282
/* 3278 */    MCD::OPC_Decode, 238, 14, 52, // Opcode: XVFCMP_SULE_S
/* 3282 */    MCD::OPC_FilterValue, 16, 4, 0, 0, // Skip to: 3291
/* 3287 */    MCD::OPC_Decode, 210, 14, 52, // Opcode: XVFCMP_CNE_S
/* 3291 */    MCD::OPC_FilterValue, 17, 4, 0, 0, // Skip to: 3300
/* 3296 */    MCD::OPC_Decode, 232, 14, 52, // Opcode: XVFCMP_SNE_S
/* 3300 */    MCD::OPC_FilterValue, 20, 4, 0, 0, // Skip to: 3309
/* 3305 */    MCD::OPC_Decode, 212, 14, 52, // Opcode: XVFCMP_COR_S
/* 3309 */    MCD::OPC_FilterValue, 21, 4, 0, 0, // Skip to: 3318
/* 3314 */    MCD::OPC_Decode, 234, 14, 52, // Opcode: XVFCMP_SOR_S
/* 3318 */    MCD::OPC_FilterValue, 24, 4, 0, 0, // Skip to: 3327
/* 3323 */    MCD::OPC_Decode, 220, 14, 52, // Opcode: XVFCMP_CUNE_S
/* 3327 */    MCD::OPC_FilterValue, 25, 113, 68, 0, // Skip to: 20853
/* 3332 */    MCD::OPC_Decode, 242, 14, 52, // Opcode: XVFCMP_SUNE_S
/* 3336 */    MCD::OPC_FilterValue, 10, 201, 0, 0, // Skip to: 3542
/* 3341 */    MCD::OPC_ExtractField, 15, 5,  // Inst{19-15} ...
/* 3344 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 3353
/* 3349 */    MCD::OPC_Decode, 201, 14, 53, // Opcode: XVFCMP_CAF_D
/* 3353 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 3362
/* 3358 */    MCD::OPC_Decode, 223, 14, 53, // Opcode: XVFCMP_SAF_D
/* 3362 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 3371
/* 3367 */    MCD::OPC_Decode, 207, 14, 53, // Opcode: XVFCMP_CLT_D
/* 3371 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 3380
/* 3376 */    MCD::OPC_Decode, 229, 14, 53, // Opcode: XVFCMP_SLT_D
/* 3380 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 3389
/* 3385 */    MCD::OPC_Decode, 203, 14, 53, // Opcode: XVFCMP_CEQ_D
/* 3389 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 3398
/* 3394 */    MCD::OPC_Decode, 225, 14, 53, // Opcode: XVFCMP_SEQ_D
/* 3398 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 3407
/* 3403 */    MCD::OPC_Decode, 205, 14, 53, // Opcode: XVFCMP_CLE_D
/* 3407 */    MCD::OPC_FilterValue, 7, 4, 0, 0, // Skip to: 3416
/* 3412 */    MCD::OPC_Decode, 227, 14, 53, // Opcode: XVFCMP_SLE_D
/* 3416 */    MCD::OPC_FilterValue, 8, 4, 0, 0, // Skip to: 3425
/* 3421 */    MCD::OPC_Decode, 221, 14, 53, // Opcode: XVFCMP_CUN_D
/* 3425 */    MCD::OPC_FilterValue, 9, 4, 0, 0, // Skip to: 3434
/* 3430 */    MCD::OPC_Decode, 243, 14, 53, // Opcode: XVFCMP_SUN_D
/* 3434 */    MCD::OPC_FilterValue, 10, 4, 0, 0, // Skip to: 3443
/* 3439 */    MCD::OPC_Decode, 217, 14, 53, // Opcode: XVFCMP_CULT_D
/* 3443 */    MCD::OPC_FilterValue, 11, 4, 0, 0, // Skip to: 3452
/* 3448 */    MCD::OPC_Decode, 239, 14, 53, // Opcode: XVFCMP_SULT_D
/* 3452 */    MCD::OPC_FilterValue, 12, 4, 0, 0, // Skip to: 3461
/* 3457 */    MCD::OPC_Decode, 213, 14, 53, // Opcode: XVFCMP_CUEQ_D
/* 3461 */    MCD::OPC_FilterValue, 13, 4, 0, 0, // Skip to: 3470
/* 3466 */    MCD::OPC_Decode, 235, 14, 53, // Opcode: XVFCMP_SUEQ_D
/* 3470 */    MCD::OPC_FilterValue, 14, 4, 0, 0, // Skip to: 3479
/* 3475 */    MCD::OPC_Decode, 215, 14, 53, // Opcode: XVFCMP_CULE_D
/* 3479 */    MCD::OPC_FilterValue, 15, 4, 0, 0, // Skip to: 3488
/* 3484 */    MCD::OPC_Decode, 237, 14, 53, // Opcode: XVFCMP_SULE_D
/* 3488 */    MCD::OPC_FilterValue, 16, 4, 0, 0, // Skip to: 3497
/* 3493 */    MCD::OPC_Decode, 209, 14, 53, // Opcode: XVFCMP_CNE_D
/* 3497 */    MCD::OPC_FilterValue, 17, 4, 0, 0, // Skip to: 3506
/* 3502 */    MCD::OPC_Decode, 231, 14, 53, // Opcode: XVFCMP_SNE_D
/* 3506 */    MCD::OPC_FilterValue, 20, 4, 0, 0, // Skip to: 3515
/* 3511 */    MCD::OPC_Decode, 211, 14, 53, // Opcode: XVFCMP_COR_D
/* 3515 */    MCD::OPC_FilterValue, 21, 4, 0, 0, // Skip to: 3524
/* 3520 */    MCD::OPC_Decode, 233, 14, 53, // Opcode: XVFCMP_SOR_D
/* 3524 */    MCD::OPC_FilterValue, 24, 4, 0, 0, // Skip to: 3533
/* 3529 */    MCD::OPC_Decode, 219, 14, 53, // Opcode: XVFCMP_CUNE_D
/* 3533 */    MCD::OPC_FilterValue, 25, 163, 67, 0, // Skip to: 20853
/* 3538 */    MCD::OPC_Decode, 241, 14, 53, // Opcode: XVFCMP_SUNE_D
/* 3542 */    MCD::OPC_FilterValue, 16, 11, 0, 0, // Skip to: 3558
/* 3547 */    MCD::OPC_CheckField, 18, 2, 0, 147, 67, 0, // Skip to: 20853
/* 3554 */    MCD::OPC_Decode, 202, 5, 54, // Opcode: FSEL_T_S
/* 3558 */    MCD::OPC_FilterValue, 17, 4, 0, 0, // Skip to: 3567
/* 3563 */    MCD::OPC_Decode, 143, 8, 55, // Opcode: VBITSEL_V
/* 3567 */    MCD::OPC_FilterValue, 18, 4, 0, 0, // Skip to: 3576
/* 3572 */    MCD::OPC_Decode, 156, 14, 56, // Opcode: XVBITSEL_V
/* 3576 */    MCD::OPC_FilterValue, 21, 4, 0, 0, // Skip to: 3585
/* 3581 */    MCD::OPC_Decode, 214, 11, 55, // Opcode: VSHUF_B
/* 3585 */    MCD::OPC_FilterValue, 22, 111, 67, 0, // Skip to: 20853
/* 3590 */    MCD::OPC_Decode, 230, 17, 56, // Opcode: XVSHUF_B
/* 3594 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 3603
/* 3599 */    MCD::OPC_Decode, 236, 3, 57, // Opcode: ADDU16I_D
/* 3603 */    MCD::OPC_FilterValue, 5, 21, 0, 0, // Skip to: 3629
/* 3608 */    MCD::OPC_ExtractField, 25, 1,  // Inst{25} ...
/* 3611 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 3620
/* 3616 */    MCD::OPC_Decode, 172, 6, 58, // Opcode: LU12I_W
/* 3620 */    MCD::OPC_FilterValue, 1, 76, 67, 0, // Skip to: 20853
/* 3625 */    MCD::OPC_Decode, 175, 6, 58, // Opcode: LU32I_D
/* 3629 */    MCD::OPC_FilterValue, 6, 21, 0, 0, // Skip to: 3655
/* 3634 */    MCD::OPC_ExtractField, 25, 1,  // Inst{25} ...
/* 3637 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 3646
/* 3642 */    MCD::OPC_Decode, 225, 6, 58, // Opcode: PCADDI
/* 3646 */    MCD::OPC_FilterValue, 1, 50, 67, 0, // Skip to: 20853
/* 3651 */    MCD::OPC_Decode, 232, 6, 58, // Opcode: PCALAU12I
/* 3655 */    MCD::OPC_FilterValue, 7, 21, 0, 0, // Skip to: 3681
/* 3660 */    MCD::OPC_ExtractField, 25, 1,  // Inst{25} ...
/* 3663 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 3672
/* 3668 */    MCD::OPC_Decode, 227, 6, 58, // Opcode: PCADDU12I
/* 3672 */    MCD::OPC_FilterValue, 1, 24, 67, 0, // Skip to: 20853
/* 3677 */    MCD::OPC_Decode, 231, 6, 58, // Opcode: PCADDU18I
/* 3681 */    MCD::OPC_FilterValue, 8, 21, 0, 0, // Skip to: 3707
/* 3686 */    MCD::OPC_ExtractField, 24, 2,  // Inst{25-24} ...
/* 3689 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 3698
/* 3694 */    MCD::OPC_Decode, 170, 6, 59, // Opcode: LL_D
/* 3698 */    MCD::OPC_FilterValue, 3, 254, 66, 0, // Skip to: 20853
/* 3703 */    MCD::OPC_Decode, 255, 6, 59, // Opcode: SC_D
/* 3707 */    MCD::OPC_FilterValue, 9, 39, 0, 0, // Skip to: 3751
/* 3712 */    MCD::OPC_ExtractField, 24, 2,  // Inst{25-24} ...
/* 3715 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 3724
/* 3720 */    MCD::OPC_Decode, 139, 6, 59, // Opcode: LDPTR_W
/* 3724 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 3733
/* 3729 */    MCD::OPC_Decode, 162, 7, 59, // Opcode: STPTR_W
/* 3733 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 3742
/* 3738 */    MCD::OPC_Decode, 138, 6, 59, // Opcode: LDPTR_D
/* 3742 */    MCD::OPC_FilterValue, 3, 210, 66, 0, // Skip to: 20853
/* 3747 */    MCD::OPC_Decode, 161, 7, 59, // Opcode: STPTR_D
/* 3751 */    MCD::OPC_FilterValue, 10, 147, 0, 0, // Skip to: 3903
/* 3756 */    MCD::OPC_ExtractField, 22, 4,  // Inst{25-22} ...
/* 3759 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 3768
/* 3764 */    MCD::OPC_Decode, 154, 6, 60, // Opcode: LD_B
/* 3768 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 3777
/* 3773 */    MCD::OPC_Decode, 161, 6, 60, // Opcode: LD_H
/* 3777 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 3786
/* 3782 */    MCD::OPC_Decode, 165, 6, 60, // Opcode: LD_W
/* 3786 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 3795
/* 3791 */    MCD::OPC_Decode, 158, 6, 60, // Opcode: LD_D
/* 3795 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 3804
/* 3800 */    MCD::OPC_Decode, 171, 7, 60, // Opcode: ST_B
/* 3804 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 3813
/* 3809 */    MCD::OPC_Decode, 174, 7, 60, // Opcode: ST_H
/* 3813 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 3822
/* 3818 */    MCD::OPC_Decode, 176, 7, 60, // Opcode: ST_W
/* 3822 */    MCD::OPC_FilterValue, 7, 4, 0, 0, // Skip to: 3831
/* 3827 */    MCD::OPC_Decode, 173, 7, 60, // Opcode: ST_D
/* 3831 */    MCD::OPC_FilterValue, 8, 4, 0, 0, // Skip to: 3840
/* 3836 */    MCD::OPC_Decode, 156, 6, 60, // Opcode: LD_BU
/* 3840 */    MCD::OPC_FilterValue, 9, 4, 0, 0, // Skip to: 3849
/* 3845 */    MCD::OPC_Decode, 163, 6, 60, // Opcode: LD_HU
/* 3849 */    MCD::OPC_FilterValue, 10, 4, 0, 0, // Skip to: 3858
/* 3854 */    MCD::OPC_Decode, 167, 6, 60, // Opcode: LD_WU
/* 3858 */    MCD::OPC_FilterValue, 11, 4, 0, 0, // Skip to: 3867
/* 3863 */    MCD::OPC_Decode, 236, 6, 61, // Opcode: PRELD_Raw
/* 3867 */    MCD::OPC_FilterValue, 12, 4, 0, 0, // Skip to: 3876
/* 3872 */    MCD::OPC_Decode, 168, 5, 62, // Opcode: FLD_S
/* 3876 */    MCD::OPC_FilterValue, 13, 4, 0, 0, // Skip to: 3885
/* 3881 */    MCD::OPC_Decode, 212, 5, 62, // Opcode: FST_S
/* 3885 */    MCD::OPC_FilterValue, 14, 4, 0, 0, // Skip to: 3894
/* 3890 */    MCD::OPC_Decode, 167, 5, 62, // Opcode: FLD_D
/* 3894 */    MCD::OPC_FilterValue, 15, 58, 66, 0, // Skip to: 20853
/* 3899 */    MCD::OPC_Decode, 211, 5, 62, // Opcode: FST_D
/* 3903 */    MCD::OPC_FilterValue, 11, 39, 0, 0, // Skip to: 3947
/* 3908 */    MCD::OPC_ExtractField, 22, 4,  // Inst{25-22} ...
/* 3911 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 3920
/* 3916 */    MCD::OPC_Decode, 230, 9, 63, // Opcode: VLD
/* 3920 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 3929
/* 3925 */    MCD::OPC_Decode, 156, 13, 63, // Opcode: VST
/* 3929 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 3938
/* 3934 */    MCD::OPC_Decode, 232, 15, 64, // Opcode: XVLD
/* 3938 */    MCD::OPC_FilterValue, 3, 14, 66, 0, // Skip to: 20853
/* 3943 */    MCD::OPC_Decode, 180, 19, 64, // Opcode: XVST
/* 3947 */    MCD::OPC_FilterValue, 12, 1, 1, 0, // Skip to: 4209
/* 3952 */    MCD::OPC_ExtractField, 23, 3,  // Inst{25-23} ...
/* 3955 */    MCD::OPC_FilterValue, 0, 44, 0, 0, // Skip to: 4004
/* 3960 */    MCD::OPC_ExtractField, 21, 2,  // Inst{22-21} ...
/* 3963 */    MCD::OPC_FilterValue, 0, 11, 0, 0, // Skip to: 3979
/* 3968 */    MCD::OPC_CheckField, 19, 2, 2, 238, 65, 0, // Skip to: 20853
/* 3975 */    MCD::OPC_Decode, 237, 9, 65, // Opcode: VLDREPL_D
/* 3979 */    MCD::OPC_FilterValue, 1, 11, 0, 0, // Skip to: 3995
/* 3984 */    MCD::OPC_CheckField, 20, 1, 0, 222, 65, 0, // Skip to: 20853
/* 3991 */    MCD::OPC_Decode, 239, 9, 65, // Opcode: VLDREPL_W
/* 3995 */    MCD::OPC_FilterValue, 2, 213, 65, 0, // Skip to: 20853
/* 4000 */    MCD::OPC_Decode, 238, 9, 65, // Opcode: VLDREPL_H
/* 4004 */    MCD::OPC_FilterValue, 1, 11, 0, 0, // Skip to: 4020
/* 4009 */    MCD::OPC_CheckField, 22, 1, 0, 197, 65, 0, // Skip to: 20853
/* 4016 */    MCD::OPC_Decode, 236, 9, 65, // Opcode: VLDREPL_B
/* 4020 */    MCD::OPC_FilterValue, 2, 44, 0, 0, // Skip to: 4069
/* 4025 */    MCD::OPC_ExtractField, 21, 2,  // Inst{22-21} ...
/* 4028 */    MCD::OPC_FilterValue, 0, 11, 0, 0, // Skip to: 4044
/* 4033 */    MCD::OPC_CheckField, 19, 2, 2, 173, 65, 0, // Skip to: 20853
/* 4040 */    MCD::OPC_Decode, 158, 13, 66, // Opcode: VSTELM_D
/* 4044 */    MCD::OPC_FilterValue, 1, 11, 0, 0, // Skip to: 4060
/* 4049 */    MCD::OPC_CheckField, 20, 1, 0, 157, 65, 0, // Skip to: 20853
/* 4056 */    MCD::OPC_Decode, 160, 13, 66, // Opcode: VSTELM_W
/* 4060 */    MCD::OPC_FilterValue, 2, 148, 65, 0, // Skip to: 20853
/* 4065 */    MCD::OPC_Decode, 159, 13, 66, // Opcode: VSTELM_H
/* 4069 */    MCD::OPC_FilterValue, 3, 11, 0, 0, // Skip to: 4085
/* 4074 */    MCD::OPC_CheckField, 22, 1, 0, 132, 65, 0, // Skip to: 20853
/* 4081 */    MCD::OPC_Decode, 157, 13, 66, // Opcode: VSTELM_B
/* 4085 */    MCD::OPC_FilterValue, 4, 44, 0, 0, // Skip to: 4134
/* 4090 */    MCD::OPC_ExtractField, 21, 2,  // Inst{22-21} ...
/* 4093 */    MCD::OPC_FilterValue, 0, 11, 0, 0, // Skip to: 4109
/* 4098 */    MCD::OPC_CheckField, 19, 2, 2, 108, 65, 0, // Skip to: 20853
/* 4105 */    MCD::OPC_Decode, 239, 15, 67, // Opcode: XVLDREPL_D
/* 4109 */    MCD::OPC_FilterValue, 1, 11, 0, 0, // Skip to: 4125
/* 4114 */    MCD::OPC_CheckField, 20, 1, 0, 92, 65, 0, // Skip to: 20853
/* 4121 */    MCD::OPC_Decode, 241, 15, 67, // Opcode: XVLDREPL_W
/* 4125 */    MCD::OPC_FilterValue, 2, 83, 65, 0, // Skip to: 20853
/* 4130 */    MCD::OPC_Decode, 240, 15, 67, // Opcode: XVLDREPL_H
/* 4134 */    MCD::OPC_FilterValue, 5, 11, 0, 0, // Skip to: 4150
/* 4139 */    MCD::OPC_CheckField, 22, 1, 0, 67, 65, 0, // Skip to: 20853
/* 4146 */    MCD::OPC_Decode, 238, 15, 67, // Opcode: XVLDREPL_B
/* 4150 */    MCD::OPC_FilterValue, 6, 45, 0, 0, // Skip to: 4200
/* 4155 */    MCD::OPC_ExtractField, 22, 1,  // Inst{22} ...
/* 4158 */    MCD::OPC_FilterValue, 0, 28, 0, 0, // Skip to: 4191
/* 4163 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 4166 */    MCD::OPC_FilterValue, 0, 11, 0, 0, // Skip to: 4182
/* 4171 */    MCD::OPC_CheckField, 20, 1, 1, 35, 65, 0, // Skip to: 20853
/* 4178 */    MCD::OPC_Decode, 182, 19, 68, // Opcode: XVSTELM_D
/* 4182 */    MCD::OPC_FilterValue, 1, 26, 65, 0, // Skip to: 20853
/* 4187 */    MCD::OPC_Decode, 184, 19, 68, // Opcode: XVSTELM_W
/* 4191 */    MCD::OPC_FilterValue, 1, 17, 65, 0, // Skip to: 20853
/* 4196 */    MCD::OPC_Decode, 183, 19, 68, // Opcode: XVSTELM_H
/* 4200 */    MCD::OPC_FilterValue, 7, 8, 65, 0, // Skip to: 20853
/* 4205 */    MCD::OPC_Decode, 181, 19, 68, // Opcode: XVSTELM_B
/* 4209 */    MCD::OPC_FilterValue, 14, 10, 3, 0, // Skip to: 4992
/* 4214 */    MCD::OPC_ExtractField, 15, 11,  // Inst{25-15} ...
/* 4217 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 4226
/* 4222 */    MCD::OPC_Decode, 141, 6, 69, // Opcode: LDX_B
/* 4226 */    MCD::OPC_FilterValue, 8, 4, 0, 0, // Skip to: 4235
/* 4231 */    MCD::OPC_Decode, 147, 6, 69, // Opcode: LDX_H
/* 4235 */    MCD::OPC_FilterValue, 16, 4, 0, 0, // Skip to: 4244
/* 4240 */    MCD::OPC_Decode, 151, 6, 69, // Opcode: LDX_W
/* 4244 */    MCD::OPC_FilterValue, 24, 4, 0, 0, // Skip to: 4253
/* 4249 */    MCD::OPC_Decode, 145, 6, 69, // Opcode: LDX_D
/* 4253 */    MCD::OPC_FilterValue, 32, 4, 0, 0, // Skip to: 4262
/* 4258 */    MCD::OPC_Decode, 164, 7, 69, // Opcode: STX_B
/* 4262 */    MCD::OPC_FilterValue, 40, 4, 0, 0, // Skip to: 4271
/* 4267 */    MCD::OPC_Decode, 167, 7, 69, // Opcode: STX_H
/* 4271 */    MCD::OPC_FilterValue, 48, 4, 0, 0, // Skip to: 4280
/* 4276 */    MCD::OPC_Decode, 169, 7, 69, // Opcode: STX_W
/* 4280 */    MCD::OPC_FilterValue, 56, 4, 0, 0, // Skip to: 4289
/* 4285 */    MCD::OPC_Decode, 166, 7, 69, // Opcode: STX_D
/* 4289 */    MCD::OPC_FilterValue, 64, 4, 0, 0, // Skip to: 4298
/* 4294 */    MCD::OPC_Decode, 143, 6, 69, // Opcode: LDX_BU
/* 4298 */    MCD::OPC_FilterValue, 72, 4, 0, 0, // Skip to: 4307
/* 4303 */    MCD::OPC_Decode, 149, 6, 69, // Opcode: LDX_HU
/* 4307 */    MCD::OPC_FilterValue, 80, 4, 0, 0, // Skip to: 4316
/* 4312 */    MCD::OPC_Decode, 153, 6, 69, // Opcode: LDX_WU
/* 4316 */    MCD::OPC_FilterValue, 96, 4, 0, 0, // Skip to: 4325
/* 4321 */    MCD::OPC_Decode, 166, 5, 70, // Opcode: FLDX_S
/* 4325 */    MCD::OPC_FilterValue, 104, 4, 0, 0, // Skip to: 4334
/* 4330 */    MCD::OPC_Decode, 165, 5, 71, // Opcode: FLDX_D
/* 4334 */    MCD::OPC_FilterValue, 112, 4, 0, 0, // Skip to: 4343
/* 4339 */    MCD::OPC_Decode, 210, 5, 70, // Opcode: FSTX_S
/* 4343 */    MCD::OPC_FilterValue, 120, 4, 0, 0, // Skip to: 4352
/* 4348 */    MCD::OPC_Decode, 209, 5, 71, // Opcode: FSTX_D
/* 4352 */    MCD::OPC_FilterValue, 128, 1, 4, 0, 0, // Skip to: 4362
/* 4358 */    MCD::OPC_Decode, 240, 9, 72, // Opcode: VLDX
/* 4362 */    MCD::OPC_FilterValue, 136, 1, 4, 0, 0, // Skip to: 4372
/* 4368 */    MCD::OPC_Decode, 161, 13, 72, // Opcode: VSTX
/* 4372 */    MCD::OPC_FilterValue, 144, 1, 4, 0, 0, // Skip to: 4382
/* 4378 */    MCD::OPC_Decode, 242, 15, 73, // Opcode: XVLDX
/* 4382 */    MCD::OPC_FilterValue, 152, 1, 4, 0, 0, // Skip to: 4392
/* 4388 */    MCD::OPC_Decode, 185, 19, 73, // Opcode: XVSTX
/* 4392 */    MCD::OPC_FilterValue, 192, 1, 4, 0, 0, // Skip to: 4402
/* 4398 */    MCD::OPC_Decode, 146, 4, 60, // Opcode: AMSWAP_W
/* 4402 */    MCD::OPC_FilterValue, 193, 1, 4, 0, 0, // Skip to: 4412
/* 4408 */    MCD::OPC_Decode, 143, 4, 60, // Opcode: AMSWAP_D
/* 4412 */    MCD::OPC_FilterValue, 194, 1, 4, 0, 0, // Skip to: 4422
/* 4418 */    MCD::OPC_Decode, 246, 3, 60, // Opcode: AMADD_W
/* 4422 */    MCD::OPC_FilterValue, 195, 1, 4, 0, 0, // Skip to: 4432
/* 4428 */    MCD::OPC_Decode, 243, 3, 60, // Opcode: AMADD_D
/* 4432 */    MCD::OPC_FilterValue, 196, 1, 4, 0, 0, // Skip to: 4442
/* 4438 */    MCD::OPC_Decode, 250, 3, 60, // Opcode: AMAND_W
/* 4442 */    MCD::OPC_FilterValue, 197, 1, 4, 0, 0, // Skip to: 4452
/* 4448 */    MCD::OPC_Decode, 247, 3, 60, // Opcode: AMAND_D
/* 4452 */    MCD::OPC_FilterValue, 198, 1, 4, 0, 0, // Skip to: 4462
/* 4458 */    MCD::OPC_Decode, 142, 4, 60, // Opcode: AMOR_W
/* 4462 */    MCD::OPC_FilterValue, 199, 1, 4, 0, 0, // Skip to: 4472
/* 4468 */    MCD::OPC_Decode, 139, 4, 60, // Opcode: AMOR_D
/* 4472 */    MCD::OPC_FilterValue, 200, 1, 4, 0, 0, // Skip to: 4482
/* 4478 */    MCD::OPC_Decode, 150, 4, 60, // Opcode: AMXOR_W
/* 4482 */    MCD::OPC_FilterValue, 201, 1, 4, 0, 0, // Skip to: 4492
/* 4488 */    MCD::OPC_Decode, 147, 4, 60, // Opcode: AMXOR_D
/* 4492 */    MCD::OPC_FilterValue, 202, 1, 4, 0, 0, // Skip to: 4502
/* 4498 */    MCD::OPC_Decode, 129, 4, 60, // Opcode: AMMAX_W
/* 4502 */    MCD::OPC_FilterValue, 203, 1, 4, 0, 0, // Skip to: 4512
/* 4508 */    MCD::OPC_Decode, 251, 3, 60, // Opcode: AMMAX_D
/* 4512 */    MCD::OPC_FilterValue, 204, 1, 4, 0, 0, // Skip to: 4522
/* 4518 */    MCD::OPC_Decode, 137, 4, 60, // Opcode: AMMIN_W
/* 4522 */    MCD::OPC_FilterValue, 205, 1, 4, 0, 0, // Skip to: 4532
/* 4528 */    MCD::OPC_Decode, 131, 4, 60, // Opcode: AMMIN_D
/* 4532 */    MCD::OPC_FilterValue, 206, 1, 4, 0, 0, // Skip to: 4542
/* 4538 */    MCD::OPC_Decode, 130, 4, 60, // Opcode: AMMAX_WU
/* 4542 */    MCD::OPC_FilterValue, 207, 1, 4, 0, 0, // Skip to: 4552
/* 4548 */    MCD::OPC_Decode, 128, 4, 60, // Opcode: AMMAX_DU
/* 4552 */    MCD::OPC_FilterValue, 208, 1, 4, 0, 0, // Skip to: 4562
/* 4558 */    MCD::OPC_Decode, 138, 4, 60, // Opcode: AMMIN_WU
/* 4562 */    MCD::OPC_FilterValue, 209, 1, 4, 0, 0, // Skip to: 4572
/* 4568 */    MCD::OPC_Decode, 136, 4, 60, // Opcode: AMMIN_DU
/* 4572 */    MCD::OPC_FilterValue, 210, 1, 4, 0, 0, // Skip to: 4582
/* 4578 */    MCD::OPC_Decode, 145, 4, 60, // Opcode: AMSWAP_DB_W
/* 4582 */    MCD::OPC_FilterValue, 211, 1, 4, 0, 0, // Skip to: 4592
/* 4588 */    MCD::OPC_Decode, 144, 4, 60, // Opcode: AMSWAP_DB_D
/* 4592 */    MCD::OPC_FilterValue, 212, 1, 4, 0, 0, // Skip to: 4602
/* 4598 */    MCD::OPC_Decode, 245, 3, 60, // Opcode: AMADD_DB_W
/* 4602 */    MCD::OPC_FilterValue, 213, 1, 4, 0, 0, // Skip to: 4612
/* 4608 */    MCD::OPC_Decode, 244, 3, 60, // Opcode: AMADD_DB_D
/* 4612 */    MCD::OPC_FilterValue, 214, 1, 4, 0, 0, // Skip to: 4622
/* 4618 */    MCD::OPC_Decode, 249, 3, 60, // Opcode: AMAND_DB_W
/* 4622 */    MCD::OPC_FilterValue, 215, 1, 4, 0, 0, // Skip to: 4632
/* 4628 */    MCD::OPC_Decode, 248, 3, 60, // Opcode: AMAND_DB_D
/* 4632 */    MCD::OPC_FilterValue, 216, 1, 4, 0, 0, // Skip to: 4642
/* 4638 */    MCD::OPC_Decode, 141, 4, 60, // Opcode: AMOR_DB_W
/* 4642 */    MCD::OPC_FilterValue, 217, 1, 4, 0, 0, // Skip to: 4652
/* 4648 */    MCD::OPC_Decode, 140, 4, 60, // Opcode: AMOR_DB_D
/* 4652 */    MCD::OPC_FilterValue, 218, 1, 4, 0, 0, // Skip to: 4662
/* 4658 */    MCD::OPC_Decode, 149, 4, 60, // Opcode: AMXOR_DB_W
/* 4662 */    MCD::OPC_FilterValue, 219, 1, 4, 0, 0, // Skip to: 4672
/* 4668 */    MCD::OPC_Decode, 148, 4, 60, // Opcode: AMXOR_DB_D
/* 4672 */    MCD::OPC_FilterValue, 220, 1, 4, 0, 0, // Skip to: 4682
/* 4678 */    MCD::OPC_Decode, 254, 3, 60, // Opcode: AMMAX_DB_W
/* 4682 */    MCD::OPC_FilterValue, 221, 1, 4, 0, 0, // Skip to: 4692
/* 4688 */    MCD::OPC_Decode, 252, 3, 60, // Opcode: AMMAX_DB_D
/* 4692 */    MCD::OPC_FilterValue, 222, 1, 4, 0, 0, // Skip to: 4702
/* 4698 */    MCD::OPC_Decode, 134, 4, 60, // Opcode: AMMIN_DB_W
/* 4702 */    MCD::OPC_FilterValue, 223, 1, 4, 0, 0, // Skip to: 4712
/* 4708 */    MCD::OPC_Decode, 132, 4, 60, // Opcode: AMMIN_DB_D
/* 4712 */    MCD::OPC_FilterValue, 224, 1, 4, 0, 0, // Skip to: 4722
/* 4718 */    MCD::OPC_Decode, 255, 3, 60, // Opcode: AMMAX_DB_WU
/* 4722 */    MCD::OPC_FilterValue, 225, 1, 4, 0, 0, // Skip to: 4732
/* 4728 */    MCD::OPC_Decode, 253, 3, 60, // Opcode: AMMAX_DB_DU
/* 4732 */    MCD::OPC_FilterValue, 226, 1, 4, 0, 0, // Skip to: 4742
/* 4738 */    MCD::OPC_Decode, 135, 4, 60, // Opcode: AMMIN_DB_WU
/* 4742 */    MCD::OPC_FilterValue, 227, 1, 4, 0, 0, // Skip to: 4752
/* 4748 */    MCD::OPC_Decode, 133, 4, 60, // Opcode: AMMIN_DB_DU
/* 4752 */    MCD::OPC_FilterValue, 232, 1, 4, 0, 0, // Skip to: 4762
/* 4758 */    MCD::OPC_Decode, 162, 5, 74, // Opcode: FLDGT_S
/* 4762 */    MCD::OPC_FilterValue, 233, 1, 4, 0, 0, // Skip to: 4772
/* 4768 */    MCD::OPC_Decode, 161, 5, 75, // Opcode: FLDGT_D
/* 4772 */    MCD::OPC_FilterValue, 234, 1, 4, 0, 0, // Skip to: 4782
/* 4778 */    MCD::OPC_Decode, 164, 5, 74, // Opcode: FLDLE_S
/* 4782 */    MCD::OPC_FilterValue, 235, 1, 4, 0, 0, // Skip to: 4792
/* 4788 */    MCD::OPC_Decode, 163, 5, 75, // Opcode: FLDLE_D
/* 4792 */    MCD::OPC_FilterValue, 236, 1, 4, 0, 0, // Skip to: 4802
/* 4798 */    MCD::OPC_Decode, 206, 5, 74, // Opcode: FSTGT_S
/* 4802 */    MCD::OPC_FilterValue, 237, 1, 4, 0, 0, // Skip to: 4812
/* 4808 */    MCD::OPC_Decode, 205, 5, 75, // Opcode: FSTGT_D
/* 4812 */    MCD::OPC_FilterValue, 238, 1, 4, 0, 0, // Skip to: 4822
/* 4818 */    MCD::OPC_Decode, 208, 5, 74, // Opcode: FSTLE_S
/* 4822 */    MCD::OPC_FilterValue, 239, 1, 4, 0, 0, // Skip to: 4832
/* 4828 */    MCD::OPC_Decode, 207, 5, 75, // Opcode: FSTLE_D
/* 4832 */    MCD::OPC_FilterValue, 240, 1, 4, 0, 0, // Skip to: 4842
/* 4838 */    MCD::OPC_Decode, 128, 6, 4, // Opcode: LDGT_B
/* 4842 */    MCD::OPC_FilterValue, 241, 1, 4, 0, 0, // Skip to: 4852
/* 4848 */    MCD::OPC_Decode, 130, 6, 4, // Opcode: LDGT_H
/* 4852 */    MCD::OPC_FilterValue, 242, 1, 4, 0, 0, // Skip to: 4862
/* 4858 */    MCD::OPC_Decode, 131, 6, 4, // Opcode: LDGT_W
/* 4862 */    MCD::OPC_FilterValue, 243, 1, 4, 0, 0, // Skip to: 4872
/* 4868 */    MCD::OPC_Decode, 129, 6, 4, // Opcode: LDGT_D
/* 4872 */    MCD::OPC_FilterValue, 244, 1, 4, 0, 0, // Skip to: 4882
/* 4878 */    MCD::OPC_Decode, 132, 6, 4, // Opcode: LDLE_B
/* 4882 */    MCD::OPC_FilterValue, 245, 1, 4, 0, 0, // Skip to: 4892
/* 4888 */    MCD::OPC_Decode, 134, 6, 4, // Opcode: LDLE_H
/* 4892 */    MCD::OPC_FilterValue, 246, 1, 4, 0, 0, // Skip to: 4902
/* 4898 */    MCD::OPC_Decode, 135, 6, 4, // Opcode: LDLE_W
/* 4902 */    MCD::OPC_FilterValue, 247, 1, 4, 0, 0, // Skip to: 4912
/* 4908 */    MCD::OPC_Decode, 133, 6, 4, // Opcode: LDLE_D
/* 4912 */    MCD::OPC_FilterValue, 248, 1, 4, 0, 0, // Skip to: 4922
/* 4918 */    MCD::OPC_Decode, 153, 7, 4, // Opcode: STGT_B
/* 4922 */    MCD::OPC_FilterValue, 249, 1, 4, 0, 0, // Skip to: 4932
/* 4928 */    MCD::OPC_Decode, 155, 7, 4, // Opcode: STGT_H
/* 4932 */    MCD::OPC_FilterValue, 250, 1, 4, 0, 0, // Skip to: 4942
/* 4938 */    MCD::OPC_Decode, 156, 7, 4, // Opcode: STGT_W
/* 4942 */    MCD::OPC_FilterValue, 251, 1, 4, 0, 0, // Skip to: 4952
/* 4948 */    MCD::OPC_Decode, 154, 7, 4, // Opcode: STGT_D
/* 4952 */    MCD::OPC_FilterValue, 252, 1, 4, 0, 0, // Skip to: 4962
/* 4958 */    MCD::OPC_Decode, 157, 7, 4, // Opcode: STLE_B
/* 4962 */    MCD::OPC_FilterValue, 253, 1, 4, 0, 0, // Skip to: 4972
/* 4968 */    MCD::OPC_Decode, 159, 7, 4, // Opcode: STLE_H
/* 4972 */    MCD::OPC_FilterValue, 254, 1, 4, 0, 0, // Skip to: 4982
/* 4978 */    MCD::OPC_Decode, 160, 7, 4, // Opcode: STLE_W
/* 4982 */    MCD::OPC_FilterValue, 255, 1, 249, 61, 0, // Skip to: 20853
/* 4988 */    MCD::OPC_Decode, 158, 7, 4, // Opcode: STLE_D
/* 4992 */    MCD::OPC_FilterValue, 16, 4, 0, 0, // Skip to: 5001
/* 4997 */    MCD::OPC_Decode, 165, 4, 76, // Opcode: BEQZ
/* 5001 */    MCD::OPC_FilterValue, 17, 4, 0, 0, // Skip to: 5010
/* 5006 */    MCD::OPC_Decode, 182, 4, 76, // Opcode: BNEZ
/* 5010 */    MCD::OPC_FilterValue, 18, 21, 0, 0, // Skip to: 5036
/* 5015 */    MCD::OPC_ExtractField, 8, 2,  // Inst{9-8} ...
/* 5018 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 5027
/* 5023 */    MCD::OPC_Decode, 161, 4, 77, // Opcode: BCEQZ
/* 5027 */    MCD::OPC_FilterValue, 1, 205, 61, 0, // Skip to: 20853
/* 5032 */    MCD::OPC_Decode, 162, 4, 77, // Opcode: BCNEZ
/* 5036 */    MCD::OPC_FilterValue, 19, 15, 0, 0, // Skip to: 5056
/* 5041 */    MCD::OPC_CheckField, 10, 16, 0, 4, 0, 0, // Skip to: 5052
/* 5048 */    MCD::OPC_Decode, 251, 5, 78, // Opcode: JIRLR
/* 5052 */    MCD::OPC_Decode, 249, 5, 57, // Opcode: JIRL
/* 5056 */    MCD::OPC_FilterValue, 20, 4, 0, 0, // Skip to: 5065
/* 5061 */    MCD::OPC_Decode, 159, 4, 79, // Opcode: B
/* 5065 */    MCD::OPC_FilterValue, 21, 4, 0, 0, // Skip to: 5074
/* 5070 */    MCD::OPC_Decode, 175, 4, 79, // Opcode: BL
/* 5074 */    MCD::OPC_FilterValue, 22, 4, 0, 0, // Skip to: 5083
/* 5079 */    MCD::OPC_Decode, 163, 4, 80, // Opcode: BEQ
/* 5083 */    MCD::OPC_FilterValue, 23, 4, 0, 0, // Skip to: 5092
/* 5088 */    MCD::OPC_Decode, 180, 4, 80, // Opcode: BNE
/* 5092 */    MCD::OPC_FilterValue, 24, 4, 0, 0, // Skip to: 5101
/* 5097 */    MCD::OPC_Decode, 176, 4, 80, // Opcode: BLT
/* 5101 */    MCD::OPC_FilterValue, 25, 4, 0, 0, // Skip to: 5110
/* 5106 */    MCD::OPC_Decode, 167, 4, 80, // Opcode: BGE
/* 5110 */    MCD::OPC_FilterValue, 26, 4, 0, 0, // Skip to: 5119
/* 5115 */    MCD::OPC_Decode, 178, 4, 80, // Opcode: BLTU
/* 5119 */    MCD::OPC_FilterValue, 27, 4, 0, 0, // Skip to: 5128
/* 5124 */    MCD::OPC_Decode, 169, 4, 80, // Opcode: BGEU
/* 5128 */    MCD::OPC_FilterValue, 28, 106, 29, 0, // Skip to: 12663
/* 5133 */    MCD::OPC_ExtractField, 18, 8,  // Inst{25-18} ...
/* 5136 */    MCD::OPC_FilterValue, 0, 75, 0, 0, // Skip to: 5216
/* 5141 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 5144 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 5153
/* 5149 */    MCD::OPC_Decode, 196, 11, 81, // Opcode: VSEQ_B
/* 5153 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 5162
/* 5158 */    MCD::OPC_Decode, 198, 11, 82, // Opcode: VSEQ_H
/* 5162 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 5171
/* 5167 */    MCD::OPC_Decode, 199, 11, 50, // Opcode: VSEQ_W
/* 5171 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 5180
/* 5176 */    MCD::OPC_Decode, 197, 11, 51, // Opcode: VSEQ_D
/* 5180 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 5189
/* 5185 */    MCD::OPC_Decode, 238, 11, 81, // Opcode: VSLE_B
/* 5189 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 5198
/* 5194 */    MCD::OPC_Decode, 242, 11, 82, // Opcode: VSLE_H
/* 5198 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 5207
/* 5203 */    MCD::OPC_Decode, 244, 11, 50, // Opcode: VSLE_W
/* 5207 */    MCD::OPC_FilterValue, 7, 25, 61, 0, // Skip to: 20853
/* 5212 */    MCD::OPC_Decode, 240, 11, 51, // Opcode: VSLE_D
/* 5216 */    MCD::OPC_FilterValue, 1, 75, 0, 0, // Skip to: 5296
/* 5221 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 5224 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 5233
/* 5229 */    MCD::OPC_Decode, 239, 11, 81, // Opcode: VSLE_BU
/* 5233 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 5242
/* 5238 */    MCD::OPC_Decode, 243, 11, 82, // Opcode: VSLE_HU
/* 5242 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 5251
/* 5247 */    MCD::OPC_Decode, 245, 11, 50, // Opcode: VSLE_WU
/* 5251 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 5260
/* 5256 */    MCD::OPC_Decode, 241, 11, 51, // Opcode: VSLE_DU
/* 5260 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 5269
/* 5265 */    MCD::OPC_Decode, 148, 12, 81, // Opcode: VSLT_B
/* 5269 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 5278
/* 5274 */    MCD::OPC_Decode, 152, 12, 82, // Opcode: VSLT_H
/* 5278 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 5287
/* 5283 */    MCD::OPC_Decode, 154, 12, 50, // Opcode: VSLT_W
/* 5287 */    MCD::OPC_FilterValue, 7, 201, 60, 0, // Skip to: 20853
/* 5292 */    MCD::OPC_Decode, 150, 12, 51, // Opcode: VSLT_D
/* 5296 */    MCD::OPC_FilterValue, 2, 75, 0, 0, // Skip to: 5376
/* 5301 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 5304 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 5313
/* 5309 */    MCD::OPC_Decode, 149, 12, 81, // Opcode: VSLT_BU
/* 5313 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 5322
/* 5318 */    MCD::OPC_Decode, 153, 12, 82, // Opcode: VSLT_HU
/* 5322 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 5331
/* 5327 */    MCD::OPC_Decode, 155, 12, 50, // Opcode: VSLT_WU
/* 5331 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 5340
/* 5336 */    MCD::OPC_Decode, 151, 12, 51, // Opcode: VSLT_DU
/* 5340 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 5349
/* 5345 */    MCD::OPC_Decode, 228, 7, 81, // Opcode: VADD_B
/* 5349 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 5358
/* 5354 */    MCD::OPC_Decode, 230, 7, 82, // Opcode: VADD_H
/* 5358 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 5367
/* 5363 */    MCD::OPC_Decode, 232, 7, 50, // Opcode: VADD_W
/* 5367 */    MCD::OPC_FilterValue, 7, 121, 60, 0, // Skip to: 20853
/* 5372 */    MCD::OPC_Decode, 229, 7, 51, // Opcode: VADD_D
/* 5376 */    MCD::OPC_FilterValue, 3, 39, 0, 0, // Skip to: 5420
/* 5381 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 5384 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 5393
/* 5389 */    MCD::OPC_Decode, 185, 13, 81, // Opcode: VSUB_B
/* 5393 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 5402
/* 5398 */    MCD::OPC_Decode, 187, 13, 82, // Opcode: VSUB_H
/* 5402 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 5411
/* 5407 */    MCD::OPC_Decode, 189, 13, 50, // Opcode: VSUB_W
/* 5411 */    MCD::OPC_FilterValue, 3, 77, 60, 0, // Skip to: 20853
/* 5416 */    MCD::OPC_Decode, 186, 13, 51, // Opcode: VSUB_D
/* 5420 */    MCD::OPC_FilterValue, 7, 39, 0, 0, // Skip to: 5464
/* 5425 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 5428 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 5437
/* 5433 */    MCD::OPC_Decode, 207, 7, 83, // Opcode: VADDWEV_H_B
/* 5437 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 5446
/* 5442 */    MCD::OPC_Decode, 213, 7, 84, // Opcode: VADDWEV_W_H
/* 5446 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 5455
/* 5451 */    MCD::OPC_Decode, 204, 7, 85, // Opcode: VADDWEV_D_W
/* 5455 */    MCD::OPC_FilterValue, 7, 33, 60, 0, // Skip to: 20853
/* 5460 */    MCD::OPC_Decode, 210, 7, 51, // Opcode: VADDWEV_Q_D
/* 5464 */    MCD::OPC_FilterValue, 8, 75, 0, 0, // Skip to: 5544
/* 5469 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 5472 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 5481
/* 5477 */    MCD::OPC_Decode, 171, 13, 83, // Opcode: VSUBWEV_H_B
/* 5481 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 5490
/* 5486 */    MCD::OPC_Decode, 175, 13, 84, // Opcode: VSUBWEV_W_H
/* 5490 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 5499
/* 5495 */    MCD::OPC_Decode, 169, 13, 85, // Opcode: VSUBWEV_D_W
/* 5499 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 5508
/* 5504 */    MCD::OPC_Decode, 173, 13, 51, // Opcode: VSUBWEV_Q_D
/* 5508 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 5517
/* 5513 */    MCD::OPC_Decode, 219, 7, 83, // Opcode: VADDWOD_H_B
/* 5517 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 5526
/* 5522 */    MCD::OPC_Decode, 225, 7, 84, // Opcode: VADDWOD_W_H
/* 5526 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 5535
/* 5531 */    MCD::OPC_Decode, 216, 7, 85, // Opcode: VADDWOD_D_W
/* 5535 */    MCD::OPC_FilterValue, 7, 209, 59, 0, // Skip to: 20853
/* 5540 */    MCD::OPC_Decode, 222, 7, 51, // Opcode: VADDWOD_Q_D
/* 5544 */    MCD::OPC_FilterValue, 9, 39, 0, 0, // Skip to: 5588
/* 5549 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 5552 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 5561
/* 5557 */    MCD::OPC_Decode, 179, 13, 83, // Opcode: VSUBWOD_H_B
/* 5561 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 5570
/* 5566 */    MCD::OPC_Decode, 183, 13, 84, // Opcode: VSUBWOD_W_H
/* 5570 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 5579
/* 5575 */    MCD::OPC_Decode, 177, 13, 85, // Opcode: VSUBWOD_D_W
/* 5579 */    MCD::OPC_FilterValue, 3, 165, 59, 0, // Skip to: 20853
/* 5584 */    MCD::OPC_Decode, 181, 13, 51, // Opcode: VSUBWOD_Q_D
/* 5588 */    MCD::OPC_FilterValue, 11, 39, 0, 0, // Skip to: 5632
/* 5593 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 5596 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 5605
/* 5601 */    MCD::OPC_Decode, 208, 7, 83, // Opcode: VADDWEV_H_BU
/* 5605 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 5614
/* 5610 */    MCD::OPC_Decode, 214, 7, 84, // Opcode: VADDWEV_W_HU
/* 5614 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 5623
/* 5619 */    MCD::OPC_Decode, 205, 7, 85, // Opcode: VADDWEV_D_WU
/* 5623 */    MCD::OPC_FilterValue, 7, 121, 59, 0, // Skip to: 20853
/* 5628 */    MCD::OPC_Decode, 211, 7, 51, // Opcode: VADDWEV_Q_DU
/* 5632 */    MCD::OPC_FilterValue, 12, 75, 0, 0, // Skip to: 5712
/* 5637 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 5640 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 5649
/* 5645 */    MCD::OPC_Decode, 172, 13, 83, // Opcode: VSUBWEV_H_BU
/* 5649 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 5658
/* 5654 */    MCD::OPC_Decode, 176, 13, 84, // Opcode: VSUBWEV_W_HU
/* 5658 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 5667
/* 5663 */    MCD::OPC_Decode, 170, 13, 85, // Opcode: VSUBWEV_D_WU
/* 5667 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 5676
/* 5672 */    MCD::OPC_Decode, 174, 13, 51, // Opcode: VSUBWEV_Q_DU
/* 5676 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 5685
/* 5681 */    MCD::OPC_Decode, 220, 7, 83, // Opcode: VADDWOD_H_BU
/* 5685 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 5694
/* 5690 */    MCD::OPC_Decode, 226, 7, 84, // Opcode: VADDWOD_W_HU
/* 5694 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 5703
/* 5699 */    MCD::OPC_Decode, 217, 7, 85, // Opcode: VADDWOD_D_WU
/* 5703 */    MCD::OPC_FilterValue, 7, 41, 59, 0, // Skip to: 20853
/* 5708 */    MCD::OPC_Decode, 223, 7, 51, // Opcode: VADDWOD_Q_DU
/* 5712 */    MCD::OPC_FilterValue, 13, 39, 0, 0, // Skip to: 5756
/* 5717 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 5720 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 5729
/* 5725 */    MCD::OPC_Decode, 180, 13, 83, // Opcode: VSUBWOD_H_BU
/* 5729 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 5738
/* 5734 */    MCD::OPC_Decode, 184, 13, 84, // Opcode: VSUBWOD_W_HU
/* 5738 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 5747
/* 5743 */    MCD::OPC_Decode, 178, 13, 85, // Opcode: VSUBWOD_D_WU
/* 5747 */    MCD::OPC_FilterValue, 3, 253, 58, 0, // Skip to: 20853
/* 5752 */    MCD::OPC_Decode, 182, 13, 51, // Opcode: VSUBWOD_Q_DU
/* 5756 */    MCD::OPC_FilterValue, 15, 39, 0, 0, // Skip to: 5800
/* 5761 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 5764 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 5773
/* 5769 */    MCD::OPC_Decode, 209, 7, 83, // Opcode: VADDWEV_H_BU_B
/* 5773 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 5782
/* 5778 */    MCD::OPC_Decode, 215, 7, 84, // Opcode: VADDWEV_W_HU_H
/* 5782 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 5791
/* 5787 */    MCD::OPC_Decode, 206, 7, 85, // Opcode: VADDWEV_D_WU_W
/* 5791 */    MCD::OPC_FilterValue, 7, 209, 58, 0, // Skip to: 20853
/* 5796 */    MCD::OPC_Decode, 212, 7, 51, // Opcode: VADDWEV_Q_DU_D
/* 5800 */    MCD::OPC_FilterValue, 16, 39, 0, 0, // Skip to: 5844
/* 5805 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 5808 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 5817
/* 5813 */    MCD::OPC_Decode, 221, 7, 83, // Opcode: VADDWOD_H_BU_B
/* 5817 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 5826
/* 5822 */    MCD::OPC_Decode, 227, 7, 84, // Opcode: VADDWOD_W_HU_H
/* 5826 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 5835
/* 5831 */    MCD::OPC_Decode, 218, 7, 85, // Opcode: VADDWOD_D_WU_W
/* 5835 */    MCD::OPC_FilterValue, 3, 165, 58, 0, // Skip to: 20853
/* 5840 */    MCD::OPC_Decode, 224, 7, 51, // Opcode: VADDWOD_Q_DU_D
/* 5844 */    MCD::OPC_FilterValue, 17, 39, 0, 0, // Skip to: 5888
/* 5849 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 5852 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 5861
/* 5857 */    MCD::OPC_Decode, 172, 11, 81, // Opcode: VSADD_B
/* 5861 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 5870
/* 5866 */    MCD::OPC_Decode, 176, 11, 82, // Opcode: VSADD_H
/* 5870 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 5879
/* 5875 */    MCD::OPC_Decode, 178, 11, 50, // Opcode: VSADD_W
/* 5879 */    MCD::OPC_FilterValue, 7, 121, 58, 0, // Skip to: 20853
/* 5884 */    MCD::OPC_Decode, 174, 11, 51, // Opcode: VSADD_D
/* 5888 */    MCD::OPC_FilterValue, 18, 75, 0, 0, // Skip to: 5968
/* 5893 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 5896 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 5905
/* 5901 */    MCD::OPC_Decode, 148, 13, 81, // Opcode: VSSUB_B
/* 5905 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 5914
/* 5910 */    MCD::OPC_Decode, 152, 13, 82, // Opcode: VSSUB_H
/* 5914 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 5923
/* 5919 */    MCD::OPC_Decode, 154, 13, 50, // Opcode: VSSUB_W
/* 5923 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 5932
/* 5928 */    MCD::OPC_Decode, 150, 13, 51, // Opcode: VSSUB_D
/* 5932 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 5941
/* 5937 */    MCD::OPC_Decode, 173, 11, 81, // Opcode: VSADD_BU
/* 5941 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 5950
/* 5946 */    MCD::OPC_Decode, 177, 11, 82, // Opcode: VSADD_HU
/* 5950 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 5959
/* 5955 */    MCD::OPC_Decode, 179, 11, 50, // Opcode: VSADD_WU
/* 5959 */    MCD::OPC_FilterValue, 7, 41, 58, 0, // Skip to: 20853
/* 5964 */    MCD::OPC_Decode, 175, 11, 51, // Opcode: VSADD_DU
/* 5968 */    MCD::OPC_FilterValue, 19, 39, 0, 0, // Skip to: 6012
/* 5973 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 5976 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 5985
/* 5981 */    MCD::OPC_Decode, 149, 13, 81, // Opcode: VSSUB_BU
/* 5985 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 5994
/* 5990 */    MCD::OPC_Decode, 153, 13, 82, // Opcode: VSSUB_HU
/* 5994 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 6003
/* 5999 */    MCD::OPC_Decode, 155, 13, 50, // Opcode: VSSUB_WU
/* 6003 */    MCD::OPC_FilterValue, 3, 253, 57, 0, // Skip to: 20853
/* 6008 */    MCD::OPC_Decode, 151, 13, 51, // Opcode: VSSUB_DU
/* 6012 */    MCD::OPC_FilterValue, 21, 75, 0, 0, // Skip to: 6092
/* 6017 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 6020 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 6029
/* 6025 */    MCD::OPC_Decode, 205, 9, 83, // Opcode: VHADDW_H_B
/* 6029 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 6038
/* 6034 */    MCD::OPC_Decode, 209, 9, 84, // Opcode: VHADDW_W_H
/* 6038 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 6047
/* 6043 */    MCD::OPC_Decode, 203, 9, 85, // Opcode: VHADDW_D_W
/* 6047 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 6056
/* 6052 */    MCD::OPC_Decode, 207, 9, 51, // Opcode: VHADDW_Q_D
/* 6056 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 6065
/* 6061 */    MCD::OPC_Decode, 213, 9, 83, // Opcode: VHSUBW_H_B
/* 6065 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 6074
/* 6070 */    MCD::OPC_Decode, 217, 9, 84, // Opcode: VHSUBW_W_H
/* 6074 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 6083
/* 6079 */    MCD::OPC_Decode, 211, 9, 85, // Opcode: VHSUBW_D_W
/* 6083 */    MCD::OPC_FilterValue, 7, 173, 57, 0, // Skip to: 20853
/* 6088 */    MCD::OPC_Decode, 215, 9, 51, // Opcode: VHSUBW_Q_D
/* 6092 */    MCD::OPC_FilterValue, 22, 75, 0, 0, // Skip to: 6172
/* 6097 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 6100 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 6109
/* 6105 */    MCD::OPC_Decode, 204, 9, 83, // Opcode: VHADDW_HU_BU
/* 6109 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 6118
/* 6114 */    MCD::OPC_Decode, 208, 9, 84, // Opcode: VHADDW_WU_HU
/* 6118 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 6127
/* 6123 */    MCD::OPC_Decode, 202, 9, 85, // Opcode: VHADDW_DU_WU
/* 6127 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 6136
/* 6132 */    MCD::OPC_Decode, 206, 9, 51, // Opcode: VHADDW_QU_DU
/* 6136 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 6145
/* 6141 */    MCD::OPC_Decode, 212, 9, 83, // Opcode: VHSUBW_HU_BU
/* 6145 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 6154
/* 6150 */    MCD::OPC_Decode, 216, 9, 84, // Opcode: VHSUBW_WU_HU
/* 6154 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 6163
/* 6159 */    MCD::OPC_Decode, 210, 9, 85, // Opcode: VHSUBW_DU_WU
/* 6163 */    MCD::OPC_FilterValue, 7, 93, 57, 0, // Skip to: 20853
/* 6168 */    MCD::OPC_Decode, 214, 9, 51, // Opcode: VHSUBW_QU_DU
/* 6172 */    MCD::OPC_FilterValue, 23, 39, 0, 0, // Skip to: 6216
/* 6177 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 6180 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 6189
/* 6185 */    MCD::OPC_Decode, 196, 7, 81, // Opcode: VADDA_B
/* 6189 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 6198
/* 6194 */    MCD::OPC_Decode, 198, 7, 82, // Opcode: VADDA_H
/* 6198 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 6207
/* 6203 */    MCD::OPC_Decode, 199, 7, 50, // Opcode: VADDA_W
/* 6207 */    MCD::OPC_FilterValue, 3, 49, 57, 0, // Skip to: 20853
/* 6212 */    MCD::OPC_Decode, 197, 7, 51, // Opcode: VADDA_D
/* 6216 */    MCD::OPC_FilterValue, 24, 75, 0, 0, // Skip to: 6296
/* 6221 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 6224 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 6233
/* 6229 */    MCD::OPC_Decode, 188, 7, 81, // Opcode: VABSD_B
/* 6233 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 6242
/* 6238 */    MCD::OPC_Decode, 192, 7, 82, // Opcode: VABSD_H
/* 6242 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 6251
/* 6247 */    MCD::OPC_Decode, 194, 7, 50, // Opcode: VABSD_W
/* 6251 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 6260
/* 6256 */    MCD::OPC_Decode, 190, 7, 51, // Opcode: VABSD_D
/* 6260 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 6269
/* 6265 */    MCD::OPC_Decode, 189, 7, 81, // Opcode: VABSD_BU
/* 6269 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 6278
/* 6274 */    MCD::OPC_Decode, 193, 7, 82, // Opcode: VABSD_HU
/* 6278 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 6287
/* 6283 */    MCD::OPC_Decode, 195, 7, 50, // Opcode: VABSD_WU
/* 6287 */    MCD::OPC_FilterValue, 7, 225, 56, 0, // Skip to: 20853
/* 6292 */    MCD::OPC_Decode, 191, 7, 51, // Opcode: VABSD_DU
/* 6296 */    MCD::OPC_FilterValue, 25, 75, 0, 0, // Skip to: 6376
/* 6301 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 6304 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 6313
/* 6309 */    MCD::OPC_Decode, 245, 7, 81, // Opcode: VAVG_B
/* 6313 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 6322
/* 6318 */    MCD::OPC_Decode, 249, 7, 82, // Opcode: VAVG_H
/* 6322 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 6331
/* 6327 */    MCD::OPC_Decode, 251, 7, 50, // Opcode: VAVG_W
/* 6331 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 6340
/* 6336 */    MCD::OPC_Decode, 247, 7, 51, // Opcode: VAVG_D
/* 6340 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 6349
/* 6345 */    MCD::OPC_Decode, 246, 7, 81, // Opcode: VAVG_BU
/* 6349 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 6358
/* 6354 */    MCD::OPC_Decode, 250, 7, 82, // Opcode: VAVG_HU
/* 6358 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 6367
/* 6363 */    MCD::OPC_Decode, 252, 7, 50, // Opcode: VAVG_WU
/* 6367 */    MCD::OPC_FilterValue, 7, 145, 56, 0, // Skip to: 20853
/* 6372 */    MCD::OPC_Decode, 248, 7, 51, // Opcode: VAVG_DU
/* 6376 */    MCD::OPC_FilterValue, 26, 75, 0, 0, // Skip to: 6456
/* 6381 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 6384 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 6393
/* 6389 */    MCD::OPC_Decode, 237, 7, 81, // Opcode: VAVGR_B
/* 6393 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 6402
/* 6398 */    MCD::OPC_Decode, 241, 7, 82, // Opcode: VAVGR_H
/* 6402 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 6411
/* 6407 */    MCD::OPC_Decode, 243, 7, 50, // Opcode: VAVGR_W
/* 6411 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 6420
/* 6416 */    MCD::OPC_Decode, 239, 7, 51, // Opcode: VAVGR_D
/* 6420 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 6429
/* 6425 */    MCD::OPC_Decode, 238, 7, 81, // Opcode: VAVGR_BU
/* 6429 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 6438
/* 6434 */    MCD::OPC_Decode, 242, 7, 82, // Opcode: VAVGR_HU
/* 6438 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 6447
/* 6443 */    MCD::OPC_Decode, 244, 7, 50, // Opcode: VAVGR_WU
/* 6447 */    MCD::OPC_FilterValue, 7, 65, 56, 0, // Skip to: 20853
/* 6452 */    MCD::OPC_Decode, 240, 7, 51, // Opcode: VAVGR_DU
/* 6456 */    MCD::OPC_FilterValue, 28, 75, 0, 0, // Skip to: 6536
/* 6461 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 6464 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 6473
/* 6469 */    MCD::OPC_Decode, 160, 10, 81, // Opcode: VMAX_B
/* 6473 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 6482
/* 6478 */    MCD::OPC_Decode, 164, 10, 82, // Opcode: VMAX_H
/* 6482 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 6491
/* 6487 */    MCD::OPC_Decode, 166, 10, 50, // Opcode: VMAX_W
/* 6491 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 6500
/* 6496 */    MCD::OPC_Decode, 162, 10, 51, // Opcode: VMAX_D
/* 6500 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 6509
/* 6505 */    MCD::OPC_Decode, 180, 10, 81, // Opcode: VMIN_B
/* 6509 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 6518
/* 6514 */    MCD::OPC_Decode, 184, 10, 82, // Opcode: VMIN_H
/* 6518 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 6527
/* 6523 */    MCD::OPC_Decode, 186, 10, 50, // Opcode: VMIN_W
/* 6527 */    MCD::OPC_FilterValue, 7, 241, 55, 0, // Skip to: 20853
/* 6532 */    MCD::OPC_Decode, 182, 10, 51, // Opcode: VMIN_D
/* 6536 */    MCD::OPC_FilterValue, 29, 75, 0, 0, // Skip to: 6616
/* 6541 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 6544 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 6553
/* 6549 */    MCD::OPC_Decode, 161, 10, 81, // Opcode: VMAX_BU
/* 6553 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 6562
/* 6558 */    MCD::OPC_Decode, 165, 10, 82, // Opcode: VMAX_HU
/* 6562 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 6571
/* 6567 */    MCD::OPC_Decode, 167, 10, 50, // Opcode: VMAX_WU
/* 6571 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 6580
/* 6576 */    MCD::OPC_Decode, 163, 10, 51, // Opcode: VMAX_DU
/* 6580 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 6589
/* 6585 */    MCD::OPC_Decode, 181, 10, 81, // Opcode: VMIN_BU
/* 6589 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 6598
/* 6594 */    MCD::OPC_Decode, 185, 10, 82, // Opcode: VMIN_HU
/* 6598 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 6607
/* 6603 */    MCD::OPC_Decode, 187, 10, 50, // Opcode: VMIN_WU
/* 6607 */    MCD::OPC_FilterValue, 7, 161, 55, 0, // Skip to: 20853
/* 6612 */    MCD::OPC_Decode, 183, 10, 51, // Opcode: VMIN_DU
/* 6616 */    MCD::OPC_FilterValue, 33, 75, 0, 0, // Skip to: 6696
/* 6621 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 6624 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 6633
/* 6629 */    MCD::OPC_Decode, 238, 10, 81, // Opcode: VMUL_B
/* 6633 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 6642
/* 6638 */    MCD::OPC_Decode, 240, 10, 82, // Opcode: VMUL_H
/* 6642 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 6651
/* 6647 */    MCD::OPC_Decode, 241, 10, 50, // Opcode: VMUL_W
/* 6651 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 6660
/* 6656 */    MCD::OPC_Decode, 239, 10, 51, // Opcode: VMUL_D
/* 6660 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 6669
/* 6665 */    MCD::OPC_Decode, 206, 10, 81, // Opcode: VMUH_B
/* 6669 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 6678
/* 6674 */    MCD::OPC_Decode, 210, 10, 82, // Opcode: VMUH_H
/* 6678 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 6687
/* 6683 */    MCD::OPC_Decode, 212, 10, 50, // Opcode: VMUH_W
/* 6687 */    MCD::OPC_FilterValue, 7, 81, 55, 0, // Skip to: 20853
/* 6692 */    MCD::OPC_Decode, 208, 10, 51, // Opcode: VMUH_D
/* 6696 */    MCD::OPC_FilterValue, 34, 39, 0, 0, // Skip to: 6740
/* 6701 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 6704 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 6713
/* 6709 */    MCD::OPC_Decode, 207, 10, 81, // Opcode: VMUH_BU
/* 6713 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 6722
/* 6718 */    MCD::OPC_Decode, 211, 10, 82, // Opcode: VMUH_HU
/* 6722 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 6731
/* 6727 */    MCD::OPC_Decode, 213, 10, 50, // Opcode: VMUH_WU
/* 6731 */    MCD::OPC_FilterValue, 3, 37, 55, 0, // Skip to: 20853
/* 6736 */    MCD::OPC_Decode, 209, 10, 51, // Opcode: VMUH_DU
/* 6740 */    MCD::OPC_FilterValue, 36, 75, 0, 0, // Skip to: 6820
/* 6745 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 6748 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 6757
/* 6753 */    MCD::OPC_Decode, 217, 10, 83, // Opcode: VMULWEV_H_B
/* 6757 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 6766
/* 6762 */    MCD::OPC_Decode, 223, 10, 84, // Opcode: VMULWEV_W_H
/* 6766 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 6775
/* 6771 */    MCD::OPC_Decode, 214, 10, 85, // Opcode: VMULWEV_D_W
/* 6775 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 6784
/* 6780 */    MCD::OPC_Decode, 220, 10, 51, // Opcode: VMULWEV_Q_D
/* 6784 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 6793
/* 6789 */    MCD::OPC_Decode, 229, 10, 83, // Opcode: VMULWOD_H_B
/* 6793 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 6802
/* 6798 */    MCD::OPC_Decode, 235, 10, 84, // Opcode: VMULWOD_W_H
/* 6802 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 6811
/* 6807 */    MCD::OPC_Decode, 226, 10, 85, // Opcode: VMULWOD_D_W
/* 6811 */    MCD::OPC_FilterValue, 7, 213, 54, 0, // Skip to: 20853
/* 6816 */    MCD::OPC_Decode, 232, 10, 51, // Opcode: VMULWOD_Q_D
/* 6820 */    MCD::OPC_FilterValue, 38, 75, 0, 0, // Skip to: 6900
/* 6825 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 6828 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 6837
/* 6833 */    MCD::OPC_Decode, 218, 10, 83, // Opcode: VMULWEV_H_BU
/* 6837 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 6846
/* 6842 */    MCD::OPC_Decode, 224, 10, 84, // Opcode: VMULWEV_W_HU
/* 6846 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 6855
/* 6851 */    MCD::OPC_Decode, 215, 10, 85, // Opcode: VMULWEV_D_WU
/* 6855 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 6864
/* 6860 */    MCD::OPC_Decode, 221, 10, 51, // Opcode: VMULWEV_Q_DU
/* 6864 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 6873
/* 6869 */    MCD::OPC_Decode, 230, 10, 83, // Opcode: VMULWOD_H_BU
/* 6873 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 6882
/* 6878 */    MCD::OPC_Decode, 236, 10, 84, // Opcode: VMULWOD_W_HU
/* 6882 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 6891
/* 6887 */    MCD::OPC_Decode, 227, 10, 85, // Opcode: VMULWOD_D_WU
/* 6891 */    MCD::OPC_FilterValue, 7, 133, 54, 0, // Skip to: 20853
/* 6896 */    MCD::OPC_Decode, 233, 10, 51, // Opcode: VMULWOD_Q_DU
/* 6900 */    MCD::OPC_FilterValue, 40, 75, 0, 0, // Skip to: 6980
/* 6905 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 6908 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 6917
/* 6913 */    MCD::OPC_Decode, 219, 10, 83, // Opcode: VMULWEV_H_BU_B
/* 6917 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 6926
/* 6922 */    MCD::OPC_Decode, 225, 10, 84, // Opcode: VMULWEV_W_HU_H
/* 6926 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 6935
/* 6931 */    MCD::OPC_Decode, 216, 10, 85, // Opcode: VMULWEV_D_WU_W
/* 6935 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 6944
/* 6940 */    MCD::OPC_Decode, 222, 10, 51, // Opcode: VMULWEV_Q_DU_D
/* 6944 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 6953
/* 6949 */    MCD::OPC_Decode, 231, 10, 83, // Opcode: VMULWOD_H_BU_B
/* 6953 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 6962
/* 6958 */    MCD::OPC_Decode, 237, 10, 84, // Opcode: VMULWOD_W_HU_H
/* 6962 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 6971
/* 6967 */    MCD::OPC_Decode, 228, 10, 85, // Opcode: VMULWOD_D_WU_W
/* 6971 */    MCD::OPC_FilterValue, 7, 53, 54, 0, // Skip to: 20853
/* 6976 */    MCD::OPC_Decode, 234, 10, 51, // Opcode: VMULWOD_Q_DU_D
/* 6980 */    MCD::OPC_FilterValue, 42, 75, 0, 0, // Skip to: 7060
/* 6985 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 6988 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 6997
/* 6993 */    MCD::OPC_Decode, 140, 10, 86, // Opcode: VMADD_B
/* 6997 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 7006
/* 7002 */    MCD::OPC_Decode, 142, 10, 87, // Opcode: VMADD_H
/* 7006 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 7015
/* 7011 */    MCD::OPC_Decode, 143, 10, 88, // Opcode: VMADD_W
/* 7015 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 7024
/* 7020 */    MCD::OPC_Decode, 141, 10, 89, // Opcode: VMADD_D
/* 7024 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 7033
/* 7029 */    MCD::OPC_Decode, 202, 10, 86, // Opcode: VMSUB_B
/* 7033 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 7042
/* 7038 */    MCD::OPC_Decode, 204, 10, 87, // Opcode: VMSUB_H
/* 7042 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 7051
/* 7047 */    MCD::OPC_Decode, 205, 10, 88, // Opcode: VMSUB_W
/* 7051 */    MCD::OPC_FilterValue, 7, 229, 53, 0, // Skip to: 20853
/* 7056 */    MCD::OPC_Decode, 203, 10, 89, // Opcode: VMSUB_D
/* 7060 */    MCD::OPC_FilterValue, 43, 75, 0, 0, // Skip to: 7140
/* 7065 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 7068 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 7077
/* 7073 */    MCD::OPC_Decode, 247, 9, 90, // Opcode: VMADDWEV_H_B
/* 7077 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 7086
/* 7082 */    MCD::OPC_Decode, 253, 9, 91, // Opcode: VMADDWEV_W_H
/* 7086 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 7095
/* 7091 */    MCD::OPC_Decode, 244, 9, 92, // Opcode: VMADDWEV_D_W
/* 7095 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 7104
/* 7100 */    MCD::OPC_Decode, 250, 9, 89, // Opcode: VMADDWEV_Q_D
/* 7104 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 7113
/* 7109 */    MCD::OPC_Decode, 131, 10, 90, // Opcode: VMADDWOD_H_B
/* 7113 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 7122
/* 7118 */    MCD::OPC_Decode, 137, 10, 91, // Opcode: VMADDWOD_W_H
/* 7122 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 7131
/* 7127 */    MCD::OPC_Decode, 128, 10, 92, // Opcode: VMADDWOD_D_W
/* 7131 */    MCD::OPC_FilterValue, 7, 149, 53, 0, // Skip to: 20853
/* 7136 */    MCD::OPC_Decode, 134, 10, 89, // Opcode: VMADDWOD_Q_D
/* 7140 */    MCD::OPC_FilterValue, 45, 75, 0, 0, // Skip to: 7220
/* 7145 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 7148 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 7157
/* 7153 */    MCD::OPC_Decode, 248, 9, 90, // Opcode: VMADDWEV_H_BU
/* 7157 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 7166
/* 7162 */    MCD::OPC_Decode, 254, 9, 91, // Opcode: VMADDWEV_W_HU
/* 7166 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 7175
/* 7171 */    MCD::OPC_Decode, 245, 9, 92, // Opcode: VMADDWEV_D_WU
/* 7175 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 7184
/* 7180 */    MCD::OPC_Decode, 251, 9, 89, // Opcode: VMADDWEV_Q_DU
/* 7184 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 7193
/* 7189 */    MCD::OPC_Decode, 132, 10, 90, // Opcode: VMADDWOD_H_BU
/* 7193 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 7202
/* 7198 */    MCD::OPC_Decode, 138, 10, 91, // Opcode: VMADDWOD_W_HU
/* 7202 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 7211
/* 7207 */    MCD::OPC_Decode, 129, 10, 92, // Opcode: VMADDWOD_D_WU
/* 7211 */    MCD::OPC_FilterValue, 7, 69, 53, 0, // Skip to: 20853
/* 7216 */    MCD::OPC_Decode, 135, 10, 89, // Opcode: VMADDWOD_Q_DU
/* 7220 */    MCD::OPC_FilterValue, 47, 75, 0, 0, // Skip to: 7300
/* 7225 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 7228 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 7237
/* 7233 */    MCD::OPC_Decode, 249, 9, 90, // Opcode: VMADDWEV_H_BU_B
/* 7237 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 7246
/* 7242 */    MCD::OPC_Decode, 255, 9, 91, // Opcode: VMADDWEV_W_HU_H
/* 7246 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 7255
/* 7251 */    MCD::OPC_Decode, 246, 9, 92, // Opcode: VMADDWEV_D_WU_W
/* 7255 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 7264
/* 7260 */    MCD::OPC_Decode, 252, 9, 89, // Opcode: VMADDWEV_Q_DU_D
/* 7264 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 7273
/* 7269 */    MCD::OPC_Decode, 133, 10, 90, // Opcode: VMADDWOD_H_BU_B
/* 7273 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 7282
/* 7278 */    MCD::OPC_Decode, 139, 10, 91, // Opcode: VMADDWOD_W_HU_H
/* 7282 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 7291
/* 7287 */    MCD::OPC_Decode, 130, 10, 92, // Opcode: VMADDWOD_D_WU_W
/* 7291 */    MCD::OPC_FilterValue, 7, 245, 52, 0, // Skip to: 20853
/* 7296 */    MCD::OPC_Decode, 136, 10, 89, // Opcode: VMADDWOD_Q_DU_D
/* 7300 */    MCD::OPC_FilterValue, 56, 75, 0, 0, // Skip to: 7380
/* 7305 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 7308 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 7317
/* 7313 */    MCD::OPC_Decode, 162, 8, 81, // Opcode: VDIV_B
/* 7317 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 7326
/* 7322 */    MCD::OPC_Decode, 166, 8, 82, // Opcode: VDIV_H
/* 7326 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 7335
/* 7331 */    MCD::OPC_Decode, 168, 8, 50, // Opcode: VDIV_W
/* 7335 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 7344
/* 7340 */    MCD::OPC_Decode, 164, 8, 51, // Opcode: VDIV_D
/* 7344 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 7353
/* 7349 */    MCD::OPC_Decode, 188, 10, 81, // Opcode: VMOD_B
/* 7353 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 7362
/* 7358 */    MCD::OPC_Decode, 192, 10, 82, // Opcode: VMOD_H
/* 7362 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 7371
/* 7367 */    MCD::OPC_Decode, 194, 10, 50, // Opcode: VMOD_W
/* 7371 */    MCD::OPC_FilterValue, 7, 165, 52, 0, // Skip to: 20853
/* 7376 */    MCD::OPC_Decode, 190, 10, 51, // Opcode: VMOD_D
/* 7380 */    MCD::OPC_FilterValue, 57, 75, 0, 0, // Skip to: 7460
/* 7385 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 7388 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 7397
/* 7393 */    MCD::OPC_Decode, 163, 8, 81, // Opcode: VDIV_BU
/* 7397 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 7406
/* 7402 */    MCD::OPC_Decode, 167, 8, 82, // Opcode: VDIV_HU
/* 7406 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 7415
/* 7411 */    MCD::OPC_Decode, 169, 8, 50, // Opcode: VDIV_WU
/* 7415 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 7424
/* 7420 */    MCD::OPC_Decode, 165, 8, 51, // Opcode: VDIV_DU
/* 7424 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 7433
/* 7429 */    MCD::OPC_Decode, 189, 10, 81, // Opcode: VMOD_BU
/* 7433 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 7442
/* 7438 */    MCD::OPC_Decode, 193, 10, 82, // Opcode: VMOD_HU
/* 7442 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 7451
/* 7447 */    MCD::OPC_Decode, 195, 10, 50, // Opcode: VMOD_WU
/* 7451 */    MCD::OPC_FilterValue, 7, 85, 52, 0, // Skip to: 20853
/* 7456 */    MCD::OPC_Decode, 191, 10, 51, // Opcode: VMOD_DU
/* 7460 */    MCD::OPC_FilterValue, 58, 75, 0, 0, // Skip to: 7540
/* 7465 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 7468 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 7477
/* 7473 */    MCD::OPC_Decode, 128, 12, 81, // Opcode: VSLL_B
/* 7477 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 7486
/* 7482 */    MCD::OPC_Decode, 130, 12, 82, // Opcode: VSLL_H
/* 7486 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 7495
/* 7491 */    MCD::OPC_Decode, 131, 12, 50, // Opcode: VSLL_W
/* 7495 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 7504
/* 7500 */    MCD::OPC_Decode, 129, 12, 51, // Opcode: VSLL_D
/* 7504 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 7513
/* 7509 */    MCD::OPC_Decode, 216, 12, 81, // Opcode: VSRL_B
/* 7513 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 7522
/* 7518 */    MCD::OPC_Decode, 218, 12, 82, // Opcode: VSRL_H
/* 7522 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 7531
/* 7527 */    MCD::OPC_Decode, 219, 12, 50, // Opcode: VSRL_W
/* 7531 */    MCD::OPC_FilterValue, 7, 5, 52, 0, // Skip to: 20853
/* 7536 */    MCD::OPC_Decode, 217, 12, 51, // Opcode: VSRL_D
/* 7540 */    MCD::OPC_FilterValue, 59, 75, 0, 0, // Skip to: 7620
/* 7545 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 7548 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 7557
/* 7553 */    MCD::OPC_Decode, 186, 12, 81, // Opcode: VSRA_B
/* 7557 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 7566
/* 7562 */    MCD::OPC_Decode, 188, 12, 82, // Opcode: VSRA_H
/* 7566 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 7575
/* 7571 */    MCD::OPC_Decode, 189, 12, 50, // Opcode: VSRA_W
/* 7575 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 7584
/* 7580 */    MCD::OPC_Decode, 187, 12, 51, // Opcode: VSRA_D
/* 7584 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 7593
/* 7589 */    MCD::OPC_Decode, 168, 11, 81, // Opcode: VROTR_B
/* 7593 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 7602
/* 7598 */    MCD::OPC_Decode, 170, 11, 82, // Opcode: VROTR_H
/* 7602 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 7611
/* 7607 */    MCD::OPC_Decode, 171, 11, 50, // Opcode: VROTR_W
/* 7611 */    MCD::OPC_FilterValue, 7, 181, 51, 0, // Skip to: 20853
/* 7616 */    MCD::OPC_Decode, 169, 11, 51, // Opcode: VROTR_D
/* 7620 */    MCD::OPC_FilterValue, 60, 75, 0, 0, // Skip to: 7700
/* 7625 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 7628 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 7637
/* 7633 */    MCD::OPC_Decode, 212, 12, 81, // Opcode: VSRLR_B
/* 7637 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 7646
/* 7642 */    MCD::OPC_Decode, 214, 12, 82, // Opcode: VSRLR_H
/* 7646 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 7655
/* 7651 */    MCD::OPC_Decode, 215, 12, 50, // Opcode: VSRLR_W
/* 7655 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 7664
/* 7660 */    MCD::OPC_Decode, 213, 12, 51, // Opcode: VSRLR_D
/* 7664 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 7673
/* 7669 */    MCD::OPC_Decode, 182, 12, 81, // Opcode: VSRAR_B
/* 7673 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 7682
/* 7678 */    MCD::OPC_Decode, 184, 12, 82, // Opcode: VSRAR_H
/* 7682 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 7691
/* 7687 */    MCD::OPC_Decode, 185, 12, 50, // Opcode: VSRAR_W
/* 7691 */    MCD::OPC_FilterValue, 7, 101, 51, 0, // Skip to: 20853
/* 7696 */    MCD::OPC_Decode, 183, 12, 51, // Opcode: VSRAR_D
/* 7700 */    MCD::OPC_FilterValue, 61, 57, 0, 0, // Skip to: 7762
/* 7705 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 7708 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 7717
/* 7713 */    MCD::OPC_Decode, 198, 12, 93, // Opcode: VSRLN_B_H
/* 7717 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 7726
/* 7722 */    MCD::OPC_Decode, 199, 12, 94, // Opcode: VSRLN_H_W
/* 7726 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 7735
/* 7731 */    MCD::OPC_Decode, 200, 12, 95, // Opcode: VSRLN_W_D
/* 7735 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 7744
/* 7740 */    MCD::OPC_Decode, 168, 12, 93, // Opcode: VSRAN_B_H
/* 7744 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 7753
/* 7749 */    MCD::OPC_Decode, 169, 12, 94, // Opcode: VSRAN_H_W
/* 7753 */    MCD::OPC_FilterValue, 7, 39, 51, 0, // Skip to: 20853
/* 7758 */    MCD::OPC_Decode, 170, 12, 95, // Opcode: VSRAN_W_D
/* 7762 */    MCD::OPC_FilterValue, 62, 57, 0, 0, // Skip to: 7824
/* 7767 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 7770 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 7779
/* 7775 */    MCD::OPC_Decode, 209, 12, 93, // Opcode: VSRLRN_B_H
/* 7779 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 7788
/* 7784 */    MCD::OPC_Decode, 210, 12, 94, // Opcode: VSRLRN_H_W
/* 7788 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 7797
/* 7793 */    MCD::OPC_Decode, 211, 12, 95, // Opcode: VSRLRN_W_D
/* 7797 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 7806
/* 7802 */    MCD::OPC_Decode, 179, 12, 93, // Opcode: VSRARN_B_H
/* 7806 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 7815
/* 7811 */    MCD::OPC_Decode, 180, 12, 94, // Opcode: VSRARN_H_W
/* 7815 */    MCD::OPC_FilterValue, 7, 233, 50, 0, // Skip to: 20853
/* 7820 */    MCD::OPC_Decode, 181, 12, 95, // Opcode: VSRARN_W_D
/* 7824 */    MCD::OPC_FilterValue, 63, 57, 0, 0, // Skip to: 7886
/* 7829 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 7832 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 7841
/* 7837 */    MCD::OPC_Decode, 129, 13, 93, // Opcode: VSSRLN_B_H
/* 7841 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 7850
/* 7846 */    MCD::OPC_Decode, 131, 13, 94, // Opcode: VSSRLN_H_W
/* 7850 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 7859
/* 7855 */    MCD::OPC_Decode, 133, 13, 95, // Opcode: VSSRLN_W_D
/* 7859 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 7868
/* 7864 */    MCD::OPC_Decode, 229, 12, 93, // Opcode: VSSRAN_B_H
/* 7868 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 7877
/* 7873 */    MCD::OPC_Decode, 231, 12, 94, // Opcode: VSSRAN_H_W
/* 7877 */    MCD::OPC_FilterValue, 7, 171, 50, 0, // Skip to: 20853
/* 7882 */    MCD::OPC_Decode, 233, 12, 95, // Opcode: VSSRAN_W_D
/* 7886 */    MCD::OPC_FilterValue, 64, 57, 0, 0, // Skip to: 7948
/* 7891 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 7894 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 7903
/* 7899 */    MCD::OPC_Decode, 143, 13, 93, // Opcode: VSSRLRN_B_H
/* 7903 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 7912
/* 7908 */    MCD::OPC_Decode, 145, 13, 94, // Opcode: VSSRLRN_H_W
/* 7912 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 7921
/* 7917 */    MCD::OPC_Decode, 147, 13, 95, // Opcode: VSSRLRN_W_D
/* 7921 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 7930
/* 7926 */    MCD::OPC_Decode, 243, 12, 93, // Opcode: VSSRARN_B_H
/* 7930 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 7939
/* 7935 */    MCD::OPC_Decode, 245, 12, 94, // Opcode: VSSRARN_H_W
/* 7939 */    MCD::OPC_FilterValue, 7, 109, 50, 0, // Skip to: 20853
/* 7944 */    MCD::OPC_Decode, 247, 12, 95, // Opcode: VSSRARN_W_D
/* 7948 */    MCD::OPC_FilterValue, 65, 57, 0, 0, // Skip to: 8010
/* 7953 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 7956 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 7965
/* 7961 */    MCD::OPC_Decode, 128, 13, 93, // Opcode: VSSRLN_BU_H
/* 7965 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 7974
/* 7970 */    MCD::OPC_Decode, 130, 13, 94, // Opcode: VSSRLN_HU_W
/* 7974 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 7983
/* 7979 */    MCD::OPC_Decode, 132, 13, 95, // Opcode: VSSRLN_WU_D
/* 7983 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 7992
/* 7988 */    MCD::OPC_Decode, 228, 12, 93, // Opcode: VSSRAN_BU_H
/* 7992 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 8001
/* 7997 */    MCD::OPC_Decode, 230, 12, 94, // Opcode: VSSRAN_HU_W
/* 8001 */    MCD::OPC_FilterValue, 7, 47, 50, 0, // Skip to: 20853
/* 8006 */    MCD::OPC_Decode, 232, 12, 95, // Opcode: VSSRAN_WU_D
/* 8010 */    MCD::OPC_FilterValue, 66, 57, 0, 0, // Skip to: 8072
/* 8015 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8018 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 8027
/* 8023 */    MCD::OPC_Decode, 142, 13, 93, // Opcode: VSSRLRN_BU_H
/* 8027 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 8036
/* 8032 */    MCD::OPC_Decode, 144, 13, 94, // Opcode: VSSRLRN_HU_W
/* 8036 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 8045
/* 8041 */    MCD::OPC_Decode, 146, 13, 95, // Opcode: VSSRLRN_WU_D
/* 8045 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 8054
/* 8050 */    MCD::OPC_Decode, 242, 12, 93, // Opcode: VSSRARN_BU_H
/* 8054 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 8063
/* 8059 */    MCD::OPC_Decode, 244, 12, 94, // Opcode: VSSRARN_HU_W
/* 8063 */    MCD::OPC_FilterValue, 7, 241, 49, 0, // Skip to: 20853
/* 8068 */    MCD::OPC_Decode, 246, 12, 95, // Opcode: VSSRARN_WU_D
/* 8072 */    MCD::OPC_FilterValue, 67, 75, 0, 0, // Skip to: 8152
/* 8077 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8080 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 8089
/* 8085 */    MCD::OPC_Decode, 129, 8, 81, // Opcode: VBITCLR_B
/* 8089 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 8098
/* 8094 */    MCD::OPC_Decode, 131, 8, 82, // Opcode: VBITCLR_H
/* 8098 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 8107
/* 8103 */    MCD::OPC_Decode, 132, 8, 50, // Opcode: VBITCLR_W
/* 8107 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 8116
/* 8112 */    MCD::OPC_Decode, 130, 8, 51, // Opcode: VBITCLR_D
/* 8116 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 8125
/* 8121 */    MCD::OPC_Decode, 148, 8, 81, // Opcode: VBITSET_B
/* 8125 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 8134
/* 8130 */    MCD::OPC_Decode, 150, 8, 82, // Opcode: VBITSET_H
/* 8134 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 8143
/* 8139 */    MCD::OPC_Decode, 151, 8, 50, // Opcode: VBITSET_W
/* 8143 */    MCD::OPC_FilterValue, 7, 161, 49, 0, // Skip to: 20853
/* 8148 */    MCD::OPC_Decode, 149, 8, 51, // Opcode: VBITSET_D
/* 8152 */    MCD::OPC_FilterValue, 68, 39, 0, 0, // Skip to: 8196
/* 8157 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8160 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 8169
/* 8165 */    MCD::OPC_Decode, 137, 8, 81, // Opcode: VBITREV_B
/* 8169 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 8178
/* 8174 */    MCD::OPC_Decode, 139, 8, 82, // Opcode: VBITREV_H
/* 8178 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 8187
/* 8183 */    MCD::OPC_Decode, 140, 8, 50, // Opcode: VBITREV_W
/* 8187 */    MCD::OPC_FilterValue, 3, 117, 49, 0, // Skip to: 20853
/* 8192 */    MCD::OPC_Decode, 138, 8, 51, // Opcode: VBITREV_D
/* 8196 */    MCD::OPC_FilterValue, 69, 39, 0, 0, // Skip to: 8240
/* 8201 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8204 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 8213
/* 8209 */    MCD::OPC_Decode, 251, 10, 81, // Opcode: VPACKEV_B
/* 8213 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 8222
/* 8218 */    MCD::OPC_Decode, 253, 10, 82, // Opcode: VPACKEV_H
/* 8222 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 8231
/* 8227 */    MCD::OPC_Decode, 254, 10, 50, // Opcode: VPACKEV_W
/* 8231 */    MCD::OPC_FilterValue, 7, 73, 49, 0, // Skip to: 20853
/* 8236 */    MCD::OPC_Decode, 252, 10, 51, // Opcode: VPACKEV_D
/* 8240 */    MCD::OPC_FilterValue, 70, 75, 0, 0, // Skip to: 8320
/* 8245 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8248 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 8257
/* 8253 */    MCD::OPC_Decode, 255, 10, 81, // Opcode: VPACKOD_B
/* 8257 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 8266
/* 8262 */    MCD::OPC_Decode, 129, 11, 82, // Opcode: VPACKOD_H
/* 8266 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 8275
/* 8271 */    MCD::OPC_Decode, 130, 11, 50, // Opcode: VPACKOD_W
/* 8275 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 8284
/* 8280 */    MCD::OPC_Decode, 128, 11, 51, // Opcode: VPACKOD_D
/* 8284 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 8293
/* 8289 */    MCD::OPC_Decode, 222, 9, 81, // Opcode: VILVL_B
/* 8293 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 8302
/* 8298 */    MCD::OPC_Decode, 224, 9, 82, // Opcode: VILVL_H
/* 8302 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 8311
/* 8307 */    MCD::OPC_Decode, 225, 9, 50, // Opcode: VILVL_W
/* 8311 */    MCD::OPC_FilterValue, 7, 249, 48, 0, // Skip to: 20853
/* 8316 */    MCD::OPC_Decode, 223, 9, 51, // Opcode: VILVL_D
/* 8320 */    MCD::OPC_FilterValue, 71, 75, 0, 0, // Skip to: 8400
/* 8325 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8328 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 8337
/* 8333 */    MCD::OPC_Decode, 218, 9, 81, // Opcode: VILVH_B
/* 8337 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 8346
/* 8342 */    MCD::OPC_Decode, 220, 9, 82, // Opcode: VILVH_H
/* 8346 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 8355
/* 8351 */    MCD::OPC_Decode, 221, 9, 50, // Opcode: VILVH_W
/* 8355 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 8364
/* 8360 */    MCD::OPC_Decode, 219, 9, 51, // Opcode: VILVH_D
/* 8364 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 8373
/* 8369 */    MCD::OPC_Decode, 136, 11, 81, // Opcode: VPICKEV_B
/* 8373 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 8382
/* 8378 */    MCD::OPC_Decode, 138, 11, 82, // Opcode: VPICKEV_H
/* 8382 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 8391
/* 8387 */    MCD::OPC_Decode, 139, 11, 50, // Opcode: VPICKEV_W
/* 8391 */    MCD::OPC_FilterValue, 7, 169, 48, 0, // Skip to: 20853
/* 8396 */    MCD::OPC_Decode, 137, 11, 51, // Opcode: VPICKEV_D
/* 8400 */    MCD::OPC_FilterValue, 72, 75, 0, 0, // Skip to: 8480
/* 8405 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8408 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 8417
/* 8413 */    MCD::OPC_Decode, 140, 11, 81, // Opcode: VPICKOD_B
/* 8417 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 8426
/* 8422 */    MCD::OPC_Decode, 142, 11, 82, // Opcode: VPICKOD_H
/* 8426 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 8435
/* 8431 */    MCD::OPC_Decode, 143, 11, 50, // Opcode: VPICKOD_W
/* 8435 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 8444
/* 8440 */    MCD::OPC_Decode, 141, 11, 51, // Opcode: VPICKOD_D
/* 8444 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 8453
/* 8449 */    MCD::OPC_Decode, 160, 11, 96, // Opcode: VREPLVE_B
/* 8453 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 8462
/* 8458 */    MCD::OPC_Decode, 162, 11, 97, // Opcode: VREPLVE_H
/* 8462 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 8471
/* 8467 */    MCD::OPC_Decode, 163, 11, 98, // Opcode: VREPLVE_W
/* 8471 */    MCD::OPC_FilterValue, 7, 89, 48, 0, // Skip to: 20853
/* 8476 */    MCD::OPC_Decode, 161, 11, 99, // Opcode: VREPLVE_D
/* 8480 */    MCD::OPC_FilterValue, 73, 39, 0, 0, // Skip to: 8524
/* 8485 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8488 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 8497
/* 8493 */    MCD::OPC_Decode, 236, 7, 81, // Opcode: VAND_V
/* 8497 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 8506
/* 8502 */    MCD::OPC_Decode, 250, 10, 81, // Opcode: VOR_V
/* 8506 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 8515
/* 8511 */    MCD::OPC_Decode, 192, 13, 81, // Opcode: VXOR_V
/* 8515 */    MCD::OPC_FilterValue, 7, 45, 48, 0, // Skip to: 20853
/* 8520 */    MCD::OPC_Decode, 247, 10, 81, // Opcode: VNOR_V
/* 8524 */    MCD::OPC_FilterValue, 74, 39, 0, 0, // Skip to: 8568
/* 8529 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8532 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 8541
/* 8537 */    MCD::OPC_Decode, 235, 7, 81, // Opcode: VANDN_V
/* 8541 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 8550
/* 8546 */    MCD::OPC_Decode, 249, 10, 81, // Opcode: VORN_V
/* 8550 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 8559
/* 8555 */    MCD::OPC_Decode, 167, 9, 86, // Opcode: VFRSTP_B
/* 8559 */    MCD::OPC_FilterValue, 7, 1, 48, 0, // Skip to: 20853
/* 8564 */    MCD::OPC_Decode, 168, 9, 87, // Opcode: VFRSTP_H
/* 8568 */    MCD::OPC_FilterValue, 75, 57, 0, 0, // Skip to: 8630
/* 8573 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8576 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 8585
/* 8581 */    MCD::OPC_Decode, 231, 7, 51, // Opcode: VADD_Q
/* 8585 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 8594
/* 8590 */    MCD::OPC_Decode, 188, 13, 51, // Opcode: VSUB_Q
/* 8594 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 8603
/* 8599 */    MCD::OPC_Decode, 218, 11, 81, // Opcode: VSIGNCOV_B
/* 8603 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 8612
/* 8608 */    MCD::OPC_Decode, 220, 11, 82, // Opcode: VSIGNCOV_H
/* 8612 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 8621
/* 8617 */    MCD::OPC_Decode, 221, 11, 50, // Opcode: VSIGNCOV_W
/* 8621 */    MCD::OPC_FilterValue, 7, 195, 47, 0, // Skip to: 20853
/* 8626 */    MCD::OPC_Decode, 219, 11, 51, // Opcode: VSIGNCOV_D
/* 8630 */    MCD::OPC_FilterValue, 76, 39, 0, 0, // Skip to: 8674
/* 8635 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8638 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 8647
/* 8643 */    MCD::OPC_Decode, 197, 8, 50, // Opcode: VFADD_S
/* 8647 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 8656
/* 8652 */    MCD::OPC_Decode, 196, 8, 51, // Opcode: VFADD_D
/* 8656 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 8665
/* 8661 */    MCD::OPC_Decode, 172, 9, 50, // Opcode: VFSUB_S
/* 8665 */    MCD::OPC_FilterValue, 6, 151, 47, 0, // Skip to: 20853
/* 8670 */    MCD::OPC_Decode, 171, 9, 51, // Opcode: VFSUB_D
/* 8674 */    MCD::OPC_FilterValue, 78, 39, 0, 0, // Skip to: 8718
/* 8679 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8682 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 8691
/* 8687 */    MCD::OPC_Decode, 146, 9, 50, // Opcode: VFMUL_S
/* 8691 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 8700
/* 8696 */    MCD::OPC_Decode, 145, 9, 51, // Opcode: VFMUL_D
/* 8700 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 8709
/* 8705 */    MCD::OPC_Decode, 251, 8, 50, // Opcode: VFDIV_S
/* 8709 */    MCD::OPC_FilterValue, 6, 107, 47, 0, // Skip to: 20853
/* 8714 */    MCD::OPC_Decode, 250, 8, 51, // Opcode: VFDIV_D
/* 8718 */    MCD::OPC_FilterValue, 79, 39, 0, 0, // Skip to: 8762
/* 8723 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8726 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 8735
/* 8731 */    MCD::OPC_Decode, 138, 9, 50, // Opcode: VFMAX_S
/* 8735 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 8744
/* 8740 */    MCD::OPC_Decode, 137, 9, 51, // Opcode: VFMAX_D
/* 8744 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 8753
/* 8749 */    MCD::OPC_Decode, 142, 9, 50, // Opcode: VFMIN_S
/* 8753 */    MCD::OPC_FilterValue, 6, 63, 47, 0, // Skip to: 20853
/* 8758 */    MCD::OPC_Decode, 141, 9, 51, // Opcode: VFMIN_D
/* 8762 */    MCD::OPC_FilterValue, 80, 39, 0, 0, // Skip to: 8806
/* 8767 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8770 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 8779
/* 8775 */    MCD::OPC_Decode, 136, 9, 50, // Opcode: VFMAXA_S
/* 8779 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 8788
/* 8784 */    MCD::OPC_Decode, 135, 9, 51, // Opcode: VFMAXA_D
/* 8788 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 8797
/* 8793 */    MCD::OPC_Decode, 140, 9, 50, // Opcode: VFMINA_S
/* 8797 */    MCD::OPC_FilterValue, 6, 19, 47, 0, // Skip to: 20853
/* 8802 */    MCD::OPC_Decode, 139, 9, 51, // Opcode: VFMINA_D
/* 8806 */    MCD::OPC_FilterValue, 81, 21, 0, 0, // Skip to: 8832
/* 8811 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8814 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 8823
/* 8819 */    MCD::OPC_Decode, 248, 8, 94, // Opcode: VFCVT_H_S
/* 8823 */    MCD::OPC_FilterValue, 5, 249, 46, 0, // Skip to: 20853
/* 8828 */    MCD::OPC_Decode, 249, 8, 95, // Opcode: VFCVT_S_D
/* 8832 */    MCD::OPC_FilterValue, 82, 57, 0, 0, // Skip to: 8894
/* 8837 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8840 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 8849
/* 8845 */    MCD::OPC_Decode, 128, 9, 95, // Opcode: VFFINT_S_L
/* 8849 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 8858
/* 8854 */    MCD::OPC_Decode, 200, 9, 95, // Opcode: VFTINT_W_D
/* 8858 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 8867
/* 8863 */    MCD::OPC_Decode, 178, 9, 95, // Opcode: VFTINTRM_W_D
/* 8867 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 8876
/* 8872 */    MCD::OPC_Decode, 188, 9, 95, // Opcode: VFTINTRP_W_D
/* 8876 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 8885
/* 8881 */    MCD::OPC_Decode, 195, 9, 95, // Opcode: VFTINTRZ_W_D
/* 8885 */    MCD::OPC_FilterValue, 7, 187, 46, 0, // Skip to: 20853
/* 8890 */    MCD::OPC_Decode, 183, 9, 95, // Opcode: VFTINTRNE_W_D
/* 8894 */    MCD::OPC_FilterValue, 94, 30, 0, 0, // Skip to: 8929
/* 8899 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8902 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 8911
/* 8907 */    MCD::OPC_Decode, 216, 11, 87, // Opcode: VSHUF_H
/* 8911 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 8920
/* 8916 */    MCD::OPC_Decode, 217, 11, 88, // Opcode: VSHUF_W
/* 8920 */    MCD::OPC_FilterValue, 7, 152, 46, 0, // Skip to: 20853
/* 8925 */    MCD::OPC_Decode, 215, 11, 89, // Opcode: VSHUF_D
/* 8929 */    MCD::OPC_FilterValue, 160, 1, 75, 0, 0, // Skip to: 9010
/* 8935 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8938 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 8947
/* 8943 */    MCD::OPC_Decode, 188, 11, 100, // Opcode: VSEQI_B
/* 8947 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 8956
/* 8952 */    MCD::OPC_Decode, 192, 11, 101, // Opcode: VSEQI_H
/* 8956 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 8965
/* 8961 */    MCD::OPC_Decode, 194, 11, 102, // Opcode: VSEQI_W
/* 8965 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 8974
/* 8970 */    MCD::OPC_Decode, 190, 11, 103, // Opcode: VSEQI_D
/* 8974 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 8983
/* 8979 */    MCD::OPC_Decode, 222, 11, 100, // Opcode: VSLEI_B
/* 8983 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 8992
/* 8988 */    MCD::OPC_Decode, 230, 11, 101, // Opcode: VSLEI_H
/* 8992 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 9001
/* 8997 */    MCD::OPC_Decode, 234, 11, 102, // Opcode: VSLEI_W
/* 9001 */    MCD::OPC_FilterValue, 7, 71, 46, 0, // Skip to: 20853
/* 9006 */    MCD::OPC_Decode, 226, 11, 103, // Opcode: VSLEI_D
/* 9010 */    MCD::OPC_FilterValue, 161, 1, 75, 0, 0, // Skip to: 9091
/* 9016 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 9019 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 9028
/* 9024 */    MCD::OPC_Decode, 223, 11, 104, // Opcode: VSLEI_BU
/* 9028 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 9037
/* 9033 */    MCD::OPC_Decode, 231, 11, 105, // Opcode: VSLEI_HU
/* 9037 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 9046
/* 9042 */    MCD::OPC_Decode, 235, 11, 106, // Opcode: VSLEI_WU
/* 9046 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 9055
/* 9051 */    MCD::OPC_Decode, 227, 11, 107, // Opcode: VSLEI_DU
/* 9055 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 9064
/* 9060 */    MCD::OPC_Decode, 132, 12, 100, // Opcode: VSLTI_B
/* 9064 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 9073
/* 9069 */    MCD::OPC_Decode, 140, 12, 101, // Opcode: VSLTI_H
/* 9073 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 9082
/* 9078 */    MCD::OPC_Decode, 144, 12, 102, // Opcode: VSLTI_W
/* 9082 */    MCD::OPC_FilterValue, 7, 246, 45, 0, // Skip to: 20853
/* 9087 */    MCD::OPC_Decode, 136, 12, 103, // Opcode: VSLTI_D
/* 9091 */    MCD::OPC_FilterValue, 162, 1, 75, 0, 0, // Skip to: 9172
/* 9097 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 9100 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 9109
/* 9105 */    MCD::OPC_Decode, 133, 12, 104, // Opcode: VSLTI_BU
/* 9109 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 9118
/* 9114 */    MCD::OPC_Decode, 141, 12, 105, // Opcode: VSLTI_HU
/* 9118 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 9127
/* 9123 */    MCD::OPC_Decode, 145, 12, 106, // Opcode: VSLTI_WU
/* 9127 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 9136
/* 9132 */    MCD::OPC_Decode, 137, 12, 107, // Opcode: VSLTI_DU
/* 9136 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 9145
/* 9141 */    MCD::OPC_Decode, 200, 7, 104, // Opcode: VADDI_BU
/* 9145 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 9154
/* 9150 */    MCD::OPC_Decode, 202, 7, 105, // Opcode: VADDI_HU
/* 9154 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 9163
/* 9159 */    MCD::OPC_Decode, 203, 7, 106, // Opcode: VADDI_WU
/* 9163 */    MCD::OPC_FilterValue, 7, 165, 45, 0, // Skip to: 20853
/* 9168 */    MCD::OPC_Decode, 201, 7, 107, // Opcode: VADDI_DU
/* 9172 */    MCD::OPC_FilterValue, 163, 1, 57, 0, 0, // Skip to: 9235
/* 9178 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 9181 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 9190
/* 9186 */    MCD::OPC_Decode, 165, 13, 104, // Opcode: VSUBI_BU
/* 9190 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 9199
/* 9195 */    MCD::OPC_Decode, 167, 13, 105, // Opcode: VSUBI_HU
/* 9199 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 9208
/* 9204 */    MCD::OPC_Decode, 168, 13, 106, // Opcode: VSUBI_WU
/* 9208 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 9217
/* 9213 */    MCD::OPC_Decode, 166, 13, 107, // Opcode: VSUBI_DU
/* 9217 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 9226
/* 9222 */    MCD::OPC_Decode, 152, 8, 104, // Opcode: VBSLL_V
/* 9226 */    MCD::OPC_FilterValue, 5, 102, 45, 0, // Skip to: 20853
/* 9231 */    MCD::OPC_Decode, 153, 8, 104, // Opcode: VBSRL_V
/* 9235 */    MCD::OPC_FilterValue, 164, 1, 75, 0, 0, // Skip to: 9316
/* 9241 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 9244 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 9253
/* 9249 */    MCD::OPC_Decode, 144, 10, 100, // Opcode: VMAXI_B
/* 9253 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 9262
/* 9258 */    MCD::OPC_Decode, 152, 10, 101, // Opcode: VMAXI_H
/* 9262 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 9271
/* 9267 */    MCD::OPC_Decode, 156, 10, 102, // Opcode: VMAXI_W
/* 9271 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 9280
/* 9276 */    MCD::OPC_Decode, 148, 10, 103, // Opcode: VMAXI_D
/* 9280 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 9289
/* 9285 */    MCD::OPC_Decode, 168, 10, 100, // Opcode: VMINI_B
/* 9289 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 9298
/* 9294 */    MCD::OPC_Decode, 174, 10, 101, // Opcode: VMINI_H
/* 9298 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 9307
/* 9303 */    MCD::OPC_Decode, 177, 10, 102, // Opcode: VMINI_W
/* 9307 */    MCD::OPC_FilterValue, 7, 21, 45, 0, // Skip to: 20853
/* 9312 */    MCD::OPC_Decode, 171, 10, 103, // Opcode: VMINI_D
/* 9316 */    MCD::OPC_FilterValue, 165, 1, 75, 0, 0, // Skip to: 9397
/* 9322 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 9325 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 9334
/* 9330 */    MCD::OPC_Decode, 145, 10, 104, // Opcode: VMAXI_BU
/* 9334 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 9343
/* 9339 */    MCD::OPC_Decode, 153, 10, 105, // Opcode: VMAXI_HU
/* 9343 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 9352
/* 9348 */    MCD::OPC_Decode, 157, 10, 106, // Opcode: VMAXI_WU
/* 9352 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 9361
/* 9357 */    MCD::OPC_Decode, 149, 10, 107, // Opcode: VMAXI_DU
/* 9361 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 9370
/* 9366 */    MCD::OPC_Decode, 169, 10, 104, // Opcode: VMINI_BU
/* 9370 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 9379
/* 9375 */    MCD::OPC_Decode, 175, 10, 105, // Opcode: VMINI_HU
/* 9379 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 9388
/* 9384 */    MCD::OPC_Decode, 178, 10, 106, // Opcode: VMINI_WU
/* 9388 */    MCD::OPC_FilterValue, 7, 196, 44, 0, // Skip to: 20853
/* 9393 */    MCD::OPC_Decode, 172, 10, 107, // Opcode: VMINI_DU
/* 9397 */    MCD::OPC_FilterValue, 166, 1, 21, 0, 0, // Skip to: 9424
/* 9403 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 9406 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 9415
/* 9411 */    MCD::OPC_Decode, 165, 9, 108, // Opcode: VFRSTPI_B
/* 9415 */    MCD::OPC_FilterValue, 5, 169, 44, 0, // Skip to: 20853
/* 9420 */    MCD::OPC_Decode, 166, 9, 109, // Opcode: VFRSTPI_H
/* 9424 */    MCD::OPC_FilterValue, 167, 1, 229, 3, 0, // Skip to: 10427
/* 9430 */    MCD::OPC_ExtractField, 10, 8,  // Inst{17-10} ...
/* 9433 */    MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 9442
/* 9438 */    MCD::OPC_Decode, 154, 8, 110, // Opcode: VCLO_B
/* 9442 */    MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 9451
/* 9447 */    MCD::OPC_Decode, 156, 8, 111, // Opcode: VCLO_H
/* 9451 */    MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 9460
/* 9456 */    MCD::OPC_Decode, 157, 8, 112, // Opcode: VCLO_W
/* 9460 */    MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 9469
/* 9465 */    MCD::OPC_Decode, 155, 8, 113, // Opcode: VCLO_D
/* 9469 */    MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 9478
/* 9474 */    MCD::OPC_Decode, 158, 8, 110, // Opcode: VCLZ_B
/* 9478 */    MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 9487
/* 9483 */    MCD::OPC_Decode, 160, 8, 111, // Opcode: VCLZ_H
/* 9487 */    MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 9496
/* 9492 */    MCD::OPC_Decode, 161, 8, 112, // Opcode: VCLZ_W
/* 9496 */    MCD::OPC_FilterValue, 7, 4, 0, 0, // Skip to: 9505
/* 9501 */    MCD::OPC_Decode, 159, 8, 113, // Opcode: VCLZ_D
/* 9505 */    MCD::OPC_FilterValue, 8, 4, 0, 0, // Skip to: 9514
/* 9510 */    MCD::OPC_Decode, 131, 11, 110, // Opcode: VPCNT_B
/* 9514 */    MCD::OPC_FilterValue, 9, 4, 0, 0, // Skip to: 9523
/* 9519 */    MCD::OPC_Decode, 133, 11, 111, // Opcode: VPCNT_H
/* 9523 */    MCD::OPC_FilterValue, 10, 4, 0, 0, // Skip to: 9532
/* 9528 */    MCD::OPC_Decode, 134, 11, 112, // Opcode: VPCNT_W
/* 9532 */    MCD::OPC_FilterValue, 11, 4, 0, 0, // Skip to: 9541
/* 9537 */    MCD::OPC_Decode, 132, 11, 113, // Opcode: VPCNT_D
/* 9541 */    MCD::OPC_FilterValue, 12, 4, 0, 0, // Skip to: 9550
/* 9546 */    MCD::OPC_Decode, 242, 10, 110, // Opcode: VNEG_B
/* 9550 */    MCD::OPC_FilterValue, 13, 4, 0, 0, // Skip to: 9559
/* 9555 */    MCD::OPC_Decode, 244, 10, 111, // Opcode: VNEG_H
/* 9559 */    MCD::OPC_FilterValue, 14, 4, 0, 0, // Skip to: 9568
/* 9564 */    MCD::OPC_Decode, 245, 10, 112, // Opcode: VNEG_W
/* 9568 */    MCD::OPC_FilterValue, 15, 4, 0, 0, // Skip to: 9577
/* 9573 */    MCD::OPC_Decode, 243, 10, 113, // Opcode: VNEG_D
/* 9577 */    MCD::OPC_FilterValue, 16, 4, 0, 0, // Skip to: 9586
/* 9582 */    MCD::OPC_Decode, 197, 10, 110, // Opcode: VMSKLTZ_B
/* 9586 */    MCD::OPC_FilterValue, 17, 4, 0, 0, // Skip to: 9595
/* 9591 */    MCD::OPC_Decode, 199, 10, 111, // Opcode: VMSKLTZ_H
/* 9595 */    MCD::OPC_FilterValue, 18, 4, 0, 0, // Skip to: 9604
/* 9600 */    MCD::OPC_Decode, 200, 10, 112, // Opcode: VMSKLTZ_W
/* 9604 */    MCD::OPC_FilterValue, 19, 4, 0, 0, // Skip to: 9613
/* 9609 */    MCD::OPC_Decode, 198, 10, 113, // Opcode: VMSKLTZ_D
/* 9613 */    MCD::OPC_FilterValue, 20, 4, 0, 0, // Skip to: 9622
/* 9618 */    MCD::OPC_Decode, 196, 10, 110, // Opcode: VMSKGEZ_B
/* 9622 */    MCD::OPC_FilterValue, 24, 4, 0, 0, // Skip to: 9631
/* 9627 */    MCD::OPC_Decode, 201, 10, 110, // Opcode: VMSKNZ_B
/* 9631 */    MCD::OPC_FilterValue, 38, 11, 0, 0, // Skip to: 9647
/* 9636 */    MCD::OPC_CheckField, 3, 2, 0, 202, 43, 0, // Skip to: 20853
/* 9643 */    MCD::OPC_Decode, 208, 11, 114, // Opcode: VSETEQZ_V
/* 9647 */    MCD::OPC_FilterValue, 39, 11, 0, 0, // Skip to: 9663
/* 9652 */    MCD::OPC_CheckField, 3, 2, 0, 186, 43, 0, // Skip to: 20853
/* 9659 */    MCD::OPC_Decode, 209, 11, 114, // Opcode: VSETNEZ_V
/* 9663 */    MCD::OPC_FilterValue, 40, 11, 0, 0, // Skip to: 9679
/* 9668 */    MCD::OPC_CheckField, 3, 2, 0, 170, 43, 0, // Skip to: 20853
/* 9675 */    MCD::OPC_Decode, 204, 11, 114, // Opcode: VSETANYEQZ_B
/* 9679 */    MCD::OPC_FilterValue, 41, 11, 0, 0, // Skip to: 9695
/* 9684 */    MCD::OPC_CheckField, 3, 2, 0, 154, 43, 0, // Skip to: 20853
/* 9691 */    MCD::OPC_Decode, 206, 11, 115, // Opcode: VSETANYEQZ_H
/* 9695 */    MCD::OPC_FilterValue, 42, 11, 0, 0, // Skip to: 9711
/* 9700 */    MCD::OPC_CheckField, 3, 2, 0, 138, 43, 0, // Skip to: 20853
/* 9707 */    MCD::OPC_Decode, 207, 11, 116, // Opcode: VSETANYEQZ_W
/* 9711 */    MCD::OPC_FilterValue, 43, 11, 0, 0, // Skip to: 9727
/* 9716 */    MCD::OPC_CheckField, 3, 2, 0, 122, 43, 0, // Skip to: 20853
/* 9723 */    MCD::OPC_Decode, 205, 11, 117, // Opcode: VSETANYEQZ_D
/* 9727 */    MCD::OPC_FilterValue, 44, 11, 0, 0, // Skip to: 9743
/* 9732 */    MCD::OPC_CheckField, 3, 2, 0, 106, 43, 0, // Skip to: 20853
/* 9739 */    MCD::OPC_Decode, 200, 11, 114, // Opcode: VSETALLNEZ_B
/* 9743 */    MCD::OPC_FilterValue, 45, 11, 0, 0, // Skip to: 9759
/* 9748 */    MCD::OPC_CheckField, 3, 2, 0, 90, 43, 0, // Skip to: 20853
/* 9755 */    MCD::OPC_Decode, 202, 11, 115, // Opcode: VSETALLNEZ_H
/* 9759 */    MCD::OPC_FilterValue, 46, 11, 0, 0, // Skip to: 9775
/* 9764 */    MCD::OPC_CheckField, 3, 2, 0, 74, 43, 0, // Skip to: 20853
/* 9771 */    MCD::OPC_Decode, 203, 11, 116, // Opcode: VSETALLNEZ_W
/* 9775 */    MCD::OPC_FilterValue, 47, 11, 0, 0, // Skip to: 9791
/* 9780 */    MCD::OPC_CheckField, 3, 2, 0, 58, 43, 0, // Skip to: 20853
/* 9787 */    MCD::OPC_Decode, 201, 11, 117, // Opcode: VSETALLNEZ_D
/* 9791 */    MCD::OPC_FilterValue, 49, 4, 0, 0, // Skip to: 9800
/* 9796 */    MCD::OPC_Decode, 132, 9, 112, // Opcode: VFLOGB_S
/* 9800 */    MCD::OPC_FilterValue, 50, 4, 0, 0, // Skip to: 9809
/* 9805 */    MCD::OPC_Decode, 131, 9, 113, // Opcode: VFLOGB_D
/* 9809 */    MCD::OPC_FilterValue, 53, 4, 0, 0, // Skip to: 9818
/* 9814 */    MCD::OPC_Decode, 199, 8, 112, // Opcode: VFCLASS_S
/* 9818 */    MCD::OPC_FilterValue, 54, 4, 0, 0, // Skip to: 9827
/* 9823 */    MCD::OPC_Decode, 198, 8, 113, // Opcode: VFCLASS_D
/* 9827 */    MCD::OPC_FilterValue, 57, 4, 0, 0, // Skip to: 9836
/* 9832 */    MCD::OPC_Decode, 170, 9, 112, // Opcode: VFSQRT_S
/* 9836 */    MCD::OPC_FilterValue, 58, 4, 0, 0, // Skip to: 9845
/* 9841 */    MCD::OPC_Decode, 169, 9, 113, // Opcode: VFSQRT_D
/* 9845 */    MCD::OPC_FilterValue, 61, 4, 0, 0, // Skip to: 9854
/* 9850 */    MCD::OPC_Decode, 152, 9, 112, // Opcode: VFRECIP_S
/* 9854 */    MCD::OPC_FilterValue, 62, 4, 0, 0, // Skip to: 9863
/* 9859 */    MCD::OPC_Decode, 151, 9, 113, // Opcode: VFRECIP_D
/* 9863 */    MCD::OPC_FilterValue, 65, 4, 0, 0, // Skip to: 9872
/* 9868 */    MCD::OPC_Decode, 164, 9, 112, // Opcode: VFRSQRT_S
/* 9872 */    MCD::OPC_FilterValue, 66, 4, 0, 0, // Skip to: 9881
/* 9877 */    MCD::OPC_Decode, 163, 9, 113, // Opcode: VFRSQRT_D
/* 9881 */    MCD::OPC_FilterValue, 77, 4, 0, 0, // Skip to: 9890
/* 9886 */    MCD::OPC_Decode, 162, 9, 112, // Opcode: VFRINT_S
/* 9890 */    MCD::OPC_FilterValue, 78, 4, 0, 0, // Skip to: 9899
/* 9895 */    MCD::OPC_Decode, 161, 9, 113, // Opcode: VFRINT_D
/* 9899 */    MCD::OPC_FilterValue, 81, 4, 0, 0, // Skip to: 9908
/* 9904 */    MCD::OPC_Decode, 154, 9, 112, // Opcode: VFRINTRM_S
/* 9908 */    MCD::OPC_FilterValue, 82, 4, 0, 0, // Skip to: 9917
/* 9913 */    MCD::OPC_Decode, 153, 9, 113, // Opcode: VFRINTRM_D
/* 9917 */    MCD::OPC_FilterValue, 85, 4, 0, 0, // Skip to: 9926
/* 9922 */    MCD::OPC_Decode, 158, 9, 112, // Opcode: VFRINTRP_S
/* 9926 */    MCD::OPC_FilterValue, 86, 4, 0, 0, // Skip to: 9935
/* 9931 */    MCD::OPC_Decode, 157, 9, 113, // Opcode: VFRINTRP_D
/* 9935 */    MCD::OPC_FilterValue, 89, 4, 0, 0, // Skip to: 9944
/* 9940 */    MCD::OPC_Decode, 160, 9, 112, // Opcode: VFRINTRZ_S
/* 9944 */    MCD::OPC_FilterValue, 90, 4, 0, 0, // Skip to: 9953
/* 9949 */    MCD::OPC_Decode, 159, 9, 113, // Opcode: VFRINTRZ_D
/* 9953 */    MCD::OPC_FilterValue, 93, 4, 0, 0, // Skip to: 9962
/* 9958 */    MCD::OPC_Decode, 156, 9, 112, // Opcode: VFRINTRNE_S
/* 9962 */    MCD::OPC_FilterValue, 94, 4, 0, 0, // Skip to: 9971
/* 9967 */    MCD::OPC_Decode, 155, 9, 113, // Opcode: VFRINTRNE_D
/* 9971 */    MCD::OPC_FilterValue, 122, 4, 0, 0, // Skip to: 9980
/* 9976 */    MCD::OPC_Decode, 247, 8, 118, // Opcode: VFCVTL_S_H
/* 9980 */    MCD::OPC_FilterValue, 123, 4, 0, 0, // Skip to: 9989
/* 9985 */    MCD::OPC_Decode, 245, 8, 118, // Opcode: VFCVTH_S_H
/* 9989 */    MCD::OPC_FilterValue, 124, 4, 0, 0, // Skip to: 9998
/* 9994 */    MCD::OPC_Decode, 246, 8, 119, // Opcode: VFCVTL_D_S
/* 9998 */    MCD::OPC_FilterValue, 125, 4, 0, 0, // Skip to: 10007
/* 10003 */   MCD::OPC_Decode, 244, 8, 119, // Opcode: VFCVTH_D_S
/* 10007 */   MCD::OPC_FilterValue, 128, 1, 4, 0, 0, // Skip to: 10017
/* 10013 */   MCD::OPC_Decode, 129, 9, 112, // Opcode: VFFINT_S_W
/* 10017 */   MCD::OPC_FilterValue, 129, 1, 4, 0, 0, // Skip to: 10027
/* 10023 */   MCD::OPC_Decode, 130, 9, 112, // Opcode: VFFINT_S_WU
/* 10027 */   MCD::OPC_FilterValue, 130, 1, 4, 0, 0, // Skip to: 10037
/* 10033 */   MCD::OPC_Decode, 254, 8, 113, // Opcode: VFFINT_D_L
/* 10037 */   MCD::OPC_FilterValue, 131, 1, 4, 0, 0, // Skip to: 10047
/* 10043 */   MCD::OPC_Decode, 255, 8, 113, // Opcode: VFFINT_D_LU
/* 10047 */   MCD::OPC_FilterValue, 132, 1, 4, 0, 0, // Skip to: 10057
/* 10053 */   MCD::OPC_Decode, 253, 8, 119, // Opcode: VFFINTL_D_W
/* 10057 */   MCD::OPC_FilterValue, 133, 1, 4, 0, 0, // Skip to: 10067
/* 10063 */   MCD::OPC_Decode, 252, 8, 119, // Opcode: VFFINTH_D_W
/* 10067 */   MCD::OPC_FilterValue, 140, 1, 4, 0, 0, // Skip to: 10077
/* 10073 */   MCD::OPC_Decode, 201, 9, 112, // Opcode: VFTINT_W_S
/* 10077 */   MCD::OPC_FilterValue, 141, 1, 4, 0, 0, // Skip to: 10087
/* 10083 */   MCD::OPC_Decode, 198, 9, 113, // Opcode: VFTINT_L_D
/* 10087 */   MCD::OPC_FilterValue, 142, 1, 4, 0, 0, // Skip to: 10097
/* 10093 */   MCD::OPC_Decode, 179, 9, 112, // Opcode: VFTINTRM_W_S
/* 10097 */   MCD::OPC_FilterValue, 143, 1, 4, 0, 0, // Skip to: 10107
/* 10103 */   MCD::OPC_Decode, 177, 9, 113, // Opcode: VFTINTRM_L_D
/* 10107 */   MCD::OPC_FilterValue, 144, 1, 4, 0, 0, // Skip to: 10117
/* 10113 */   MCD::OPC_Decode, 189, 9, 112, // Opcode: VFTINTRP_W_S
/* 10117 */   MCD::OPC_FilterValue, 145, 1, 4, 0, 0, // Skip to: 10127
/* 10123 */   MCD::OPC_Decode, 187, 9, 113, // Opcode: VFTINTRP_L_D
/* 10127 */   MCD::OPC_FilterValue, 146, 1, 4, 0, 0, // Skip to: 10137
/* 10133 */   MCD::OPC_Decode, 196, 9, 112, // Opcode: VFTINTRZ_W_S
/* 10137 */   MCD::OPC_FilterValue, 147, 1, 4, 0, 0, // Skip to: 10147
/* 10143 */   MCD::OPC_Decode, 193, 9, 113, // Opcode: VFTINTRZ_L_D
/* 10147 */   MCD::OPC_FilterValue, 148, 1, 4, 0, 0, // Skip to: 10157
/* 10153 */   MCD::OPC_Decode, 184, 9, 112, // Opcode: VFTINTRNE_W_S
/* 10157 */   MCD::OPC_FilterValue, 149, 1, 4, 0, 0, // Skip to: 10167
/* 10163 */   MCD::OPC_Decode, 182, 9, 113, // Opcode: VFTINTRNE_L_D
/* 10167 */   MCD::OPC_FilterValue, 150, 1, 4, 0, 0, // Skip to: 10177
/* 10173 */   MCD::OPC_Decode, 199, 9, 112, // Opcode: VFTINT_WU_S
/* 10177 */   MCD::OPC_FilterValue, 151, 1, 4, 0, 0, // Skip to: 10187
/* 10183 */   MCD::OPC_Decode, 197, 9, 113, // Opcode: VFTINT_LU_D
/* 10187 */   MCD::OPC_FilterValue, 156, 1, 4, 0, 0, // Skip to: 10197
/* 10193 */   MCD::OPC_Decode, 194, 9, 112, // Opcode: VFTINTRZ_WU_S
/* 10197 */   MCD::OPC_FilterValue, 157, 1, 4, 0, 0, // Skip to: 10207
/* 10203 */   MCD::OPC_Decode, 192, 9, 113, // Opcode: VFTINTRZ_LU_D
/* 10207 */   MCD::OPC_FilterValue, 160, 1, 4, 0, 0, // Skip to: 10217
/* 10213 */   MCD::OPC_Decode, 174, 9, 119, // Opcode: VFTINTL_L_S
/* 10217 */   MCD::OPC_FilterValue, 161, 1, 4, 0, 0, // Skip to: 10227
/* 10223 */   MCD::OPC_Decode, 173, 9, 119, // Opcode: VFTINTH_L_S
/* 10227 */   MCD::OPC_FilterValue, 162, 1, 4, 0, 0, // Skip to: 10237
/* 10233 */   MCD::OPC_Decode, 176, 9, 119, // Opcode: VFTINTRML_L_S
/* 10237 */   MCD::OPC_FilterValue, 163, 1, 4, 0, 0, // Skip to: 10247
/* 10243 */   MCD::OPC_Decode, 175, 9, 119, // Opcode: VFTINTRMH_L_S
/* 10247 */   MCD::OPC_FilterValue, 164, 1, 4, 0, 0, // Skip to: 10257
/* 10253 */   MCD::OPC_Decode, 186, 9, 119, // Opcode: VFTINTRPL_L_S
/* 10257 */   MCD::OPC_FilterValue, 165, 1, 4, 0, 0, // Skip to: 10267
/* 10263 */   MCD::OPC_Decode, 185, 9, 119, // Opcode: VFTINTRPH_L_S
/* 10267 */   MCD::OPC_FilterValue, 166, 1, 4, 0, 0, // Skip to: 10277
/* 10273 */   MCD::OPC_Decode, 191, 9, 119, // Opcode: VFTINTRZL_L_S
/* 10277 */   MCD::OPC_FilterValue, 167, 1, 4, 0, 0, // Skip to: 10287
/* 10283 */   MCD::OPC_Decode, 190, 9, 119, // Opcode: VFTINTRZH_L_S
/* 10287 */   MCD::OPC_FilterValue, 168, 1, 4, 0, 0, // Skip to: 10297
/* 10293 */   MCD::OPC_Decode, 181, 9, 119, // Opcode: VFTINTRNEL_L_S
/* 10297 */   MCD::OPC_FilterValue, 169, 1, 4, 0, 0, // Skip to: 10307
/* 10303 */   MCD::OPC_Decode, 180, 9, 119, // Opcode: VFTINTRNEH_L_S
/* 10307 */   MCD::OPC_FilterValue, 184, 1, 4, 0, 0, // Skip to: 10317
/* 10313 */   MCD::OPC_Decode, 185, 8, 120, // Opcode: VEXTH_H_B
/* 10317 */   MCD::OPC_FilterValue, 185, 1, 4, 0, 0, // Skip to: 10327
/* 10323 */   MCD::OPC_Decode, 189, 8, 118, // Opcode: VEXTH_W_H
/* 10327 */   MCD::OPC_FilterValue, 186, 1, 4, 0, 0, // Skip to: 10337
/* 10333 */   MCD::OPC_Decode, 183, 8, 119, // Opcode: VEXTH_D_W
/* 10337 */   MCD::OPC_FilterValue, 187, 1, 4, 0, 0, // Skip to: 10347
/* 10343 */   MCD::OPC_Decode, 187, 8, 113, // Opcode: VEXTH_Q_D
/* 10347 */   MCD::OPC_FilterValue, 188, 1, 4, 0, 0, // Skip to: 10357
/* 10353 */   MCD::OPC_Decode, 184, 8, 120, // Opcode: VEXTH_HU_BU
/* 10357 */   MCD::OPC_FilterValue, 189, 1, 4, 0, 0, // Skip to: 10367
/* 10363 */   MCD::OPC_Decode, 188, 8, 118, // Opcode: VEXTH_WU_HU
/* 10367 */   MCD::OPC_FilterValue, 190, 1, 4, 0, 0, // Skip to: 10377
/* 10373 */   MCD::OPC_Decode, 182, 8, 119, // Opcode: VEXTH_DU_WU
/* 10377 */   MCD::OPC_FilterValue, 191, 1, 4, 0, 0, // Skip to: 10387
/* 10383 */   MCD::OPC_Decode, 186, 8, 113, // Opcode: VEXTH_QU_DU
/* 10387 */   MCD::OPC_FilterValue, 192, 1, 4, 0, 0, // Skip to: 10397
/* 10393 */   MCD::OPC_Decode, 152, 11, 121, // Opcode: VREPLGR2VR_B
/* 10397 */   MCD::OPC_FilterValue, 193, 1, 4, 0, 0, // Skip to: 10407
/* 10403 */   MCD::OPC_Decode, 154, 11, 122, // Opcode: VREPLGR2VR_H
/* 10407 */   MCD::OPC_FilterValue, 194, 1, 4, 0, 0, // Skip to: 10417
/* 10413 */   MCD::OPC_Decode, 155, 11, 123, // Opcode: VREPLGR2VR_W
/* 10417 */   MCD::OPC_FilterValue, 195, 1, 190, 40, 0, // Skip to: 20853
/* 10423 */   MCD::OPC_Decode, 153, 11, 124, // Opcode: VREPLGR2VR_D
/* 10427 */   MCD::OPC_FilterValue, 168, 1, 62, 0, 0, // Skip to: 10495
/* 10433 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 10436 */   MCD::OPC_FilterValue, 0, 45, 0, 0, // Skip to: 10486
/* 10441 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 10444 */   MCD::OPC_FilterValue, 0, 28, 0, 0, // Skip to: 10477
/* 10449 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 10452 */   MCD::OPC_FilterValue, 0, 11, 0, 0, // Skip to: 10468
/* 10457 */   MCD::OPC_CheckField, 13, 1, 1, 149, 40, 0, // Skip to: 20853
/* 10464 */   MCD::OPC_Decode, 164, 11, 125, // Opcode: VROTRI_B
/* 10468 */   MCD::OPC_FilterValue, 1, 140, 40, 0, // Skip to: 20853
/* 10473 */   MCD::OPC_Decode, 166, 11, 126, // Opcode: VROTRI_H
/* 10477 */   MCD::OPC_FilterValue, 1, 131, 40, 0, // Skip to: 20853
/* 10482 */   MCD::OPC_Decode, 167, 11, 106, // Opcode: VROTRI_W
/* 10486 */   MCD::OPC_FilterValue, 1, 122, 40, 0, // Skip to: 20853
/* 10491 */   MCD::OPC_Decode, 165, 11, 127, // Opcode: VROTRI_D
/* 10495 */   MCD::OPC_FilterValue, 169, 1, 62, 0, 0, // Skip to: 10563
/* 10501 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 10504 */   MCD::OPC_FilterValue, 0, 45, 0, 0, // Skip to: 10554
/* 10509 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 10512 */   MCD::OPC_FilterValue, 0, 28, 0, 0, // Skip to: 10545
/* 10517 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 10520 */   MCD::OPC_FilterValue, 0, 11, 0, 0, // Skip to: 10536
/* 10525 */   MCD::OPC_CheckField, 13, 1, 1, 81, 40, 0, // Skip to: 20853
/* 10532 */   MCD::OPC_Decode, 201, 12, 125, // Opcode: VSRLRI_B
/* 10536 */   MCD::OPC_FilterValue, 1, 72, 40, 0, // Skip to: 20853
/* 10541 */   MCD::OPC_Decode, 203, 12, 126, // Opcode: VSRLRI_H
/* 10545 */   MCD::OPC_FilterValue, 1, 63, 40, 0, // Skip to: 20853
/* 10550 */   MCD::OPC_Decode, 204, 12, 106, // Opcode: VSRLRI_W
/* 10554 */   MCD::OPC_FilterValue, 1, 54, 40, 0, // Skip to: 20853
/* 10559 */   MCD::OPC_Decode, 202, 12, 127, // Opcode: VSRLRI_D
/* 10563 */   MCD::OPC_FilterValue, 170, 1, 62, 0, 0, // Skip to: 10631
/* 10569 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 10572 */   MCD::OPC_FilterValue, 0, 45, 0, 0, // Skip to: 10622
/* 10577 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 10580 */   MCD::OPC_FilterValue, 0, 28, 0, 0, // Skip to: 10613
/* 10585 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 10588 */   MCD::OPC_FilterValue, 0, 11, 0, 0, // Skip to: 10604
/* 10593 */   MCD::OPC_CheckField, 13, 1, 1, 13, 40, 0, // Skip to: 20853
/* 10600 */   MCD::OPC_Decode, 171, 12, 125, // Opcode: VSRARI_B
/* 10604 */   MCD::OPC_FilterValue, 1, 4, 40, 0, // Skip to: 20853
/* 10609 */   MCD::OPC_Decode, 173, 12, 126, // Opcode: VSRARI_H
/* 10613 */   MCD::OPC_FilterValue, 1, 251, 39, 0, // Skip to: 20853
/* 10618 */   MCD::OPC_Decode, 174, 12, 106, // Opcode: VSRARI_W
/* 10622 */   MCD::OPC_FilterValue, 1, 242, 39, 0, // Skip to: 20853
/* 10627 */   MCD::OPC_Decode, 172, 12, 127, // Opcode: VSRARI_D
/* 10631 */   MCD::OPC_FilterValue, 186, 1, 66, 0, 0, // Skip to: 10703
/* 10637 */   MCD::OPC_ExtractField, 14, 4,  // Inst{17-14} ...
/* 10640 */   MCD::OPC_FilterValue, 14, 5, 0, 0, // Skip to: 10650
/* 10645 */   MCD::OPC_Decode, 226, 9, 128, 1, // Opcode: VINSGR2VR_B
/* 10650 */   MCD::OPC_FilterValue, 15, 214, 39, 0, // Skip to: 20853
/* 10655 */   MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 10658 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 10668
/* 10663 */   MCD::OPC_Decode, 228, 9, 129, 1, // Opcode: VINSGR2VR_H
/* 10668 */   MCD::OPC_FilterValue, 1, 196, 39, 0, // Skip to: 20853
/* 10673 */   MCD::OPC_ExtractField, 12, 1,  // Inst{12} ...
/* 10676 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 10686
/* 10681 */   MCD::OPC_Decode, 229, 9, 130, 1, // Opcode: VINSGR2VR_W
/* 10686 */   MCD::OPC_FilterValue, 1, 178, 39, 0, // Skip to: 20853
/* 10691 */   MCD::OPC_CheckField, 11, 1, 0, 171, 39, 0, // Skip to: 20853
/* 10698 */   MCD::OPC_Decode, 227, 9, 131, 1, // Opcode: VINSGR2VR_D
/* 10703 */   MCD::OPC_FilterValue, 187, 1, 66, 0, 0, // Skip to: 10775
/* 10709 */   MCD::OPC_ExtractField, 14, 4,  // Inst{17-14} ...
/* 10712 */   MCD::OPC_FilterValue, 14, 5, 0, 0, // Skip to: 10722
/* 10717 */   MCD::OPC_Decode, 144, 11, 132, 1, // Opcode: VPICKVE2GR_B
/* 10722 */   MCD::OPC_FilterValue, 15, 142, 39, 0, // Skip to: 20853
/* 10727 */   MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 10730 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 10740
/* 10735 */   MCD::OPC_Decode, 148, 11, 133, 1, // Opcode: VPICKVE2GR_H
/* 10740 */   MCD::OPC_FilterValue, 1, 124, 39, 0, // Skip to: 20853
/* 10745 */   MCD::OPC_ExtractField, 12, 1,  // Inst{12} ...
/* 10748 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 10758
/* 10753 */   MCD::OPC_Decode, 150, 11, 134, 1, // Opcode: VPICKVE2GR_W
/* 10758 */   MCD::OPC_FilterValue, 1, 106, 39, 0, // Skip to: 20853
/* 10763 */   MCD::OPC_CheckField, 11, 1, 0, 99, 39, 0, // Skip to: 20853
/* 10770 */   MCD::OPC_Decode, 146, 11, 135, 1, // Opcode: VPICKVE2GR_D
/* 10775 */   MCD::OPC_FilterValue, 188, 1, 66, 0, 0, // Skip to: 10847
/* 10781 */   MCD::OPC_ExtractField, 14, 4,  // Inst{17-14} ...
/* 10784 */   MCD::OPC_FilterValue, 14, 5, 0, 0, // Skip to: 10794
/* 10789 */   MCD::OPC_Decode, 145, 11, 132, 1, // Opcode: VPICKVE2GR_BU
/* 10794 */   MCD::OPC_FilterValue, 15, 70, 39, 0, // Skip to: 20853
/* 10799 */   MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 10802 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 10812
/* 10807 */   MCD::OPC_Decode, 149, 11, 133, 1, // Opcode: VPICKVE2GR_HU
/* 10812 */   MCD::OPC_FilterValue, 1, 52, 39, 0, // Skip to: 20853
/* 10817 */   MCD::OPC_ExtractField, 12, 1,  // Inst{12} ...
/* 10820 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 10830
/* 10825 */   MCD::OPC_Decode, 151, 11, 134, 1, // Opcode: VPICKVE2GR_WU
/* 10830 */   MCD::OPC_FilterValue, 1, 34, 39, 0, // Skip to: 20853
/* 10835 */   MCD::OPC_CheckField, 11, 1, 0, 27, 39, 0, // Skip to: 20853
/* 10842 */   MCD::OPC_Decode, 147, 11, 135, 1, // Opcode: VPICKVE2GR_DU
/* 10847 */   MCD::OPC_FilterValue, 189, 1, 66, 0, 0, // Skip to: 10919
/* 10853 */   MCD::OPC_ExtractField, 14, 4,  // Inst{17-14} ...
/* 10856 */   MCD::OPC_FilterValue, 14, 5, 0, 0, // Skip to: 10866
/* 10861 */   MCD::OPC_Decode, 156, 11, 136, 1, // Opcode: VREPLVEI_B
/* 10866 */   MCD::OPC_FilterValue, 15, 254, 38, 0, // Skip to: 20853
/* 10871 */   MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 10874 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 10884
/* 10879 */   MCD::OPC_Decode, 158, 11, 137, 1, // Opcode: VREPLVEI_H
/* 10884 */   MCD::OPC_FilterValue, 1, 236, 38, 0, // Skip to: 20853
/* 10889 */   MCD::OPC_ExtractField, 12, 1,  // Inst{12} ...
/* 10892 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 10902
/* 10897 */   MCD::OPC_Decode, 159, 11, 138, 1, // Opcode: VREPLVEI_W
/* 10902 */   MCD::OPC_FilterValue, 1, 218, 38, 0, // Skip to: 20853
/* 10907 */   MCD::OPC_CheckField, 11, 1, 0, 211, 38, 0, // Skip to: 20853
/* 10914 */   MCD::OPC_Decode, 157, 11, 139, 1, // Opcode: VREPLVEI_D
/* 10919 */   MCD::OPC_FilterValue, 194, 1, 64, 0, 0, // Skip to: 10989
/* 10925 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 10928 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 10963
/* 10933 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 10936 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 10953
/* 10941 */   MCD::OPC_CheckField, 13, 1, 1, 177, 38, 0, // Skip to: 20853
/* 10948 */   MCD::OPC_Decode, 253, 11, 140, 1, // Opcode: VSLLWIL_H_B
/* 10953 */   MCD::OPC_FilterValue, 1, 167, 38, 0, // Skip to: 20853
/* 10958 */   MCD::OPC_Decode, 255, 11, 141, 1, // Opcode: VSLLWIL_W_H
/* 10963 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 10973
/* 10968 */   MCD::OPC_Decode, 251, 11, 142, 1, // Opcode: VSLLWIL_D_W
/* 10973 */   MCD::OPC_FilterValue, 2, 147, 38, 0, // Skip to: 20853
/* 10978 */   MCD::OPC_CheckField, 10, 5, 0, 140, 38, 0, // Skip to: 20853
/* 10985 */   MCD::OPC_Decode, 191, 8, 113, // Opcode: VEXTL_Q_D
/* 10989 */   MCD::OPC_FilterValue, 195, 1, 64, 0, 0, // Skip to: 11059
/* 10995 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 10998 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 11033
/* 11003 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 11006 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 11023
/* 11011 */   MCD::OPC_CheckField, 13, 1, 1, 107, 38, 0, // Skip to: 20853
/* 11018 */   MCD::OPC_Decode, 252, 11, 140, 1, // Opcode: VSLLWIL_HU_BU
/* 11023 */   MCD::OPC_FilterValue, 1, 97, 38, 0, // Skip to: 20853
/* 11028 */   MCD::OPC_Decode, 254, 11, 141, 1, // Opcode: VSLLWIL_WU_HU
/* 11033 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 11043
/* 11038 */   MCD::OPC_Decode, 250, 11, 142, 1, // Opcode: VSLLWIL_DU_WU
/* 11043 */   MCD::OPC_FilterValue, 2, 77, 38, 0, // Skip to: 20853
/* 11048 */   MCD::OPC_CheckField, 10, 5, 0, 70, 38, 0, // Skip to: 20853
/* 11055 */   MCD::OPC_Decode, 190, 8, 113, // Opcode: VEXTL_QU_DU
/* 11059 */   MCD::OPC_FilterValue, 196, 1, 62, 0, 0, // Skip to: 11127
/* 11065 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 11068 */   MCD::OPC_FilterValue, 0, 45, 0, 0, // Skip to: 11118
/* 11073 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 11076 */   MCD::OPC_FilterValue, 0, 28, 0, 0, // Skip to: 11109
/* 11081 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 11084 */   MCD::OPC_FilterValue, 0, 11, 0, 0, // Skip to: 11100
/* 11089 */   MCD::OPC_CheckField, 13, 1, 1, 29, 38, 0, // Skip to: 20853
/* 11096 */   MCD::OPC_Decode, 253, 7, 125, // Opcode: VBITCLRI_B
/* 11100 */   MCD::OPC_FilterValue, 1, 20, 38, 0, // Skip to: 20853
/* 11105 */   MCD::OPC_Decode, 255, 7, 126, // Opcode: VBITCLRI_H
/* 11109 */   MCD::OPC_FilterValue, 1, 11, 38, 0, // Skip to: 20853
/* 11114 */   MCD::OPC_Decode, 128, 8, 106, // Opcode: VBITCLRI_W
/* 11118 */   MCD::OPC_FilterValue, 1, 2, 38, 0, // Skip to: 20853
/* 11123 */   MCD::OPC_Decode, 254, 7, 127, // Opcode: VBITCLRI_D
/* 11127 */   MCD::OPC_FilterValue, 197, 1, 62, 0, 0, // Skip to: 11195
/* 11133 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 11136 */   MCD::OPC_FilterValue, 0, 45, 0, 0, // Skip to: 11186
/* 11141 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 11144 */   MCD::OPC_FilterValue, 0, 28, 0, 0, // Skip to: 11177
/* 11149 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 11152 */   MCD::OPC_FilterValue, 0, 11, 0, 0, // Skip to: 11168
/* 11157 */   MCD::OPC_CheckField, 13, 1, 1, 217, 37, 0, // Skip to: 20853
/* 11164 */   MCD::OPC_Decode, 144, 8, 125, // Opcode: VBITSETI_B
/* 11168 */   MCD::OPC_FilterValue, 1, 208, 37, 0, // Skip to: 20853
/* 11173 */   MCD::OPC_Decode, 146, 8, 126, // Opcode: VBITSETI_H
/* 11177 */   MCD::OPC_FilterValue, 1, 199, 37, 0, // Skip to: 20853
/* 11182 */   MCD::OPC_Decode, 147, 8, 106, // Opcode: VBITSETI_W
/* 11186 */   MCD::OPC_FilterValue, 1, 190, 37, 0, // Skip to: 20853
/* 11191 */   MCD::OPC_Decode, 145, 8, 127, // Opcode: VBITSETI_D
/* 11195 */   MCD::OPC_FilterValue, 198, 1, 62, 0, 0, // Skip to: 11263
/* 11201 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 11204 */   MCD::OPC_FilterValue, 0, 45, 0, 0, // Skip to: 11254
/* 11209 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 11212 */   MCD::OPC_FilterValue, 0, 28, 0, 0, // Skip to: 11245
/* 11217 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 11220 */   MCD::OPC_FilterValue, 0, 11, 0, 0, // Skip to: 11236
/* 11225 */   MCD::OPC_CheckField, 13, 1, 1, 149, 37, 0, // Skip to: 20853
/* 11232 */   MCD::OPC_Decode, 133, 8, 125, // Opcode: VBITREVI_B
/* 11236 */   MCD::OPC_FilterValue, 1, 140, 37, 0, // Skip to: 20853
/* 11241 */   MCD::OPC_Decode, 135, 8, 126, // Opcode: VBITREVI_H
/* 11245 */   MCD::OPC_FilterValue, 1, 131, 37, 0, // Skip to: 20853
/* 11250 */   MCD::OPC_Decode, 136, 8, 106, // Opcode: VBITREVI_W
/* 11254 */   MCD::OPC_FilterValue, 1, 122, 37, 0, // Skip to: 20853
/* 11259 */   MCD::OPC_Decode, 134, 8, 127, // Opcode: VBITREVI_D
/* 11263 */   MCD::OPC_FilterValue, 201, 1, 62, 0, 0, // Skip to: 11331
/* 11269 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 11272 */   MCD::OPC_FilterValue, 0, 45, 0, 0, // Skip to: 11322
/* 11277 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 11280 */   MCD::OPC_FilterValue, 0, 28, 0, 0, // Skip to: 11313
/* 11285 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 11288 */   MCD::OPC_FilterValue, 0, 11, 0, 0, // Skip to: 11304
/* 11293 */   MCD::OPC_CheckField, 13, 1, 1, 81, 37, 0, // Skip to: 20853
/* 11300 */   MCD::OPC_Decode, 180, 11, 125, // Opcode: VSAT_B
/* 11304 */   MCD::OPC_FilterValue, 1, 72, 37, 0, // Skip to: 20853
/* 11309 */   MCD::OPC_Decode, 184, 11, 126, // Opcode: VSAT_H
/* 11313 */   MCD::OPC_FilterValue, 1, 63, 37, 0, // Skip to: 20853
/* 11318 */   MCD::OPC_Decode, 186, 11, 106, // Opcode: VSAT_W
/* 11322 */   MCD::OPC_FilterValue, 1, 54, 37, 0, // Skip to: 20853
/* 11327 */   MCD::OPC_Decode, 182, 11, 127, // Opcode: VSAT_D
/* 11331 */   MCD::OPC_FilterValue, 202, 1, 62, 0, 0, // Skip to: 11399
/* 11337 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 11340 */   MCD::OPC_FilterValue, 0, 45, 0, 0, // Skip to: 11390
/* 11345 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 11348 */   MCD::OPC_FilterValue, 0, 28, 0, 0, // Skip to: 11381
/* 11353 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 11356 */   MCD::OPC_FilterValue, 0, 11, 0, 0, // Skip to: 11372
/* 11361 */   MCD::OPC_CheckField, 13, 1, 1, 13, 37, 0, // Skip to: 20853
/* 11368 */   MCD::OPC_Decode, 181, 11, 125, // Opcode: VSAT_BU
/* 11372 */   MCD::OPC_FilterValue, 1, 4, 37, 0, // Skip to: 20853
/* 11377 */   MCD::OPC_Decode, 185, 11, 126, // Opcode: VSAT_HU
/* 11381 */   MCD::OPC_FilterValue, 1, 251, 36, 0, // Skip to: 20853
/* 11386 */   MCD::OPC_Decode, 187, 11, 106, // Opcode: VSAT_WU
/* 11390 */   MCD::OPC_FilterValue, 1, 242, 36, 0, // Skip to: 20853
/* 11395 */   MCD::OPC_Decode, 183, 11, 127, // Opcode: VSAT_DU
/* 11399 */   MCD::OPC_FilterValue, 203, 1, 62, 0, 0, // Skip to: 11467
/* 11405 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 11408 */   MCD::OPC_FilterValue, 0, 45, 0, 0, // Skip to: 11458
/* 11413 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 11416 */   MCD::OPC_FilterValue, 0, 28, 0, 0, // Skip to: 11449
/* 11421 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 11424 */   MCD::OPC_FilterValue, 0, 11, 0, 0, // Skip to: 11440
/* 11429 */   MCD::OPC_CheckField, 13, 1, 1, 201, 36, 0, // Skip to: 20853
/* 11436 */   MCD::OPC_Decode, 246, 11, 125, // Opcode: VSLLI_B
/* 11440 */   MCD::OPC_FilterValue, 1, 192, 36, 0, // Skip to: 20853
/* 11445 */   MCD::OPC_Decode, 248, 11, 126, // Opcode: VSLLI_H
/* 11449 */   MCD::OPC_FilterValue, 1, 183, 36, 0, // Skip to: 20853
/* 11454 */   MCD::OPC_Decode, 249, 11, 106, // Opcode: VSLLI_W
/* 11458 */   MCD::OPC_FilterValue, 1, 174, 36, 0, // Skip to: 20853
/* 11463 */   MCD::OPC_Decode, 247, 11, 127, // Opcode: VSLLI_D
/* 11467 */   MCD::OPC_FilterValue, 204, 1, 62, 0, 0, // Skip to: 11535
/* 11473 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 11476 */   MCD::OPC_FilterValue, 0, 45, 0, 0, // Skip to: 11526
/* 11481 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 11484 */   MCD::OPC_FilterValue, 0, 28, 0, 0, // Skip to: 11517
/* 11489 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 11492 */   MCD::OPC_FilterValue, 0, 11, 0, 0, // Skip to: 11508
/* 11497 */   MCD::OPC_CheckField, 13, 1, 1, 133, 36, 0, // Skip to: 20853
/* 11504 */   MCD::OPC_Decode, 190, 12, 125, // Opcode: VSRLI_B
/* 11508 */   MCD::OPC_FilterValue, 1, 124, 36, 0, // Skip to: 20853
/* 11513 */   MCD::OPC_Decode, 192, 12, 126, // Opcode: VSRLI_H
/* 11517 */   MCD::OPC_FilterValue, 1, 115, 36, 0, // Skip to: 20853
/* 11522 */   MCD::OPC_Decode, 193, 12, 106, // Opcode: VSRLI_W
/* 11526 */   MCD::OPC_FilterValue, 1, 106, 36, 0, // Skip to: 20853
/* 11531 */   MCD::OPC_Decode, 191, 12, 127, // Opcode: VSRLI_D
/* 11535 */   MCD::OPC_FilterValue, 205, 1, 62, 0, 0, // Skip to: 11603
/* 11541 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 11544 */   MCD::OPC_FilterValue, 0, 45, 0, 0, // Skip to: 11594
/* 11549 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 11552 */   MCD::OPC_FilterValue, 0, 28, 0, 0, // Skip to: 11585
/* 11557 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 11560 */   MCD::OPC_FilterValue, 0, 11, 0, 0, // Skip to: 11576
/* 11565 */   MCD::OPC_CheckField, 13, 1, 1, 65, 36, 0, // Skip to: 20853
/* 11572 */   MCD::OPC_Decode, 156, 12, 125, // Opcode: VSRAI_B
/* 11576 */   MCD::OPC_FilterValue, 1, 56, 36, 0, // Skip to: 20853
/* 11581 */   MCD::OPC_Decode, 160, 12, 126, // Opcode: VSRAI_H
/* 11585 */   MCD::OPC_FilterValue, 1, 47, 36, 0, // Skip to: 20853
/* 11590 */   MCD::OPC_Decode, 162, 12, 106, // Opcode: VSRAI_W
/* 11594 */   MCD::OPC_FilterValue, 1, 38, 36, 0, // Skip to: 20853
/* 11599 */   MCD::OPC_Decode, 158, 12, 127, // Opcode: VSRAI_D
/* 11603 */   MCD::OPC_FilterValue, 208, 1, 65, 0, 0, // Skip to: 11674
/* 11609 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 11612 */   MCD::OPC_FilterValue, 0, 47, 0, 0, // Skip to: 11664
/* 11617 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 11620 */   MCD::OPC_FilterValue, 0, 29, 0, 0, // Skip to: 11654
/* 11625 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 11628 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 11645
/* 11633 */   MCD::OPC_CheckField, 14, 1, 1, 253, 35, 0, // Skip to: 20853
/* 11640 */   MCD::OPC_Decode, 194, 12, 143, 1, // Opcode: VSRLNI_B_H
/* 11645 */   MCD::OPC_FilterValue, 1, 243, 35, 0, // Skip to: 20853
/* 11650 */   MCD::OPC_Decode, 196, 12, 109, // Opcode: VSRLNI_H_W
/* 11654 */   MCD::OPC_FilterValue, 1, 234, 35, 0, // Skip to: 20853
/* 11659 */   MCD::OPC_Decode, 197, 12, 144, 1, // Opcode: VSRLNI_W_D
/* 11664 */   MCD::OPC_FilterValue, 1, 224, 35, 0, // Skip to: 20853
/* 11669 */   MCD::OPC_Decode, 195, 12, 145, 1, // Opcode: VSRLNI_D_Q
/* 11674 */   MCD::OPC_FilterValue, 209, 1, 65, 0, 0, // Skip to: 11745
/* 11680 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 11683 */   MCD::OPC_FilterValue, 0, 47, 0, 0, // Skip to: 11735
/* 11688 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 11691 */   MCD::OPC_FilterValue, 0, 29, 0, 0, // Skip to: 11725
/* 11696 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 11699 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 11716
/* 11704 */   MCD::OPC_CheckField, 14, 1, 1, 182, 35, 0, // Skip to: 20853
/* 11711 */   MCD::OPC_Decode, 205, 12, 143, 1, // Opcode: VSRLRNI_B_H
/* 11716 */   MCD::OPC_FilterValue, 1, 172, 35, 0, // Skip to: 20853
/* 11721 */   MCD::OPC_Decode, 207, 12, 109, // Opcode: VSRLRNI_H_W
/* 11725 */   MCD::OPC_FilterValue, 1, 163, 35, 0, // Skip to: 20853
/* 11730 */   MCD::OPC_Decode, 208, 12, 144, 1, // Opcode: VSRLRNI_W_D
/* 11735 */   MCD::OPC_FilterValue, 1, 153, 35, 0, // Skip to: 20853
/* 11740 */   MCD::OPC_Decode, 206, 12, 145, 1, // Opcode: VSRLRNI_D_Q
/* 11745 */   MCD::OPC_FilterValue, 210, 1, 65, 0, 0, // Skip to: 11816
/* 11751 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 11754 */   MCD::OPC_FilterValue, 0, 47, 0, 0, // Skip to: 11806
/* 11759 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 11762 */   MCD::OPC_FilterValue, 0, 29, 0, 0, // Skip to: 11796
/* 11767 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 11770 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 11787
/* 11775 */   MCD::OPC_CheckField, 14, 1, 1, 111, 35, 0, // Skip to: 20853
/* 11782 */   MCD::OPC_Decode, 249, 12, 143, 1, // Opcode: VSSRLNI_B_H
/* 11787 */   MCD::OPC_FilterValue, 1, 101, 35, 0, // Skip to: 20853
/* 11792 */   MCD::OPC_Decode, 253, 12, 109, // Opcode: VSSRLNI_H_W
/* 11796 */   MCD::OPC_FilterValue, 1, 92, 35, 0, // Skip to: 20853
/* 11801 */   MCD::OPC_Decode, 255, 12, 144, 1, // Opcode: VSSRLNI_W_D
/* 11806 */   MCD::OPC_FilterValue, 1, 82, 35, 0, // Skip to: 20853
/* 11811 */   MCD::OPC_Decode, 251, 12, 145, 1, // Opcode: VSSRLNI_D_Q
/* 11816 */   MCD::OPC_FilterValue, 211, 1, 65, 0, 0, // Skip to: 11887
/* 11822 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 11825 */   MCD::OPC_FilterValue, 0, 47, 0, 0, // Skip to: 11877
/* 11830 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 11833 */   MCD::OPC_FilterValue, 0, 29, 0, 0, // Skip to: 11867
/* 11838 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 11841 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 11858
/* 11846 */   MCD::OPC_CheckField, 14, 1, 1, 40, 35, 0, // Skip to: 20853
/* 11853 */   MCD::OPC_Decode, 248, 12, 143, 1, // Opcode: VSSRLNI_BU_H
/* 11858 */   MCD::OPC_FilterValue, 1, 30, 35, 0, // Skip to: 20853
/* 11863 */   MCD::OPC_Decode, 252, 12, 109, // Opcode: VSSRLNI_HU_W
/* 11867 */   MCD::OPC_FilterValue, 1, 21, 35, 0, // Skip to: 20853
/* 11872 */   MCD::OPC_Decode, 254, 12, 144, 1, // Opcode: VSSRLNI_WU_D
/* 11877 */   MCD::OPC_FilterValue, 1, 11, 35, 0, // Skip to: 20853
/* 11882 */   MCD::OPC_Decode, 250, 12, 145, 1, // Opcode: VSSRLNI_DU_Q
/* 11887 */   MCD::OPC_FilterValue, 212, 1, 65, 0, 0, // Skip to: 11958
/* 11893 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 11896 */   MCD::OPC_FilterValue, 0, 47, 0, 0, // Skip to: 11948
/* 11901 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 11904 */   MCD::OPC_FilterValue, 0, 29, 0, 0, // Skip to: 11938
/* 11909 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 11912 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 11929
/* 11917 */   MCD::OPC_CheckField, 14, 1, 1, 225, 34, 0, // Skip to: 20853
/* 11924 */   MCD::OPC_Decode, 135, 13, 143, 1, // Opcode: VSSRLRNI_B_H
/* 11929 */   MCD::OPC_FilterValue, 1, 215, 34, 0, // Skip to: 20853
/* 11934 */   MCD::OPC_Decode, 139, 13, 109, // Opcode: VSSRLRNI_H_W
/* 11938 */   MCD::OPC_FilterValue, 1, 206, 34, 0, // Skip to: 20853
/* 11943 */   MCD::OPC_Decode, 141, 13, 144, 1, // Opcode: VSSRLRNI_W_D
/* 11948 */   MCD::OPC_FilterValue, 1, 196, 34, 0, // Skip to: 20853
/* 11953 */   MCD::OPC_Decode, 137, 13, 145, 1, // Opcode: VSSRLRNI_D_Q
/* 11958 */   MCD::OPC_FilterValue, 213, 1, 65, 0, 0, // Skip to: 12029
/* 11964 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 11967 */   MCD::OPC_FilterValue, 0, 47, 0, 0, // Skip to: 12019
/* 11972 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 11975 */   MCD::OPC_FilterValue, 0, 29, 0, 0, // Skip to: 12009
/* 11980 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 11983 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 12000
/* 11988 */   MCD::OPC_CheckField, 14, 1, 1, 154, 34, 0, // Skip to: 20853
/* 11995 */   MCD::OPC_Decode, 134, 13, 143, 1, // Opcode: VSSRLRNI_BU_H
/* 12000 */   MCD::OPC_FilterValue, 1, 144, 34, 0, // Skip to: 20853
/* 12005 */   MCD::OPC_Decode, 138, 13, 109, // Opcode: VSSRLRNI_HU_W
/* 12009 */   MCD::OPC_FilterValue, 1, 135, 34, 0, // Skip to: 20853
/* 12014 */   MCD::OPC_Decode, 140, 13, 144, 1, // Opcode: VSSRLRNI_WU_D
/* 12019 */   MCD::OPC_FilterValue, 1, 125, 34, 0, // Skip to: 20853
/* 12024 */   MCD::OPC_Decode, 136, 13, 145, 1, // Opcode: VSSRLRNI_DU_Q
/* 12029 */   MCD::OPC_FilterValue, 214, 1, 65, 0, 0, // Skip to: 12100
/* 12035 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 12038 */   MCD::OPC_FilterValue, 0, 47, 0, 0, // Skip to: 12090
/* 12043 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 12046 */   MCD::OPC_FilterValue, 0, 29, 0, 0, // Skip to: 12080
/* 12051 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 12054 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 12071
/* 12059 */   MCD::OPC_CheckField, 14, 1, 1, 83, 34, 0, // Skip to: 20853
/* 12066 */   MCD::OPC_Decode, 164, 12, 143, 1, // Opcode: VSRANI_B_H
/* 12071 */   MCD::OPC_FilterValue, 1, 73, 34, 0, // Skip to: 20853
/* 12076 */   MCD::OPC_Decode, 166, 12, 109, // Opcode: VSRANI_H_W
/* 12080 */   MCD::OPC_FilterValue, 1, 64, 34, 0, // Skip to: 20853
/* 12085 */   MCD::OPC_Decode, 167, 12, 144, 1, // Opcode: VSRANI_W_D
/* 12090 */   MCD::OPC_FilterValue, 1, 54, 34, 0, // Skip to: 20853
/* 12095 */   MCD::OPC_Decode, 165, 12, 145, 1, // Opcode: VSRANI_D_Q
/* 12100 */   MCD::OPC_FilterValue, 215, 1, 65, 0, 0, // Skip to: 12171
/* 12106 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 12109 */   MCD::OPC_FilterValue, 0, 47, 0, 0, // Skip to: 12161
/* 12114 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 12117 */   MCD::OPC_FilterValue, 0, 29, 0, 0, // Skip to: 12151
/* 12122 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 12125 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 12142
/* 12130 */   MCD::OPC_CheckField, 14, 1, 1, 12, 34, 0, // Skip to: 20853
/* 12137 */   MCD::OPC_Decode, 175, 12, 143, 1, // Opcode: VSRARNI_B_H
/* 12142 */   MCD::OPC_FilterValue, 1, 2, 34, 0, // Skip to: 20853
/* 12147 */   MCD::OPC_Decode, 177, 12, 109, // Opcode: VSRARNI_H_W
/* 12151 */   MCD::OPC_FilterValue, 1, 249, 33, 0, // Skip to: 20853
/* 12156 */   MCD::OPC_Decode, 178, 12, 144, 1, // Opcode: VSRARNI_W_D
/* 12161 */   MCD::OPC_FilterValue, 1, 239, 33, 0, // Skip to: 20853
/* 12166 */   MCD::OPC_Decode, 176, 12, 145, 1, // Opcode: VSRARNI_D_Q
/* 12171 */   MCD::OPC_FilterValue, 216, 1, 65, 0, 0, // Skip to: 12242
/* 12177 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 12180 */   MCD::OPC_FilterValue, 0, 47, 0, 0, // Skip to: 12232
/* 12185 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 12188 */   MCD::OPC_FilterValue, 0, 29, 0, 0, // Skip to: 12222
/* 12193 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 12196 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 12213
/* 12201 */   MCD::OPC_CheckField, 14, 1, 1, 197, 33, 0, // Skip to: 20853
/* 12208 */   MCD::OPC_Decode, 221, 12, 143, 1, // Opcode: VSSRANI_B_H
/* 12213 */   MCD::OPC_FilterValue, 1, 187, 33, 0, // Skip to: 20853
/* 12218 */   MCD::OPC_Decode, 225, 12, 109, // Opcode: VSSRANI_H_W
/* 12222 */   MCD::OPC_FilterValue, 1, 178, 33, 0, // Skip to: 20853
/* 12227 */   MCD::OPC_Decode, 227, 12, 144, 1, // Opcode: VSSRANI_W_D
/* 12232 */   MCD::OPC_FilterValue, 1, 168, 33, 0, // Skip to: 20853
/* 12237 */   MCD::OPC_Decode, 223, 12, 145, 1, // Opcode: VSSRANI_D_Q
/* 12242 */   MCD::OPC_FilterValue, 217, 1, 65, 0, 0, // Skip to: 12313
/* 12248 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 12251 */   MCD::OPC_FilterValue, 0, 47, 0, 0, // Skip to: 12303
/* 12256 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 12259 */   MCD::OPC_FilterValue, 0, 29, 0, 0, // Skip to: 12293
/* 12264 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 12267 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 12284
/* 12272 */   MCD::OPC_CheckField, 14, 1, 1, 126, 33, 0, // Skip to: 20853
/* 12279 */   MCD::OPC_Decode, 220, 12, 143, 1, // Opcode: VSSRANI_BU_H
/* 12284 */   MCD::OPC_FilterValue, 1, 116, 33, 0, // Skip to: 20853
/* 12289 */   MCD::OPC_Decode, 224, 12, 109, // Opcode: VSSRANI_HU_W
/* 12293 */   MCD::OPC_FilterValue, 1, 107, 33, 0, // Skip to: 20853
/* 12298 */   MCD::OPC_Decode, 226, 12, 144, 1, // Opcode: VSSRANI_WU_D
/* 12303 */   MCD::OPC_FilterValue, 1, 97, 33, 0, // Skip to: 20853
/* 12308 */   MCD::OPC_Decode, 222, 12, 145, 1, // Opcode: VSSRANI_DU_Q
/* 12313 */   MCD::OPC_FilterValue, 218, 1, 65, 0, 0, // Skip to: 12384
/* 12319 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 12322 */   MCD::OPC_FilterValue, 0, 47, 0, 0, // Skip to: 12374
/* 12327 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 12330 */   MCD::OPC_FilterValue, 0, 29, 0, 0, // Skip to: 12364
/* 12335 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 12338 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 12355
/* 12343 */   MCD::OPC_CheckField, 14, 1, 1, 55, 33, 0, // Skip to: 20853
/* 12350 */   MCD::OPC_Decode, 235, 12, 143, 1, // Opcode: VSSRARNI_B_H
/* 12355 */   MCD::OPC_FilterValue, 1, 45, 33, 0, // Skip to: 20853
/* 12360 */   MCD::OPC_Decode, 239, 12, 109, // Opcode: VSSRARNI_H_W
/* 12364 */   MCD::OPC_FilterValue, 1, 36, 33, 0, // Skip to: 20853
/* 12369 */   MCD::OPC_Decode, 241, 12, 144, 1, // Opcode: VSSRARNI_W_D
/* 12374 */   MCD::OPC_FilterValue, 1, 26, 33, 0, // Skip to: 20853
/* 12379 */   MCD::OPC_Decode, 237, 12, 145, 1, // Opcode: VSSRARNI_D_Q
/* 12384 */   MCD::OPC_FilterValue, 219, 1, 65, 0, 0, // Skip to: 12455
/* 12390 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 12393 */   MCD::OPC_FilterValue, 0, 47, 0, 0, // Skip to: 12445
/* 12398 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 12401 */   MCD::OPC_FilterValue, 0, 29, 0, 0, // Skip to: 12435
/* 12406 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 12409 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 12426
/* 12414 */   MCD::OPC_CheckField, 14, 1, 1, 240, 32, 0, // Skip to: 20853
/* 12421 */   MCD::OPC_Decode, 234, 12, 143, 1, // Opcode: VSSRARNI_BU_H
/* 12426 */   MCD::OPC_FilterValue, 1, 230, 32, 0, // Skip to: 20853
/* 12431 */   MCD::OPC_Decode, 238, 12, 109, // Opcode: VSSRARNI_HU_W
/* 12435 */   MCD::OPC_FilterValue, 1, 221, 32, 0, // Skip to: 20853
/* 12440 */   MCD::OPC_Decode, 240, 12, 144, 1, // Opcode: VSSRARNI_WU_D
/* 12445 */   MCD::OPC_FilterValue, 1, 211, 32, 0, // Skip to: 20853
/* 12450 */   MCD::OPC_Decode, 236, 12, 145, 1, // Opcode: VSSRARNI_DU_Q
/* 12455 */   MCD::OPC_FilterValue, 224, 1, 5, 0, 0, // Skip to: 12466
/* 12461 */   MCD::OPC_Decode, 193, 8, 146, 1, // Opcode: VEXTRINS_D
/* 12466 */   MCD::OPC_FilterValue, 225, 1, 5, 0, 0, // Skip to: 12477
/* 12472 */   MCD::OPC_Decode, 195, 8, 147, 1, // Opcode: VEXTRINS_W
/* 12477 */   MCD::OPC_FilterValue, 226, 1, 5, 0, 0, // Skip to: 12488
/* 12483 */   MCD::OPC_Decode, 194, 8, 148, 1, // Opcode: VEXTRINS_H
/* 12488 */   MCD::OPC_FilterValue, 227, 1, 5, 0, 0, // Skip to: 12499
/* 12494 */   MCD::OPC_Decode, 192, 8, 149, 1, // Opcode: VEXTRINS_B
/* 12499 */   MCD::OPC_FilterValue, 228, 1, 5, 0, 0, // Skip to: 12510
/* 12505 */   MCD::OPC_Decode, 210, 11, 150, 1, // Opcode: VSHUF4I_B
/* 12510 */   MCD::OPC_FilterValue, 229, 1, 5, 0, 0, // Skip to: 12521
/* 12516 */   MCD::OPC_Decode, 212, 11, 151, 1, // Opcode: VSHUF4I_H
/* 12521 */   MCD::OPC_FilterValue, 230, 1, 5, 0, 0, // Skip to: 12532
/* 12527 */   MCD::OPC_Decode, 213, 11, 152, 1, // Opcode: VSHUF4I_W
/* 12532 */   MCD::OPC_FilterValue, 231, 1, 5, 0, 0, // Skip to: 12543
/* 12538 */   MCD::OPC_Decode, 211, 11, 146, 1, // Opcode: VSHUF4I_D
/* 12543 */   MCD::OPC_FilterValue, 241, 1, 5, 0, 0, // Skip to: 12554
/* 12549 */   MCD::OPC_Decode, 141, 8, 149, 1, // Opcode: VBITSELI_B
/* 12554 */   MCD::OPC_FilterValue, 244, 1, 5, 0, 0, // Skip to: 12565
/* 12560 */   MCD::OPC_Decode, 233, 7, 150, 1, // Opcode: VANDI_B
/* 12565 */   MCD::OPC_FilterValue, 245, 1, 5, 0, 0, // Skip to: 12576
/* 12571 */   MCD::OPC_Decode, 248, 10, 150, 1, // Opcode: VORI_B
/* 12576 */   MCD::OPC_FilterValue, 246, 1, 5, 0, 0, // Skip to: 12587
/* 12582 */   MCD::OPC_Decode, 190, 13, 150, 1, // Opcode: VXORI_B
/* 12587 */   MCD::OPC_FilterValue, 247, 1, 5, 0, 0, // Skip to: 12598
/* 12593 */   MCD::OPC_Decode, 246, 10, 150, 1, // Opcode: VNORI_B
/* 12598 */   MCD::OPC_FilterValue, 248, 1, 48, 0, 0, // Skip to: 12652
/* 12604 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 12607 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 12617
/* 12612 */   MCD::OPC_Decode, 232, 9, 153, 1, // Opcode: VLDI_B
/* 12617 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 12627
/* 12622 */   MCD::OPC_Decode, 234, 9, 153, 1, // Opcode: VLDI_H
/* 12627 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 12637
/* 12632 */   MCD::OPC_Decode, 235, 9, 153, 1, // Opcode: VLDI_W
/* 12637 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 12647
/* 12642 */   MCD::OPC_Decode, 233, 9, 153, 1, // Opcode: VLDI_D
/* 12647 */   MCD::OPC_Decode, 231, 9, 154, 1, // Opcode: VLDI
/* 12652 */   MCD::OPC_FilterValue, 249, 1, 3, 32, 0, // Skip to: 20853
/* 12658 */   MCD::OPC_Decode, 135, 11, 147, 1, // Opcode: VPERMI_W
/* 12663 */   MCD::OPC_FilterValue, 29, 249, 31, 0, // Skip to: 20853
/* 12668 */   MCD::OPC_ExtractField, 18, 8,  // Inst{25-18} ...
/* 12671 */   MCD::OPC_FilterValue, 0, 79, 0, 0, // Skip to: 12755
/* 12676 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 12679 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 12689
/* 12684 */   MCD::OPC_Decode, 212, 17, 155, 1, // Opcode: XVSEQ_B
/* 12689 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 12699
/* 12694 */   MCD::OPC_Decode, 214, 17, 156, 1, // Opcode: XVSEQ_H
/* 12699 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 12708
/* 12704 */   MCD::OPC_Decode, 215, 17, 52, // Opcode: XVSEQ_W
/* 12708 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 12717
/* 12713 */   MCD::OPC_Decode, 213, 17, 53, // Opcode: XVSEQ_D
/* 12717 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 12727
/* 12722 */   MCD::OPC_Decode, 254, 17, 155, 1, // Opcode: XVSLE_B
/* 12727 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 12737
/* 12732 */   MCD::OPC_Decode, 130, 18, 156, 1, // Opcode: XVSLE_H
/* 12737 */   MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 12746
/* 12742 */   MCD::OPC_Decode, 132, 18, 52, // Opcode: XVSLE_W
/* 12746 */   MCD::OPC_FilterValue, 7, 166, 31, 0, // Skip to: 20853
/* 12751 */   MCD::OPC_Decode, 128, 18, 53, // Opcode: XVSLE_D
/* 12755 */   MCD::OPC_FilterValue, 1, 79, 0, 0, // Skip to: 12839
/* 12760 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 12763 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 12773
/* 12768 */   MCD::OPC_Decode, 255, 17, 155, 1, // Opcode: XVSLE_BU
/* 12773 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 12783
/* 12778 */   MCD::OPC_Decode, 131, 18, 156, 1, // Opcode: XVSLE_HU
/* 12783 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 12792
/* 12788 */   MCD::OPC_Decode, 133, 18, 52, // Opcode: XVSLE_WU
/* 12792 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 12801
/* 12797 */   MCD::OPC_Decode, 129, 18, 53, // Opcode: XVSLE_DU
/* 12801 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 12811
/* 12806 */   MCD::OPC_Decode, 168, 18, 155, 1, // Opcode: XVSLT_B
/* 12811 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 12821
/* 12816 */   MCD::OPC_Decode, 172, 18, 156, 1, // Opcode: XVSLT_H
/* 12821 */   MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 12830
/* 12826 */   MCD::OPC_Decode, 174, 18, 52, // Opcode: XVSLT_W
/* 12830 */   MCD::OPC_FilterValue, 7, 82, 31, 0, // Skip to: 20853
/* 12835 */   MCD::OPC_Decode, 170, 18, 53, // Opcode: XVSLT_D
/* 12839 */   MCD::OPC_FilterValue, 2, 79, 0, 0, // Skip to: 12923
/* 12844 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 12847 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 12857
/* 12852 */   MCD::OPC_Decode, 169, 18, 155, 1, // Opcode: XVSLT_BU
/* 12857 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 12867
/* 12862 */   MCD::OPC_Decode, 173, 18, 156, 1, // Opcode: XVSLT_HU
/* 12867 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 12876
/* 12872 */   MCD::OPC_Decode, 175, 18, 52, // Opcode: XVSLT_WU
/* 12876 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 12885
/* 12881 */   MCD::OPC_Decode, 171, 18, 53, // Opcode: XVSLT_DU
/* 12885 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 12895
/* 12890 */   MCD::OPC_Decode, 241, 13, 155, 1, // Opcode: XVADD_B
/* 12895 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 12905
/* 12900 */   MCD::OPC_Decode, 243, 13, 156, 1, // Opcode: XVADD_H
/* 12905 */   MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 12914
/* 12910 */   MCD::OPC_Decode, 245, 13, 52, // Opcode: XVADD_W
/* 12914 */   MCD::OPC_FilterValue, 7, 254, 30, 0, // Skip to: 20853
/* 12919 */   MCD::OPC_Decode, 242, 13, 53, // Opcode: XVADD_D
/* 12923 */   MCD::OPC_FilterValue, 3, 41, 0, 0, // Skip to: 12969
/* 12928 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 12931 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 12941
/* 12936 */   MCD::OPC_Decode, 213, 19, 155, 1, // Opcode: XVSUB_B
/* 12941 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 12951
/* 12946 */   MCD::OPC_Decode, 215, 19, 156, 1, // Opcode: XVSUB_H
/* 12951 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 12960
/* 12956 */   MCD::OPC_Decode, 217, 19, 52, // Opcode: XVSUB_W
/* 12960 */   MCD::OPC_FilterValue, 3, 208, 30, 0, // Skip to: 20853
/* 12965 */   MCD::OPC_Decode, 214, 19, 53, // Opcode: XVSUB_D
/* 12969 */   MCD::OPC_FilterValue, 7, 42, 0, 0, // Skip to: 13016
/* 12974 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 12977 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 12987
/* 12982 */   MCD::OPC_Decode, 220, 13, 157, 1, // Opcode: XVADDWEV_H_B
/* 12987 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 12997
/* 12992 */   MCD::OPC_Decode, 226, 13, 158, 1, // Opcode: XVADDWEV_W_H
/* 12997 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 13007
/* 13002 */   MCD::OPC_Decode, 217, 13, 159, 1, // Opcode: XVADDWEV_D_W
/* 13007 */   MCD::OPC_FilterValue, 7, 161, 30, 0, // Skip to: 20853
/* 13012 */   MCD::OPC_Decode, 223, 13, 53, // Opcode: XVADDWEV_Q_D
/* 13016 */   MCD::OPC_FilterValue, 8, 81, 0, 0, // Skip to: 13102
/* 13021 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 13024 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 13034
/* 13029 */   MCD::OPC_Decode, 199, 19, 157, 1, // Opcode: XVSUBWEV_H_B
/* 13034 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 13044
/* 13039 */   MCD::OPC_Decode, 203, 19, 158, 1, // Opcode: XVSUBWEV_W_H
/* 13044 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 13054
/* 13049 */   MCD::OPC_Decode, 197, 19, 159, 1, // Opcode: XVSUBWEV_D_W
/* 13054 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 13063
/* 13059 */   MCD::OPC_Decode, 201, 19, 53, // Opcode: XVSUBWEV_Q_D
/* 13063 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 13073
/* 13068 */   MCD::OPC_Decode, 232, 13, 157, 1, // Opcode: XVADDWOD_H_B
/* 13073 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 13083
/* 13078 */   MCD::OPC_Decode, 238, 13, 158, 1, // Opcode: XVADDWOD_W_H
/* 13083 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 13093
/* 13088 */   MCD::OPC_Decode, 229, 13, 159, 1, // Opcode: XVADDWOD_D_W
/* 13093 */   MCD::OPC_FilterValue, 7, 75, 30, 0, // Skip to: 20853
/* 13098 */   MCD::OPC_Decode, 235, 13, 53, // Opcode: XVADDWOD_Q_D
/* 13102 */   MCD::OPC_FilterValue, 9, 42, 0, 0, // Skip to: 13149
/* 13107 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 13110 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 13120
/* 13115 */   MCD::OPC_Decode, 207, 19, 157, 1, // Opcode: XVSUBWOD_H_B
/* 13120 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 13130
/* 13125 */   MCD::OPC_Decode, 211, 19, 158, 1, // Opcode: XVSUBWOD_W_H
/* 13130 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 13140
/* 13135 */   MCD::OPC_Decode, 205, 19, 159, 1, // Opcode: XVSUBWOD_D_W
/* 13140 */   MCD::OPC_FilterValue, 3, 28, 30, 0, // Skip to: 20853
/* 13145 */   MCD::OPC_Decode, 209, 19, 53, // Opcode: XVSUBWOD_Q_D
/* 13149 */   MCD::OPC_FilterValue, 11, 42, 0, 0, // Skip to: 13196
/* 13154 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 13157 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 13167
/* 13162 */   MCD::OPC_Decode, 221, 13, 157, 1, // Opcode: XVADDWEV_H_BU
/* 13167 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 13177
/* 13172 */   MCD::OPC_Decode, 227, 13, 158, 1, // Opcode: XVADDWEV_W_HU
/* 13177 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 13187
/* 13182 */   MCD::OPC_Decode, 218, 13, 159, 1, // Opcode: XVADDWEV_D_WU
/* 13187 */   MCD::OPC_FilterValue, 7, 237, 29, 0, // Skip to: 20853
/* 13192 */   MCD::OPC_Decode, 224, 13, 53, // Opcode: XVADDWEV_Q_DU
/* 13196 */   MCD::OPC_FilterValue, 12, 81, 0, 0, // Skip to: 13282
/* 13201 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 13204 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 13214
/* 13209 */   MCD::OPC_Decode, 200, 19, 157, 1, // Opcode: XVSUBWEV_H_BU
/* 13214 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 13224
/* 13219 */   MCD::OPC_Decode, 204, 19, 158, 1, // Opcode: XVSUBWEV_W_HU
/* 13224 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 13234
/* 13229 */   MCD::OPC_Decode, 198, 19, 159, 1, // Opcode: XVSUBWEV_D_WU
/* 13234 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 13243
/* 13239 */   MCD::OPC_Decode, 202, 19, 53, // Opcode: XVSUBWEV_Q_DU
/* 13243 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 13253
/* 13248 */   MCD::OPC_Decode, 233, 13, 157, 1, // Opcode: XVADDWOD_H_BU
/* 13253 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 13263
/* 13258 */   MCD::OPC_Decode, 239, 13, 158, 1, // Opcode: XVADDWOD_W_HU
/* 13263 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 13273
/* 13268 */   MCD::OPC_Decode, 230, 13, 159, 1, // Opcode: XVADDWOD_D_WU
/* 13273 */   MCD::OPC_FilterValue, 7, 151, 29, 0, // Skip to: 20853
/* 13278 */   MCD::OPC_Decode, 236, 13, 53, // Opcode: XVADDWOD_Q_DU
/* 13282 */   MCD::OPC_FilterValue, 13, 42, 0, 0, // Skip to: 13329
/* 13287 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 13290 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 13300
/* 13295 */   MCD::OPC_Decode, 208, 19, 157, 1, // Opcode: XVSUBWOD_H_BU
/* 13300 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 13310
/* 13305 */   MCD::OPC_Decode, 212, 19, 158, 1, // Opcode: XVSUBWOD_W_HU
/* 13310 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 13320
/* 13315 */   MCD::OPC_Decode, 206, 19, 159, 1, // Opcode: XVSUBWOD_D_WU
/* 13320 */   MCD::OPC_FilterValue, 3, 104, 29, 0, // Skip to: 20853
/* 13325 */   MCD::OPC_Decode, 210, 19, 53, // Opcode: XVSUBWOD_Q_DU
/* 13329 */   MCD::OPC_FilterValue, 15, 42, 0, 0, // Skip to: 13376
/* 13334 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 13337 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 13347
/* 13342 */   MCD::OPC_Decode, 222, 13, 157, 1, // Opcode: XVADDWEV_H_BU_B
/* 13347 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 13357
/* 13352 */   MCD::OPC_Decode, 228, 13, 158, 1, // Opcode: XVADDWEV_W_HU_H
/* 13357 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 13367
/* 13362 */   MCD::OPC_Decode, 219, 13, 159, 1, // Opcode: XVADDWEV_D_WU_W
/* 13367 */   MCD::OPC_FilterValue, 7, 57, 29, 0, // Skip to: 20853
/* 13372 */   MCD::OPC_Decode, 225, 13, 53, // Opcode: XVADDWEV_Q_DU_D
/* 13376 */   MCD::OPC_FilterValue, 16, 42, 0, 0, // Skip to: 13423
/* 13381 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 13384 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 13394
/* 13389 */   MCD::OPC_Decode, 234, 13, 157, 1, // Opcode: XVADDWOD_H_BU_B
/* 13394 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 13404
/* 13399 */   MCD::OPC_Decode, 240, 13, 158, 1, // Opcode: XVADDWOD_W_HU_H
/* 13404 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 13414
/* 13409 */   MCD::OPC_Decode, 231, 13, 159, 1, // Opcode: XVADDWOD_D_WU_W
/* 13414 */   MCD::OPC_FilterValue, 3, 10, 29, 0, // Skip to: 20853
/* 13419 */   MCD::OPC_Decode, 237, 13, 53, // Opcode: XVADDWOD_Q_DU_D
/* 13423 */   MCD::OPC_FilterValue, 17, 41, 0, 0, // Skip to: 13469
/* 13428 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 13431 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 13441
/* 13436 */   MCD::OPC_Decode, 188, 17, 155, 1, // Opcode: XVSADD_B
/* 13441 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 13451
/* 13446 */   MCD::OPC_Decode, 192, 17, 156, 1, // Opcode: XVSADD_H
/* 13451 */   MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 13460
/* 13456 */   MCD::OPC_Decode, 194, 17, 52, // Opcode: XVSADD_W
/* 13460 */   MCD::OPC_FilterValue, 7, 220, 28, 0, // Skip to: 20853
/* 13465 */   MCD::OPC_Decode, 190, 17, 53, // Opcode: XVSADD_D
/* 13469 */   MCD::OPC_FilterValue, 18, 79, 0, 0, // Skip to: 13553
/* 13474 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 13477 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 13487
/* 13482 */   MCD::OPC_Decode, 172, 19, 155, 1, // Opcode: XVSSUB_B
/* 13487 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 13497
/* 13492 */   MCD::OPC_Decode, 176, 19, 156, 1, // Opcode: XVSSUB_H
/* 13497 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 13506
/* 13502 */   MCD::OPC_Decode, 178, 19, 52, // Opcode: XVSSUB_W
/* 13506 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 13515
/* 13511 */   MCD::OPC_Decode, 174, 19, 53, // Opcode: XVSSUB_D
/* 13515 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 13525
/* 13520 */   MCD::OPC_Decode, 189, 17, 155, 1, // Opcode: XVSADD_BU
/* 13525 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 13535
/* 13530 */   MCD::OPC_Decode, 193, 17, 156, 1, // Opcode: XVSADD_HU
/* 13535 */   MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 13544
/* 13540 */   MCD::OPC_Decode, 195, 17, 52, // Opcode: XVSADD_WU
/* 13544 */   MCD::OPC_FilterValue, 7, 136, 28, 0, // Skip to: 20853
/* 13549 */   MCD::OPC_Decode, 191, 17, 53, // Opcode: XVSADD_DU
/* 13553 */   MCD::OPC_FilterValue, 19, 41, 0, 0, // Skip to: 13599
/* 13558 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 13561 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 13571
/* 13566 */   MCD::OPC_Decode, 173, 19, 155, 1, // Opcode: XVSSUB_BU
/* 13571 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 13581
/* 13576 */   MCD::OPC_Decode, 177, 19, 156, 1, // Opcode: XVSSUB_HU
/* 13581 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 13590
/* 13586 */   MCD::OPC_Decode, 179, 19, 52, // Opcode: XVSSUB_WU
/* 13590 */   MCD::OPC_FilterValue, 3, 90, 28, 0, // Skip to: 20853
/* 13595 */   MCD::OPC_Decode, 175, 19, 53, // Opcode: XVSSUB_DU
/* 13599 */   MCD::OPC_FilterValue, 21, 81, 0, 0, // Skip to: 13685
/* 13604 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 13607 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 13617
/* 13612 */   MCD::OPC_Decode, 206, 15, 157, 1, // Opcode: XVHADDW_H_B
/* 13617 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 13627
/* 13622 */   MCD::OPC_Decode, 210, 15, 158, 1, // Opcode: XVHADDW_W_H
/* 13627 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 13637
/* 13632 */   MCD::OPC_Decode, 204, 15, 159, 1, // Opcode: XVHADDW_D_W
/* 13637 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 13646
/* 13642 */   MCD::OPC_Decode, 208, 15, 53, // Opcode: XVHADDW_Q_D
/* 13646 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 13656
/* 13651 */   MCD::OPC_Decode, 215, 15, 157, 1, // Opcode: XVHSUBW_H_B
/* 13656 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 13666
/* 13661 */   MCD::OPC_Decode, 219, 15, 158, 1, // Opcode: XVHSUBW_W_H
/* 13666 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 13676
/* 13671 */   MCD::OPC_Decode, 213, 15, 159, 1, // Opcode: XVHSUBW_D_W
/* 13676 */   MCD::OPC_FilterValue, 7, 4, 28, 0, // Skip to: 20853
/* 13681 */   MCD::OPC_Decode, 217, 15, 53, // Opcode: XVHSUBW_Q_D
/* 13685 */   MCD::OPC_FilterValue, 22, 81, 0, 0, // Skip to: 13771
/* 13690 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 13693 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 13703
/* 13698 */   MCD::OPC_Decode, 205, 15, 157, 1, // Opcode: XVHADDW_HU_BU
/* 13703 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 13713
/* 13708 */   MCD::OPC_Decode, 209, 15, 158, 1, // Opcode: XVHADDW_WU_HU
/* 13713 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 13723
/* 13718 */   MCD::OPC_Decode, 203, 15, 159, 1, // Opcode: XVHADDW_DU_WU
/* 13723 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 13732
/* 13728 */   MCD::OPC_Decode, 207, 15, 53, // Opcode: XVHADDW_QU_DU
/* 13732 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 13742
/* 13737 */   MCD::OPC_Decode, 214, 15, 157, 1, // Opcode: XVHSUBW_HU_BU
/* 13742 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 13752
/* 13747 */   MCD::OPC_Decode, 218, 15, 158, 1, // Opcode: XVHSUBW_WU_HU
/* 13752 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 13762
/* 13757 */   MCD::OPC_Decode, 212, 15, 159, 1, // Opcode: XVHSUBW_DU_WU
/* 13762 */   MCD::OPC_FilterValue, 7, 174, 27, 0, // Skip to: 20853
/* 13767 */   MCD::OPC_Decode, 216, 15, 53, // Opcode: XVHSUBW_QU_DU
/* 13771 */   MCD::OPC_FilterValue, 23, 41, 0, 0, // Skip to: 13817
/* 13776 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 13779 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 13789
/* 13784 */   MCD::OPC_Decode, 205, 13, 155, 1, // Opcode: XVADDA_B
/* 13789 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 13799
/* 13794 */   MCD::OPC_Decode, 207, 13, 156, 1, // Opcode: XVADDA_H
/* 13799 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 13808
/* 13804 */   MCD::OPC_Decode, 208, 13, 52, // Opcode: XVADDA_W
/* 13808 */   MCD::OPC_FilterValue, 3, 128, 27, 0, // Skip to: 20853
/* 13813 */   MCD::OPC_Decode, 206, 13, 53, // Opcode: XVADDA_D
/* 13817 */   MCD::OPC_FilterValue, 24, 79, 0, 0, // Skip to: 13901
/* 13822 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 13825 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 13835
/* 13830 */   MCD::OPC_Decode, 197, 13, 155, 1, // Opcode: XVABSD_B
/* 13835 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 13845
/* 13840 */   MCD::OPC_Decode, 201, 13, 156, 1, // Opcode: XVABSD_H
/* 13845 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 13854
/* 13850 */   MCD::OPC_Decode, 203, 13, 52, // Opcode: XVABSD_W
/* 13854 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 13863
/* 13859 */   MCD::OPC_Decode, 199, 13, 53, // Opcode: XVABSD_D
/* 13863 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 13873
/* 13868 */   MCD::OPC_Decode, 198, 13, 155, 1, // Opcode: XVABSD_BU
/* 13873 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 13883
/* 13878 */   MCD::OPC_Decode, 202, 13, 156, 1, // Opcode: XVABSD_HU
/* 13883 */   MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 13892
/* 13888 */   MCD::OPC_Decode, 204, 13, 52, // Opcode: XVABSD_WU
/* 13892 */   MCD::OPC_FilterValue, 7, 44, 27, 0, // Skip to: 20853
/* 13897 */   MCD::OPC_Decode, 200, 13, 53, // Opcode: XVABSD_DU
/* 13901 */   MCD::OPC_FilterValue, 25, 79, 0, 0, // Skip to: 13985
/* 13906 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 13909 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 13919
/* 13914 */   MCD::OPC_Decode, 130, 14, 155, 1, // Opcode: XVAVG_B
/* 13919 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 13929
/* 13924 */   MCD::OPC_Decode, 134, 14, 156, 1, // Opcode: XVAVG_H
/* 13929 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 13938
/* 13934 */   MCD::OPC_Decode, 136, 14, 52, // Opcode: XVAVG_W
/* 13938 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 13947
/* 13943 */   MCD::OPC_Decode, 132, 14, 53, // Opcode: XVAVG_D
/* 13947 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 13957
/* 13952 */   MCD::OPC_Decode, 131, 14, 155, 1, // Opcode: XVAVG_BU
/* 13957 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 13967
/* 13962 */   MCD::OPC_Decode, 135, 14, 156, 1, // Opcode: XVAVG_HU
/* 13967 */   MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 13976
/* 13972 */   MCD::OPC_Decode, 137, 14, 52, // Opcode: XVAVG_WU
/* 13976 */   MCD::OPC_FilterValue, 7, 216, 26, 0, // Skip to: 20853
/* 13981 */   MCD::OPC_Decode, 133, 14, 53, // Opcode: XVAVG_DU
/* 13985 */   MCD::OPC_FilterValue, 26, 79, 0, 0, // Skip to: 14069
/* 13990 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 13993 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 14003
/* 13998 */   MCD::OPC_Decode, 250, 13, 155, 1, // Opcode: XVAVGR_B
/* 14003 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 14013
/* 14008 */   MCD::OPC_Decode, 254, 13, 156, 1, // Opcode: XVAVGR_H
/* 14013 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 14022
/* 14018 */   MCD::OPC_Decode, 128, 14, 52, // Opcode: XVAVGR_W
/* 14022 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 14031
/* 14027 */   MCD::OPC_Decode, 252, 13, 53, // Opcode: XVAVGR_D
/* 14031 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 14041
/* 14036 */   MCD::OPC_Decode, 251, 13, 155, 1, // Opcode: XVAVGR_BU
/* 14041 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 14051
/* 14046 */   MCD::OPC_Decode, 255, 13, 156, 1, // Opcode: XVAVGR_HU
/* 14051 */   MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 14060
/* 14056 */   MCD::OPC_Decode, 129, 14, 52, // Opcode: XVAVGR_WU
/* 14060 */   MCD::OPC_FilterValue, 7, 132, 26, 0, // Skip to: 20853
/* 14065 */   MCD::OPC_Decode, 253, 13, 53, // Opcode: XVAVGR_DU
/* 14069 */   MCD::OPC_FilterValue, 28, 79, 0, 0, // Skip to: 14153
/* 14074 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 14077 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 14087
/* 14082 */   MCD::OPC_Decode, 162, 16, 155, 1, // Opcode: XVMAX_B
/* 14087 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 14097
/* 14092 */   MCD::OPC_Decode, 166, 16, 156, 1, // Opcode: XVMAX_H
/* 14097 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 14106
/* 14102 */   MCD::OPC_Decode, 168, 16, 52, // Opcode: XVMAX_W
/* 14106 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 14115
/* 14111 */   MCD::OPC_Decode, 164, 16, 53, // Opcode: XVMAX_D
/* 14115 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 14125
/* 14120 */   MCD::OPC_Decode, 186, 16, 155, 1, // Opcode: XVMIN_B
/* 14125 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 14135
/* 14130 */   MCD::OPC_Decode, 190, 16, 156, 1, // Opcode: XVMIN_H
/* 14135 */   MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 14144
/* 14140 */   MCD::OPC_Decode, 192, 16, 52, // Opcode: XVMIN_W
/* 14144 */   MCD::OPC_FilterValue, 7, 48, 26, 0, // Skip to: 20853
/* 14149 */   MCD::OPC_Decode, 188, 16, 53, // Opcode: XVMIN_D
/* 14153 */   MCD::OPC_FilterValue, 29, 79, 0, 0, // Skip to: 14237
/* 14158 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 14161 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 14171
/* 14166 */   MCD::OPC_Decode, 163, 16, 155, 1, // Opcode: XVMAX_BU
/* 14171 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 14181
/* 14176 */   MCD::OPC_Decode, 167, 16, 156, 1, // Opcode: XVMAX_HU
/* 14181 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 14190
/* 14186 */   MCD::OPC_Decode, 169, 16, 52, // Opcode: XVMAX_WU
/* 14190 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 14199
/* 14195 */   MCD::OPC_Decode, 165, 16, 53, // Opcode: XVMAX_DU
/* 14199 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 14209
/* 14204 */   MCD::OPC_Decode, 187, 16, 155, 1, // Opcode: XVMIN_BU
/* 14209 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 14219
/* 14214 */   MCD::OPC_Decode, 191, 16, 156, 1, // Opcode: XVMIN_HU
/* 14219 */   MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 14228
/* 14224 */   MCD::OPC_Decode, 193, 16, 52, // Opcode: XVMIN_WU
/* 14228 */   MCD::OPC_FilterValue, 7, 220, 25, 0, // Skip to: 20853
/* 14233 */   MCD::OPC_Decode, 189, 16, 53, // Opcode: XVMIN_DU
/* 14237 */   MCD::OPC_FilterValue, 33, 79, 0, 0, // Skip to: 14321
/* 14242 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 14245 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 14255
/* 14250 */   MCD::OPC_Decode, 244, 16, 155, 1, // Opcode: XVMUL_B
/* 14255 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 14265
/* 14260 */   MCD::OPC_Decode, 246, 16, 156, 1, // Opcode: XVMUL_H
/* 14265 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 14274
/* 14270 */   MCD::OPC_Decode, 247, 16, 52, // Opcode: XVMUL_W
/* 14274 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 14283
/* 14279 */   MCD::OPC_Decode, 245, 16, 53, // Opcode: XVMUL_D
/* 14283 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 14293
/* 14288 */   MCD::OPC_Decode, 212, 16, 155, 1, // Opcode: XVMUH_B
/* 14293 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 14303
/* 14298 */   MCD::OPC_Decode, 216, 16, 156, 1, // Opcode: XVMUH_H
/* 14303 */   MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 14312
/* 14308 */   MCD::OPC_Decode, 218, 16, 52, // Opcode: XVMUH_W
/* 14312 */   MCD::OPC_FilterValue, 7, 136, 25, 0, // Skip to: 20853
/* 14317 */   MCD::OPC_Decode, 214, 16, 53, // Opcode: XVMUH_D
/* 14321 */   MCD::OPC_FilterValue, 34, 41, 0, 0, // Skip to: 14367
/* 14326 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 14329 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 14339
/* 14334 */   MCD::OPC_Decode, 213, 16, 155, 1, // Opcode: XVMUH_BU
/* 14339 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 14349
/* 14344 */   MCD::OPC_Decode, 217, 16, 156, 1, // Opcode: XVMUH_HU
/* 14349 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 14358
/* 14354 */   MCD::OPC_Decode, 219, 16, 52, // Opcode: XVMUH_WU
/* 14358 */   MCD::OPC_FilterValue, 3, 90, 25, 0, // Skip to: 20853
/* 14363 */   MCD::OPC_Decode, 215, 16, 53, // Opcode: XVMUH_DU
/* 14367 */   MCD::OPC_FilterValue, 36, 81, 0, 0, // Skip to: 14453
/* 14372 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 14375 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 14385
/* 14380 */   MCD::OPC_Decode, 223, 16, 157, 1, // Opcode: XVMULWEV_H_B
/* 14385 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 14395
/* 14390 */   MCD::OPC_Decode, 229, 16, 158, 1, // Opcode: XVMULWEV_W_H
/* 14395 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 14405
/* 14400 */   MCD::OPC_Decode, 220, 16, 159, 1, // Opcode: XVMULWEV_D_W
/* 14405 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 14414
/* 14410 */   MCD::OPC_Decode, 226, 16, 53, // Opcode: XVMULWEV_Q_D
/* 14414 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 14424
/* 14419 */   MCD::OPC_Decode, 235, 16, 157, 1, // Opcode: XVMULWOD_H_B
/* 14424 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 14434
/* 14429 */   MCD::OPC_Decode, 241, 16, 158, 1, // Opcode: XVMULWOD_W_H
/* 14434 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 14444
/* 14439 */   MCD::OPC_Decode, 232, 16, 159, 1, // Opcode: XVMULWOD_D_W
/* 14444 */   MCD::OPC_FilterValue, 7, 4, 25, 0, // Skip to: 20853
/* 14449 */   MCD::OPC_Decode, 238, 16, 53, // Opcode: XVMULWOD_Q_D
/* 14453 */   MCD::OPC_FilterValue, 38, 81, 0, 0, // Skip to: 14539
/* 14458 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 14461 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 14471
/* 14466 */   MCD::OPC_Decode, 224, 16, 157, 1, // Opcode: XVMULWEV_H_BU
/* 14471 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 14481
/* 14476 */   MCD::OPC_Decode, 230, 16, 158, 1, // Opcode: XVMULWEV_W_HU
/* 14481 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 14491
/* 14486 */   MCD::OPC_Decode, 221, 16, 159, 1, // Opcode: XVMULWEV_D_WU
/* 14491 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 14500
/* 14496 */   MCD::OPC_Decode, 227, 16, 53, // Opcode: XVMULWEV_Q_DU
/* 14500 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 14510
/* 14505 */   MCD::OPC_Decode, 236, 16, 157, 1, // Opcode: XVMULWOD_H_BU
/* 14510 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 14520
/* 14515 */   MCD::OPC_Decode, 242, 16, 158, 1, // Opcode: XVMULWOD_W_HU
/* 14520 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 14530
/* 14525 */   MCD::OPC_Decode, 233, 16, 159, 1, // Opcode: XVMULWOD_D_WU
/* 14530 */   MCD::OPC_FilterValue, 7, 174, 24, 0, // Skip to: 20853
/* 14535 */   MCD::OPC_Decode, 239, 16, 53, // Opcode: XVMULWOD_Q_DU
/* 14539 */   MCD::OPC_FilterValue, 40, 81, 0, 0, // Skip to: 14625
/* 14544 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 14547 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 14557
/* 14552 */   MCD::OPC_Decode, 225, 16, 157, 1, // Opcode: XVMULWEV_H_BU_B
/* 14557 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 14567
/* 14562 */   MCD::OPC_Decode, 231, 16, 158, 1, // Opcode: XVMULWEV_W_HU_H
/* 14567 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 14577
/* 14572 */   MCD::OPC_Decode, 222, 16, 159, 1, // Opcode: XVMULWEV_D_WU_W
/* 14577 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 14586
/* 14582 */   MCD::OPC_Decode, 228, 16, 53, // Opcode: XVMULWEV_Q_DU_D
/* 14586 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 14596
/* 14591 */   MCD::OPC_Decode, 237, 16, 157, 1, // Opcode: XVMULWOD_H_BU_B
/* 14596 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 14606
/* 14601 */   MCD::OPC_Decode, 243, 16, 158, 1, // Opcode: XVMULWOD_W_HU_H
/* 14606 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 14616
/* 14611 */   MCD::OPC_Decode, 234, 16, 159, 1, // Opcode: XVMULWOD_D_WU_W
/* 14616 */   MCD::OPC_FilterValue, 7, 88, 24, 0, // Skip to: 20853
/* 14621 */   MCD::OPC_Decode, 240, 16, 53, // Opcode: XVMULWOD_Q_DU_D
/* 14625 */   MCD::OPC_FilterValue, 42, 83, 0, 0, // Skip to: 14713
/* 14630 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 14633 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 14643
/* 14638 */   MCD::OPC_Decode, 142, 16, 160, 1, // Opcode: XVMADD_B
/* 14643 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 14653
/* 14648 */   MCD::OPC_Decode, 144, 16, 161, 1, // Opcode: XVMADD_H
/* 14653 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 14663
/* 14658 */   MCD::OPC_Decode, 145, 16, 162, 1, // Opcode: XVMADD_W
/* 14663 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 14673
/* 14668 */   MCD::OPC_Decode, 143, 16, 163, 1, // Opcode: XVMADD_D
/* 14673 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 14683
/* 14678 */   MCD::OPC_Decode, 208, 16, 160, 1, // Opcode: XVMSUB_B
/* 14683 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 14693
/* 14688 */   MCD::OPC_Decode, 210, 16, 161, 1, // Opcode: XVMSUB_H
/* 14693 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 14703
/* 14698 */   MCD::OPC_Decode, 211, 16, 162, 1, // Opcode: XVMSUB_W
/* 14703 */   MCD::OPC_FilterValue, 7, 1, 24, 0, // Skip to: 20853
/* 14708 */   MCD::OPC_Decode, 209, 16, 163, 1, // Opcode: XVMSUB_D
/* 14713 */   MCD::OPC_FilterValue, 43, 83, 0, 0, // Skip to: 14801
/* 14718 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 14721 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 14731
/* 14726 */   MCD::OPC_Decode, 249, 15, 164, 1, // Opcode: XVMADDWEV_H_B
/* 14731 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 14741
/* 14736 */   MCD::OPC_Decode, 255, 15, 165, 1, // Opcode: XVMADDWEV_W_H
/* 14741 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 14751
/* 14746 */   MCD::OPC_Decode, 246, 15, 166, 1, // Opcode: XVMADDWEV_D_W
/* 14751 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 14761
/* 14756 */   MCD::OPC_Decode, 252, 15, 163, 1, // Opcode: XVMADDWEV_Q_D
/* 14761 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 14771
/* 14766 */   MCD::OPC_Decode, 133, 16, 164, 1, // Opcode: XVMADDWOD_H_B
/* 14771 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 14781
/* 14776 */   MCD::OPC_Decode, 139, 16, 165, 1, // Opcode: XVMADDWOD_W_H
/* 14781 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 14791
/* 14786 */   MCD::OPC_Decode, 130, 16, 166, 1, // Opcode: XVMADDWOD_D_W
/* 14791 */   MCD::OPC_FilterValue, 7, 169, 23, 0, // Skip to: 20853
/* 14796 */   MCD::OPC_Decode, 136, 16, 163, 1, // Opcode: XVMADDWOD_Q_D
/* 14801 */   MCD::OPC_FilterValue, 45, 83, 0, 0, // Skip to: 14889
/* 14806 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 14809 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 14819
/* 14814 */   MCD::OPC_Decode, 250, 15, 164, 1, // Opcode: XVMADDWEV_H_BU
/* 14819 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 14829
/* 14824 */   MCD::OPC_Decode, 128, 16, 165, 1, // Opcode: XVMADDWEV_W_HU
/* 14829 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 14839
/* 14834 */   MCD::OPC_Decode, 247, 15, 166, 1, // Opcode: XVMADDWEV_D_WU
/* 14839 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 14849
/* 14844 */   MCD::OPC_Decode, 253, 15, 163, 1, // Opcode: XVMADDWEV_Q_DU
/* 14849 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 14859
/* 14854 */   MCD::OPC_Decode, 134, 16, 164, 1, // Opcode: XVMADDWOD_H_BU
/* 14859 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 14869
/* 14864 */   MCD::OPC_Decode, 140, 16, 165, 1, // Opcode: XVMADDWOD_W_HU
/* 14869 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 14879
/* 14874 */   MCD::OPC_Decode, 131, 16, 166, 1, // Opcode: XVMADDWOD_D_WU
/* 14879 */   MCD::OPC_FilterValue, 7, 81, 23, 0, // Skip to: 20853
/* 14884 */   MCD::OPC_Decode, 137, 16, 163, 1, // Opcode: XVMADDWOD_Q_DU
/* 14889 */   MCD::OPC_FilterValue, 47, 83, 0, 0, // Skip to: 14977
/* 14894 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 14897 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 14907
/* 14902 */   MCD::OPC_Decode, 251, 15, 164, 1, // Opcode: XVMADDWEV_H_BU_B
/* 14907 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 14917
/* 14912 */   MCD::OPC_Decode, 129, 16, 165, 1, // Opcode: XVMADDWEV_W_HU_H
/* 14917 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 14927
/* 14922 */   MCD::OPC_Decode, 248, 15, 166, 1, // Opcode: XVMADDWEV_D_WU_W
/* 14927 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 14937
/* 14932 */   MCD::OPC_Decode, 254, 15, 163, 1, // Opcode: XVMADDWEV_Q_DU_D
/* 14937 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 14947
/* 14942 */   MCD::OPC_Decode, 135, 16, 164, 1, // Opcode: XVMADDWOD_H_BU_B
/* 14947 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 14957
/* 14952 */   MCD::OPC_Decode, 141, 16, 165, 1, // Opcode: XVMADDWOD_W_HU_H
/* 14957 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 14967
/* 14962 */   MCD::OPC_Decode, 132, 16, 166, 1, // Opcode: XVMADDWOD_D_WU_W
/* 14967 */   MCD::OPC_FilterValue, 7, 249, 22, 0, // Skip to: 20853
/* 14972 */   MCD::OPC_Decode, 138, 16, 163, 1, // Opcode: XVMADDWOD_Q_DU_D
/* 14977 */   MCD::OPC_FilterValue, 56, 79, 0, 0, // Skip to: 15061
/* 14982 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 14985 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 14995
/* 14990 */   MCD::OPC_Decode, 175, 14, 155, 1, // Opcode: XVDIV_B
/* 14995 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 15005
/* 15000 */   MCD::OPC_Decode, 179, 14, 156, 1, // Opcode: XVDIV_H
/* 15005 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 15014
/* 15010 */   MCD::OPC_Decode, 181, 14, 52, // Opcode: XVDIV_W
/* 15014 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 15023
/* 15019 */   MCD::OPC_Decode, 177, 14, 53, // Opcode: XVDIV_D
/* 15023 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 15033
/* 15028 */   MCD::OPC_Decode, 194, 16, 155, 1, // Opcode: XVMOD_B
/* 15033 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 15043
/* 15038 */   MCD::OPC_Decode, 198, 16, 156, 1, // Opcode: XVMOD_H
/* 15043 */   MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 15052
/* 15048 */   MCD::OPC_Decode, 200, 16, 52, // Opcode: XVMOD_W
/* 15052 */   MCD::OPC_FilterValue, 7, 164, 22, 0, // Skip to: 20853
/* 15057 */   MCD::OPC_Decode, 196, 16, 53, // Opcode: XVMOD_D
/* 15061 */   MCD::OPC_FilterValue, 57, 79, 0, 0, // Skip to: 15145
/* 15066 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15069 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 15079
/* 15074 */   MCD::OPC_Decode, 176, 14, 155, 1, // Opcode: XVDIV_BU
/* 15079 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 15089
/* 15084 */   MCD::OPC_Decode, 180, 14, 156, 1, // Opcode: XVDIV_HU
/* 15089 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 15098
/* 15094 */   MCD::OPC_Decode, 182, 14, 52, // Opcode: XVDIV_WU
/* 15098 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 15107
/* 15103 */   MCD::OPC_Decode, 178, 14, 53, // Opcode: XVDIV_DU
/* 15107 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 15117
/* 15112 */   MCD::OPC_Decode, 195, 16, 155, 1, // Opcode: XVMOD_BU
/* 15117 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 15127
/* 15122 */   MCD::OPC_Decode, 199, 16, 156, 1, // Opcode: XVMOD_HU
/* 15127 */   MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 15136
/* 15132 */   MCD::OPC_Decode, 201, 16, 52, // Opcode: XVMOD_WU
/* 15136 */   MCD::OPC_FilterValue, 7, 80, 22, 0, // Skip to: 20853
/* 15141 */   MCD::OPC_Decode, 197, 16, 53, // Opcode: XVMOD_DU
/* 15145 */   MCD::OPC_FilterValue, 58, 79, 0, 0, // Skip to: 15229
/* 15150 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15153 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 15163
/* 15158 */   MCD::OPC_Decode, 148, 18, 155, 1, // Opcode: XVSLL_B
/* 15163 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 15173
/* 15168 */   MCD::OPC_Decode, 150, 18, 156, 1, // Opcode: XVSLL_H
/* 15173 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 15182
/* 15178 */   MCD::OPC_Decode, 151, 18, 52, // Opcode: XVSLL_W
/* 15182 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 15191
/* 15187 */   MCD::OPC_Decode, 149, 18, 53, // Opcode: XVSLL_D
/* 15191 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 15201
/* 15196 */   MCD::OPC_Decode, 240, 18, 155, 1, // Opcode: XVSRL_B
/* 15201 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 15211
/* 15206 */   MCD::OPC_Decode, 242, 18, 156, 1, // Opcode: XVSRL_H
/* 15211 */   MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 15220
/* 15216 */   MCD::OPC_Decode, 243, 18, 52, // Opcode: XVSRL_W
/* 15220 */   MCD::OPC_FilterValue, 7, 252, 21, 0, // Skip to: 20853
/* 15225 */   MCD::OPC_Decode, 241, 18, 53, // Opcode: XVSRL_D
/* 15229 */   MCD::OPC_FilterValue, 59, 79, 0, 0, // Skip to: 15313
/* 15234 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15237 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 15247
/* 15242 */   MCD::OPC_Decode, 206, 18, 155, 1, // Opcode: XVSRA_B
/* 15247 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 15257
/* 15252 */   MCD::OPC_Decode, 208, 18, 156, 1, // Opcode: XVSRA_H
/* 15257 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 15266
/* 15262 */   MCD::OPC_Decode, 209, 18, 52, // Opcode: XVSRA_W
/* 15266 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 15275
/* 15271 */   MCD::OPC_Decode, 207, 18, 53, // Opcode: XVSRA_D
/* 15275 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 15285
/* 15280 */   MCD::OPC_Decode, 184, 17, 155, 1, // Opcode: XVROTR_B
/* 15285 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 15295
/* 15290 */   MCD::OPC_Decode, 186, 17, 156, 1, // Opcode: XVROTR_H
/* 15295 */   MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 15304
/* 15300 */   MCD::OPC_Decode, 187, 17, 52, // Opcode: XVROTR_W
/* 15304 */   MCD::OPC_FilterValue, 7, 168, 21, 0, // Skip to: 20853
/* 15309 */   MCD::OPC_Decode, 185, 17, 53, // Opcode: XVROTR_D
/* 15313 */   MCD::OPC_FilterValue, 60, 79, 0, 0, // Skip to: 15397
/* 15318 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15321 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 15331
/* 15326 */   MCD::OPC_Decode, 236, 18, 155, 1, // Opcode: XVSRLR_B
/* 15331 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 15341
/* 15336 */   MCD::OPC_Decode, 238, 18, 156, 1, // Opcode: XVSRLR_H
/* 15341 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 15350
/* 15346 */   MCD::OPC_Decode, 239, 18, 52, // Opcode: XVSRLR_W
/* 15350 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 15359
/* 15355 */   MCD::OPC_Decode, 237, 18, 53, // Opcode: XVSRLR_D
/* 15359 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 15369
/* 15364 */   MCD::OPC_Decode, 202, 18, 155, 1, // Opcode: XVSRAR_B
/* 15369 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 15379
/* 15374 */   MCD::OPC_Decode, 204, 18, 156, 1, // Opcode: XVSRAR_H
/* 15379 */   MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 15388
/* 15384 */   MCD::OPC_Decode, 205, 18, 52, // Opcode: XVSRAR_W
/* 15388 */   MCD::OPC_FilterValue, 7, 84, 21, 0, // Skip to: 20853
/* 15393 */   MCD::OPC_Decode, 203, 18, 53, // Opcode: XVSRAR_D
/* 15397 */   MCD::OPC_FilterValue, 61, 63, 0, 0, // Skip to: 15465
/* 15402 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15405 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 15415
/* 15410 */   MCD::OPC_Decode, 222, 18, 167, 1, // Opcode: XVSRLN_B_H
/* 15415 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 15425
/* 15420 */   MCD::OPC_Decode, 223, 18, 168, 1, // Opcode: XVSRLN_H_W
/* 15425 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 15435
/* 15430 */   MCD::OPC_Decode, 224, 18, 169, 1, // Opcode: XVSRLN_W_D
/* 15435 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 15445
/* 15440 */   MCD::OPC_Decode, 188, 18, 167, 1, // Opcode: XVSRAN_B_H
/* 15445 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 15455
/* 15450 */   MCD::OPC_Decode, 189, 18, 168, 1, // Opcode: XVSRAN_H_W
/* 15455 */   MCD::OPC_FilterValue, 7, 17, 21, 0, // Skip to: 20853
/* 15460 */   MCD::OPC_Decode, 190, 18, 169, 1, // Opcode: XVSRAN_W_D
/* 15465 */   MCD::OPC_FilterValue, 62, 63, 0, 0, // Skip to: 15533
/* 15470 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15473 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 15483
/* 15478 */   MCD::OPC_Decode, 233, 18, 167, 1, // Opcode: XVSRLRN_B_H
/* 15483 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 15493
/* 15488 */   MCD::OPC_Decode, 234, 18, 168, 1, // Opcode: XVSRLRN_H_W
/* 15493 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 15503
/* 15498 */   MCD::OPC_Decode, 235, 18, 169, 1, // Opcode: XVSRLRN_W_D
/* 15503 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 15513
/* 15508 */   MCD::OPC_Decode, 199, 18, 167, 1, // Opcode: XVSRARN_B_H
/* 15513 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 15523
/* 15518 */   MCD::OPC_Decode, 200, 18, 168, 1, // Opcode: XVSRARN_H_W
/* 15523 */   MCD::OPC_FilterValue, 7, 205, 20, 0, // Skip to: 20853
/* 15528 */   MCD::OPC_Decode, 201, 18, 169, 1, // Opcode: XVSRARN_W_D
/* 15533 */   MCD::OPC_FilterValue, 63, 63, 0, 0, // Skip to: 15601
/* 15538 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15541 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 15551
/* 15546 */   MCD::OPC_Decode, 153, 19, 167, 1, // Opcode: XVSSRLN_B_H
/* 15551 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 15561
/* 15556 */   MCD::OPC_Decode, 155, 19, 168, 1, // Opcode: XVSSRLN_H_W
/* 15561 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 15571
/* 15566 */   MCD::OPC_Decode, 157, 19, 169, 1, // Opcode: XVSSRLN_W_D
/* 15571 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 15581
/* 15576 */   MCD::OPC_Decode, 253, 18, 167, 1, // Opcode: XVSSRAN_B_H
/* 15581 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 15591
/* 15586 */   MCD::OPC_Decode, 255, 18, 168, 1, // Opcode: XVSSRAN_H_W
/* 15591 */   MCD::OPC_FilterValue, 7, 137, 20, 0, // Skip to: 20853
/* 15596 */   MCD::OPC_Decode, 129, 19, 169, 1, // Opcode: XVSSRAN_W_D
/* 15601 */   MCD::OPC_FilterValue, 64, 63, 0, 0, // Skip to: 15669
/* 15606 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15609 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 15619
/* 15614 */   MCD::OPC_Decode, 167, 19, 167, 1, // Opcode: XVSSRLRN_B_H
/* 15619 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 15629
/* 15624 */   MCD::OPC_Decode, 169, 19, 168, 1, // Opcode: XVSSRLRN_H_W
/* 15629 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 15639
/* 15634 */   MCD::OPC_Decode, 171, 19, 169, 1, // Opcode: XVSSRLRN_W_D
/* 15639 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 15649
/* 15644 */   MCD::OPC_Decode, 139, 19, 167, 1, // Opcode: XVSSRARN_B_H
/* 15649 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 15659
/* 15654 */   MCD::OPC_Decode, 141, 19, 168, 1, // Opcode: XVSSRARN_H_W
/* 15659 */   MCD::OPC_FilterValue, 7, 69, 20, 0, // Skip to: 20853
/* 15664 */   MCD::OPC_Decode, 143, 19, 169, 1, // Opcode: XVSSRARN_W_D
/* 15669 */   MCD::OPC_FilterValue, 65, 63, 0, 0, // Skip to: 15737
/* 15674 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15677 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 15687
/* 15682 */   MCD::OPC_Decode, 152, 19, 167, 1, // Opcode: XVSSRLN_BU_H
/* 15687 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 15697
/* 15692 */   MCD::OPC_Decode, 154, 19, 168, 1, // Opcode: XVSSRLN_HU_W
/* 15697 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 15707
/* 15702 */   MCD::OPC_Decode, 156, 19, 169, 1, // Opcode: XVSSRLN_WU_D
/* 15707 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 15717
/* 15712 */   MCD::OPC_Decode, 252, 18, 167, 1, // Opcode: XVSSRAN_BU_H
/* 15717 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 15727
/* 15722 */   MCD::OPC_Decode, 254, 18, 168, 1, // Opcode: XVSSRAN_HU_W
/* 15727 */   MCD::OPC_FilterValue, 7, 1, 20, 0, // Skip to: 20853
/* 15732 */   MCD::OPC_Decode, 128, 19, 169, 1, // Opcode: XVSSRAN_WU_D
/* 15737 */   MCD::OPC_FilterValue, 66, 63, 0, 0, // Skip to: 15805
/* 15742 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15745 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 15755
/* 15750 */   MCD::OPC_Decode, 166, 19, 167, 1, // Opcode: XVSSRLRN_BU_H
/* 15755 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 15765
/* 15760 */   MCD::OPC_Decode, 168, 19, 168, 1, // Opcode: XVSSRLRN_HU_W
/* 15765 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 15775
/* 15770 */   MCD::OPC_Decode, 170, 19, 169, 1, // Opcode: XVSSRLRN_WU_D
/* 15775 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 15785
/* 15780 */   MCD::OPC_Decode, 138, 19, 167, 1, // Opcode: XVSSRARN_BU_H
/* 15785 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 15795
/* 15790 */   MCD::OPC_Decode, 140, 19, 168, 1, // Opcode: XVSSRARN_HU_W
/* 15795 */   MCD::OPC_FilterValue, 7, 189, 19, 0, // Skip to: 20853
/* 15800 */   MCD::OPC_Decode, 142, 19, 169, 1, // Opcode: XVSSRARN_WU_D
/* 15805 */   MCD::OPC_FilterValue, 67, 79, 0, 0, // Skip to: 15889
/* 15810 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15813 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 15823
/* 15818 */   MCD::OPC_Decode, 142, 14, 155, 1, // Opcode: XVBITCLR_B
/* 15823 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 15833
/* 15828 */   MCD::OPC_Decode, 144, 14, 156, 1, // Opcode: XVBITCLR_H
/* 15833 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 15842
/* 15838 */   MCD::OPC_Decode, 145, 14, 52, // Opcode: XVBITCLR_W
/* 15842 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 15851
/* 15847 */   MCD::OPC_Decode, 143, 14, 53, // Opcode: XVBITCLR_D
/* 15851 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 15861
/* 15856 */   MCD::OPC_Decode, 161, 14, 155, 1, // Opcode: XVBITSET_B
/* 15861 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 15871
/* 15866 */   MCD::OPC_Decode, 163, 14, 156, 1, // Opcode: XVBITSET_H
/* 15871 */   MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 15880
/* 15876 */   MCD::OPC_Decode, 164, 14, 52, // Opcode: XVBITSET_W
/* 15880 */   MCD::OPC_FilterValue, 7, 104, 19, 0, // Skip to: 20853
/* 15885 */   MCD::OPC_Decode, 162, 14, 53, // Opcode: XVBITSET_D
/* 15889 */   MCD::OPC_FilterValue, 68, 41, 0, 0, // Skip to: 15935
/* 15894 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15897 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 15907
/* 15902 */   MCD::OPC_Decode, 150, 14, 155, 1, // Opcode: XVBITREV_B
/* 15907 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 15917
/* 15912 */   MCD::OPC_Decode, 152, 14, 156, 1, // Opcode: XVBITREV_H
/* 15917 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 15926
/* 15922 */   MCD::OPC_Decode, 153, 14, 52, // Opcode: XVBITREV_W
/* 15926 */   MCD::OPC_FilterValue, 3, 58, 19, 0, // Skip to: 20853
/* 15931 */   MCD::OPC_Decode, 151, 14, 53, // Opcode: XVBITREV_D
/* 15935 */   MCD::OPC_FilterValue, 69, 41, 0, 0, // Skip to: 15981
/* 15940 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15943 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 15953
/* 15948 */   MCD::OPC_Decode, 129, 17, 155, 1, // Opcode: XVPACKEV_B
/* 15953 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 15963
/* 15958 */   MCD::OPC_Decode, 131, 17, 156, 1, // Opcode: XVPACKEV_H
/* 15963 */   MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 15972
/* 15968 */   MCD::OPC_Decode, 132, 17, 52, // Opcode: XVPACKEV_W
/* 15972 */   MCD::OPC_FilterValue, 7, 12, 19, 0, // Skip to: 20853
/* 15977 */   MCD::OPC_Decode, 130, 17, 53, // Opcode: XVPACKEV_D
/* 15981 */   MCD::OPC_FilterValue, 70, 79, 0, 0, // Skip to: 16065
/* 15986 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15989 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 15999
/* 15994 */   MCD::OPC_Decode, 133, 17, 155, 1, // Opcode: XVPACKOD_B
/* 15999 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 16009
/* 16004 */   MCD::OPC_Decode, 135, 17, 156, 1, // Opcode: XVPACKOD_H
/* 16009 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 16018
/* 16014 */   MCD::OPC_Decode, 136, 17, 52, // Opcode: XVPACKOD_W
/* 16018 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 16027
/* 16023 */   MCD::OPC_Decode, 134, 17, 53, // Opcode: XVPACKOD_D
/* 16027 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 16037
/* 16032 */   MCD::OPC_Decode, 224, 15, 155, 1, // Opcode: XVILVL_B
/* 16037 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 16047
/* 16042 */   MCD::OPC_Decode, 226, 15, 156, 1, // Opcode: XVILVL_H
/* 16047 */   MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 16056
/* 16052 */   MCD::OPC_Decode, 227, 15, 52, // Opcode: XVILVL_W
/* 16056 */   MCD::OPC_FilterValue, 7, 184, 18, 0, // Skip to: 20853
/* 16061 */   MCD::OPC_Decode, 225, 15, 53, // Opcode: XVILVL_D
/* 16065 */   MCD::OPC_FilterValue, 71, 79, 0, 0, // Skip to: 16149
/* 16070 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16073 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 16083
/* 16078 */   MCD::OPC_Decode, 220, 15, 155, 1, // Opcode: XVILVH_B
/* 16083 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 16093
/* 16088 */   MCD::OPC_Decode, 222, 15, 156, 1, // Opcode: XVILVH_H
/* 16093 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 16102
/* 16098 */   MCD::OPC_Decode, 223, 15, 52, // Opcode: XVILVH_W
/* 16102 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 16111
/* 16107 */   MCD::OPC_Decode, 221, 15, 53, // Opcode: XVILVH_D
/* 16111 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 16121
/* 16116 */   MCD::OPC_Decode, 148, 17, 155, 1, // Opcode: XVPICKEV_B
/* 16121 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 16131
/* 16126 */   MCD::OPC_Decode, 150, 17, 156, 1, // Opcode: XVPICKEV_H
/* 16131 */   MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 16140
/* 16136 */   MCD::OPC_Decode, 151, 17, 52, // Opcode: XVPICKEV_W
/* 16140 */   MCD::OPC_FilterValue, 7, 100, 18, 0, // Skip to: 20853
/* 16145 */   MCD::OPC_Decode, 149, 17, 53, // Opcode: XVPICKEV_D
/* 16149 */   MCD::OPC_FilterValue, 72, 81, 0, 0, // Skip to: 16235
/* 16154 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16157 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 16167
/* 16162 */   MCD::OPC_Decode, 152, 17, 155, 1, // Opcode: XVPICKOD_B
/* 16167 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 16177
/* 16172 */   MCD::OPC_Decode, 154, 17, 156, 1, // Opcode: XVPICKOD_H
/* 16177 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 16186
/* 16182 */   MCD::OPC_Decode, 155, 17, 52, // Opcode: XVPICKOD_W
/* 16186 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 16195
/* 16191 */   MCD::OPC_Decode, 153, 17, 53, // Opcode: XVPICKOD_D
/* 16195 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 16205
/* 16200 */   MCD::OPC_Decode, 175, 17, 170, 1, // Opcode: XVREPLVE_B
/* 16205 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 16215
/* 16210 */   MCD::OPC_Decode, 177, 17, 171, 1, // Opcode: XVREPLVE_H
/* 16215 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 16225
/* 16220 */   MCD::OPC_Decode, 178, 17, 172, 1, // Opcode: XVREPLVE_W
/* 16225 */   MCD::OPC_FilterValue, 7, 15, 18, 0, // Skip to: 20853
/* 16230 */   MCD::OPC_Decode, 176, 17, 173, 1, // Opcode: XVREPLVE_D
/* 16235 */   MCD::OPC_FilterValue, 73, 43, 0, 0, // Skip to: 16283
/* 16240 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16243 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 16253
/* 16248 */   MCD::OPC_Decode, 249, 13, 155, 1, // Opcode: XVAND_V
/* 16253 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 16263
/* 16258 */   MCD::OPC_Decode, 128, 17, 155, 1, // Opcode: XVOR_V
/* 16263 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 16273
/* 16268 */   MCD::OPC_Decode, 220, 19, 155, 1, // Opcode: XVXOR_V
/* 16273 */   MCD::OPC_FilterValue, 7, 223, 17, 0, // Skip to: 20853
/* 16278 */   MCD::OPC_Decode, 253, 16, 155, 1, // Opcode: XVNOR_V
/* 16283 */   MCD::OPC_FilterValue, 74, 43, 0, 0, // Skip to: 16331
/* 16288 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16291 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 16301
/* 16296 */   MCD::OPC_Decode, 248, 13, 155, 1, // Opcode: XVANDN_V
/* 16301 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 16311
/* 16306 */   MCD::OPC_Decode, 255, 16, 155, 1, // Opcode: XVORN_V
/* 16311 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 16321
/* 16316 */   MCD::OPC_Decode, 168, 15, 160, 1, // Opcode: XVFRSTP_B
/* 16321 */   MCD::OPC_FilterValue, 7, 175, 17, 0, // Skip to: 20853
/* 16326 */   MCD::OPC_Decode, 169, 15, 161, 1, // Opcode: XVFRSTP_H
/* 16331 */   MCD::OPC_FilterValue, 75, 59, 0, 0, // Skip to: 16395
/* 16336 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16339 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 16348
/* 16344 */   MCD::OPC_Decode, 244, 13, 53, // Opcode: XVADD_Q
/* 16348 */   MCD::OPC_FilterValue, 3, 4, 0, 0, // Skip to: 16357
/* 16353 */   MCD::OPC_Decode, 216, 19, 53, // Opcode: XVSUB_Q
/* 16357 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 16367
/* 16362 */   MCD::OPC_Decode, 234, 17, 155, 1, // Opcode: XVSIGNCOV_B
/* 16367 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 16377
/* 16372 */   MCD::OPC_Decode, 236, 17, 156, 1, // Opcode: XVSIGNCOV_H
/* 16377 */   MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 16386
/* 16382 */   MCD::OPC_Decode, 237, 17, 52, // Opcode: XVSIGNCOV_W
/* 16386 */   MCD::OPC_FilterValue, 7, 110, 17, 0, // Skip to: 20853
/* 16391 */   MCD::OPC_Decode, 235, 17, 53, // Opcode: XVSIGNCOV_D
/* 16395 */   MCD::OPC_FilterValue, 76, 39, 0, 0, // Skip to: 16439
/* 16400 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16403 */   MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 16412
/* 16408 */   MCD::OPC_Decode, 198, 14, 52, // Opcode: XVFADD_S
/* 16412 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 16421
/* 16417 */   MCD::OPC_Decode, 197, 14, 53, // Opcode: XVFADD_D
/* 16421 */   MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 16430
/* 16426 */   MCD::OPC_Decode, 173, 15, 52, // Opcode: XVFSUB_S
/* 16430 */   MCD::OPC_FilterValue, 6, 66, 17, 0, // Skip to: 20853
/* 16435 */   MCD::OPC_Decode, 172, 15, 53, // Opcode: XVFSUB_D
/* 16439 */   MCD::OPC_FilterValue, 78, 39, 0, 0, // Skip to: 16483
/* 16444 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16447 */   MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 16456
/* 16452 */   MCD::OPC_Decode, 147, 15, 52, // Opcode: XVFMUL_S
/* 16456 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 16465
/* 16461 */   MCD::OPC_Decode, 146, 15, 53, // Opcode: XVFMUL_D
/* 16465 */   MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 16474
/* 16470 */   MCD::OPC_Decode, 252, 14, 52, // Opcode: XVFDIV_S
/* 16474 */   MCD::OPC_FilterValue, 6, 22, 17, 0, // Skip to: 20853
/* 16479 */   MCD::OPC_Decode, 251, 14, 53, // Opcode: XVFDIV_D
/* 16483 */   MCD::OPC_FilterValue, 79, 39, 0, 0, // Skip to: 16527
/* 16488 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16491 */   MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 16500
/* 16496 */   MCD::OPC_Decode, 139, 15, 52, // Opcode: XVFMAX_S
/* 16500 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 16509
/* 16505 */   MCD::OPC_Decode, 138, 15, 53, // Opcode: XVFMAX_D
/* 16509 */   MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 16518
/* 16514 */   MCD::OPC_Decode, 143, 15, 52, // Opcode: XVFMIN_S
/* 16518 */   MCD::OPC_FilterValue, 6, 234, 16, 0, // Skip to: 20853
/* 16523 */   MCD::OPC_Decode, 142, 15, 53, // Opcode: XVFMIN_D
/* 16527 */   MCD::OPC_FilterValue, 80, 39, 0, 0, // Skip to: 16571
/* 16532 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16535 */   MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 16544
/* 16540 */   MCD::OPC_Decode, 137, 15, 52, // Opcode: XVFMAXA_S
/* 16544 */   MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 16553
/* 16549 */   MCD::OPC_Decode, 136, 15, 53, // Opcode: XVFMAXA_D
/* 16553 */   MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 16562
/* 16558 */   MCD::OPC_Decode, 141, 15, 52, // Opcode: XVFMINA_S
/* 16562 */   MCD::OPC_FilterValue, 6, 190, 16, 0, // Skip to: 20853
/* 16567 */   MCD::OPC_Decode, 140, 15, 53, // Opcode: XVFMINA_D
/* 16571 */   MCD::OPC_FilterValue, 81, 23, 0, 0, // Skip to: 16599
/* 16576 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16579 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 16589
/* 16584 */   MCD::OPC_Decode, 249, 14, 168, 1, // Opcode: XVFCVT_H_S
/* 16589 */   MCD::OPC_FilterValue, 5, 163, 16, 0, // Skip to: 20853
/* 16594 */   MCD::OPC_Decode, 250, 14, 169, 1, // Opcode: XVFCVT_S_D
/* 16599 */   MCD::OPC_FilterValue, 82, 63, 0, 0, // Skip to: 16667
/* 16604 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16607 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 16617
/* 16612 */   MCD::OPC_Decode, 129, 15, 169, 1, // Opcode: XVFFINT_S_L
/* 16617 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 16627
/* 16622 */   MCD::OPC_Decode, 201, 15, 169, 1, // Opcode: XVFTINT_W_D
/* 16627 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 16637
/* 16632 */   MCD::OPC_Decode, 179, 15, 169, 1, // Opcode: XVFTINTRM_W_D
/* 16637 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 16647
/* 16642 */   MCD::OPC_Decode, 189, 15, 169, 1, // Opcode: XVFTINTRP_W_D
/* 16647 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 16657
/* 16652 */   MCD::OPC_Decode, 196, 15, 169, 1, // Opcode: XVFTINTRZ_W_D
/* 16657 */   MCD::OPC_FilterValue, 7, 95, 16, 0, // Skip to: 20853
/* 16662 */   MCD::OPC_Decode, 184, 15, 169, 1, // Opcode: XVFTINTRNE_W_D
/* 16667 */   MCD::OPC_FilterValue, 94, 33, 0, 0, // Skip to: 16705
/* 16672 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16675 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 16685
/* 16680 */   MCD::OPC_Decode, 232, 17, 161, 1, // Opcode: XVSHUF_H
/* 16685 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 16695
/* 16690 */   MCD::OPC_Decode, 233, 17, 162, 1, // Opcode: XVSHUF_W
/* 16695 */   MCD::OPC_FilterValue, 7, 57, 16, 0, // Skip to: 20853
/* 16700 */   MCD::OPC_Decode, 231, 17, 163, 1, // Opcode: XVSHUF_D
/* 16705 */   MCD::OPC_FilterValue, 95, 11, 0, 0, // Skip to: 16721
/* 16710 */   MCD::OPC_CheckField, 15, 3, 2, 40, 16, 0, // Skip to: 20853
/* 16717 */   MCD::OPC_Decode, 147, 17, 52, // Opcode: XVPERM_W
/* 16721 */   MCD::OPC_FilterValue, 160, 1, 83, 0, 0, // Skip to: 16810
/* 16727 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16730 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 16740
/* 16735 */   MCD::OPC_Decode, 204, 17, 174, 1, // Opcode: XVSEQI_B
/* 16740 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 16750
/* 16745 */   MCD::OPC_Decode, 208, 17, 175, 1, // Opcode: XVSEQI_H
/* 16750 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 16760
/* 16755 */   MCD::OPC_Decode, 210, 17, 176, 1, // Opcode: XVSEQI_W
/* 16760 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 16770
/* 16765 */   MCD::OPC_Decode, 206, 17, 177, 1, // Opcode: XVSEQI_D
/* 16770 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 16780
/* 16775 */   MCD::OPC_Decode, 238, 17, 174, 1, // Opcode: XVSLEI_B
/* 16780 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 16790
/* 16785 */   MCD::OPC_Decode, 246, 17, 175, 1, // Opcode: XVSLEI_H
/* 16790 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 16800
/* 16795 */   MCD::OPC_Decode, 250, 17, 176, 1, // Opcode: XVSLEI_W
/* 16800 */   MCD::OPC_FilterValue, 7, 208, 15, 0, // Skip to: 20853
/* 16805 */   MCD::OPC_Decode, 242, 17, 177, 1, // Opcode: XVSLEI_D
/* 16810 */   MCD::OPC_FilterValue, 161, 1, 83, 0, 0, // Skip to: 16899
/* 16816 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16819 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 16829
/* 16824 */   MCD::OPC_Decode, 239, 17, 178, 1, // Opcode: XVSLEI_BU
/* 16829 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 16839
/* 16834 */   MCD::OPC_Decode, 247, 17, 179, 1, // Opcode: XVSLEI_HU
/* 16839 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 16849
/* 16844 */   MCD::OPC_Decode, 251, 17, 180, 1, // Opcode: XVSLEI_WU
/* 16849 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 16859
/* 16854 */   MCD::OPC_Decode, 243, 17, 181, 1, // Opcode: XVSLEI_DU
/* 16859 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 16869
/* 16864 */   MCD::OPC_Decode, 152, 18, 174, 1, // Opcode: XVSLTI_B
/* 16869 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 16879
/* 16874 */   MCD::OPC_Decode, 160, 18, 175, 1, // Opcode: XVSLTI_H
/* 16879 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 16889
/* 16884 */   MCD::OPC_Decode, 164, 18, 176, 1, // Opcode: XVSLTI_W
/* 16889 */   MCD::OPC_FilterValue, 7, 119, 15, 0, // Skip to: 20853
/* 16894 */   MCD::OPC_Decode, 156, 18, 177, 1, // Opcode: XVSLTI_D
/* 16899 */   MCD::OPC_FilterValue, 162, 1, 83, 0, 0, // Skip to: 16988
/* 16905 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16908 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 16918
/* 16913 */   MCD::OPC_Decode, 153, 18, 178, 1, // Opcode: XVSLTI_BU
/* 16918 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 16928
/* 16923 */   MCD::OPC_Decode, 161, 18, 179, 1, // Opcode: XVSLTI_HU
/* 16928 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 16938
/* 16933 */   MCD::OPC_Decode, 165, 18, 180, 1, // Opcode: XVSLTI_WU
/* 16938 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 16948
/* 16943 */   MCD::OPC_Decode, 157, 18, 181, 1, // Opcode: XVSLTI_DU
/* 16948 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 16958
/* 16953 */   MCD::OPC_Decode, 209, 13, 178, 1, // Opcode: XVADDI_BU
/* 16958 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 16968
/* 16963 */   MCD::OPC_Decode, 213, 13, 179, 1, // Opcode: XVADDI_HU
/* 16968 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 16978
/* 16973 */   MCD::OPC_Decode, 215, 13, 180, 1, // Opcode: XVADDI_WU
/* 16978 */   MCD::OPC_FilterValue, 7, 30, 15, 0, // Skip to: 20853
/* 16983 */   MCD::OPC_Decode, 211, 13, 181, 1, // Opcode: XVADDI_DU
/* 16988 */   MCD::OPC_FilterValue, 163, 1, 63, 0, 0, // Skip to: 17057
/* 16994 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16997 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 17007
/* 17002 */   MCD::OPC_Decode, 189, 19, 178, 1, // Opcode: XVSUBI_BU
/* 17007 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 17017
/* 17012 */   MCD::OPC_Decode, 193, 19, 179, 1, // Opcode: XVSUBI_HU
/* 17017 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 17027
/* 17022 */   MCD::OPC_Decode, 195, 19, 180, 1, // Opcode: XVSUBI_WU
/* 17027 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 17037
/* 17032 */   MCD::OPC_Decode, 191, 19, 181, 1, // Opcode: XVSUBI_DU
/* 17037 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 17047
/* 17042 */   MCD::OPC_Decode, 165, 14, 178, 1, // Opcode: XVBSLL_V
/* 17047 */   MCD::OPC_FilterValue, 5, 217, 14, 0, // Skip to: 20853
/* 17052 */   MCD::OPC_Decode, 166, 14, 178, 1, // Opcode: XVBSRL_V
/* 17057 */   MCD::OPC_FilterValue, 164, 1, 83, 0, 0, // Skip to: 17146
/* 17063 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17066 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 17076
/* 17071 */   MCD::OPC_Decode, 146, 16, 174, 1, // Opcode: XVMAXI_B
/* 17076 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 17086
/* 17081 */   MCD::OPC_Decode, 154, 16, 175, 1, // Opcode: XVMAXI_H
/* 17086 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 17096
/* 17091 */   MCD::OPC_Decode, 158, 16, 176, 1, // Opcode: XVMAXI_W
/* 17096 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 17106
/* 17101 */   MCD::OPC_Decode, 150, 16, 177, 1, // Opcode: XVMAXI_D
/* 17106 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 17116
/* 17111 */   MCD::OPC_Decode, 170, 16, 174, 1, // Opcode: XVMINI_B
/* 17116 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 17126
/* 17121 */   MCD::OPC_Decode, 178, 16, 175, 1, // Opcode: XVMINI_H
/* 17126 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 17136
/* 17131 */   MCD::OPC_Decode, 182, 16, 176, 1, // Opcode: XVMINI_W
/* 17136 */   MCD::OPC_FilterValue, 7, 128, 14, 0, // Skip to: 20853
/* 17141 */   MCD::OPC_Decode, 174, 16, 177, 1, // Opcode: XVMINI_D
/* 17146 */   MCD::OPC_FilterValue, 165, 1, 83, 0, 0, // Skip to: 17235
/* 17152 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17155 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 17165
/* 17160 */   MCD::OPC_Decode, 147, 16, 178, 1, // Opcode: XVMAXI_BU
/* 17165 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 17175
/* 17170 */   MCD::OPC_Decode, 155, 16, 179, 1, // Opcode: XVMAXI_HU
/* 17175 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 17185
/* 17180 */   MCD::OPC_Decode, 159, 16, 180, 1, // Opcode: XVMAXI_WU
/* 17185 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 17195
/* 17190 */   MCD::OPC_Decode, 151, 16, 181, 1, // Opcode: XVMAXI_DU
/* 17195 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 17205
/* 17200 */   MCD::OPC_Decode, 171, 16, 178, 1, // Opcode: XVMINI_BU
/* 17205 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 17215
/* 17210 */   MCD::OPC_Decode, 179, 16, 179, 1, // Opcode: XVMINI_HU
/* 17215 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 17225
/* 17220 */   MCD::OPC_Decode, 183, 16, 180, 1, // Opcode: XVMINI_WU
/* 17225 */   MCD::OPC_FilterValue, 7, 39, 14, 0, // Skip to: 20853
/* 17230 */   MCD::OPC_Decode, 175, 16, 181, 1, // Opcode: XVMINI_DU
/* 17235 */   MCD::OPC_FilterValue, 166, 1, 23, 0, 0, // Skip to: 17264
/* 17241 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17244 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 17254
/* 17249 */   MCD::OPC_Decode, 166, 15, 182, 1, // Opcode: XVFRSTPI_B
/* 17254 */   MCD::OPC_FilterValue, 5, 10, 14, 0, // Skip to: 20853
/* 17259 */   MCD::OPC_Decode, 167, 15, 183, 1, // Opcode: XVFRSTPI_H
/* 17264 */   MCD::OPC_FilterValue, 167, 1, 215, 4, 0, // Skip to: 18509
/* 17270 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17273 */   MCD::OPC_FilterValue, 0, 223, 0, 0, // Skip to: 17501
/* 17278 */   MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 17281 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 17291
/* 17286 */   MCD::OPC_Decode, 167, 14, 184, 1, // Opcode: XVCLO_B
/* 17291 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 17301
/* 17296 */   MCD::OPC_Decode, 169, 14, 185, 1, // Opcode: XVCLO_H
/* 17301 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 17311
/* 17306 */   MCD::OPC_Decode, 170, 14, 186, 1, // Opcode: XVCLO_W
/* 17311 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 17321
/* 17316 */   MCD::OPC_Decode, 168, 14, 187, 1, // Opcode: XVCLO_D
/* 17321 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 17331
/* 17326 */   MCD::OPC_Decode, 171, 14, 184, 1, // Opcode: XVCLZ_B
/* 17331 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 17341
/* 17336 */   MCD::OPC_Decode, 173, 14, 185, 1, // Opcode: XVCLZ_H
/* 17341 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 17351
/* 17346 */   MCD::OPC_Decode, 174, 14, 186, 1, // Opcode: XVCLZ_W
/* 17351 */   MCD::OPC_FilterValue, 7, 5, 0, 0, // Skip to: 17361
/* 17356 */   MCD::OPC_Decode, 172, 14, 187, 1, // Opcode: XVCLZ_D
/* 17361 */   MCD::OPC_FilterValue, 8, 5, 0, 0, // Skip to: 17371
/* 17366 */   MCD::OPC_Decode, 137, 17, 184, 1, // Opcode: XVPCNT_B
/* 17371 */   MCD::OPC_FilterValue, 9, 5, 0, 0, // Skip to: 17381
/* 17376 */   MCD::OPC_Decode, 139, 17, 185, 1, // Opcode: XVPCNT_H
/* 17381 */   MCD::OPC_FilterValue, 10, 5, 0, 0, // Skip to: 17391
/* 17386 */   MCD::OPC_Decode, 140, 17, 186, 1, // Opcode: XVPCNT_W
/* 17391 */   MCD::OPC_FilterValue, 11, 5, 0, 0, // Skip to: 17401
/* 17396 */   MCD::OPC_Decode, 138, 17, 187, 1, // Opcode: XVPCNT_D
/* 17401 */   MCD::OPC_FilterValue, 12, 5, 0, 0, // Skip to: 17411
/* 17406 */   MCD::OPC_Decode, 248, 16, 184, 1, // Opcode: XVNEG_B
/* 17411 */   MCD::OPC_FilterValue, 13, 5, 0, 0, // Skip to: 17421
/* 17416 */   MCD::OPC_Decode, 250, 16, 185, 1, // Opcode: XVNEG_H
/* 17421 */   MCD::OPC_FilterValue, 14, 5, 0, 0, // Skip to: 17431
/* 17426 */   MCD::OPC_Decode, 251, 16, 186, 1, // Opcode: XVNEG_W
/* 17431 */   MCD::OPC_FilterValue, 15, 5, 0, 0, // Skip to: 17441
/* 17436 */   MCD::OPC_Decode, 249, 16, 187, 1, // Opcode: XVNEG_D
/* 17441 */   MCD::OPC_FilterValue, 16, 5, 0, 0, // Skip to: 17451
/* 17446 */   MCD::OPC_Decode, 203, 16, 184, 1, // Opcode: XVMSKLTZ_B
/* 17451 */   MCD::OPC_FilterValue, 17, 5, 0, 0, // Skip to: 17461
/* 17456 */   MCD::OPC_Decode, 205, 16, 185, 1, // Opcode: XVMSKLTZ_H
/* 17461 */   MCD::OPC_FilterValue, 18, 5, 0, 0, // Skip to: 17471
/* 17466 */   MCD::OPC_Decode, 206, 16, 186, 1, // Opcode: XVMSKLTZ_W
/* 17471 */   MCD::OPC_FilterValue, 19, 5, 0, 0, // Skip to: 17481
/* 17476 */   MCD::OPC_Decode, 204, 16, 187, 1, // Opcode: XVMSKLTZ_D
/* 17481 */   MCD::OPC_FilterValue, 20, 5, 0, 0, // Skip to: 17491
/* 17486 */   MCD::OPC_Decode, 202, 16, 184, 1, // Opcode: XVMSKGEZ_B
/* 17491 */   MCD::OPC_FilterValue, 24, 29, 13, 0, // Skip to: 20853
/* 17496 */   MCD::OPC_Decode, 207, 16, 184, 1, // Opcode: XVMSKNZ_B
/* 17501 */   MCD::OPC_FilterValue, 1, 253, 0, 0, // Skip to: 17759
/* 17506 */   MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 17509 */   MCD::OPC_FilterValue, 6, 12, 0, 0, // Skip to: 17526
/* 17514 */   MCD::OPC_CheckField, 3, 2, 0, 4, 13, 0, // Skip to: 20853
/* 17521 */   MCD::OPC_Decode, 224, 17, 188, 1, // Opcode: XVSETEQZ_V
/* 17526 */   MCD::OPC_FilterValue, 7, 12, 0, 0, // Skip to: 17543
/* 17531 */   MCD::OPC_CheckField, 3, 2, 0, 243, 12, 0, // Skip to: 20853
/* 17538 */   MCD::OPC_Decode, 225, 17, 188, 1, // Opcode: XVSETNEZ_V
/* 17543 */   MCD::OPC_FilterValue, 8, 12, 0, 0, // Skip to: 17560
/* 17548 */   MCD::OPC_CheckField, 3, 2, 0, 226, 12, 0, // Skip to: 20853
/* 17555 */   MCD::OPC_Decode, 220, 17, 188, 1, // Opcode: XVSETANYEQZ_B
/* 17560 */   MCD::OPC_FilterValue, 9, 12, 0, 0, // Skip to: 17577
/* 17565 */   MCD::OPC_CheckField, 3, 2, 0, 209, 12, 0, // Skip to: 20853
/* 17572 */   MCD::OPC_Decode, 222, 17, 189, 1, // Opcode: XVSETANYEQZ_H
/* 17577 */   MCD::OPC_FilterValue, 10, 12, 0, 0, // Skip to: 17594
/* 17582 */   MCD::OPC_CheckField, 3, 2, 0, 192, 12, 0, // Skip to: 20853
/* 17589 */   MCD::OPC_Decode, 223, 17, 190, 1, // Opcode: XVSETANYEQZ_W
/* 17594 */   MCD::OPC_FilterValue, 11, 12, 0, 0, // Skip to: 17611
/* 17599 */   MCD::OPC_CheckField, 3, 2, 0, 175, 12, 0, // Skip to: 20853
/* 17606 */   MCD::OPC_Decode, 221, 17, 191, 1, // Opcode: XVSETANYEQZ_D
/* 17611 */   MCD::OPC_FilterValue, 12, 12, 0, 0, // Skip to: 17628
/* 17616 */   MCD::OPC_CheckField, 3, 2, 0, 158, 12, 0, // Skip to: 20853
/* 17623 */   MCD::OPC_Decode, 216, 17, 188, 1, // Opcode: XVSETALLNEZ_B
/* 17628 */   MCD::OPC_FilterValue, 13, 12, 0, 0, // Skip to: 17645
/* 17633 */   MCD::OPC_CheckField, 3, 2, 0, 141, 12, 0, // Skip to: 20853
/* 17640 */   MCD::OPC_Decode, 218, 17, 189, 1, // Opcode: XVSETALLNEZ_H
/* 17645 */   MCD::OPC_FilterValue, 14, 12, 0, 0, // Skip to: 17662
/* 17650 */   MCD::OPC_CheckField, 3, 2, 0, 124, 12, 0, // Skip to: 20853
/* 17657 */   MCD::OPC_Decode, 219, 17, 190, 1, // Opcode: XVSETALLNEZ_W
/* 17662 */   MCD::OPC_FilterValue, 15, 12, 0, 0, // Skip to: 17679
/* 17667 */   MCD::OPC_CheckField, 3, 2, 0, 107, 12, 0, // Skip to: 20853
/* 17674 */   MCD::OPC_Decode, 217, 17, 191, 1, // Opcode: XVSETALLNEZ_D
/* 17679 */   MCD::OPC_FilterValue, 17, 5, 0, 0, // Skip to: 17689
/* 17684 */   MCD::OPC_Decode, 133, 15, 186, 1, // Opcode: XVFLOGB_S
/* 17689 */   MCD::OPC_FilterValue, 18, 5, 0, 0, // Skip to: 17699
/* 17694 */   MCD::OPC_Decode, 132, 15, 187, 1, // Opcode: XVFLOGB_D
/* 17699 */   MCD::OPC_FilterValue, 21, 5, 0, 0, // Skip to: 17709
/* 17704 */   MCD::OPC_Decode, 200, 14, 186, 1, // Opcode: XVFCLASS_S
/* 17709 */   MCD::OPC_FilterValue, 22, 5, 0, 0, // Skip to: 17719
/* 17714 */   MCD::OPC_Decode, 199, 14, 187, 1, // Opcode: XVFCLASS_D
/* 17719 */   MCD::OPC_FilterValue, 25, 5, 0, 0, // Skip to: 17729
/* 17724 */   MCD::OPC_Decode, 171, 15, 186, 1, // Opcode: XVFSQRT_S
/* 17729 */   MCD::OPC_FilterValue, 26, 5, 0, 0, // Skip to: 17739
/* 17734 */   MCD::OPC_Decode, 170, 15, 187, 1, // Opcode: XVFSQRT_D
/* 17739 */   MCD::OPC_FilterValue, 29, 5, 0, 0, // Skip to: 17749
/* 17744 */   MCD::OPC_Decode, 153, 15, 186, 1, // Opcode: XVFRECIP_S
/* 17749 */   MCD::OPC_FilterValue, 30, 27, 12, 0, // Skip to: 20853
/* 17754 */   MCD::OPC_Decode, 152, 15, 187, 1, // Opcode: XVFRECIP_D
/* 17759 */   MCD::OPC_FilterValue, 2, 123, 0, 0, // Skip to: 17887
/* 17764 */   MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 17767 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 17777
/* 17772 */   MCD::OPC_Decode, 165, 15, 186, 1, // Opcode: XVFRSQRT_S
/* 17777 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 17787
/* 17782 */   MCD::OPC_Decode, 164, 15, 187, 1, // Opcode: XVFRSQRT_D
/* 17787 */   MCD::OPC_FilterValue, 13, 5, 0, 0, // Skip to: 17797
/* 17792 */   MCD::OPC_Decode, 163, 15, 186, 1, // Opcode: XVFRINT_S
/* 17797 */   MCD::OPC_FilterValue, 14, 5, 0, 0, // Skip to: 17807
/* 17802 */   MCD::OPC_Decode, 162, 15, 187, 1, // Opcode: XVFRINT_D
/* 17807 */   MCD::OPC_FilterValue, 17, 5, 0, 0, // Skip to: 17817
/* 17812 */   MCD::OPC_Decode, 155, 15, 186, 1, // Opcode: XVFRINTRM_S
/* 17817 */   MCD::OPC_FilterValue, 18, 5, 0, 0, // Skip to: 17827
/* 17822 */   MCD::OPC_Decode, 154, 15, 187, 1, // Opcode: XVFRINTRM_D
/* 17827 */   MCD::OPC_FilterValue, 21, 5, 0, 0, // Skip to: 17837
/* 17832 */   MCD::OPC_Decode, 159, 15, 186, 1, // Opcode: XVFRINTRP_S
/* 17837 */   MCD::OPC_FilterValue, 22, 5, 0, 0, // Skip to: 17847
/* 17842 */   MCD::OPC_Decode, 158, 15, 187, 1, // Opcode: XVFRINTRP_D
/* 17847 */   MCD::OPC_FilterValue, 25, 5, 0, 0, // Skip to: 17857
/* 17852 */   MCD::OPC_Decode, 161, 15, 186, 1, // Opcode: XVFRINTRZ_S
/* 17857 */   MCD::OPC_FilterValue, 26, 5, 0, 0, // Skip to: 17867
/* 17862 */   MCD::OPC_Decode, 160, 15, 187, 1, // Opcode: XVFRINTRZ_D
/* 17867 */   MCD::OPC_FilterValue, 29, 5, 0, 0, // Skip to: 17877
/* 17872 */   MCD::OPC_Decode, 157, 15, 186, 1, // Opcode: XVFRINTRNE_S
/* 17877 */   MCD::OPC_FilterValue, 30, 155, 11, 0, // Skip to: 20853
/* 17882 */   MCD::OPC_Decode, 156, 15, 187, 1, // Opcode: XVFRINTRNE_D
/* 17887 */   MCD::OPC_FilterValue, 3, 43, 0, 0, // Skip to: 17935
/* 17892 */   MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 17895 */   MCD::OPC_FilterValue, 26, 5, 0, 0, // Skip to: 17905
/* 17900 */   MCD::OPC_Decode, 248, 14, 192, 1, // Opcode: XVFCVTL_S_H
/* 17905 */   MCD::OPC_FilterValue, 27, 5, 0, 0, // Skip to: 17915
/* 17910 */   MCD::OPC_Decode, 246, 14, 192, 1, // Opcode: XVFCVTH_S_H
/* 17915 */   MCD::OPC_FilterValue, 28, 5, 0, 0, // Skip to: 17925
/* 17920 */   MCD::OPC_Decode, 247, 14, 193, 1, // Opcode: XVFCVTL_D_S
/* 17925 */   MCD::OPC_FilterValue, 29, 107, 11, 0, // Skip to: 20853
/* 17930 */   MCD::OPC_Decode, 245, 14, 193, 1, // Opcode: XVFCVTH_D_S
/* 17935 */   MCD::OPC_FilterValue, 4, 203, 0, 0, // Skip to: 18143
/* 17940 */   MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 17943 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 17953
/* 17948 */   MCD::OPC_Decode, 130, 15, 186, 1, // Opcode: XVFFINT_S_W
/* 17953 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 17963
/* 17958 */   MCD::OPC_Decode, 131, 15, 186, 1, // Opcode: XVFFINT_S_WU
/* 17963 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 17973
/* 17968 */   MCD::OPC_Decode, 255, 14, 187, 1, // Opcode: XVFFINT_D_L
/* 17973 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 17983
/* 17978 */   MCD::OPC_Decode, 128, 15, 187, 1, // Opcode: XVFFINT_D_LU
/* 17983 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 17993
/* 17988 */   MCD::OPC_Decode, 254, 14, 193, 1, // Opcode: XVFFINTL_D_W
/* 17993 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 18003
/* 17998 */   MCD::OPC_Decode, 253, 14, 193, 1, // Opcode: XVFFINTH_D_W
/* 18003 */   MCD::OPC_FilterValue, 12, 5, 0, 0, // Skip to: 18013
/* 18008 */   MCD::OPC_Decode, 202, 15, 186, 1, // Opcode: XVFTINT_W_S
/* 18013 */   MCD::OPC_FilterValue, 13, 5, 0, 0, // Skip to: 18023
/* 18018 */   MCD::OPC_Decode, 199, 15, 187, 1, // Opcode: XVFTINT_L_D
/* 18023 */   MCD::OPC_FilterValue, 14, 5, 0, 0, // Skip to: 18033
/* 18028 */   MCD::OPC_Decode, 180, 15, 186, 1, // Opcode: XVFTINTRM_W_S
/* 18033 */   MCD::OPC_FilterValue, 15, 5, 0, 0, // Skip to: 18043
/* 18038 */   MCD::OPC_Decode, 178, 15, 187, 1, // Opcode: XVFTINTRM_L_D
/* 18043 */   MCD::OPC_FilterValue, 16, 5, 0, 0, // Skip to: 18053
/* 18048 */   MCD::OPC_Decode, 190, 15, 186, 1, // Opcode: XVFTINTRP_W_S
/* 18053 */   MCD::OPC_FilterValue, 17, 5, 0, 0, // Skip to: 18063
/* 18058 */   MCD::OPC_Decode, 188, 15, 187, 1, // Opcode: XVFTINTRP_L_D
/* 18063 */   MCD::OPC_FilterValue, 18, 5, 0, 0, // Skip to: 18073
/* 18068 */   MCD::OPC_Decode, 197, 15, 186, 1, // Opcode: XVFTINTRZ_W_S
/* 18073 */   MCD::OPC_FilterValue, 19, 5, 0, 0, // Skip to: 18083
/* 18078 */   MCD::OPC_Decode, 194, 15, 187, 1, // Opcode: XVFTINTRZ_L_D
/* 18083 */   MCD::OPC_FilterValue, 20, 5, 0, 0, // Skip to: 18093
/* 18088 */   MCD::OPC_Decode, 185, 15, 186, 1, // Opcode: XVFTINTRNE_W_S
/* 18093 */   MCD::OPC_FilterValue, 21, 5, 0, 0, // Skip to: 18103
/* 18098 */   MCD::OPC_Decode, 183, 15, 187, 1, // Opcode: XVFTINTRNE_L_D
/* 18103 */   MCD::OPC_FilterValue, 22, 5, 0, 0, // Skip to: 18113
/* 18108 */   MCD::OPC_Decode, 200, 15, 186, 1, // Opcode: XVFTINT_WU_S
/* 18113 */   MCD::OPC_FilterValue, 23, 5, 0, 0, // Skip to: 18123
/* 18118 */   MCD::OPC_Decode, 198, 15, 187, 1, // Opcode: XVFTINT_LU_D
/* 18123 */   MCD::OPC_FilterValue, 28, 5, 0, 0, // Skip to: 18133
/* 18128 */   MCD::OPC_Decode, 195, 15, 186, 1, // Opcode: XVFTINTRZ_WU_S
/* 18133 */   MCD::OPC_FilterValue, 29, 155, 10, 0, // Skip to: 20853
/* 18138 */   MCD::OPC_Decode, 193, 15, 187, 1, // Opcode: XVFTINTRZ_LU_D
/* 18143 */   MCD::OPC_FilterValue, 5, 183, 0, 0, // Skip to: 18331
/* 18148 */   MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 18151 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 18161
/* 18156 */   MCD::OPC_Decode, 175, 15, 193, 1, // Opcode: XVFTINTL_L_S
/* 18161 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 18171
/* 18166 */   MCD::OPC_Decode, 174, 15, 193, 1, // Opcode: XVFTINTH_L_S
/* 18171 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 18181
/* 18176 */   MCD::OPC_Decode, 177, 15, 193, 1, // Opcode: XVFTINTRML_L_S
/* 18181 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 18191
/* 18186 */   MCD::OPC_Decode, 176, 15, 193, 1, // Opcode: XVFTINTRMH_L_S
/* 18191 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 18201
/* 18196 */   MCD::OPC_Decode, 187, 15, 193, 1, // Opcode: XVFTINTRPL_L_S
/* 18201 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 18211
/* 18206 */   MCD::OPC_Decode, 186, 15, 193, 1, // Opcode: XVFTINTRPH_L_S
/* 18211 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 18221
/* 18216 */   MCD::OPC_Decode, 192, 15, 193, 1, // Opcode: XVFTINTRZL_L_S
/* 18221 */   MCD::OPC_FilterValue, 7, 5, 0, 0, // Skip to: 18231
/* 18226 */   MCD::OPC_Decode, 191, 15, 193, 1, // Opcode: XVFTINTRZH_L_S
/* 18231 */   MCD::OPC_FilterValue, 8, 5, 0, 0, // Skip to: 18241
/* 18236 */   MCD::OPC_Decode, 182, 15, 193, 1, // Opcode: XVFTINTRNEL_L_S
/* 18241 */   MCD::OPC_FilterValue, 9, 5, 0, 0, // Skip to: 18251
/* 18246 */   MCD::OPC_Decode, 181, 15, 193, 1, // Opcode: XVFTINTRNEH_L_S
/* 18251 */   MCD::OPC_FilterValue, 24, 5, 0, 0, // Skip to: 18261
/* 18256 */   MCD::OPC_Decode, 186, 14, 194, 1, // Opcode: XVEXTH_H_B
/* 18261 */   MCD::OPC_FilterValue, 25, 5, 0, 0, // Skip to: 18271
/* 18266 */   MCD::OPC_Decode, 190, 14, 192, 1, // Opcode: XVEXTH_W_H
/* 18271 */   MCD::OPC_FilterValue, 26, 5, 0, 0, // Skip to: 18281
/* 18276 */   MCD::OPC_Decode, 184, 14, 193, 1, // Opcode: XVEXTH_D_W
/* 18281 */   MCD::OPC_FilterValue, 27, 5, 0, 0, // Skip to: 18291
/* 18286 */   MCD::OPC_Decode, 188, 14, 187, 1, // Opcode: XVEXTH_Q_D
/* 18291 */   MCD::OPC_FilterValue, 28, 5, 0, 0, // Skip to: 18301
/* 18296 */   MCD::OPC_Decode, 185, 14, 194, 1, // Opcode: XVEXTH_HU_BU
/* 18301 */   MCD::OPC_FilterValue, 29, 5, 0, 0, // Skip to: 18311
/* 18306 */   MCD::OPC_Decode, 189, 14, 192, 1, // Opcode: XVEXTH_WU_HU
/* 18311 */   MCD::OPC_FilterValue, 30, 5, 0, 0, // Skip to: 18321
/* 18316 */   MCD::OPC_Decode, 183, 14, 193, 1, // Opcode: XVEXTH_DU_WU
/* 18321 */   MCD::OPC_FilterValue, 31, 223, 9, 0, // Skip to: 20853
/* 18326 */   MCD::OPC_Decode, 187, 14, 187, 1, // Opcode: XVEXTH_QU_DU
/* 18331 */   MCD::OPC_FilterValue, 6, 163, 0, 0, // Skip to: 18499
/* 18336 */   MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 18339 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 18349
/* 18344 */   MCD::OPC_Decode, 166, 17, 195, 1, // Opcode: XVREPLGR2VR_B
/* 18349 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 18359
/* 18354 */   MCD::OPC_Decode, 168, 17, 196, 1, // Opcode: XVREPLGR2VR_H
/* 18359 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 18369
/* 18364 */   MCD::OPC_Decode, 169, 17, 197, 1, // Opcode: XVREPLGR2VR_W
/* 18369 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 18379
/* 18374 */   MCD::OPC_Decode, 167, 17, 198, 1, // Opcode: XVREPLGR2VR_D
/* 18379 */   MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 18389
/* 18384 */   MCD::OPC_Decode, 177, 8, 194, 1, // Opcode: VEXT2XV_H_B
/* 18389 */   MCD::OPC_FilterValue, 5, 5, 0, 0, // Skip to: 18399
/* 18394 */   MCD::OPC_Decode, 180, 8, 199, 1, // Opcode: VEXT2XV_W_B
/* 18399 */   MCD::OPC_FilterValue, 6, 5, 0, 0, // Skip to: 18409
/* 18404 */   MCD::OPC_Decode, 173, 8, 200, 1, // Opcode: VEXT2XV_D_B
/* 18409 */   MCD::OPC_FilterValue, 7, 5, 0, 0, // Skip to: 18419
/* 18414 */   MCD::OPC_Decode, 181, 8, 192, 1, // Opcode: VEXT2XV_W_H
/* 18419 */   MCD::OPC_FilterValue, 8, 5, 0, 0, // Skip to: 18429
/* 18424 */   MCD::OPC_Decode, 174, 8, 201, 1, // Opcode: VEXT2XV_D_H
/* 18429 */   MCD::OPC_FilterValue, 9, 5, 0, 0, // Skip to: 18439
/* 18434 */   MCD::OPC_Decode, 175, 8, 193, 1, // Opcode: VEXT2XV_D_W
/* 18439 */   MCD::OPC_FilterValue, 10, 5, 0, 0, // Skip to: 18449
/* 18444 */   MCD::OPC_Decode, 176, 8, 194, 1, // Opcode: VEXT2XV_HU_BU
/* 18449 */   MCD::OPC_FilterValue, 11, 5, 0, 0, // Skip to: 18459
/* 18454 */   MCD::OPC_Decode, 178, 8, 199, 1, // Opcode: VEXT2XV_WU_BU
/* 18459 */   MCD::OPC_FilterValue, 12, 5, 0, 0, // Skip to: 18469
/* 18464 */   MCD::OPC_Decode, 170, 8, 200, 1, // Opcode: VEXT2XV_DU_BU
/* 18469 */   MCD::OPC_FilterValue, 13, 5, 0, 0, // Skip to: 18479
/* 18474 */   MCD::OPC_Decode, 179, 8, 192, 1, // Opcode: VEXT2XV_WU_HU
/* 18479 */   MCD::OPC_FilterValue, 14, 5, 0, 0, // Skip to: 18489
/* 18484 */   MCD::OPC_Decode, 171, 8, 201, 1, // Opcode: VEXT2XV_DU_HU
/* 18489 */   MCD::OPC_FilterValue, 15, 55, 9, 0, // Skip to: 20853
/* 18494 */   MCD::OPC_Decode, 172, 8, 193, 1, // Opcode: VEXT2XV_DU_WU
/* 18499 */   MCD::OPC_FilterValue, 7, 45, 9, 0, // Skip to: 20853
/* 18504 */   MCD::OPC_Decode, 211, 15, 181, 1, // Opcode: XVHSELI_D
/* 18509 */   MCD::OPC_FilterValue, 168, 1, 66, 0, 0, // Skip to: 18581
/* 18515 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 18518 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 18571
/* 18523 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 18526 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 18561
/* 18531 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 18534 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 18551
/* 18539 */   MCD::OPC_CheckField, 13, 1, 1, 3, 9, 0, // Skip to: 20853
/* 18546 */   MCD::OPC_Decode, 180, 17, 202, 1, // Opcode: XVROTRI_B
/* 18551 */   MCD::OPC_FilterValue, 1, 249, 8, 0, // Skip to: 20853
/* 18556 */   MCD::OPC_Decode, 182, 17, 203, 1, // Opcode: XVROTRI_H
/* 18561 */   MCD::OPC_FilterValue, 1, 239, 8, 0, // Skip to: 20853
/* 18566 */   MCD::OPC_Decode, 183, 17, 180, 1, // Opcode: XVROTRI_W
/* 18571 */   MCD::OPC_FilterValue, 1, 229, 8, 0, // Skip to: 20853
/* 18576 */   MCD::OPC_Decode, 181, 17, 204, 1, // Opcode: XVROTRI_D
/* 18581 */   MCD::OPC_FilterValue, 169, 1, 66, 0, 0, // Skip to: 18653
/* 18587 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 18590 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 18643
/* 18595 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 18598 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 18633
/* 18603 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 18606 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 18623
/* 18611 */   MCD::OPC_CheckField, 13, 1, 1, 187, 8, 0, // Skip to: 20853
/* 18618 */   MCD::OPC_Decode, 225, 18, 202, 1, // Opcode: XVSRLRI_B
/* 18623 */   MCD::OPC_FilterValue, 1, 177, 8, 0, // Skip to: 20853
/* 18628 */   MCD::OPC_Decode, 227, 18, 203, 1, // Opcode: XVSRLRI_H
/* 18633 */   MCD::OPC_FilterValue, 1, 167, 8, 0, // Skip to: 20853
/* 18638 */   MCD::OPC_Decode, 228, 18, 180, 1, // Opcode: XVSRLRI_W
/* 18643 */   MCD::OPC_FilterValue, 1, 157, 8, 0, // Skip to: 20853
/* 18648 */   MCD::OPC_Decode, 226, 18, 204, 1, // Opcode: XVSRLRI_D
/* 18653 */   MCD::OPC_FilterValue, 170, 1, 66, 0, 0, // Skip to: 18725
/* 18659 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 18662 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 18715
/* 18667 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 18670 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 18705
/* 18675 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 18678 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 18695
/* 18683 */   MCD::OPC_CheckField, 13, 1, 1, 115, 8, 0, // Skip to: 20853
/* 18690 */   MCD::OPC_Decode, 191, 18, 202, 1, // Opcode: XVSRARI_B
/* 18695 */   MCD::OPC_FilterValue, 1, 105, 8, 0, // Skip to: 20853
/* 18700 */   MCD::OPC_Decode, 193, 18, 203, 1, // Opcode: XVSRARI_H
/* 18705 */   MCD::OPC_FilterValue, 1, 95, 8, 0, // Skip to: 20853
/* 18710 */   MCD::OPC_Decode, 194, 18, 180, 1, // Opcode: XVSRARI_W
/* 18715 */   MCD::OPC_FilterValue, 1, 85, 8, 0, // Skip to: 20853
/* 18720 */   MCD::OPC_Decode, 192, 18, 204, 1, // Opcode: XVSRARI_D
/* 18725 */   MCD::OPC_FilterValue, 186, 1, 30, 0, 0, // Skip to: 18761
/* 18731 */   MCD::OPC_ExtractField, 13, 5,  // Inst{17-13} ...
/* 18734 */   MCD::OPC_FilterValue, 30, 5, 0, 0, // Skip to: 18744
/* 18739 */   MCD::OPC_Decode, 229, 15, 205, 1, // Opcode: XVINSGR2VR_W
/* 18744 */   MCD::OPC_FilterValue, 31, 56, 8, 0, // Skip to: 20853
/* 18749 */   MCD::OPC_CheckField, 12, 1, 0, 49, 8, 0, // Skip to: 20853
/* 18756 */   MCD::OPC_Decode, 228, 15, 206, 1, // Opcode: XVINSGR2VR_D
/* 18761 */   MCD::OPC_FilterValue, 187, 1, 30, 0, 0, // Skip to: 18797
/* 18767 */   MCD::OPC_ExtractField, 13, 5,  // Inst{17-13} ...
/* 18770 */   MCD::OPC_FilterValue, 30, 5, 0, 0, // Skip to: 18780
/* 18775 */   MCD::OPC_Decode, 158, 17, 207, 1, // Opcode: XVPICKVE2GR_W
/* 18780 */   MCD::OPC_FilterValue, 31, 20, 8, 0, // Skip to: 20853
/* 18785 */   MCD::OPC_CheckField, 12, 1, 0, 13, 8, 0, // Skip to: 20853
/* 18792 */   MCD::OPC_Decode, 156, 17, 208, 1, // Opcode: XVPICKVE2GR_D
/* 18797 */   MCD::OPC_FilterValue, 188, 1, 30, 0, 0, // Skip to: 18833
/* 18803 */   MCD::OPC_ExtractField, 13, 5,  // Inst{17-13} ...
/* 18806 */   MCD::OPC_FilterValue, 30, 5, 0, 0, // Skip to: 18816
/* 18811 */   MCD::OPC_Decode, 159, 17, 207, 1, // Opcode: XVPICKVE2GR_WU
/* 18816 */   MCD::OPC_FilterValue, 31, 240, 7, 0, // Skip to: 20853
/* 18821 */   MCD::OPC_CheckField, 12, 1, 0, 233, 7, 0, // Skip to: 20853
/* 18828 */   MCD::OPC_Decode, 157, 17, 208, 1, // Opcode: XVPICKVE2GR_DU
/* 18833 */   MCD::OPC_FilterValue, 189, 1, 66, 0, 0, // Skip to: 18905
/* 18839 */   MCD::OPC_ExtractField, 14, 4,  // Inst{17-14} ...
/* 18842 */   MCD::OPC_FilterValue, 14, 5, 0, 0, // Skip to: 18852
/* 18847 */   MCD::OPC_Decode, 162, 17, 209, 1, // Opcode: XVREPL128VEI_B
/* 18852 */   MCD::OPC_FilterValue, 15, 204, 7, 0, // Skip to: 20853
/* 18857 */   MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 18860 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 18870
/* 18865 */   MCD::OPC_Decode, 164, 17, 210, 1, // Opcode: XVREPL128VEI_H
/* 18870 */   MCD::OPC_FilterValue, 1, 186, 7, 0, // Skip to: 20853
/* 18875 */   MCD::OPC_ExtractField, 12, 1,  // Inst{12} ...
/* 18878 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 18888
/* 18883 */   MCD::OPC_Decode, 165, 17, 211, 1, // Opcode: XVREPL128VEI_W
/* 18888 */   MCD::OPC_FilterValue, 1, 168, 7, 0, // Skip to: 20853
/* 18893 */   MCD::OPC_CheckField, 11, 1, 0, 161, 7, 0, // Skip to: 20853
/* 18900 */   MCD::OPC_Decode, 163, 17, 212, 1, // Opcode: XVREPL128VEI_D
/* 18905 */   MCD::OPC_FilterValue, 191, 1, 30, 0, 0, // Skip to: 18941
/* 18911 */   MCD::OPC_ExtractField, 13, 5,  // Inst{17-13} ...
/* 18914 */   MCD::OPC_FilterValue, 30, 5, 0, 0, // Skip to: 18924
/* 18919 */   MCD::OPC_Decode, 231, 15, 213, 1, // Opcode: XVINSVE0_W
/* 18924 */   MCD::OPC_FilterValue, 31, 132, 7, 0, // Skip to: 20853
/* 18929 */   MCD::OPC_CheckField, 12, 1, 0, 125, 7, 0, // Skip to: 20853
/* 18936 */   MCD::OPC_Decode, 230, 15, 214, 1, // Opcode: XVINSVE0_D
/* 18941 */   MCD::OPC_FilterValue, 192, 1, 30, 0, 0, // Skip to: 18977
/* 18947 */   MCD::OPC_ExtractField, 13, 5,  // Inst{17-13} ...
/* 18950 */   MCD::OPC_FilterValue, 30, 5, 0, 0, // Skip to: 18960
/* 18955 */   MCD::OPC_Decode, 161, 17, 213, 1, // Opcode: XVPICKVE_W
/* 18960 */   MCD::OPC_FilterValue, 31, 96, 7, 0, // Skip to: 20853
/* 18965 */   MCD::OPC_CheckField, 12, 1, 0, 89, 7, 0, // Skip to: 20853
/* 18972 */   MCD::OPC_Decode, 160, 17, 214, 1, // Opcode: XVPICKVE_D
/* 18977 */   MCD::OPC_FilterValue, 193, 1, 58, 0, 0, // Skip to: 19041
/* 18983 */   MCD::OPC_ExtractField, 10, 8,  // Inst{17-10} ...
/* 18986 */   MCD::OPC_FilterValue, 192, 1, 5, 0, 0, // Skip to: 18997
/* 18992 */   MCD::OPC_Decode, 170, 17, 184, 1, // Opcode: XVREPLVE0_B
/* 18997 */   MCD::OPC_FilterValue, 224, 1, 5, 0, 0, // Skip to: 19008
/* 19003 */   MCD::OPC_Decode, 172, 17, 185, 1, // Opcode: XVREPLVE0_H
/* 19008 */   MCD::OPC_FilterValue, 240, 1, 5, 0, 0, // Skip to: 19019
/* 19014 */   MCD::OPC_Decode, 174, 17, 186, 1, // Opcode: XVREPLVE0_W
/* 19019 */   MCD::OPC_FilterValue, 248, 1, 5, 0, 0, // Skip to: 19030
/* 19025 */   MCD::OPC_Decode, 171, 17, 187, 1, // Opcode: XVREPLVE0_D
/* 19030 */   MCD::OPC_FilterValue, 252, 1, 25, 7, 0, // Skip to: 20853
/* 19036 */   MCD::OPC_Decode, 173, 17, 184, 1, // Opcode: XVREPLVE0_Q
/* 19041 */   MCD::OPC_FilterValue, 194, 1, 65, 0, 0, // Skip to: 19112
/* 19047 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 19050 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 19085
/* 19055 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 19058 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 19075
/* 19063 */   MCD::OPC_CheckField, 13, 1, 1, 247, 6, 0, // Skip to: 20853
/* 19070 */   MCD::OPC_Decode, 145, 18, 215, 1, // Opcode: XVSLLWIL_H_B
/* 19075 */   MCD::OPC_FilterValue, 1, 237, 6, 0, // Skip to: 20853
/* 19080 */   MCD::OPC_Decode, 147, 18, 216, 1, // Opcode: XVSLLWIL_W_H
/* 19085 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 19095
/* 19090 */   MCD::OPC_Decode, 143, 18, 217, 1, // Opcode: XVSLLWIL_D_W
/* 19095 */   MCD::OPC_FilterValue, 2, 217, 6, 0, // Skip to: 20853
/* 19100 */   MCD::OPC_CheckField, 10, 5, 0, 210, 6, 0, // Skip to: 20853
/* 19107 */   MCD::OPC_Decode, 192, 14, 187, 1, // Opcode: XVEXTL_Q_D
/* 19112 */   MCD::OPC_FilterValue, 195, 1, 65, 0, 0, // Skip to: 19183
/* 19118 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 19121 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 19156
/* 19126 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 19129 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 19146
/* 19134 */   MCD::OPC_CheckField, 13, 1, 1, 176, 6, 0, // Skip to: 20853
/* 19141 */   MCD::OPC_Decode, 144, 18, 215, 1, // Opcode: XVSLLWIL_HU_BU
/* 19146 */   MCD::OPC_FilterValue, 1, 166, 6, 0, // Skip to: 20853
/* 19151 */   MCD::OPC_Decode, 146, 18, 216, 1, // Opcode: XVSLLWIL_WU_HU
/* 19156 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 19166
/* 19161 */   MCD::OPC_Decode, 142, 18, 217, 1, // Opcode: XVSLLWIL_DU_WU
/* 19166 */   MCD::OPC_FilterValue, 2, 146, 6, 0, // Skip to: 20853
/* 19171 */   MCD::OPC_CheckField, 10, 5, 0, 139, 6, 0, // Skip to: 20853
/* 19178 */   MCD::OPC_Decode, 191, 14, 187, 1, // Opcode: XVEXTL_QU_DU
/* 19183 */   MCD::OPC_FilterValue, 196, 1, 66, 0, 0, // Skip to: 19255
/* 19189 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 19192 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 19245
/* 19197 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 19200 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 19235
/* 19205 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 19208 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 19225
/* 19213 */   MCD::OPC_CheckField, 13, 1, 1, 97, 6, 0, // Skip to: 20853
/* 19220 */   MCD::OPC_Decode, 138, 14, 202, 1, // Opcode: XVBITCLRI_B
/* 19225 */   MCD::OPC_FilterValue, 1, 87, 6, 0, // Skip to: 20853
/* 19230 */   MCD::OPC_Decode, 140, 14, 203, 1, // Opcode: XVBITCLRI_H
/* 19235 */   MCD::OPC_FilterValue, 1, 77, 6, 0, // Skip to: 20853
/* 19240 */   MCD::OPC_Decode, 141, 14, 180, 1, // Opcode: XVBITCLRI_W
/* 19245 */   MCD::OPC_FilterValue, 1, 67, 6, 0, // Skip to: 20853
/* 19250 */   MCD::OPC_Decode, 139, 14, 204, 1, // Opcode: XVBITCLRI_D
/* 19255 */   MCD::OPC_FilterValue, 197, 1, 66, 0, 0, // Skip to: 19327
/* 19261 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 19264 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 19317
/* 19269 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 19272 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 19307
/* 19277 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 19280 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 19297
/* 19285 */   MCD::OPC_CheckField, 13, 1, 1, 25, 6, 0, // Skip to: 20853
/* 19292 */   MCD::OPC_Decode, 157, 14, 202, 1, // Opcode: XVBITSETI_B
/* 19297 */   MCD::OPC_FilterValue, 1, 15, 6, 0, // Skip to: 20853
/* 19302 */   MCD::OPC_Decode, 159, 14, 203, 1, // Opcode: XVBITSETI_H
/* 19307 */   MCD::OPC_FilterValue, 1, 5, 6, 0, // Skip to: 20853
/* 19312 */   MCD::OPC_Decode, 160, 14, 180, 1, // Opcode: XVBITSETI_W
/* 19317 */   MCD::OPC_FilterValue, 1, 251, 5, 0, // Skip to: 20853
/* 19322 */   MCD::OPC_Decode, 158, 14, 204, 1, // Opcode: XVBITSETI_D
/* 19327 */   MCD::OPC_FilterValue, 198, 1, 66, 0, 0, // Skip to: 19399
/* 19333 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 19336 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 19389
/* 19341 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 19344 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 19379
/* 19349 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 19352 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 19369
/* 19357 */   MCD::OPC_CheckField, 13, 1, 1, 209, 5, 0, // Skip to: 20853
/* 19364 */   MCD::OPC_Decode, 146, 14, 202, 1, // Opcode: XVBITREVI_B
/* 19369 */   MCD::OPC_FilterValue, 1, 199, 5, 0, // Skip to: 20853
/* 19374 */   MCD::OPC_Decode, 148, 14, 203, 1, // Opcode: XVBITREVI_H
/* 19379 */   MCD::OPC_FilterValue, 1, 189, 5, 0, // Skip to: 20853
/* 19384 */   MCD::OPC_Decode, 149, 14, 180, 1, // Opcode: XVBITREVI_W
/* 19389 */   MCD::OPC_FilterValue, 1, 179, 5, 0, // Skip to: 20853
/* 19394 */   MCD::OPC_Decode, 147, 14, 204, 1, // Opcode: XVBITREVI_D
/* 19399 */   MCD::OPC_FilterValue, 201, 1, 66, 0, 0, // Skip to: 19471
/* 19405 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 19408 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 19461
/* 19413 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 19416 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 19451
/* 19421 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 19424 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 19441
/* 19429 */   MCD::OPC_CheckField, 13, 1, 1, 137, 5, 0, // Skip to: 20853
/* 19436 */   MCD::OPC_Decode, 196, 17, 202, 1, // Opcode: XVSAT_B
/* 19441 */   MCD::OPC_FilterValue, 1, 127, 5, 0, // Skip to: 20853
/* 19446 */   MCD::OPC_Decode, 200, 17, 203, 1, // Opcode: XVSAT_H
/* 19451 */   MCD::OPC_FilterValue, 1, 117, 5, 0, // Skip to: 20853
/* 19456 */   MCD::OPC_Decode, 202, 17, 180, 1, // Opcode: XVSAT_W
/* 19461 */   MCD::OPC_FilterValue, 1, 107, 5, 0, // Skip to: 20853
/* 19466 */   MCD::OPC_Decode, 198, 17, 204, 1, // Opcode: XVSAT_D
/* 19471 */   MCD::OPC_FilterValue, 202, 1, 66, 0, 0, // Skip to: 19543
/* 19477 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 19480 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 19533
/* 19485 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 19488 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 19523
/* 19493 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 19496 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 19513
/* 19501 */   MCD::OPC_CheckField, 13, 1, 1, 65, 5, 0, // Skip to: 20853
/* 19508 */   MCD::OPC_Decode, 197, 17, 202, 1, // Opcode: XVSAT_BU
/* 19513 */   MCD::OPC_FilterValue, 1, 55, 5, 0, // Skip to: 20853
/* 19518 */   MCD::OPC_Decode, 201, 17, 203, 1, // Opcode: XVSAT_HU
/* 19523 */   MCD::OPC_FilterValue, 1, 45, 5, 0, // Skip to: 20853
/* 19528 */   MCD::OPC_Decode, 203, 17, 180, 1, // Opcode: XVSAT_WU
/* 19533 */   MCD::OPC_FilterValue, 1, 35, 5, 0, // Skip to: 20853
/* 19538 */   MCD::OPC_Decode, 199, 17, 204, 1, // Opcode: XVSAT_DU
/* 19543 */   MCD::OPC_FilterValue, 203, 1, 66, 0, 0, // Skip to: 19615
/* 19549 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 19552 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 19605
/* 19557 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 19560 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 19595
/* 19565 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 19568 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 19585
/* 19573 */   MCD::OPC_CheckField, 13, 1, 1, 249, 4, 0, // Skip to: 20853
/* 19580 */   MCD::OPC_Decode, 134, 18, 202, 1, // Opcode: XVSLLI_B
/* 19585 */   MCD::OPC_FilterValue, 1, 239, 4, 0, // Skip to: 20853
/* 19590 */   MCD::OPC_Decode, 138, 18, 203, 1, // Opcode: XVSLLI_H
/* 19595 */   MCD::OPC_FilterValue, 1, 229, 4, 0, // Skip to: 20853
/* 19600 */   MCD::OPC_Decode, 140, 18, 180, 1, // Opcode: XVSLLI_W
/* 19605 */   MCD::OPC_FilterValue, 1, 219, 4, 0, // Skip to: 20853
/* 19610 */   MCD::OPC_Decode, 136, 18, 204, 1, // Opcode: XVSLLI_D
/* 19615 */   MCD::OPC_FilterValue, 204, 1, 66, 0, 0, // Skip to: 19687
/* 19621 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 19624 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 19677
/* 19629 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 19632 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 19667
/* 19637 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 19640 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 19657
/* 19645 */   MCD::OPC_CheckField, 13, 1, 1, 177, 4, 0, // Skip to: 20853
/* 19652 */   MCD::OPC_Decode, 210, 18, 202, 1, // Opcode: XVSRLI_B
/* 19657 */   MCD::OPC_FilterValue, 1, 167, 4, 0, // Skip to: 20853
/* 19662 */   MCD::OPC_Decode, 214, 18, 203, 1, // Opcode: XVSRLI_H
/* 19667 */   MCD::OPC_FilterValue, 1, 157, 4, 0, // Skip to: 20853
/* 19672 */   MCD::OPC_Decode, 216, 18, 180, 1, // Opcode: XVSRLI_W
/* 19677 */   MCD::OPC_FilterValue, 1, 147, 4, 0, // Skip to: 20853
/* 19682 */   MCD::OPC_Decode, 212, 18, 204, 1, // Opcode: XVSRLI_D
/* 19687 */   MCD::OPC_FilterValue, 205, 1, 66, 0, 0, // Skip to: 19759
/* 19693 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 19696 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 19749
/* 19701 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 19704 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 19739
/* 19709 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 19712 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 19729
/* 19717 */   MCD::OPC_CheckField, 13, 1, 1, 105, 4, 0, // Skip to: 20853
/* 19724 */   MCD::OPC_Decode, 176, 18, 202, 1, // Opcode: XVSRAI_B
/* 19729 */   MCD::OPC_FilterValue, 1, 95, 4, 0, // Skip to: 20853
/* 19734 */   MCD::OPC_Decode, 180, 18, 203, 1, // Opcode: XVSRAI_H
/* 19739 */   MCD::OPC_FilterValue, 1, 85, 4, 0, // Skip to: 20853
/* 19744 */   MCD::OPC_Decode, 182, 18, 180, 1, // Opcode: XVSRAI_W
/* 19749 */   MCD::OPC_FilterValue, 1, 75, 4, 0, // Skip to: 20853
/* 19754 */   MCD::OPC_Decode, 178, 18, 204, 1, // Opcode: XVSRAI_D
/* 19759 */   MCD::OPC_FilterValue, 208, 1, 66, 0, 0, // Skip to: 19831
/* 19765 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 19768 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 19821
/* 19773 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 19776 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 19811
/* 19781 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 19784 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 19801
/* 19789 */   MCD::OPC_CheckField, 14, 1, 1, 33, 4, 0, // Skip to: 20853
/* 19796 */   MCD::OPC_Decode, 218, 18, 218, 1, // Opcode: XVSRLNI_B_H
/* 19801 */   MCD::OPC_FilterValue, 1, 23, 4, 0, // Skip to: 20853
/* 19806 */   MCD::OPC_Decode, 220, 18, 183, 1, // Opcode: XVSRLNI_H_W
/* 19811 */   MCD::OPC_FilterValue, 1, 13, 4, 0, // Skip to: 20853
/* 19816 */   MCD::OPC_Decode, 221, 18, 219, 1, // Opcode: XVSRLNI_W_D
/* 19821 */   MCD::OPC_FilterValue, 1, 3, 4, 0, // Skip to: 20853
/* 19826 */   MCD::OPC_Decode, 219, 18, 220, 1, // Opcode: XVSRLNI_D_Q
/* 19831 */   MCD::OPC_FilterValue, 209, 1, 66, 0, 0, // Skip to: 19903
/* 19837 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 19840 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 19893
/* 19845 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 19848 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 19883
/* 19853 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 19856 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 19873
/* 19861 */   MCD::OPC_CheckField, 14, 1, 1, 217, 3, 0, // Skip to: 20853
/* 19868 */   MCD::OPC_Decode, 229, 18, 218, 1, // Opcode: XVSRLRNI_B_H
/* 19873 */   MCD::OPC_FilterValue, 1, 207, 3, 0, // Skip to: 20853
/* 19878 */   MCD::OPC_Decode, 231, 18, 183, 1, // Opcode: XVSRLRNI_H_W
/* 19883 */   MCD::OPC_FilterValue, 1, 197, 3, 0, // Skip to: 20853
/* 19888 */   MCD::OPC_Decode, 232, 18, 219, 1, // Opcode: XVSRLRNI_W_D
/* 19893 */   MCD::OPC_FilterValue, 1, 187, 3, 0, // Skip to: 20853
/* 19898 */   MCD::OPC_Decode, 230, 18, 220, 1, // Opcode: XVSRLRNI_D_Q
/* 19903 */   MCD::OPC_FilterValue, 210, 1, 66, 0, 0, // Skip to: 19975
/* 19909 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 19912 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 19965
/* 19917 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 19920 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 19955
/* 19925 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 19928 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 19945
/* 19933 */   MCD::OPC_CheckField, 14, 1, 1, 145, 3, 0, // Skip to: 20853
/* 19940 */   MCD::OPC_Decode, 145, 19, 218, 1, // Opcode: XVSSRLNI_B_H
/* 19945 */   MCD::OPC_FilterValue, 1, 135, 3, 0, // Skip to: 20853
/* 19950 */   MCD::OPC_Decode, 149, 19, 183, 1, // Opcode: XVSSRLNI_H_W
/* 19955 */   MCD::OPC_FilterValue, 1, 125, 3, 0, // Skip to: 20853
/* 19960 */   MCD::OPC_Decode, 151, 19, 219, 1, // Opcode: XVSSRLNI_W_D
/* 19965 */   MCD::OPC_FilterValue, 1, 115, 3, 0, // Skip to: 20853
/* 19970 */   MCD::OPC_Decode, 147, 19, 220, 1, // Opcode: XVSSRLNI_D_Q
/* 19975 */   MCD::OPC_FilterValue, 211, 1, 66, 0, 0, // Skip to: 20047
/* 19981 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 19984 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 20037
/* 19989 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 19992 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 20027
/* 19997 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20000 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 20017
/* 20005 */   MCD::OPC_CheckField, 14, 1, 1, 73, 3, 0, // Skip to: 20853
/* 20012 */   MCD::OPC_Decode, 144, 19, 218, 1, // Opcode: XVSSRLNI_BU_H
/* 20017 */   MCD::OPC_FilterValue, 1, 63, 3, 0, // Skip to: 20853
/* 20022 */   MCD::OPC_Decode, 148, 19, 183, 1, // Opcode: XVSSRLNI_HU_W
/* 20027 */   MCD::OPC_FilterValue, 1, 53, 3, 0, // Skip to: 20853
/* 20032 */   MCD::OPC_Decode, 150, 19, 219, 1, // Opcode: XVSSRLNI_WU_D
/* 20037 */   MCD::OPC_FilterValue, 1, 43, 3, 0, // Skip to: 20853
/* 20042 */   MCD::OPC_Decode, 146, 19, 220, 1, // Opcode: XVSSRLNI_DU_Q
/* 20047 */   MCD::OPC_FilterValue, 212, 1, 66, 0, 0, // Skip to: 20119
/* 20053 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 20056 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 20109
/* 20061 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 20064 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 20099
/* 20069 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20072 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 20089
/* 20077 */   MCD::OPC_CheckField, 14, 1, 1, 1, 3, 0, // Skip to: 20853
/* 20084 */   MCD::OPC_Decode, 159, 19, 218, 1, // Opcode: XVSSRLRNI_B_H
/* 20089 */   MCD::OPC_FilterValue, 1, 247, 2, 0, // Skip to: 20853
/* 20094 */   MCD::OPC_Decode, 163, 19, 183, 1, // Opcode: XVSSRLRNI_H_W
/* 20099 */   MCD::OPC_FilterValue, 1, 237, 2, 0, // Skip to: 20853
/* 20104 */   MCD::OPC_Decode, 165, 19, 219, 1, // Opcode: XVSSRLRNI_W_D
/* 20109 */   MCD::OPC_FilterValue, 1, 227, 2, 0, // Skip to: 20853
/* 20114 */   MCD::OPC_Decode, 161, 19, 220, 1, // Opcode: XVSSRLRNI_D_Q
/* 20119 */   MCD::OPC_FilterValue, 213, 1, 66, 0, 0, // Skip to: 20191
/* 20125 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 20128 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 20181
/* 20133 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 20136 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 20171
/* 20141 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20144 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 20161
/* 20149 */   MCD::OPC_CheckField, 14, 1, 1, 185, 2, 0, // Skip to: 20853
/* 20156 */   MCD::OPC_Decode, 158, 19, 218, 1, // Opcode: XVSSRLRNI_BU_H
/* 20161 */   MCD::OPC_FilterValue, 1, 175, 2, 0, // Skip to: 20853
/* 20166 */   MCD::OPC_Decode, 162, 19, 183, 1, // Opcode: XVSSRLRNI_HU_W
/* 20171 */   MCD::OPC_FilterValue, 1, 165, 2, 0, // Skip to: 20853
/* 20176 */   MCD::OPC_Decode, 164, 19, 219, 1, // Opcode: XVSSRLRNI_WU_D
/* 20181 */   MCD::OPC_FilterValue, 1, 155, 2, 0, // Skip to: 20853
/* 20186 */   MCD::OPC_Decode, 160, 19, 220, 1, // Opcode: XVSSRLRNI_DU_Q
/* 20191 */   MCD::OPC_FilterValue, 214, 1, 66, 0, 0, // Skip to: 20263
/* 20197 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 20200 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 20253
/* 20205 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 20208 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 20243
/* 20213 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20216 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 20233
/* 20221 */   MCD::OPC_CheckField, 14, 1, 1, 113, 2, 0, // Skip to: 20853
/* 20228 */   MCD::OPC_Decode, 184, 18, 218, 1, // Opcode: XVSRANI_B_H
/* 20233 */   MCD::OPC_FilterValue, 1, 103, 2, 0, // Skip to: 20853
/* 20238 */   MCD::OPC_Decode, 186, 18, 183, 1, // Opcode: XVSRANI_H_W
/* 20243 */   MCD::OPC_FilterValue, 1, 93, 2, 0, // Skip to: 20853
/* 20248 */   MCD::OPC_Decode, 187, 18, 219, 1, // Opcode: XVSRANI_W_D
/* 20253 */   MCD::OPC_FilterValue, 1, 83, 2, 0, // Skip to: 20853
/* 20258 */   MCD::OPC_Decode, 185, 18, 220, 1, // Opcode: XVSRANI_D_Q
/* 20263 */   MCD::OPC_FilterValue, 215, 1, 66, 0, 0, // Skip to: 20335
/* 20269 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 20272 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 20325
/* 20277 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 20280 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 20315
/* 20285 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20288 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 20305
/* 20293 */   MCD::OPC_CheckField, 14, 1, 1, 41, 2, 0, // Skip to: 20853
/* 20300 */   MCD::OPC_Decode, 195, 18, 218, 1, // Opcode: XVSRARNI_B_H
/* 20305 */   MCD::OPC_FilterValue, 1, 31, 2, 0, // Skip to: 20853
/* 20310 */   MCD::OPC_Decode, 197, 18, 183, 1, // Opcode: XVSRARNI_H_W
/* 20315 */   MCD::OPC_FilterValue, 1, 21, 2, 0, // Skip to: 20853
/* 20320 */   MCD::OPC_Decode, 198, 18, 219, 1, // Opcode: XVSRARNI_W_D
/* 20325 */   MCD::OPC_FilterValue, 1, 11, 2, 0, // Skip to: 20853
/* 20330 */   MCD::OPC_Decode, 196, 18, 220, 1, // Opcode: XVSRARNI_D_Q
/* 20335 */   MCD::OPC_FilterValue, 216, 1, 66, 0, 0, // Skip to: 20407
/* 20341 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 20344 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 20397
/* 20349 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 20352 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 20387
/* 20357 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20360 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 20377
/* 20365 */   MCD::OPC_CheckField, 14, 1, 1, 225, 1, 0, // Skip to: 20853
/* 20372 */   MCD::OPC_Decode, 245, 18, 218, 1, // Opcode: XVSSRANI_B_H
/* 20377 */   MCD::OPC_FilterValue, 1, 215, 1, 0, // Skip to: 20853
/* 20382 */   MCD::OPC_Decode, 249, 18, 183, 1, // Opcode: XVSSRANI_H_W
/* 20387 */   MCD::OPC_FilterValue, 1, 205, 1, 0, // Skip to: 20853
/* 20392 */   MCD::OPC_Decode, 251, 18, 219, 1, // Opcode: XVSSRANI_W_D
/* 20397 */   MCD::OPC_FilterValue, 1, 195, 1, 0, // Skip to: 20853
/* 20402 */   MCD::OPC_Decode, 247, 18, 220, 1, // Opcode: XVSSRANI_D_Q
/* 20407 */   MCD::OPC_FilterValue, 217, 1, 66, 0, 0, // Skip to: 20479
/* 20413 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 20416 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 20469
/* 20421 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 20424 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 20459
/* 20429 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20432 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 20449
/* 20437 */   MCD::OPC_CheckField, 14, 1, 1, 153, 1, 0, // Skip to: 20853
/* 20444 */   MCD::OPC_Decode, 244, 18, 218, 1, // Opcode: XVSSRANI_BU_H
/* 20449 */   MCD::OPC_FilterValue, 1, 143, 1, 0, // Skip to: 20853
/* 20454 */   MCD::OPC_Decode, 248, 18, 183, 1, // Opcode: XVSSRANI_HU_W
/* 20459 */   MCD::OPC_FilterValue, 1, 133, 1, 0, // Skip to: 20853
/* 20464 */   MCD::OPC_Decode, 250, 18, 219, 1, // Opcode: XVSSRANI_WU_D
/* 20469 */   MCD::OPC_FilterValue, 1, 123, 1, 0, // Skip to: 20853
/* 20474 */   MCD::OPC_Decode, 246, 18, 220, 1, // Opcode: XVSSRANI_DU_Q
/* 20479 */   MCD::OPC_FilterValue, 218, 1, 66, 0, 0, // Skip to: 20551
/* 20485 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 20488 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 20541
/* 20493 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 20496 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 20531
/* 20501 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20504 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 20521
/* 20509 */   MCD::OPC_CheckField, 14, 1, 1, 81, 1, 0, // Skip to: 20853
/* 20516 */   MCD::OPC_Decode, 131, 19, 218, 1, // Opcode: XVSSRARNI_B_H
/* 20521 */   MCD::OPC_FilterValue, 1, 71, 1, 0, // Skip to: 20853
/* 20526 */   MCD::OPC_Decode, 135, 19, 183, 1, // Opcode: XVSSRARNI_H_W
/* 20531 */   MCD::OPC_FilterValue, 1, 61, 1, 0, // Skip to: 20853
/* 20536 */   MCD::OPC_Decode, 137, 19, 219, 1, // Opcode: XVSSRARNI_W_D
/* 20541 */   MCD::OPC_FilterValue, 1, 51, 1, 0, // Skip to: 20853
/* 20546 */   MCD::OPC_Decode, 133, 19, 220, 1, // Opcode: XVSSRARNI_D_Q
/* 20551 */   MCD::OPC_FilterValue, 219, 1, 66, 0, 0, // Skip to: 20623
/* 20557 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 20560 */   MCD::OPC_FilterValue, 0, 48, 0, 0, // Skip to: 20613
/* 20565 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 20568 */   MCD::OPC_FilterValue, 0, 30, 0, 0, // Skip to: 20603
/* 20573 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20576 */   MCD::OPC_FilterValue, 0, 12, 0, 0, // Skip to: 20593
/* 20581 */   MCD::OPC_CheckField, 14, 1, 1, 9, 1, 0, // Skip to: 20853
/* 20588 */   MCD::OPC_Decode, 130, 19, 218, 1, // Opcode: XVSSRARNI_BU_H
/* 20593 */   MCD::OPC_FilterValue, 1, 255, 0, 0, // Skip to: 20853
/* 20598 */   MCD::OPC_Decode, 134, 19, 183, 1, // Opcode: XVSSRARNI_HU_W
/* 20603 */   MCD::OPC_FilterValue, 1, 245, 0, 0, // Skip to: 20853
/* 20608 */   MCD::OPC_Decode, 136, 19, 219, 1, // Opcode: XVSSRARNI_WU_D
/* 20613 */   MCD::OPC_FilterValue, 1, 235, 0, 0, // Skip to: 20853
/* 20618 */   MCD::OPC_Decode, 132, 19, 220, 1, // Opcode: XVSSRARNI_DU_Q
/* 20623 */   MCD::OPC_FilterValue, 224, 1, 5, 0, 0, // Skip to: 20634
/* 20629 */   MCD::OPC_Decode, 194, 14, 221, 1, // Opcode: XVEXTRINS_D
/* 20634 */   MCD::OPC_FilterValue, 225, 1, 5, 0, 0, // Skip to: 20645
/* 20640 */   MCD::OPC_Decode, 196, 14, 222, 1, // Opcode: XVEXTRINS_W
/* 20645 */   MCD::OPC_FilterValue, 226, 1, 5, 0, 0, // Skip to: 20656
/* 20651 */   MCD::OPC_Decode, 195, 14, 223, 1, // Opcode: XVEXTRINS_H
/* 20656 */   MCD::OPC_FilterValue, 227, 1, 5, 0, 0, // Skip to: 20667
/* 20662 */   MCD::OPC_Decode, 193, 14, 224, 1, // Opcode: XVEXTRINS_B
/* 20667 */   MCD::OPC_FilterValue, 228, 1, 5, 0, 0, // Skip to: 20678
/* 20673 */   MCD::OPC_Decode, 226, 17, 225, 1, // Opcode: XVSHUF4I_B
/* 20678 */   MCD::OPC_FilterValue, 229, 1, 5, 0, 0, // Skip to: 20689
/* 20684 */   MCD::OPC_Decode, 228, 17, 226, 1, // Opcode: XVSHUF4I_H
/* 20689 */   MCD::OPC_FilterValue, 230, 1, 5, 0, 0, // Skip to: 20700
/* 20695 */   MCD::OPC_Decode, 229, 17, 227, 1, // Opcode: XVSHUF4I_W
/* 20700 */   MCD::OPC_FilterValue, 231, 1, 5, 0, 0, // Skip to: 20711
/* 20706 */   MCD::OPC_Decode, 227, 17, 221, 1, // Opcode: XVSHUF4I_D
/* 20711 */   MCD::OPC_FilterValue, 241, 1, 5, 0, 0, // Skip to: 20722
/* 20717 */   MCD::OPC_Decode, 154, 14, 224, 1, // Opcode: XVBITSELI_B
/* 20722 */   MCD::OPC_FilterValue, 244, 1, 5, 0, 0, // Skip to: 20733
/* 20728 */   MCD::OPC_Decode, 246, 13, 225, 1, // Opcode: XVANDI_B
/* 20733 */   MCD::OPC_FilterValue, 245, 1, 5, 0, 0, // Skip to: 20744
/* 20739 */   MCD::OPC_Decode, 254, 16, 225, 1, // Opcode: XVORI_B
/* 20744 */   MCD::OPC_FilterValue, 246, 1, 5, 0, 0, // Skip to: 20755
/* 20750 */   MCD::OPC_Decode, 218, 19, 225, 1, // Opcode: XVXORI_B
/* 20755 */   MCD::OPC_FilterValue, 247, 1, 5, 0, 0, // Skip to: 20766
/* 20761 */   MCD::OPC_Decode, 252, 16, 225, 1, // Opcode: XVNORI_B
/* 20766 */   MCD::OPC_FilterValue, 248, 1, 48, 0, 0, // Skip to: 20820
/* 20772 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 20775 */   MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 20785
/* 20780 */   MCD::OPC_Decode, 234, 15, 228, 1, // Opcode: XVLDI_B
/* 20785 */   MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 20795
/* 20790 */   MCD::OPC_Decode, 236, 15, 228, 1, // Opcode: XVLDI_H
/* 20795 */   MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 20805
/* 20800 */   MCD::OPC_Decode, 237, 15, 228, 1, // Opcode: XVLDI_W
/* 20805 */   MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 20815
/* 20810 */   MCD::OPC_Decode, 235, 15, 228, 1, // Opcode: XVLDI_D
/* 20815 */   MCD::OPC_Decode, 233, 15, 229, 1, // Opcode: XVLDI
/* 20820 */   MCD::OPC_FilterValue, 249, 1, 5, 0, 0, // Skip to: 20831
/* 20826 */   MCD::OPC_Decode, 146, 17, 222, 1, // Opcode: XVPERMI_W
/* 20831 */   MCD::OPC_FilterValue, 250, 1, 5, 0, 0, // Skip to: 20842
/* 20837 */   MCD::OPC_Decode, 141, 17, 230, 1, // Opcode: XVPERMI_D
/* 20842 */   MCD::OPC_FilterValue, 251, 1, 5, 0, 0, // Skip to: 20853
/* 20848 */   MCD::OPC_Decode, 142, 17, 224, 1, // Opcode: XVPERMI_Q
/* 20853 */   MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableLoongArch3232[] = {
/* 0 */       MCD::OPC_ExtractField, 24, 8,  // Inst{31-24} ...
/* 3 */       MCD::OPC_FilterValue, 0, 203, 1, 0, // Skip to: 467
/* 8 */       MCD::OPC_ExtractField, 21, 3,  // Inst{23-21} ...
/* 11 */      MCD::OPC_FilterValue, 0, 249, 0, 0, // Skip to: 265
/* 16 */      MCD::OPC_ExtractField, 17, 4,  // Inst{20-17} ...
/* 19 */      MCD::OPC_FilterValue, 0, 93, 0, 0, // Skip to: 117
/* 24 */      MCD::OPC_ExtractField, 10, 7,  // Inst{16-10} ...
/* 27 */      MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 36
/* 32 */      MCD::OPC_Decode, 194, 4, 78, // Opcode: CLO_W
/* 36 */      MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 45
/* 41 */      MCD::OPC_Decode, 196, 4, 78, // Opcode: CLZ_W
/* 45 */      MCD::OPC_FilterValue, 6, 4, 0, 0, // Skip to: 54
/* 50 */      MCD::OPC_Decode, 213, 4, 78, // Opcode: CTO_W
/* 54 */      MCD::OPC_FilterValue, 7, 4, 0, 0, // Skip to: 63
/* 59 */      MCD::OPC_Decode, 215, 4, 78, // Opcode: CTZ_W
/* 63 */      MCD::OPC_FilterValue, 12, 4, 0, 0, // Skip to: 72
/* 68 */      MCD::OPC_Decode, 243, 6, 78, // Opcode: REVB_2H
/* 72 */      MCD::OPC_FilterValue, 18, 4, 0, 0, // Skip to: 81
/* 77 */      MCD::OPC_Decode, 171, 4, 78, // Opcode: BITREV_4B
/* 81 */      MCD::OPC_FilterValue, 20, 4, 0, 0, // Skip to: 90
/* 86 */      MCD::OPC_Decode, 174, 4, 78, // Opcode: BITREV_W
/* 90 */      MCD::OPC_FilterValue, 24, 4, 0, 0, // Skip to: 99
/* 95 */      MCD::OPC_Decode, 241, 6, 78, // Opcode: RDTIMEL_W32
/* 99 */      MCD::OPC_FilterValue, 25, 4, 0, 0, // Skip to: 108
/* 104 */     MCD::OPC_Decode, 239, 6, 78, // Opcode: RDTIMEH_W32
/* 108 */     MCD::OPC_FilterValue, 27, 70, 2, 0, // Skip to: 695
/* 113 */     MCD::OPC_Decode, 197, 4, 78, // Opcode: CPUCFG
/* 117 */     MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 127
/* 122 */     MCD::OPC_Decode, 241, 3, 231, 1, // Opcode: ALSL_W
/* 127 */     MCD::OPC_FilterValue, 4, 5, 0, 0, // Skip to: 137
/* 132 */     MCD::OPC_Decode, 190, 4, 232, 1, // Opcode: BYTEPICK_W
/* 137 */     MCD::OPC_FilterValue, 8, 23, 0, 0, // Skip to: 165
/* 142 */     MCD::OPC_ExtractField, 15, 2,  // Inst{16-15} ...
/* 145 */     MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 155
/* 150 */     MCD::OPC_Decode, 239, 3, 233, 1, // Opcode: ADD_W
/* 155 */     MCD::OPC_FilterValue, 2, 23, 2, 0, // Skip to: 695
/* 160 */     MCD::OPC_Decode, 179, 7, 233, 1, // Opcode: SUB_W
/* 165 */     MCD::OPC_FilterValue, 11, 23, 0, 0, // Skip to: 193
/* 170 */     MCD::OPC_ExtractField, 15, 2,  // Inst{16-15} ...
/* 173 */     MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 183
/* 178 */     MCD::OPC_Decode, 135, 7, 233, 1, // Opcode: SLL_W
/* 183 */     MCD::OPC_FilterValue, 3, 251, 1, 0, // Skip to: 695
/* 188 */     MCD::OPC_Decode, 152, 7, 233, 1, // Opcode: SRL_W
/* 193 */     MCD::OPC_FilterValue, 12, 12, 0, 0, // Skip to: 210
/* 198 */     MCD::OPC_CheckField, 15, 2, 0, 234, 1, 0, // Skip to: 695
/* 205 */     MCD::OPC_Decode, 148, 7, 233, 1, // Opcode: SRA_W
/* 210 */     MCD::OPC_FilterValue, 13, 12, 0, 0, // Skip to: 227
/* 215 */     MCD::OPC_CheckField, 15, 2, 2, 217, 1, 0, // Skip to: 695
/* 222 */     MCD::OPC_Decode, 254, 6, 233, 1, // Opcode: ROTR_W
/* 227 */     MCD::OPC_FilterValue, 14, 207, 1, 0, // Skip to: 695
/* 232 */     MCD::OPC_ExtractField, 15, 2,  // Inst{16-15} ...
/* 235 */     MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 245
/* 240 */     MCD::OPC_Decode, 214, 6, 233, 1, // Opcode: MUL_W
/* 245 */     MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 255
/* 250 */     MCD::OPC_Decode, 209, 6, 233, 1, // Opcode: MULH_W
/* 255 */     MCD::OPC_FilterValue, 2, 179, 1, 0, // Skip to: 695
/* 260 */     MCD::OPC_Decode, 210, 6, 233, 1, // Opcode: MULH_WU
/* 265 */     MCD::OPC_FilterValue, 1, 121, 0, 0, // Skip to: 391
/* 270 */     MCD::OPC_ExtractField, 15, 6,  // Inst{20-15} ...
/* 273 */     MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 283
/* 278 */     MCD::OPC_Decode, 220, 4, 233, 1, // Opcode: DIV_W
/* 283 */     MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 293
/* 288 */     MCD::OPC_Decode, 188, 6, 233, 1, // Opcode: MOD_W
/* 293 */     MCD::OPC_FilterValue, 2, 5, 0, 0, // Skip to: 303
/* 298 */     MCD::OPC_Decode, 221, 4, 233, 1, // Opcode: DIV_WU
/* 303 */     MCD::OPC_FilterValue, 3, 5, 0, 0, // Skip to: 313
/* 308 */     MCD::OPC_Decode, 189, 6, 233, 1, // Opcode: MOD_WU
/* 313 */     MCD::OPC_FilterValue, 8, 5, 0, 0, // Skip to: 323
/* 318 */     MCD::OPC_Decode, 202, 4, 233, 1, // Opcode: CRC_W_B_W
/* 323 */     MCD::OPC_FilterValue, 9, 5, 0, 0, // Skip to: 333
/* 328 */     MCD::OPC_Decode, 204, 4, 233, 1, // Opcode: CRC_W_H_W
/* 333 */     MCD::OPC_FilterValue, 10, 5, 0, 0, // Skip to: 343
/* 338 */     MCD::OPC_Decode, 205, 4, 233, 1, // Opcode: CRC_W_W_W
/* 343 */     MCD::OPC_FilterValue, 12, 5, 0, 0, // Skip to: 353
/* 348 */     MCD::OPC_Decode, 198, 4, 233, 1, // Opcode: CRCC_W_B_W
/* 353 */     MCD::OPC_FilterValue, 13, 5, 0, 0, // Skip to: 363
/* 358 */     MCD::OPC_Decode, 200, 4, 233, 1, // Opcode: CRCC_W_H_W
/* 363 */     MCD::OPC_FilterValue, 14, 5, 0, 0, // Skip to: 373
/* 368 */     MCD::OPC_Decode, 201, 4, 233, 1, // Opcode: CRCC_W_W_W
/* 373 */     MCD::OPC_FilterValue, 20, 4, 0, 0, // Skip to: 382
/* 378 */     MCD::OPC_Decode, 184, 4, 8, // Opcode: BREAK
/* 382 */     MCD::OPC_FilterValue, 22, 52, 1, 0, // Skip to: 695
/* 387 */     MCD::OPC_Decode, 180, 7, 8, // Opcode: SYSCALL
/* 391 */     MCD::OPC_FilterValue, 2, 43, 0, 0, // Skip to: 439
/* 396 */     MCD::OPC_ExtractField, 15, 6,  // Inst{20-15} ...
/* 399 */     MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 409
/* 404 */     MCD::OPC_Decode, 131, 7, 234, 1, // Opcode: SLLI_W
/* 409 */     MCD::OPC_FilterValue, 9, 5, 0, 0, // Skip to: 419
/* 414 */     MCD::OPC_Decode, 150, 7, 234, 1, // Opcode: SRLI_W
/* 419 */     MCD::OPC_FilterValue, 17, 5, 0, 0, // Skip to: 429
/* 424 */     MCD::OPC_Decode, 146, 7, 234, 1, // Opcode: SRAI_W
/* 429 */     MCD::OPC_FilterValue, 25, 5, 1, 0, // Skip to: 695
/* 434 */     MCD::OPC_Decode, 252, 6, 234, 1, // Opcode: ROTRI_W
/* 439 */     MCD::OPC_FilterValue, 3, 251, 0, 0, // Skip to: 695
/* 444 */     MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 447 */     MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 457
/* 452 */     MCD::OPC_Decode, 186, 4, 235, 1, // Opcode: BSTRINS_W
/* 457 */     MCD::OPC_FilterValue, 1, 233, 0, 0, // Skip to: 695
/* 462 */     MCD::OPC_Decode, 188, 4, 236, 1, // Opcode: BSTRPICK_W
/* 467 */     MCD::OPC_FilterValue, 2, 12, 0, 0, // Skip to: 484
/* 472 */     MCD::OPC_CheckField, 22, 2, 2, 216, 0, 0, // Skip to: 695
/* 479 */     MCD::OPC_Decode, 234, 3, 237, 1, // Opcode: ADDI_W
/* 484 */     MCD::OPC_FilterValue, 4, 28, 0, 0, // Skip to: 517
/* 489 */     MCD::OPC_ExtractField, 5, 5,  // Inst{9-5} ...
/* 492 */     MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 502
/* 497 */     MCD::OPC_Decode, 207, 4, 238, 1, // Opcode: CSRRD32
/* 502 */     MCD::OPC_FilterValue, 1, 5, 0, 0, // Skip to: 512
/* 507 */     MCD::OPC_Decode, 209, 4, 239, 1, // Opcode: CSRWR32
/* 512 */     MCD::OPC_Decode, 211, 4, 240, 1, // Opcode: CSRXCHG32
/* 517 */     MCD::OPC_FilterValue, 6, 110, 0, 0, // Skip to: 632
/* 522 */     MCD::OPC_ExtractField, 22, 2,  // Inst{23-22} ...
/* 525 */     MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 535
/* 530 */     MCD::OPC_Decode, 192, 4, 241, 1, // Opcode: CACOP32
/* 535 */     MCD::OPC_FilterValue, 1, 155, 0, 0, // Skip to: 695
/* 540 */     MCD::OPC_ExtractField, 18, 4,  // Inst{21-18} ...
/* 543 */     MCD::OPC_FilterValue, 0, 5, 0, 0, // Skip to: 553
/* 548 */     MCD::OPC_Decode, 255, 5, 242, 1, // Opcode: LDDIR32
/* 553 */     MCD::OPC_FilterValue, 1, 12, 0, 0, // Skip to: 570
/* 558 */     MCD::OPC_CheckField, 0, 5, 0, 130, 0, 0, // Skip to: 695
/* 565 */     MCD::OPC_Decode, 137, 6, 243, 1, // Opcode: LDPTE32
/* 570 */     MCD::OPC_FilterValue, 2, 120, 0, 0, // Skip to: 695
/* 575 */     MCD::OPC_ExtractField, 10, 8,  // Inst{17-10} ...
/* 578 */     MCD::OPC_FilterValue, 0, 4, 0, 0, // Skip to: 587
/* 583 */     MCD::OPC_Decode, 239, 5, 78, // Opcode: IOCSRRD_B32
/* 587 */     MCD::OPC_FilterValue, 1, 4, 0, 0, // Skip to: 596
/* 592 */     MCD::OPC_Decode, 242, 5, 78, // Opcode: IOCSRRD_H32
/* 596 */     MCD::OPC_FilterValue, 2, 4, 0, 0, // Skip to: 605
/* 601 */     MCD::OPC_Decode, 244, 5, 78, // Opcode: IOCSRRD_W32
/* 605 */     MCD::OPC_FilterValue, 4, 4, 0, 0, // Skip to: 614
/* 610 */     MCD::OPC_Decode, 245, 5, 78, // Opcode: IOCSRWR_B32
/* 614 */     MCD::OPC_FilterValue, 5, 4, 0, 0, // Skip to: 623
/* 619 */     MCD::OPC_Decode, 247, 5, 78, // Opcode: IOCSRWR_H32
/* 623 */     MCD::OPC_FilterValue, 6, 67, 0, 0, // Skip to: 695
/* 628 */     MCD::OPC_Decode, 248, 5, 78, // Opcode: IOCSRWR_W32
/* 632 */     MCD::OPC_FilterValue, 32, 4, 0, 0, // Skip to: 641
/* 637 */     MCD::OPC_Decode, 171, 6, 59, // Opcode: LL_W
/* 641 */     MCD::OPC_FilterValue, 33, 4, 0, 0, // Skip to: 650
/* 646 */     MCD::OPC_Decode, 128, 7, 59, // Opcode: SC_W
/* 650 */     MCD::OPC_FilterValue, 42, 12, 0, 0, // Skip to: 667
/* 655 */     MCD::OPC_CheckField, 22, 2, 3, 33, 0, 0, // Skip to: 695
/* 662 */     MCD::OPC_Decode, 237, 6, 244, 1, // Opcode: PRELD_Raw32
/* 667 */     MCD::OPC_FilterValue, 56, 23, 0, 0, // Skip to: 695
/* 672 */     MCD::OPC_ExtractField, 15, 9,  // Inst{23-15} ...
/* 675 */     MCD::OPC_FilterValue, 228, 1, 4, 0, 0, // Skip to: 685
/* 681 */     MCD::OPC_Decode, 216, 4, 8, // Opcode: DBAR
/* 685 */     MCD::OPC_FilterValue, 229, 1, 4, 0, 0, // Skip to: 695
/* 691 */     MCD::OPC_Decode, 235, 5, 8, // Opcode: IBAR
/* 695 */     MCD::OPC_Fail,
  0
};

static bool checkDecoderPredicate(unsigned Idx, const FeatureBitset &Bits) {
  llvm_unreachable("Invalid index!");
}

template <typename InsnType>
static DecodeStatus decodeToMCInst(DecodeStatus S, unsigned Idx, InsnType insn, MCInst &MI,
                                   uint64_t Address, const void *Decoder, bool &DecodeComplete) {
  DecodeComplete = true;
  using TmpType = std::conditional_t<std::is_integral<InsnType>::value, InsnType, uint64_t>;
  TmpType tmp;
  switch (Idx) {
  default: llvm_unreachable("Invalid index!");
  case 0:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 1:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 2:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 2);
    if (DecodeUImmWithOffset<2, 1>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 3:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 4:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 5:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 6:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 7:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 8:
    tmp = fieldFromInstruction(insn, 0, 15);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 9:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 2);
    if (DecodeUImmWithOffset<2, 1>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 10:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 11:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 10, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 12:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 10, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 13:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 14:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 15:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 16:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 17:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 18:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 19:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 20:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 21:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 22:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeFCSRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 23:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeFCSRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 24:
    tmp = fieldFromInstruction(insn, 0, 3);
    if (DecodeFCFRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 25:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 3);
    if (DecodeFCFRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 26:
    tmp = fieldFromInstruction(insn, 0, 3);
    if (DecodeFCFRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 27:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 3);
    if (DecodeFCFRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 28:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 29:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 30:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 12);
    if (DecodeSImmWithOffsetAndScale<12>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 31:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 12);
    if (DecodeSImmWithOffsetAndScale<12>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 32:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 12);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 33:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 14);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 34:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 14);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 35:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 14);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 36:
    tmp = fieldFromInstruction(insn, 0, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 12);
    if (DecodeSImmWithOffsetAndScale<12>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 37:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 38:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 39:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 40:
    return S;
  case 41:
    tmp = fieldFromInstruction(insn, 0, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 42:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 43:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 44:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 45:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 46:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 47:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 48:
    tmp = fieldFromInstruction(insn, 0, 3);
    if (DecodeFCFRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 49:
    tmp = fieldFromInstruction(insn, 0, 3);
    if (DecodeFCFRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 50:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 51:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 52:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 53:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 54:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 3);
    if (DecodeFCFRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 55:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 56:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 57:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 16);
    if (DecodeSImmWithOffsetAndScale<16>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 58:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 20);
    if (DecodeSImmWithOffsetAndScale<20>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 59:
    if (DecodeMemSimm14(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 60:
    if (DecodeMem(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 61:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 12);
    if (DecodeSImmWithOffsetAndScale<12>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 62:
    if (DecodeFMem(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 63:
    if (DecodeLSX128Mem(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 64:
    if (DecodeLASX256Mem(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 65:
    if (DecodeLSX128memlsl(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 66:
    if (DecodeLSX128memstl(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 67:
    if (DecodeLASX256memlsl(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 68:
    if (DecodeLASX256memstl(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 69:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 70:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 71:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 72:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 73:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 74:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 75:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 76:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = 0x0;
    insertBits(tmp, fieldFromInstruction(insn, 0, 5), 16, 5);
    insertBits(tmp, fieldFromInstruction(insn, 10, 16), 0, 16);
    if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 77:
    tmp = fieldFromInstruction(insn, 5, 3);
    if (DecodeFCFRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = 0x0;
    insertBits(tmp, fieldFromInstruction(insn, 0, 5), 16, 5);
    insertBits(tmp, fieldFromInstruction(insn, 10, 16), 0, 16);
    if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 78:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 79:
    if (DecodeJumpTarget(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 80:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 16);
    if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 81:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 82:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 83:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 84:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 85:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 86:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 87:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 88:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 89:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 90:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 91:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 92:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 93:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 94:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 95:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 96:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 97:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 98:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 99:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 100:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeSImmWithOffsetAndScale<5>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 101:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeSImmWithOffsetAndScale<5>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 102:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeSImmWithOffsetAndScale<5>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 103:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeSImmWithOffsetAndScale<5>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 104:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 105:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 106:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 107:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 108:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 109:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 110:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 111:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 112:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 113:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 114:
    tmp = fieldFromInstruction(insn, 0, 3);
    if (DecodeFCFRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 115:
    tmp = fieldFromInstruction(insn, 0, 3);
    if (DecodeFCFRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 116:
    tmp = fieldFromInstruction(insn, 0, 3);
    if (DecodeFCFRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 117:
    tmp = fieldFromInstruction(insn, 0, 3);
    if (DecodeFCFRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 118:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 119:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 120:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 121:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 122:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 123:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 124:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 125:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 126:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 127:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 128:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 129:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 130:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 131:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 1);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 132:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 133:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 134:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 135:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 1);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 136:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 137:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 138:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 139:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 1);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 140:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 141:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 142:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 143:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 144:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 145:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 7);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 146:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 147:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 148:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 149:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 150:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 151:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 152:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLSX128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 153:
    if (DecodeLSX128Mem10(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 154:
    if (DecodeLSX128Mem13(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 155:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 156:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 157:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 158:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 159:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 160:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 161:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 162:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 163:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 164:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 165:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 166:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 167:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 168:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 169:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 170:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 171:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 172:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 173:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 174:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeSImmWithOffsetAndScale<5>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 175:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeSImmWithOffsetAndScale<5>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 176:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeSImmWithOffsetAndScale<5>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 177:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeSImmWithOffsetAndScale<5>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 178:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 179:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 180:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 181:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 182:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 183:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 184:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 185:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 186:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 187:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 188:
    tmp = fieldFromInstruction(insn, 0, 3);
    if (DecodeFCFRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 189:
    tmp = fieldFromInstruction(insn, 0, 3);
    if (DecodeFCFRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 190:
    tmp = fieldFromInstruction(insn, 0, 3);
    if (DecodeFCFRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 191:
    tmp = fieldFromInstruction(insn, 0, 3);
    if (DecodeFCFRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 192:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 193:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 194:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 195:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 196:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 197:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 198:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 199:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 200:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 201:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 202:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 203:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 204:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 205:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 206:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 207:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 208:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 209:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 210:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 211:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 212:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 1);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 213:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 214:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 215:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 216:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 217:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 218:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 219:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 220:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 7);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 221:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 222:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 223:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 224:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 225:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 226:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 227:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 228:
    if (DecodeLASX256Mem10(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 229:
    if (DecodeLASX256Mem13(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 230:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeLASX256DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 231:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 2);
    if (DecodeUImmWithOffset<2, 1>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 232:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 233:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 234:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 235:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 236:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 237:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 12);
    if (DecodeSImmWithOffsetAndScale<12>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 238:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 14);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 239:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 14);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 240:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 14);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 241:
    tmp = fieldFromInstruction(insn, 0, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 12);
    if (DecodeSImmWithOffsetAndScale<12>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 242:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 243:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 244:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 12);
    if (DecodeSImmWithOffsetAndScale<12>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  }
}

template <typename InsnType>
static DecodeStatus decodeInstruction(const uint8_t DecodeTable[], MCInst &MI,
                                      InsnType insn, uint64_t Address,
                                      const void *DisAsm,
                                      const MCSubtargetInfo &STI) {
  const FeatureBitset &Bits = STI.getFeatureBits();

  const uint8_t *Ptr = DecodeTable;
  InsnType CurFieldValue = 0;
  DecodeStatus S = MCDisassembler::Success;
  while (true) {
    ptrdiff_t Loc = Ptr - DecodeTable;
    switch (*Ptr) {
    default:
      errs() << Loc << ": Unexpected decode table opcode!\n";
      return MCDisassembler::Fail;
    case MCD::OPC_ExtractField: {
      unsigned Start = *++Ptr;
      unsigned Len = *++Ptr;
      ++Ptr;
      CurFieldValue = fieldFromInstruction(insn, Start, Len);
      LLVM_DEBUG(dbgs() << Loc << ": OPC_ExtractField(" << Start << ", "
                   << Len << "): " << CurFieldValue << "\n");
      break;
    }
    case MCD::OPC_FilterValue: {
      // Decode the field value.
      unsigned Len;
      InsnType Val = decodeULEB128(++Ptr, &Len);
      Ptr += Len;
      // NumToSkip is a plain 24-bit integer.
      unsigned NumToSkip = *Ptr++;
      NumToSkip |= (*Ptr++) << 8;
      NumToSkip |= (*Ptr++) << 16;

      // Perform the filter operation.
      if (Val != CurFieldValue)
        Ptr += NumToSkip;
      LLVM_DEBUG(dbgs() << Loc << ": OPC_FilterValue(" << Val << ", " << NumToSkip
                   << "): " << ((Val != CurFieldValue) ? "FAIL:" : "PASS:")
                   << " continuing at " << (Ptr - DecodeTable) << "\n");

      break;
    }
    case MCD::OPC_CheckField: {
      unsigned Start = *++Ptr;
      unsigned Len = *++Ptr;
      InsnType FieldValue = fieldFromInstruction(insn, Start, Len);
      // Decode the field value.
      InsnType ExpectedValue = decodeULEB128(++Ptr, &Len);
      Ptr += Len;
      // NumToSkip is a plain 24-bit integer.
      unsigned NumToSkip = *Ptr++;
      NumToSkip |= (*Ptr++) << 8;
      NumToSkip |= (*Ptr++) << 16;

      // If the actual and expected values don't match, skip.
      if (ExpectedValue != FieldValue)
        Ptr += NumToSkip;
      LLVM_DEBUG(dbgs() << Loc << ": OPC_CheckField(" << Start << ", "
                   << Len << ", " << ExpectedValue << ", " << NumToSkip
                   << "): FieldValue = " << FieldValue << ", ExpectedValue = "
                   << ExpectedValue << ": "
                   << ((ExpectedValue == FieldValue) ? "PASS\n" : "FAIL\n"));
      break;
    }
    case MCD::OPC_CheckPredicate: {
      unsigned Len;
      // Decode the Predicate Index value.
      unsigned PIdx = decodeULEB128(++Ptr, &Len);
      Ptr += Len;
      // NumToSkip is a plain 24-bit integer.
      unsigned NumToSkip = *Ptr++;
      NumToSkip |= (*Ptr++) << 8;
      NumToSkip |= (*Ptr++) << 16;
      // Check the predicate.
      bool Pred;
      if (!(Pred = checkDecoderPredicate(PIdx, Bits)))
        Ptr += NumToSkip;
      (void)Pred;
      LLVM_DEBUG(dbgs() << Loc << ": OPC_CheckPredicate(" << PIdx << "): "
            << (Pred ? "PASS\n" : "FAIL\n"));

      break;
    }
    case MCD::OPC_Decode: {
      unsigned Len;
      // Decode the Opcode value.
      unsigned Opc = decodeULEB128(++Ptr, &Len);
      Ptr += Len;
      unsigned DecodeIdx = decodeULEB128(Ptr, &Len);
      Ptr += Len;

      MI.clear();
      MI.setOpcode(Opc);
      bool DecodeComplete;
      S = decodeToMCInst(S, DecodeIdx, insn, MI, Address, DisAsm, DecodeComplete);
      assert(DecodeComplete);

      LLVM_DEBUG(dbgs() << Loc << ": OPC_Decode: opcode " << Opc
                   << ", using decoder " << DecodeIdx << ": "
                   << (S != MCDisassembler::Fail ? "PASS" : "FAIL") << "\n");
      return S;
    }
    case MCD::OPC_TryDecode: {
      unsigned Len;
      // Decode the Opcode value.
      unsigned Opc = decodeULEB128(++Ptr, &Len);
      Ptr += Len;
      unsigned DecodeIdx = decodeULEB128(Ptr, &Len);
      Ptr += Len;
      // NumToSkip is a plain 24-bit integer.
      unsigned NumToSkip = *Ptr++;
      NumToSkip |= (*Ptr++) << 8;
      NumToSkip |= (*Ptr++) << 16;

      // Perform the decode operation.
      MCInst TmpMI;
      TmpMI.setOpcode(Opc);
      bool DecodeComplete;
      S = decodeToMCInst(S, DecodeIdx, insn, TmpMI, Address, DisAsm, DecodeComplete);
      LLVM_DEBUG(dbgs() << Loc << ": OPC_TryDecode: opcode " << Opc
                   << ", using decoder " << DecodeIdx << ": ");

      if (DecodeComplete) {
        // Decoding complete.
        LLVM_DEBUG(dbgs() << (S != MCDisassembler::Fail ? "PASS" : "FAIL") << "\n");
        MI = TmpMI;
        return S;
      } else {
        assert(S == MCDisassembler::Fail);
        // If the decoding was incomplete, skip.
        Ptr += NumToSkip;
        LLVM_DEBUG(dbgs() << "FAIL: continuing at " << (Ptr - DecodeTable) << "\n");
        // Reset decode status. This also drops a SoftFail status that could be
        // set before the decode attempt.
        S = MCDisassembler::Success;
      }
      break;
    }
    case MCD::OPC_SoftFail: {
      // Decode the mask values.
      unsigned Len;
      InsnType PositiveMask = decodeULEB128(++Ptr, &Len);
      Ptr += Len;
      InsnType NegativeMask = decodeULEB128(Ptr, &Len);
      Ptr += Len;
      bool Fail = (insn & PositiveMask) || (~insn & NegativeMask);
      if (Fail)
        S = MCDisassembler::SoftFail;
      LLVM_DEBUG(dbgs() << Loc << ": OPC_SoftFail: " << (Fail ? "FAIL\n" : "PASS\n"));
      break;
    }
    case MCD::OPC_Fail: {
      LLVM_DEBUG(dbgs() << Loc << ": OPC_Fail\n");
      return MCDisassembler::Fail;
    }
    }
  }
  llvm_unreachable("bogosity detected in disassembler state machine!");
}


} // end namespace llvm
